if (R.VTK.RENDERING==1){
vtkAbstractVolumeMapper <- function(.me=environment()){
  .me <- vtkAbstractMapper3D(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAbstractVolumeMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAbstractVolumeMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAbstractVolumeMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractVolumeMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAbstractVolumeMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractVolumeMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSetInput <- function(){
    res<-.Call("R_vtkAbstractVolumeMapper_GetDataSetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkAbstractVolumeMapper_GetBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds){
    res<-.Call("R_vtkAbstractVolumeMapper_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeScale <- function(){
    res<-.Call("R_vtkAbstractVolumeMapper_GetGradientMagnitudeScale",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeBias <- function(){
    res<-.Call("R_vtkAbstractVolumeMapper_GetGradientMagnitudeBias",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .vol=vtkVolume()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkAbstractVolumeMapper_Render",.me$obj, .ren$obj, .vol$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkAbstractVolumeMapper",class(.me))
  return(.me)
}
}
