if (R.VTK.BASE==1){
vtkBMPReader <- function(.me=environment()){
  .me <- vtkImageReader(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBMPReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBMPReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBMPReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBMPReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBMPReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBMPReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDepth <- function(){
    res<-.Call("R_vtkBMPReader_GetDepth",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CanReadFile <- function( .fname){
    res<-.Call("R_vtkBMPReader_CanReadFile",.me$obj, .fname,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileExtensions <- function(){
    res<-.Call("R_vtkBMPReader_GetFileExtensions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDescriptiveName <- function(){
    res<-.Call("R_vtkBMPReader_GetDescriptiveName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAllow8BitBMP <- function( ._arg){
    res<-.Call("R_vtkBMPReader_SetAllow8BitBMP",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAllow8BitBMP <- function(){
    res<-.Call("R_vtkBMPReader_GetAllow8BitBMP",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allow8BitBMPOn <- function(){
    res<-.Call("R_vtkBMPReader_Allow8BitBMPOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allow8BitBMPOff <- function(){
    res<-.Call("R_vtkBMPReader_Allow8BitBMPOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkBMPReader_GetLookupTable",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkLookupTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColors <- function(){
    res<-.Call("R_vtkBMPReader_GetColors",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBMPReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBMPReader",class(.me))
  return(.me)
}
}
