if (R.VTK.BASE==1){
vtkCGMWriter <- function(.me=environment()){
  .me <- vtkPolyDataWriter(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCGMWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCGMWriter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCGMWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCGMWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCGMWriter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCGMWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewport <- function( ._arg=vtkViewport()){
    check.VTK(._arg,"vtkViewport")
    res<-.Call("R_vtkCGMWriter_SetViewport",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkViewport(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewport <- function(){
    res<-.Call("R_vtkCGMWriter_GetViewport",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkViewport(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSort <- function( ._arg){
    res<-.Call("R_vtkCGMWriter_SetSort",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSort <- function(){
    res<-.Call("R_vtkCGMWriter_GetSort",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( ._arg){
    res<-.Call("R_vtkCGMWriter_SetResolution",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolutionMinValue <- function(){
    res<-.Call("R_vtkCGMWriter_GetResolutionMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolutionMaxValue <- function(){
    res<-.Call("R_vtkCGMWriter_GetResolutionMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function(){
    res<-.Call("R_vtkCGMWriter_GetResolution",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkCGMWriter_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkCGMWriter_GetColorMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToDefault <- function(){
    res<-.Call("R_vtkCGMWriter_SetColorModeToDefault",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToSpecifiedColor <- function(){
    res<-.Call("R_vtkCGMWriter_SetColorModeToSpecifiedColor",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToRandomColors <- function(){
    res<-.Call("R_vtkCGMWriter_SetColorModeToRandomColors",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecifiedColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkCGMWriter_SetSpecifiedColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecifiedColor_v1 <- function( ._arg){
    res<-.Call("R_vtkCGMWriter_SetSpecifiedColor_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecifiedColor <- function(){
    res<-.Call("R_vtkCGMWriter_GetSpecifiedColor",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecifiedColor_v1 <- function( .data){
    res<-.Call("R_vtkCGMWriter_GetSpecifiedColor_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCGMWriter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCGMWriter",class(.me))
  return(.me)
}
}
