if (R.VTK.RENDERING==1){
vtkCameraInterpolator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCameraInterpolator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCameraInterpolator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCameraInterpolator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCameraInterpolator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCameraInterpolator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCameraInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCameras <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetNumberOfCameras",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumT <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetMinimumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumT <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetMaximumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkCameraInterpolator_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddCamera <- function( .t, .camera=vtkCamera()){
    check.VTK(.camera,"vtkCamera")
    res<-.Call("R_vtkCameraInterpolator_AddCamera",.me$obj, .t, .camera$obj,PACKAGE="RVTK")
    res$.camera <- vtkCamera(wrapenv(res$.camera))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveCamera <- function( .t){
    res<-.Call("R_vtkCameraInterpolator_RemoveCamera",.me$obj, .t,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateCamera <- function( .t, .camera=vtkCamera()){
    check.VTK(.camera,"vtkCamera")
    res<-.Call("R_vtkCameraInterpolator_InterpolateCamera",.me$obj, .t, .camera$obj,PACKAGE="RVTK")
    res$.camera <- vtkCamera(wrapenv(res$.camera))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationType <- function( ._arg){
    res<-.Call("R_vtkCameraInterpolator_SetInterpolationType",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMinValue <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetInterpolationTypeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMaxValue <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetInterpolationTypeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationType <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetInterpolationType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToLinear <- function(){
    res<-.Call("R_vtkCameraInterpolator_SetInterpolationTypeToLinear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToSpline <- function(){
    res<-.Call("R_vtkCameraInterpolator_SetInterpolationTypeToSpline",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToManual <- function(){
    res<-.Call("R_vtkCameraInterpolator_SetInterpolationTypeToManual",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPositionInterpolator <- function( .pi=vtkTupleInterpolator()){
    check.VTK(.pi,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetPositionInterpolator",.me$obj, .pi$obj,PACKAGE="RVTK")
    res$.pi <- vtkTupleInterpolator(wrapenv(res$.pi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPositionInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetPositionInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPointInterpolator <- function( .fpi=vtkTupleInterpolator()){
    check.VTK(.fpi,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetFocalPointInterpolator",.me$obj, .fpi$obj,PACKAGE="RVTK")
    res$.fpi <- vtkTupleInterpolator(wrapenv(res$.fpi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFocalPointInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetFocalPointInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewUpInterpolator <- function( .vupi=vtkTupleInterpolator()){
    check.VTK(.vupi,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetViewUpInterpolator",.me$obj, .vupi$obj,PACKAGE="RVTK")
    res$.vupi <- vtkTupleInterpolator(wrapenv(res$.vupi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewUpInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetViewUpInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewAngleInterpolator <- function( .vai=vtkTupleInterpolator()){
    check.VTK(.vai,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetViewAngleInterpolator",.me$obj, .vai$obj,PACKAGE="RVTK")
    res$.vai <- vtkTupleInterpolator(wrapenv(res$.vai))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewAngleInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetViewAngleInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParallelScaleInterpolator <- function( .psi=vtkTupleInterpolator()){
    check.VTK(.psi,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetParallelScaleInterpolator",.me$obj, .psi$obj,PACKAGE="RVTK")
    res$.psi <- vtkTupleInterpolator(wrapenv(res$.psi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParallelScaleInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetParallelScaleInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClippingRangeInterpolator <- function( .cri=vtkTupleInterpolator()){
    check.VTK(.cri,"vtkTupleInterpolator")
    res<-.Call("R_vtkCameraInterpolator_SetClippingRangeInterpolator",.me$obj, .cri$obj,PACKAGE="RVTK")
    res$.cri <- vtkTupleInterpolator(wrapenv(res$.cri))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClippingRangeInterpolator <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetClippingRangeInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkCameraInterpolator_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCameraInterpolator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCameraInterpolator",class(.me))
  return(.me)
}
}
