if (R.VTK.BASE==1){
vtkCell <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCell_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCell_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCell_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCell_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function( .npts, .pts, .p=vtkPoints()){
    check.VTK(.p,"vtkPoints")
    res<-.Call("R_vtkCell_Initialize",.me$obj, .npts, .pts, .p$obj,PACKAGE="RVTK")
    res$.p <- vtkPoints(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .c=vtkCell()){
    check.VTK(.c,"vtkCell")
    res<-.Call("R_vtkCell_ShallowCopy",.me$obj, .c$obj,PACKAGE="RVTK")
    res$.c <- vtkCell(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .c=vtkCell()){
    check.VTK(.c,"vtkCell")
    res<-.Call("R_vtkCell_DeepCopy",.me$obj, .c$obj,PACKAGE="RVTK")
    res$.c <- vtkCell(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkCell_GetCellType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDimension <- function(){
    res<-.Call("R_vtkCell_GetCellDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsLinear <- function(){
    res<-.Call("R_vtkCell_IsLinear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequiresInitialization <- function(){
    res<-.Call("R_vtkCell_RequiresInitialization",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize_v1 <- function(){
    res<-.Call("R_vtkCell_Initialize_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsExplicitCell <- function(){
    res<-.Call("R_vtkCell_IsExplicitCell",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoints <- function(){
    res<-.Call("R_vtkCell_GetPoints",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkCell_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkCell_GetNumberOfEdges",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkCell_GetNumberOfFaces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointIds <- function(){
    res<-.Call("R_vtkCell_GetPointIds",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkIdList(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointId <- function( .ptId){
    res<-.Call("R_vtkCell_GetPointId",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkCell_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFace <- function( .faceId){
    res<-.Call("R_vtkCell_GetFace",.me$obj, .faceId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellBoundary <- function( .subId, .pcoords=as.double(rep.int(1,3)), .pts=vtkIdList()){
    check.VTK(.pts,"vtkIdList")
    res<-.Call("R_vtkCell_CellBoundary",.me$obj, .subId, .pcoords, .pts$obj,PACKAGE="RVTK")
    res$.pts <- vtkIdList(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint, .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .dist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkCell_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .dist2, .weights,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateLocation <- function( .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .x=as.double(rep.int(1,3)), .weights){
    res<-.Call("R_vtkCell_EvaluateLocation",.me$obj, .subId, .pcoords, .x, .weights,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Contour <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .lines=vtkCellArray(), .polys=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData()){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.polys,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkCell_Contour",.me$obj, .value, .cellScalars$obj, .locator$obj, .verts$obj, .lines$obj, .polys$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.polys <- vtkCellArray(wrapenv(res$.polys))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .connectivity=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.connectivity,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkCell_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .connectivity$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj, .insideOut,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.connectivity <- vtkCellArray(wrapenv(res$.connectivity))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkCell_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function( .index, .ptIds=vtkIdList(), .pts=vtkPoints()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.pts,"vtkPoints")
    res<-.Call("R_vtkCell_Triangulate",.me$obj, .index, .ptIds$obj, .pts$obj,PACKAGE="RVTK")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.pts <- vtkPoints(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Derivatives <- function( .subId, .pcoords=as.double(rep.int(1,3)), .values, .dim, .derivs){
    res<-.Call("R_vtkCell_Derivatives",.me$obj, .subId, .pcoords, .values, .dim, .derivs,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkCell_GetBounds",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function(){
    res<-.Call("R_vtkCell_GetBounds_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLength2 <- function(){
    res<-.Call("R_vtkCell_GetLength2",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkCell_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricDistance <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkCell_GetParametricDistance",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPrimaryCell <- function(){
    res<-.Call("R_vtkCell_IsPrimaryCell",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkCell_GetParametricCoords",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkCell",class(.me))
  return(.me)
}
}
