if (R.VTK.BASE==1){
vtkCompositeDataSet <- function(.me=environment()){
  .me <- vtkDataObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCompositeDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCompositeDataSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCompositeDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCompositeDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCompositeDataSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCompositeDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkCompositeDataSet_NewIterator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCompositeDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkCompositeDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkCompositeDataSet_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataSet <- function( .index=vtkInformation(), .dobj=vtkDataObject()){
    check.VTK(.index,"vtkInformation")
    check.VTK(.dobj,"vtkDataObject")
    res<-.Call("R_vtkCompositeDataSet_AddDataSet",.me$obj, .index$obj, .dobj$obj,PACKAGE="RVTK")
    res$.index <- vtkInformation(wrapenv(res$.index))
    res$.dobj <- vtkDataObject(wrapenv(res$.dobj))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function( .index=vtkInformation()){
    check.VTK(.index,"vtkInformation")
    res<-.Call("R_vtkCompositeDataSet_GetDataSet",.me$obj, .index$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.index <- vtkInformation(wrapenv(res$.index))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPipelineInformation <- function( .newInfo=vtkInformation()){
    check.VTK(.newInfo,"vtkInformation")
    res<-.Call("R_vtkCompositeDataSet_SetPipelineInformation",.me$obj, .newInfo$obj,PACKAGE="RVTK")
    res$.newInfo <- vtkInformation(wrapenv(res$.newInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProducerPort <- function(){
    res<-.Call("R_vtkCompositeDataSet_GetProducerPort",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithmOutput(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INDEX <- function(){
    res<-.Call("R_vtkCompositeDataSet_INDEX",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$COMPOSITE_DATA_SET <- function(){
    res<-.Call("R_vtkCompositeDataSet_COMPOSITE_DATA_SET",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationDataObjectKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkCompositeDataSet",class(.me))
  return(.me)
}
}
