if (R.VTK.BASE==1){
vtkConvexPointSet <- function(.me=environment()){
  .me <- vtkCell3D(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkConvexPointSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkConvexPointSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkConvexPointSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkConvexPointSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkConvexPointSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkConvexPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasFixedTopology <- function(){
    res<-.Call("R_vtkConvexPointSet_HasFixedTopology",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkConvexPointSet_GetParametricCoords",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkConvexPointSet_GetCellType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequiresInitialization <- function(){
    res<-.Call("R_vtkConvexPointSet_RequiresInitialization",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkConvexPointSet_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkConvexPointSet_GetNumberOfEdges",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkConvexPointSet_GetNumberOfFaces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFace <- function( .faceId){
    res<-.Call("R_vtkConvexPointSet_GetFace",.me$obj, .faceId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Contour <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .lines=vtkCellArray(), .polys=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData()){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.polys,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkConvexPointSet_Contour",.me$obj, .value, .cellScalars$obj, .locator$obj, .verts$obj, .lines$obj, .polys$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.polys <- vtkCellArray(wrapenv(res$.polys))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkConvexPointSet_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj, .insideOut,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateLocation <- function( .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .x=as.double(rep.int(1,3)), .weights){
    res<-.Call("R_vtkConvexPointSet_EvaluateLocation",.me$obj, .subId, .pcoords, .x, .weights,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .minT=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkConvexPointSet_IntersectWithLine",.me$obj, .p1, .p2, .tol, .minT, .x, .pcoords, .subId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Derivatives <- function( .subId, .pcoords=as.double(rep.int(1,3)), .values, .dim, .derivs){
    res<-.Call("R_vtkConvexPointSet_Derivatives",.me$obj, .subId, .pcoords, .values, .dim, .derivs,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellBoundary <- function( .subId, .pcoords=as.double(rep.int(1,3)), .pts=vtkIdList()){
    check.VTK(.pts,"vtkIdList")
    res<-.Call("R_vtkConvexPointSet_CellBoundary",.me$obj, .subId, .pcoords, .pts$obj,PACKAGE="RVTK")
    res$.pts <- vtkIdList(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkConvexPointSet_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPrimaryCell <- function(){
    res<-.Call("R_vtkConvexPointSet_IsPrimaryCell",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkConvexPointSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkConvexPointSet",class(.me))
  return(.me)
}
}
