if (R.VTK.HYBRID==1){
vtkDSPFilterDefinition <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDSPFilterDefinition_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDSPFilterDefinition_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDSPFilterDefinition_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDSPFilterDefinition(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDSPFilterDefinition(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Copy <- function( .other=vtkDSPFilterDefinition()){
    check.VTK(.other,"vtkDSPFilterDefinition")
    res<-.Call("R_vtkDSPFilterDefinition_Copy",.me$obj, .other$obj,PACKAGE="RVTK")
    res$.other <- vtkDSPFilterDefinition(wrapenv(res$.other))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clear <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_Clear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PushBackNumeratorWeight <- function( .a_value){
    res<-.Call("R_vtkDSPFilterDefinition_PushBackNumeratorWeight",.me$obj, .a_value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PushBackDenominatorWeight <- function( .a_value){
    res<-.Call("R_vtkDSPFilterDefinition_PushBackDenominatorWeight",.me$obj, .a_value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PushBackForwardNumeratorWeight <- function( .a_value){
    res<-.Call("R_vtkDSPFilterDefinition_PushBackForwardNumeratorWeight",.me$obj, .a_value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputVariableName <- function( .a_value){
    res<-.Call("R_vtkDSPFilterDefinition_SetInputVariableName",.me$obj, .a_value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputVariableName <- function( .a_value){
    res<-.Call("R_vtkDSPFilterDefinition_SetOutputVariableName",.me$obj, .a_value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputVariableName <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_GetInputVariableName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputVariableName <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_GetOutputVariableName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumNumeratorWeights <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_GetNumNumeratorWeights",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumDenominatorWeights <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_GetNumDenominatorWeights",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumForwardNumeratorWeights <- function(){
    res<-.Call("R_vtkDSPFilterDefinition_GetNumForwardNumeratorWeights",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumeratorWeight <- function( .a_which){
    res<-.Call("R_vtkDSPFilterDefinition_GetNumeratorWeight",.me$obj, .a_which,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDenominatorWeight <- function( .a_which){
    res<-.Call("R_vtkDSPFilterDefinition_GetDenominatorWeight",.me$obj, .a_which,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetForwardNumeratorWeight <- function( .a_which){
    res<-.Call("R_vtkDSPFilterDefinition_GetForwardNumeratorWeight",.me$obj, .a_which,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDSPFilterDefinition_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDSPFilterDefinition",class(.me))
  return(.me)
}
}
