if (R.VTK.HYBRID==1){
vtkDSPFilterGroup <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDSPFilterGroup_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDSPFilterGroup_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDSPFilterGroup_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDSPFilterGroup(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDSPFilterGroup_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDSPFilterGroup(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddFilter <- function( .filter=vtkDSPFilterDefinition()){
    check.VTK(.filter,"vtkDSPFilterDefinition")
    res<-.Call("R_vtkDSPFilterGroup_AddFilter",.me$obj, .filter$obj,PACKAGE="RVTK")
    res$.filter <- vtkDSPFilterDefinition(wrapenv(res$.filter))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveFilter <- function( .a_outputVariableName){
    res<-.Call("R_vtkDSPFilterGroup_RemoveFilter",.me$obj, .a_outputVariableName,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInputVariableInstance <- function( .a_name, .a_timestep, .a_data=vtkFloatArray()){
    check.VTK(.a_data,"vtkFloatArray")
    res<-.Call("R_vtkDSPFilterGroup_AddInputVariableInstance",.me$obj, .a_name, .a_timestep, .a_data$obj,PACKAGE="RVTK")
    res$.a_data <- vtkFloatArray(wrapenv(res$.a_data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function( .a_whichFilter, .a_whichTimestep, .a_instancesCalculated=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkDSPFilterGroup_GetOutput",.me$obj, .a_whichFilter, .a_whichTimestep, .a_instancesCalculated,PACKAGE="RVTK")
    res$ret.val <- vtkFloatArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCachedInput <- function( .a_whichFilter, .a_whichTimestep){
    res<-.Call("R_vtkDSPFilterGroup_GetCachedInput",.me$obj, .a_whichFilter, .a_whichTimestep,PACKAGE="RVTK")
    res$ret.val <- vtkFloatArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCachedOutput <- function( .a_whichFilter, .a_whichTimestep){
    res<-.Call("R_vtkDSPFilterGroup_GetCachedOutput",.me$obj, .a_whichFilter, .a_whichTimestep,PACKAGE="RVTK")
    res$ret.val <- vtkFloatArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputVariableName <- function( .a_whichFilter){
    res<-.Call("R_vtkDSPFilterGroup_GetInputVariableName",.me$obj, .a_whichFilter,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumFilters <- function(){
    res<-.Call("R_vtkDSPFilterGroup_GetNumFilters",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Copy <- function( .other=vtkDSPFilterGroup()){
    check.VTK(.other,"vtkDSPFilterGroup")
    res<-.Call("R_vtkDSPFilterGroup_Copy",.me$obj, .other$obj,PACKAGE="RVTK")
    res$.other <- vtkDSPFilterGroup(wrapenv(res$.other))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilter <- function( .a_whichFilter){
    res<-.Call("R_vtkDSPFilterGroup_GetFilter",.me$obj, .a_whichFilter,PACKAGE="RVTK")
    res$ret.val <- vtkDSPFilterDefinition(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDSPFilterGroup_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDSPFilterGroup",class(.me))
  return(.me)
}
}
