if (R.VTK.BASE==1){
vtkDataObjectToDataSetFilter <- function(.me=environment()){
  .me <- vtkDataSetAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataObjectToDataSetFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataObjectToDataSetFilter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObjectToDataSetFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObjectToDataSetFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObjectToDataSetFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetType <- function( .dt){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetType",.me$obj, .dt,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSetType <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetDataSetType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetTypeToPolyData <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetTypeToPolyData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetTypeToStructuredPoints <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetTypeToStructuredGrid <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredGrid",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetTypeToRectilinearGrid <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetTypeToRectilinearGrid",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSetTypeToUnstructuredGrid <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDataSetTypeToUnstructuredGrid",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPolyDataOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredPointsOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStructuredPointsOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetUnstructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRectilinearGridOutput <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetRectilinearGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRectilinearGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointComponent <- function( .comp, .arrayName, .arrayComp, .min, .max, .normalize){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetPointComponent",.me$obj, .comp, .arrayName, .arrayComp, .min, .max, .normalize,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointComponent_v1 <- function( .comp, .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetPointComponent_v1",.me$obj, .comp, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponentArrayName <- function( .comp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPointComponentArrayName",.me$obj, .comp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponentArrayComponent <- function( .comp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPointComponentArrayComponent",.me$obj, .comp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponentMinRange <- function( .comp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPointComponentMinRange",.me$obj, .comp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponentMaxRange <- function( .comp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPointComponentMaxRange",.me$obj, .comp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponentNormailzeFlag <- function( .comp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPointComponentNormailzeFlag",.me$obj, .comp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVertsComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetVertsComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVertsComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetVertsComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVertsComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetVertsComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVertsComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetVertsComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVertsComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetVertsComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVertsComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetVertsComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLinesComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetLinesComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLinesComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetLinesComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLinesComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetLinesComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLinesComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetLinesComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLinesComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetLinesComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLinesComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetLinesComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPolysComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetPolysComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPolysComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetPolysComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolysComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPolysComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolysComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPolysComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolysComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPolysComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolysComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetPolysComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStripsComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetStripsComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStripsComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetStripsComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStripsComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStripsComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStripsComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStripsComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStripsComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStripsComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStripsComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetStripsComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetCellTypeComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellTypeComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetCellTypeComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellTypeComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellTypeComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellTypeComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellTypeComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellTypeComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellTypeComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellConnectivityComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellConnectivityComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellConnectivityComponentArrayName <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellConnectivityComponentArrayComponent <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellConnectivityComponentMinRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMinRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellConnectivityComponentMaxRange <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMaxRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultNormalize <- function( ._arg){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDefaultNormalize",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultNormalize <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetDefaultNormalize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DefaultNormalizeOn <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_DefaultNormalizeOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DefaultNormalizeOff <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_DefaultNormalizeOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDimensions",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions_v1 <- function( ._arg){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDimensions_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetDimensions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions_v1 <- function( .data){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetDimensions_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetOrigin",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .data){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetOrigin_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing <- function(){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetSpacing",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpacing_v1 <- function( .data){
    res<-.Call("R_vtkDataObjectToDataSetFilter_GetSpacing_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensionsComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDimensionsComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensionsComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetDimensionsComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacingComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetSpacingComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpacingComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetSpacingComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOriginComponent <- function( .arrayName, .arrayComp, .min, .max){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetOriginComponent",.me$obj, .arrayName, .arrayComp, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOriginComponent_v1 <- function( .arrayName, .arrayComp){
    res<-.Call("R_vtkDataObjectToDataSetFilter_SetOriginComponent_v1",.me$obj, .arrayName, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataObjectToDataSetFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataObjectToDataSetFilter",class(.me))
  return(.me)
}
}
