if (R.VTK.BASE==1){
vtkDataSetAlgorithm <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataSetAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataSetAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataSetAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSetAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSetAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .port){
    res<-.Call("R_vtkDataSetAlgorithm_GetOutput_v1",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetPolyDataOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredPointsOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetStructuredPointsOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageDataOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetImageDataOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetStructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetUnstructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRectilinearGridOutput <- function(){
    res<-.Call("R_vtkDataSetAlgorithm_GetRectilinearGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRectilinearGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkDataSetAlgorithm_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkDataSetAlgorithm_SetInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v2 <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetAlgorithm_SetInput_v2",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v3 <- function( .index, .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetAlgorithm_SetInput_v3",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkDataSetAlgorithm_AddInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v1 <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetAlgorithm_AddInput_v1",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v2 <- function( .index, .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetAlgorithm_AddInput_v2",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v3 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkDataSetAlgorithm_AddInput_v3",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataSetAlgorithm_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataSetAlgorithm",class(.me))
  return(.me)
}
}
