if (R.VTK.RENDERING==1){
vtkExporter <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExporter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExporter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExporter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExporter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExporter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExporter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write <- function(){
    res<-.Call("R_vtkExporter_Write",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkExporter_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderWindow <- function( ._arg=vtkRenderWindow()){
    check.VTK(._arg,"vtkRenderWindow")
    res<-.Call("R_vtkExporter_SetRenderWindow",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkRenderWindow(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkExporter_GetRenderWindow",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .renWin=vtkRenderWindow()){
    check.VTK(.renWin,"vtkRenderWindow")
    res<-.Call("R_vtkExporter_SetInput",.me$obj, .renWin$obj,PACKAGE="RVTK")
    res$.renWin <- vtkRenderWindow(wrapenv(res$.renWin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkExporter_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartWrite <- function( .f, ...){
    check.VTK(.f,"function")
    assign(".SetStartWrite",.f,envir=.me)
    assign(".SetStartWrite.env", environment(),envir=.me)
    res<-.Call("R_vtkExporter_SetStartWrite",.me$obj, quote(.f(...)), environment(),PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEndWrite <- function( .f, ...){
    check.VTK(.f,"function")
    assign(".SetEndWrite",.f,envir=.me)
    assign(".SetEndWrite.env", environment(),envir=.me)
    res<-.Call("R_vtkExporter_SetEndWrite",.me$obj, quote(.f(...)), environment(),PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkExporter_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkExporter",class(.me))
  return(.me)
}
}
