if (R.VTK.BASE==1){
vtkExtractVectorComponents <- function(.me=environment()){
  .me <- vtkDataSetAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtractVectorComponents_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtractVectorComponents_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtractVectorComponents_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExtractVectorComponents(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtractVectorComponents_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExtractVectorComponents(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkExtractVectorComponents_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVxComponent <- function(){
    res<-.Call("R_vtkExtractVectorComponents_GetVxComponent",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVyComponent <- function(){
    res<-.Call("R_vtkExtractVectorComponents_GetVyComponent",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVzComponent <- function(){
    res<-.Call("R_vtkExtractVectorComponents_GetVzComponent",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractToFieldData <- function( ._arg){
    res<-.Call("R_vtkExtractVectorComponents_SetExtractToFieldData",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractToFieldData <- function(){
    res<-.Call("R_vtkExtractVectorComponents_GetExtractToFieldData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractToFieldDataOn <- function(){
    res<-.Call("R_vtkExtractVectorComponents_ExtractToFieldDataOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractToFieldDataOff <- function(){
    res<-.Call("R_vtkExtractVectorComponents_ExtractToFieldDataOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtractVectorComponents_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtractVectorComponents",class(.me))
  return(.me)
}
}
