if (R.VTK.BASE==1){
vtkFieldData <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkFieldData_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkFieldData_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkFieldData_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkFieldData(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkFieldData_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkFieldData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkFieldData_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .sz, .ext){
    res<-.Call("R_vtkFieldData_Allocate",.me$obj, .sz, .ext,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .r=vtkFieldData()){
    check.VTK(.r,"vtkFieldData")
    res<-.Call("R_vtkFieldData_CopyStructure",.me$obj, .r$obj,PACKAGE="RVTK")
    res$.r <- vtkFieldData(wrapenv(res$.r))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AllocateArrays <- function( .num){
    res<-.Call("R_vtkFieldData_AllocateArrays",.me$obj, .num,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfArrays <- function(){
    res<-.Call("R_vtkFieldData_GetNumberOfArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddArray <- function( .array=vtkDataArray()){
    check.VTK(.array,"vtkDataArray")
    res<-.Call("R_vtkFieldData_AddArray",.me$obj, .array$obj,PACKAGE="RVTK")
    res$.array <- vtkDataArray(wrapenv(res$.array))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveArray <- function( .name){
    res<-.Call("R_vtkFieldData_RemoveArray",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArray <- function( .i){
    res<-.Call("R_vtkFieldData_GetArray",.me$obj, .i,PACKAGE="RVTK")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArray_v1 <- function( .arrayName, .index=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkFieldData_GetArray_v1",.me$obj, .arrayName, .index,PACKAGE="RVTK")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArray_v2 <- function( .arrayName){
    res<-.Call("R_vtkFieldData_GetArray_v2",.me$obj, .arrayName,PACKAGE="RVTK")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasArray <- function( .name){
    res<-.Call("R_vtkFieldData_HasArray",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayName <- function( .i){
    res<-.Call("R_vtkFieldData_GetArrayName",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PassData <- function( .fd=vtkFieldData()){
    check.VTK(.fd,"vtkFieldData")
    res<-.Call("R_vtkFieldData_PassData",.me$obj, .fd$obj,PACKAGE="RVTK")
    res$.fd <- vtkFieldData(wrapenv(res$.fd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOn <- function( .name){
    res<-.Call("R_vtkFieldData_CopyFieldOn",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyFieldOff <- function( .name){
    res<-.Call("R_vtkFieldData_CopyFieldOff",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAllOn <- function(){
    res<-.Call("R_vtkFieldData_CopyAllOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyAllOff <- function(){
    res<-.Call("R_vtkFieldData_CopyAllOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .f=vtkFieldData()){
    check.VTK(.f,"vtkFieldData")
    res<-.Call("R_vtkFieldData_DeepCopy",.me$obj, .f$obj,PACKAGE="RVTK")
    res$.f <- vtkFieldData(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .f=vtkFieldData()){
    check.VTK(.f,"vtkFieldData")
    res<-.Call("R_vtkFieldData_ShallowCopy",.me$obj, .f$obj,PACKAGE="RVTK")
    res$.f <- vtkFieldData(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkFieldData_Squeeze",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkFieldData_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkFieldData_GetActualMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkFieldData_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetField <- function( .ptIds=vtkIdList(), .f=vtkFieldData()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.f,"vtkFieldData")
    res<-.Call("R_vtkFieldData_GetField",.me$obj, .ptIds$obj, .f$obj,PACKAGE="RVTK")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.f <- vtkFieldData(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayContainingComponent <- function( .i, .arrayComp=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkFieldData_GetArrayContainingComponent",.me$obj, .i, .arrayComp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfComponents <- function(){
    res<-.Call("R_vtkFieldData_GetNumberOfComponents",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTuples <- function(){
    res<-.Call("R_vtkFieldData_GetNumberOfTuples",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfTuples <- function( .number){
    res<-.Call("R_vtkFieldData_SetNumberOfTuples",.me$obj, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTuple <- function( .i){
    res<-.Call("R_vtkFieldData_GetTuple",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTuple_v1 <- function( .i, .tuple){
    res<-.Call("R_vtkFieldData_GetTuple_v1",.me$obj, .i, .tuple,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTuple <- function( .i, .tuple){
    res<-.Call("R_vtkFieldData_SetTuple",.me$obj, .i, .tuple,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertTuple <- function( .i, .tuple){
    res<-.Call("R_vtkFieldData_InsertTuple",.me$obj, .i, .tuple,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextTuple <- function( .tuple){
    res<-.Call("R_vtkFieldData_InsertNextTuple",.me$obj, .tuple,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponent <- function( .i, .j){
    res<-.Call("R_vtkFieldData_GetComponent",.me$obj, .i, .j,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponent <- function( .i, .j, .c){
    res<-.Call("R_vtkFieldData_SetComponent",.me$obj, .i, .j, .c,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertComponent <- function( .i, .j, .c){
    res<-.Call("R_vtkFieldData_InsertComponent",.me$obj, .i, .j, .c,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkFieldData_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkFieldData",class(.me))
  return(.me)
}
}
