if (R.VTK.BASE==1){
vtkGenericEdgeTable <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGenericEdgeTable_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGenericEdgeTable_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGenericEdgeTable_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericEdgeTable(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGenericEdgeTable_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericEdgeTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertEdge <- function( .e1, .e2, .cellId, .ref, .ptId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkGenericEdgeTable_InsertEdge",.me$obj, .e1, .e2, .cellId, .ref, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertEdge_v1 <- function( .e1, .e2, .cellId, .ref){
    res<-.Call("R_vtkGenericEdgeTable_InsertEdge_v1",.me$obj, .e1, .e2, .cellId, .ref,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveEdge <- function( .e1, .e2){
    res<-.Call("R_vtkGenericEdgeTable_RemoveEdge",.me$obj, .e1, .e2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckEdge <- function( .e1, .e2, .ptId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkGenericEdgeTable_CheckEdge",.me$obj, .e1, .e2, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IncrementEdgeReferenceCount <- function( .e1, .e2, .cellId){
    res<-.Call("R_vtkGenericEdgeTable_IncrementEdgeReferenceCount",.me$obj, .e1, .e2, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckEdgeReferenceCount <- function( .e1, .e2){
    res<-.Call("R_vtkGenericEdgeTable_CheckEdgeReferenceCount",.me$obj, .e1, .e2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function( .start){
    res<-.Call("R_vtkGenericEdgeTable_Initialize",.me$obj, .start,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfComponents <- function(){
    res<-.Call("R_vtkGenericEdgeTable_GetNumberOfComponents",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfComponents <- function( .count){
    res<-.Call("R_vtkGenericEdgeTable_SetNumberOfComponents",.me$obj, .count,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckPoint <- function( .ptId){
    res<-.Call("R_vtkGenericEdgeTable_CheckPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckPoint_v1 <- function( .ptId, .point=as.double(rep.int(1,3)), .scalar){
    res<-.Call("R_vtkGenericEdgeTable_CheckPoint_v1",.me$obj, .ptId, .point, .scalar,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPoint <- function( .ptId, .point=as.double(rep.int(1,3))){
    res<-.Call("R_vtkGenericEdgeTable_InsertPoint",.me$obj, .ptId, .point,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertPointAndScalar <- function( .ptId, .pt=as.double(rep.int(1,3)), .s){
    res<-.Call("R_vtkGenericEdgeTable_InsertPointAndScalar",.me$obj, .ptId, .pt, .s,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemovePoint <- function( .ptId){
    res<-.Call("R_vtkGenericEdgeTable_RemovePoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IncrementPointReferenceCount <- function( .ptId){
    res<-.Call("R_vtkGenericEdgeTable_IncrementPointReferenceCount",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DumpTable <- function(){
    res<-.Call("R_vtkGenericEdgeTable_DumpTable",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LoadFactor <- function(){
    res<-.Call("R_vtkGenericEdgeTable_LoadFactor",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGenericEdgeTable_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGenericEdgeTable",class(.me))
  return(.me)
}
}
