if (R.VTK.RENDERING==1){
vtkGraphicsFactory <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGraphicsFactory_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGraphicsFactory_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGraphicsFactory_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGraphicsFactory(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGraphicsFactory_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGraphicsFactory(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateInstance <- function( .vtkclassname){
    res<-.Call("R_vtkGraphicsFactory_CreateInstance",.me$obj, .vtkclassname,PACKAGE="RVTK")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderLibrary <- function(){
    res<-.Call("R_vtkGraphicsFactory_GetRenderLibrary",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseMesaClasses <- function( .use){
    res<-.Call("R_vtkGraphicsFactory_SetUseMesaClasses",.me$obj, .use,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseMesaClasses <- function(){
    res<-.Call("R_vtkGraphicsFactory_GetUseMesaClasses",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffScreenOnlyMode <- function( .use){
    res<-.Call("R_vtkGraphicsFactory_SetOffScreenOnlyMode",.me$obj, .use,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffScreenOnlyMode <- function(){
    res<-.Call("R_vtkGraphicsFactory_GetOffScreenOnlyMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGraphicsFactory_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGraphicsFactory",class(.me))
  return(.me)
}
}
