if (R.VTK.BASE==1){
vtkHierarchicalDataExtractDataSets <- function(.me=environment()){
  .me <- vtkHierarchicalDataSetAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataExtractDataSets(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataExtractDataSets(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataSet <- function( .level, .idx){
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_AddDataSet",.me$obj, .level, .idx,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClearDataSetList <- function(){
    res<-.Call("R_vtkHierarchicalDataExtractDataSets_ClearDataSetList",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalDataExtractDataSets_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalDataExtractDataSets",class(.me))
  return(.me)
}
}
