if (R.VTK.BASE==1){
vtkHierarchicalDataSetAlgorithm <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSetAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSetAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .port){
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_GetOutput_v1",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSetAlgorithm_SetInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalDataSetAlgorithm_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalDataSetAlgorithm",class(.me))
  return(.me)
}
}
