if (R.VTK.BASE==1){
vtkIdList <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$Initialize <- function(){
    res<-.Call("R_vtkIdList_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkIdList_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkIdList_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkIdList_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkIdList(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkIdList_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkIdList(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfIds <- function(){
    res<-.Call("R_vtkIdList_GetNumberOfIds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetId <- function( .i){
    res<-.Call("R_vtkIdList_GetId",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfIds <- function( .number){
    res<-.Call("R_vtkIdList_SetNumberOfIds",.me$obj, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetId <- function( .i, .id){
    res<-.Call("R_vtkIdList_SetId",.me$obj, .i, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertId <- function( .i, .id){
    res<-.Call("R_vtkIdList_InsertId",.me$obj, .i, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextId <- function( .id){
    res<-.Call("R_vtkIdList_InsertNextId",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertUniqueId <- function( .id){
    res<-.Call("R_vtkIdList_InsertUniqueId",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointer <- function( .i){
    res<-.Call("R_vtkIdList_GetPointer",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WritePointer <- function( .i, .number){
    res<-.Call("R_vtkIdList_WritePointer",.me$obj, .i, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkIdList_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkIdList_Squeeze",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .ids=vtkIdList()){
    check.VTK(.ids,"vtkIdList")
    res<-.Call("R_vtkIdList_DeepCopy",.me$obj, .ids$obj,PACKAGE="RVTK")
    res$.ids <- vtkIdList(wrapenv(res$.ids))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeleteId <- function( .id){
    res<-.Call("R_vtkIdList_DeleteId",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsId <- function( .id){
    res<-.Call("R_vtkIdList_IsId",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWith <- function( .otherIds=vtkIdList()){
    check.VTK(.otherIds,"vtkIdList")
    res<-.Call("R_vtkIdList_IntersectWith",.me$obj, .otherIds$obj,PACKAGE="RVTK")
    res$.otherIds <- vtkIdList(wrapenv(res$.otherIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkIdList_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkIdList",class(.me))
  return(.me)
}
}
