if (R.VTK.RENDERING==1){
vtkImageActor <- function(.me=environment()){
  .me <- vtkProp3D(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageActor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageActor_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageActor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageActor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageActor_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .args=vtkImageData()){
    check.VTK(.args,"vtkImageData")
    res<-.Call("R_vtkImageActor_SetInput",.me$obj, .args$obj,PACKAGE="RVTK")
    res$.args <- vtkImageData(wrapenv(res$.args))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkImageActor_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolate <- function(){
    res<-.Call("R_vtkImageActor_GetInterpolate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolate <- function( ._arg){
    res<-.Call("R_vtkImageActor_SetInterpolate",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOn <- function(){
    res<-.Call("R_vtkImageActor_InterpolateOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOff <- function(){
    res<-.Call("R_vtkImageActor_InterpolateOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOpacity <- function( ._arg){
    res<-.Call("R_vtkImageActor_SetOpacity",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacityMinValue <- function(){
    res<-.Call("R_vtkImageActor_GetOpacityMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacityMaxValue <- function(){
    res<-.Call("R_vtkImageActor_GetOpacityMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacity <- function(){
    res<-.Call("R_vtkImageActor_GetOpacity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageActor_SetDisplayExtent",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayExtent_v1 <- function( .minX, .maxX, .minY, .maxY, .minZ, .maxZ){
    res<-.Call("R_vtkImageActor_SetDisplayExtent_v1",.me$obj, .minX, .maxX, .minY, .maxY, .minZ, .maxZ,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkImageActor_GetDisplayExtent",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayExtent_v1 <- function(){
    res<-.Call("R_vtkImageActor_GetDisplayExtent_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkImageActor_GetBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkImageActor_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayBounds <- function(){
    res<-.Call("R_vtkImageActor_GetDisplayBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkImageActor_GetDisplayBounds_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSliceNumber <- function(){
    res<-.Call("R_vtkImageActor_GetSliceNumber",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkImageActor_RenderTranslucentGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkImageActor_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZSlice <- function( .z){
    res<-.Call("R_vtkImageActor_SetZSlice",.me$obj, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZSlice <- function(){
    res<-.Call("R_vtkImageActor_GetZSlice",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeZMin <- function(){
    res<-.Call("R_vtkImageActor_GetWholeZMin",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeZMax <- function(){
    res<-.Call("R_vtkImageActor_GetWholeZMax",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageActor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageActor",class(.me))
  return(.me)
}
}
