if (R.VTK.BASE==1){
vtkImageMarchingCubes <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageMarchingCubes_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageMarchingCubes_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageMarchingCubes_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageMarchingCubes(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageMarchingCubes_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageMarchingCubes(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .i, .value){
    res<-.Call("R_vtkImageMarchingCubes_SetValue",.me$obj, .i, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .i){
    res<-.Call("R_vtkImageMarchingCubes_GetValue",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetValues",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues_v1 <- function( .contourValues){
    res<-.Call("R_vtkImageMarchingCubes_GetValues_v1",.me$obj, .contourValues,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfContours <- function( .number){
    res<-.Call("R_vtkImageMarchingCubes_SetNumberOfContours",.me$obj, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfContours <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetNumberOfContours",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues <- function( .numContours, .range){
    res<-.Call("R_vtkImageMarchingCubes_GenerateValues",.me$obj, .numContours, .range,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues_v1 <- function( .numContours, .rangeStart, .rangeEnd){
    res<-.Call("R_vtkImageMarchingCubes_GenerateValues_v1",.me$obj, .numContours, .rangeStart, .rangeEnd,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeScalars <- function( ._arg){
    res<-.Call("R_vtkImageMarchingCubes_SetComputeScalars",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeScalars <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetComputeScalars",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeScalarsOn <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeScalarsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeScalarsOff <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeScalarsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeNormals <- function( ._arg){
    res<-.Call("R_vtkImageMarchingCubes_SetComputeNormals",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeNormals <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetComputeNormals",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormalsOn <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeNormalsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormalsOff <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeNormalsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeGradients <- function( ._arg){
    res<-.Call("R_vtkImageMarchingCubes_SetComputeGradients",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeGradients <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetComputeGradients",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeGradientsOn <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeGradientsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeGradientsOff <- function(){
    res<-.Call("R_vtkImageMarchingCubes_ComputeGradientsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocatorPoint <- function( .cellX, .cellY, .edge){
    res<-.Call("R_vtkImageMarchingCubes_GetLocatorPoint",.me$obj, .cellX, .cellY, .edge,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddLocatorPoint <- function( .cellX, .cellY, .edge, .ptId){
    res<-.Call("R_vtkImageMarchingCubes_AddLocatorPoint",.me$obj, .cellX, .cellY, .edge, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IncrementLocatorZ <- function(){
    res<-.Call("R_vtkImageMarchingCubes_IncrementLocatorZ",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputMemoryLimit <- function( ._arg){
    res<-.Call("R_vtkImageMarchingCubes_SetInputMemoryLimit",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputMemoryLimit <- function(){
    res<-.Call("R_vtkImageMarchingCubes_GetInputMemoryLimit",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageMarchingCubes_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageMarchingCubes",class(.me))
  return(.me)
}
}
