if (R.VTK.BASE==1){
vtkImageStencil <- function(.me=environment()){
  .me <- vtkThreadedImageAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageStencil_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageStencil_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageStencil_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageStencil(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageStencil_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageStencil(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStencil <- function( .stencil=vtkImageStencilData()){
    check.VTK(.stencil,"vtkImageStencilData")
    res<-.Call("R_vtkImageStencil_SetStencil",.me$obj, .stencil$obj,PACKAGE="RVTK")
    res$.stencil <- vtkImageStencilData(wrapenv(res$.stencil))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStencil <- function(){
    res<-.Call("R_vtkImageStencil_GetStencil",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageStencilData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReverseStencil <- function( ._arg){
    res<-.Call("R_vtkImageStencil_SetReverseStencil",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseStencilOn <- function(){
    res<-.Call("R_vtkImageStencil_ReverseStencilOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseStencilOff <- function(){
    res<-.Call("R_vtkImageStencil_ReverseStencilOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReverseStencil <- function(){
    res<-.Call("R_vtkImageStencil_GetReverseStencil",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundInput <- function( .data=vtkImageData()){
    check.VTK(.data,"vtkImageData")
    res<-.Call("R_vtkImageStencil_SetBackgroundInput",.me$obj, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkImageData(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundInput <- function(){
    res<-.Call("R_vtkImageStencil_GetBackgroundInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundValue <- function( .val){
    res<-.Call("R_vtkImageStencil_SetBackgroundValue",.me$obj, .val,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundValue <- function(){
    res<-.Call("R_vtkImageStencil_GetBackgroundValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundColor <- function( ._arg1, ._arg2, ._arg3, ._arg4){
    res<-.Call("R_vtkImageStencil_SetBackgroundColor",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackgroundColor_v1 <- function( ._arg){
    res<-.Call("R_vtkImageStencil_SetBackgroundColor_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor <- function(){
    res<-.Call("R_vtkImageStencil_GetBackgroundColor",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1)), ._arg4=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageStencil_GetBackgroundColor_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackgroundColor_v2 <- function( ._arg){
    res<-.Call("R_vtkImageStencil_GetBackgroundColor_v2",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageStencil_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageStencil",class(.me))
  return(.me)
}
}
