if (R.VTK.HYBRID==1){
vtkImageToPolyDataFilter <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageToPolyDataFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageToPolyDataFilter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageToPolyDataFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageToPolyDataFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageToPolyDataFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputStyle <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetOutputStyle",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputStyleMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetOutputStyleMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputStyleMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetOutputStyleMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputStyle <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetOutputStyle",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputStyleToPixelize <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SetOutputStyleToPixelize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputStyleToPolygonalize <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SetOutputStyleToPolygonalize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputStyleToRunLength <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SetOutputStyleToRunLength",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetColorModeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetColorModeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetColorMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToLUT <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SetColorModeToLUT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToLinear256 <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SetColorModeToLinear256",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( ._arg=vtkScalarsToColors()){
    check.VTK(._arg,"vtkScalarsToColors")
    res<-.Call("R_vtkImageToPolyDataFilter_SetLookupTable",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkScalarsToColors(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetLookupTable",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSmoothing <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetSmoothing",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSmoothing <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetSmoothing",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SmoothingOn <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SmoothingOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SmoothingOff <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_SmoothingOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfSmoothingIterations <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetNumberOfSmoothingIterations",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfSmoothingIterationsMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfSmoothingIterationsMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfSmoothingIterations <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterations",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDecimation <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetDecimation",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecimation <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetDecimation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DecimationOn <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_DecimationOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DecimationOff <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_DecimationOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDecimationError <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetDecimationError",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecimationErrorMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetDecimationErrorMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecimationErrorMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetDecimationErrorMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecimationError <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetDecimationError",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetError <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetError",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetErrorMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetErrorMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetErrorMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetErrorMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetError <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetError",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSubImageSize <- function( ._arg){
    res<-.Call("R_vtkImageToPolyDataFilter_SetSubImageSize",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubImageSizeMinValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetSubImageSizeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubImageSizeMaxValue <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetSubImageSizeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubImageSize <- function(){
    res<-.Call("R_vtkImageToPolyDataFilter_GetSubImageSize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageToPolyDataFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageToPolyDataFilter",class(.me))
  return(.me)
}
}
