if (R.VTK.BASE==1){
vtkInformation <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInformation_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInformation_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInformation_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInformation_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clear <- function(){
    res<-.Call("R_vtkInformation_Clear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Copy <- function( .from=vtkInformation(), .deep){
    check.VTK(.from,"vtkInformation")
    res<-.Call("R_vtkInformation_Copy",.me$obj, .from$obj, .deep,PACKAGE="RVTK")
    res$.from <- vtkInformation(wrapenv(res$.from))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyEntry <- function( .from=vtkInformation(), .key=vtkInformationInformationKey(), .deep){
    check.VTK(.from,"vtkInformation")
    check.VTK(.key,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_CopyEntry",.me$obj, .from$obj, .key$obj, .deep,PACKAGE="RVTK")
    res$.from <- vtkInformation(wrapenv(res$.from))
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyEntry_v1 <- function( .from=vtkInformation(), .key=vtkInformationInformationVectorKey(), .deep){
    check.VTK(.from,"vtkInformation")
    check.VTK(.key,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_CopyEntry_v1",.me$obj, .from$obj, .key$obj, .deep,PACKAGE="RVTK")
    res$.from <- vtkInformation(wrapenv(res$.from))
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyEntries <- function( .from=vtkInformation(), .key=vtkInformationKeyVectorKey(), .deep){
    check.VTK(.from,"vtkInformation")
    check.VTK(.key,"vtkInformationKeyVectorKey")
    res<-.Call("R_vtkInformation_CopyEntries",.me$obj, .from$obj, .key$obj, .deep,PACKAGE="RVTK")
    res$.from <- vtkInformation(wrapenv(res$.from))
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set <- function( .key=vtkInformationRequestKey()){
    check.VTK(.key,"vtkInformationRequestKey")
    res<-.Call("R_vtkInformation_Set",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationRequestKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove <- function( .key=vtkInformationRequestKey()){
    check.VTK(.key,"vtkInformationRequestKey")
    res<-.Call("R_vtkInformation_Remove",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationRequestKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has <- function( .key=vtkInformationRequestKey()){
    check.VTK(.key,"vtkInformationRequestKey")
    res<-.Call("R_vtkInformation_Has",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationRequestKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v1 <- function( .key=vtkInformationIntegerKey(), .value){
    check.VTK(.key,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_Set_v1",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get <- function( .key=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_Get",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v1 <- function( .key=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_Remove_v1",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v1 <- function( .key=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_Has_v1",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v2 <- function( .key=vtkInformationIdTypeKey(), .value){
    check.VTK(.key,"vtkInformationIdTypeKey")
    res<-.Call("R_vtkInformation_Set_v2",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationIdTypeKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v1 <- function( .key=vtkInformationIdTypeKey()){
    check.VTK(.key,"vtkInformationIdTypeKey")
    res<-.Call("R_vtkInformation_Get_v1",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIdTypeKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v2 <- function( .key=vtkInformationIdTypeKey()){
    check.VTK(.key,"vtkInformationIdTypeKey")
    res<-.Call("R_vtkInformation_Remove_v2",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIdTypeKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v2 <- function( .key=vtkInformationIdTypeKey()){
    check.VTK(.key,"vtkInformationIdTypeKey")
    res<-.Call("R_vtkInformation_Has_v2",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIdTypeKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v3 <- function( .key=vtkInformationDoubleKey(), .value){
    check.VTK(.key,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_Set_v3",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v2 <- function( .key=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_Get_v2",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v3 <- function( .key=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_Remove_v3",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v3 <- function( .key=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_Has_v3",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append <- function( .key=vtkInformationIntegerVectorKey(), .value){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Append",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v4 <- function( .key=vtkInformationIntegerVectorKey(), .value, .length){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Set_v4",.me$obj, .key$obj, .value, .length,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v5 <- function( .key=vtkInformationIntegerVectorKey(), .value1, .value2, .value3){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Set_v5",.me$obj, .key$obj, .value1, .value2, .value3,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v6 <- function( .key=vtkInformationIntegerVectorKey(), .value1, .value2, .value3, .value4, .value5, .value6){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Set_v6",.me$obj, .key$obj, .value1, .value2, .value3, .value4, .value5, .value6,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v3 <- function( .key=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Get_v3",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v4 <- function( .key=vtkInformationIntegerVectorKey(), .value){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Get_v4",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Length <- function( .key=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Length",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v4 <- function( .key=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Remove_v4",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v4 <- function( .key=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Has_v4",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v7 <- function( .key=vtkInformationIntegerPointerKey(), .value, .length){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Set_v7",.me$obj, .key$obj, .value, .length,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v5 <- function( .key=vtkInformationIntegerPointerKey()){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Get_v5",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v6 <- function( .key=vtkInformationIntegerPointerKey(), .value){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Get_v6",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Length_v1 <- function( .key=vtkInformationIntegerPointerKey()){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Length_v1",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v5 <- function( .key=vtkInformationIntegerPointerKey()){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Remove_v5",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v5 <- function( .key=vtkInformationIntegerPointerKey()){
    check.VTK(.key,"vtkInformationIntegerPointerKey")
    res<-.Call("R_vtkInformation_Has_v5",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationIntegerPointerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v8 <- function( .key=vtkInformationUnsignedLongKey(), .value){
    check.VTK(.key,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_Set_v8",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationUnsignedLongKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v7 <- function( .key=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_Get_v7",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationUnsignedLongKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v6 <- function( .key=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_Remove_v6",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationUnsignedLongKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v6 <- function( .key=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_Has_v6",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationUnsignedLongKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v1 <- function( .key=vtkInformationDoubleVectorKey(), .value){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Append_v1",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v9 <- function( .key=vtkInformationDoubleVectorKey(), .value, .length){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Set_v9",.me$obj, .key$obj, .value, .length,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v10 <- function( .key=vtkInformationDoubleVectorKey(), .value1, .value2, .value3){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Set_v10",.me$obj, .key$obj, .value1, .value2, .value3,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v11 <- function( .key=vtkInformationDoubleVectorKey(), .value1, .value2, .value3, .value4, .value5, .value6){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Set_v11",.me$obj, .key$obj, .value1, .value2, .value3, .value4, .value5, .value6,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v8 <- function( .key=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Get_v8",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v9 <- function( .key=vtkInformationDoubleVectorKey(), .value){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Get_v9",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Length_v2 <- function( .key=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Length_v2",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v7 <- function( .key=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Remove_v7",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v7 <- function( .key=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Has_v7",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v2 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationKey")
    res<-.Call("R_vtkInformation_Append_v2",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationKey")
    res<-.Call("R_vtkInformation_AppendUnique",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v8 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationKey")
    res<-.Call("R_vtkInformation_Remove_v8",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v10 <- function( .key=vtkInformationKeyVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    res<-.Call("R_vtkInformation_Get_v10",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Length_v3 <- function( .key=vtkInformationKeyVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    res<-.Call("R_vtkInformation_Length_v3",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v9 <- function( .key=vtkInformationKeyVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    res<-.Call("R_vtkInformation_Remove_v9",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v8 <- function( .key=vtkInformationKeyVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    res<-.Call("R_vtkInformation_Has_v8",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v3 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_Append_v3",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDataObjectKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v4 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_Append_v4",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDoubleKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v5 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_Append_v5",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDoubleVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v6 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_Append_v6",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationExecutivePortKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v7 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_Append_v7",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationInformationKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v8 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_Append_v8",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationInformationVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v9 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_Append_v9",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationIntegerKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v10 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_Append_v10",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationIntegerVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v11 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_Append_v11",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationStringKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v12 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationObjectBaseKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationObjectBaseKey")
    res<-.Call("R_vtkInformation_Append_v12",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationObjectBaseKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v13 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_Append_v13",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationUnsignedLongKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v1 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_AppendUnique_v1",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDataObjectKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v2 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_AppendUnique_v2",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDoubleKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v3 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_AppendUnique_v3",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationDoubleVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v4 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_AppendUnique_v4",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationExecutivePortKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v5 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_AppendUnique_v5",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationInformationKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v6 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_AppendUnique_v6",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationInformationVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v7 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_AppendUnique_v7",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationIntegerKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v8 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_AppendUnique_v8",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationIntegerVectorKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v9 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_AppendUnique_v9",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationStringKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v10 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationObjectBaseKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationObjectBaseKey")
    res<-.Call("R_vtkInformation_AppendUnique_v10",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationObjectBaseKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AppendUnique_v11 <- function( .key=vtkInformationKeyVectorKey(), .value=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationKeyVectorKey")
    check.VTK(.value,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_AppendUnique_v11",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationKeyVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationUnsignedLongKey(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v12 <- function( .key=vtkInformationStringKey(), .value){
    check.VTK(.key,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_Set_v12",.me$obj, .key$obj, .value,PACKAGE="RVTK")
    res$.key <- vtkInformationStringKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v11 <- function( .key=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_Get_v11",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationStringKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v10 <- function( .key=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_Remove_v10",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationStringKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v9 <- function( .key=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_Has_v9",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationStringKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v13 <- function( .key=vtkInformationInformationKey(), .value=vtkInformation()){
    check.VTK(.key,"vtkInformationInformationKey")
    check.VTK(.value,"vtkInformation")
    res<-.Call("R_vtkInformation_Set_v13",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    res$.value <- vtkInformation(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v12 <- function( .key=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_Get_v12",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v11 <- function( .key=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_Remove_v11",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v10 <- function( .key=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_Has_v10",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v14 <- function( .key=vtkInformationInformationVectorKey(), .value=vtkInformationVector()){
    check.VTK(.key,"vtkInformationInformationVectorKey")
    check.VTK(.value,"vtkInformationVector")
    res<-.Call("R_vtkInformation_Set_v14",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    res$.value <- vtkInformationVector(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v13 <- function( .key=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_Get_v13",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationVector(wrapenv(res$ret.val))
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v12 <- function( .key=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_Remove_v12",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v11 <- function( .key=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_Has_v11",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v15 <- function( .key=vtkInformationObjectBaseKey(), .value=vtkObjectBase()){
    check.VTK(.key,"vtkInformationObjectBaseKey")
    check.VTK(.value,"vtkObjectBase")
    res<-.Call("R_vtkInformation_Set_v15",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationObjectBaseKey(wrapenv(res$.key))
    res$.value <- vtkObjectBase(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v14 <- function( .key=vtkInformationObjectBaseKey()){
    check.VTK(.key,"vtkInformationObjectBaseKey")
    res<-.Call("R_vtkInformation_Get_v14",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkObjectBase(wrapenv(res$ret.val))
    res$.key <- vtkInformationObjectBaseKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v13 <- function( .key=vtkInformationObjectBaseKey()){
    check.VTK(.key,"vtkInformationObjectBaseKey")
    res<-.Call("R_vtkInformation_Remove_v13",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationObjectBaseKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v12 <- function( .key=vtkInformationObjectBaseKey()){
    check.VTK(.key,"vtkInformationObjectBaseKey")
    res<-.Call("R_vtkInformation_Has_v12",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationObjectBaseKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v16 <- function( .key=vtkInformationDataObjectKey(), .value=vtkDataObject()){
    check.VTK(.key,"vtkInformationDataObjectKey")
    check.VTK(.value,"vtkDataObject")
    res<-.Call("R_vtkInformation_Set_v16",.me$obj, .key$obj, .value$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDataObjectKey(wrapenv(res$.key))
    res$.value <- vtkDataObject(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v15 <- function( .key=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_Get_v15",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.key <- vtkInformationDataObjectKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v14 <- function( .key=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_Remove_v14",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDataObjectKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v13 <- function( .key=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_Has_v13",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationDataObjectKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set_v17 <- function( .key=vtkInformationExecutivePortKey(), .executive=vtkExecutive(), .port){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    check.VTK(.executive,"vtkExecutive")
    res<-.Call("R_vtkInformation_Set_v17",.me$obj, .key$obj, .executive$obj, .port,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    res$.executive <- vtkExecutive(wrapenv(res$.executive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExecutive <- function( .key=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_GetExecutive",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExecutive(wrapenv(res$ret.val))
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPort <- function( .key=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_GetPort",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get_v16 <- function( .key=vtkInformationExecutivePortKey(), .executive=vtkExecutive(), .port=as.integer(rep.int(1,1))){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    check.VTK(.executive,"vtkExecutive")
    res<-.Call("R_vtkInformation_Get_v16",.me$obj, .key$obj, .executive$obj, .port,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    res$.executive <- vtkExecutive(wrapenv(res$.executive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v15 <- function( .key=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_Remove_v15",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v14 <- function( .key=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_Has_v14",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Append_v14 <- function( .key=vtkInformationExecutivePortVectorKey(), .executive=vtkExecutive(), .port){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    check.VTK(.executive,"vtkExecutive")
    res<-.Call("R_vtkInformation_Append_v14",.me$obj, .key$obj, .executive$obj, .port,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    res$.executive <- vtkExecutive(wrapenv(res$.executive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v16 <- function( .key=vtkInformationExecutivePortVectorKey(), .executive=vtkExecutive(), .port){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    check.VTK(.executive,"vtkExecutive")
    res<-.Call("R_vtkInformation_Remove_v16",.me$obj, .key$obj, .executive$obj, .port,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    res$.executive <- vtkExecutive(wrapenv(res$.executive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExecutives <- function( .key=vtkInformationExecutivePortVectorKey()){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    res<-.Call("R_vtkInformation_GetExecutives",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExecutive(wrapenv(res$ret.val))
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPorts <- function( .key=vtkInformationExecutivePortVectorKey()){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    res<-.Call("R_vtkInformation_GetPorts",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Length_v4 <- function( .key=vtkInformationExecutivePortVectorKey()){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    res<-.Call("R_vtkInformation_Length_v4",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Remove_v17 <- function( .key=vtkInformationExecutivePortVectorKey()){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    res<-.Call("R_vtkInformation_Remove_v17",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has_v15 <- function( .key=vtkInformationExecutivePortVectorKey()){
    check.VTK(.key,"vtkInformationExecutivePortVectorKey")
    res<-.Call("R_vtkInformation_Has_v15",.me$obj, .key$obj,PACKAGE="RVTK")
    res$.key <- vtkInformationExecutivePortVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey <- function( .key=vtkInformationDataObjectKey()){
    check.VTK(.key,"vtkInformationDataObjectKey")
    res<-.Call("R_vtkInformation_GetKey",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationDataObjectKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v1 <- function( .key=vtkInformationDoubleKey()){
    check.VTK(.key,"vtkInformationDoubleKey")
    res<-.Call("R_vtkInformation_GetKey_v1",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationDoubleKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v2 <- function( .key=vtkInformationDoubleVectorKey()){
    check.VTK(.key,"vtkInformationDoubleVectorKey")
    res<-.Call("R_vtkInformation_GetKey_v2",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationDoubleVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v3 <- function( .key=vtkInformationExecutivePortKey()){
    check.VTK(.key,"vtkInformationExecutivePortKey")
    res<-.Call("R_vtkInformation_GetKey_v3",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationExecutivePortKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v4 <- function( .key=vtkInformationInformationKey()){
    check.VTK(.key,"vtkInformationInformationKey")
    res<-.Call("R_vtkInformation_GetKey_v4",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v5 <- function( .key=vtkInformationInformationVectorKey()){
    check.VTK(.key,"vtkInformationInformationVectorKey")
    res<-.Call("R_vtkInformation_GetKey_v5",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationInformationVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v6 <- function( .key=vtkInformationIntegerKey()){
    check.VTK(.key,"vtkInformationIntegerKey")
    res<-.Call("R_vtkInformation_GetKey_v6",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationIntegerKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v7 <- function( .key=vtkInformationIntegerVectorKey()){
    check.VTK(.key,"vtkInformationIntegerVectorKey")
    res<-.Call("R_vtkInformation_GetKey_v7",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationIntegerVectorKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v8 <- function( .key=vtkInformationRequestKey()){
    check.VTK(.key,"vtkInformationRequestKey")
    res<-.Call("R_vtkInformation_GetKey_v8",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationRequestKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v9 <- function( .key=vtkInformationStringKey()){
    check.VTK(.key,"vtkInformationStringKey")
    res<-.Call("R_vtkInformation_GetKey_v9",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationStringKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v10 <- function( .key=vtkInformationKey()){
    check.VTK(.key,"vtkInformationKey")
    res<-.Call("R_vtkInformation_GetKey_v10",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKey_v11 <- function( .key=vtkInformationUnsignedLongKey()){
    check.VTK(.key,"vtkInformationUnsignedLongKey")
    res<-.Call("R_vtkInformation_GetKey_v11",.me$obj, .key$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationKey(wrapenv(res$ret.val))
    res$.key <- vtkInformationUnsignedLongKey(wrapenv(res$.key))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Register <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInformation_Register",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInformation_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRequest <- function( .request=vtkInformationRequestKey()){
    check.VTK(.request,"vtkInformationRequestKey")
    res<-.Call("R_vtkInformation_SetRequest",.me$obj, .request$obj,PACKAGE="RVTK")
    res$.request <- vtkInformationRequestKey(wrapenv(res$.request))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRequest <- function(){
    res<-.Call("R_vtkInformation_GetRequest",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationRequestKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkInformation_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkInformation",class(.me))
  return(.me)
}
}
