if (R.VTK.BASE==1){
vtkInformationObjectBaseKey <- function(.me=environment()){
  .me <- vtkInformationKey(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInformationObjectBaseKey_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInformationObjectBaseKey_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInformationObjectBaseKey_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationObjectBaseKey(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInformationObjectBaseKey_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationObjectBaseKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Set <- function( .info=vtkInformation(), .value=vtkObjectBase()){
    check.VTK(.info,"vtkInformation")
    check.VTK(.value,"vtkObjectBase")
    res<-.Call("R_vtkInformationObjectBaseKey_Set",.me$obj, .info$obj, .value$obj,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    res$.value <- vtkObjectBase(wrapenv(res$.value))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Get <- function( .info=vtkInformation()){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkInformationObjectBaseKey_Get",.me$obj, .info$obj,PACKAGE="RVTK")
    res$ret.val <- vtkObjectBase(wrapenv(res$ret.val))
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Has <- function( .info=vtkInformation()){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkInformationObjectBaseKey_Has",.me$obj, .info$obj,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .from=vtkInformation(), .to=vtkInformation()){
    check.VTK(.from,"vtkInformation")
    check.VTK(.to,"vtkInformation")
    res<-.Call("R_vtkInformationObjectBaseKey_ShallowCopy",.me$obj, .from$obj, .to$obj,PACKAGE="RVTK")
    res$.from <- vtkInformation(wrapenv(res$.from))
    res$.to <- vtkInformation(wrapenv(res$.to))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Report <- function( .info=vtkInformation(), .collector=vtkGarbageCollector()){
    check.VTK(.info,"vtkInformation")
    check.VTK(.collector,"vtkGarbageCollector")
    res<-.Call("R_vtkInformationObjectBaseKey_Report",.me$obj, .info$obj, .collector$obj,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    res$.collector <- vtkGarbageCollector(wrapenv(res$.collector))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkInformationObjectBaseKey",class(.me))
  return(.me)
}
}
