if (R.VTK.BASE==1){
vtkMarchingSquares <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMarchingSquares_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMarchingSquares_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMarchingSquares_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkMarchingSquares(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMarchingSquares_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkMarchingSquares(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageRange <- function( .data){
    res<-.Call("R_vtkMarchingSquares_SetImageRange",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageRange <- function(){
    res<-.Call("R_vtkMarchingSquares_GetImageRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageRange_v1 <- function( .data){
    res<-.Call("R_vtkMarchingSquares_GetImageRange_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageRange_v1 <- function( .imin, .imax, .jmin, .jmax, .kmin, .kmax){
    res<-.Call("R_vtkMarchingSquares_SetImageRange_v1",.me$obj, .imin, .imax, .jmin, .jmax, .kmin, .kmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .i, .value){
    res<-.Call("R_vtkMarchingSquares_SetValue",.me$obj, .i, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .i){
    res<-.Call("R_vtkMarchingSquares_GetValue",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues <- function(){
    res<-.Call("R_vtkMarchingSquares_GetValues",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues_v1 <- function( .contourValues){
    res<-.Call("R_vtkMarchingSquares_GetValues_v1",.me$obj, .contourValues,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfContours <- function( .number){
    res<-.Call("R_vtkMarchingSquares_SetNumberOfContours",.me$obj, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfContours <- function(){
    res<-.Call("R_vtkMarchingSquares_GetNumberOfContours",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues <- function( .numContours, .range){
    res<-.Call("R_vtkMarchingSquares_GenerateValues",.me$obj, .numContours, .range,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues_v1 <- function( .numContours, .rangeStart, .rangeEnd){
    res<-.Call("R_vtkMarchingSquares_GenerateValues_v1",.me$obj, .numContours, .rangeStart, .rangeEnd,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkMarchingSquares_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkMarchingSquares_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkMarchingSquares_GetLocator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkMarchingSquares_CreateDefaultLocator",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMarchingSquares_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMarchingSquares",class(.me))
  return(.me)
}
}
