if (R.VTK.BASE==1){
vtkMatrix4x4 <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMatrix4x4_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMatrix4x4_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMatrix4x4_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMatrix4x4_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .source=vtkMatrix4x4()){
    check.VTK(.source,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_DeepCopy",.me$obj, .source$obj,PACKAGE="RVTK")
    res$.source <- vtkMatrix4x4(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy_v1 <- function( .Elements, .source=vtkMatrix4x4()){
    check.VTK(.source,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_DeepCopy_v1",.me$obj, .Elements, .source$obj,PACKAGE="RVTK")
    res$.source <- vtkMatrix4x4(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy_v2 <- function( .Elements=as.double(rep.int(1,16)), .newElements){
    res<-.Call("R_vtkMatrix4x4_DeepCopy_v2",.me$obj, .Elements, .newElements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy_v3 <- function( .Elements){
    res<-.Call("R_vtkMatrix4x4_DeepCopy_v3",.me$obj, .Elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Zero <- function(){
    res<-.Call("R_vtkMatrix4x4_Zero",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Zero_v1 <- function( .Elements=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Zero_v1",.me$obj, .Elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity <- function(){
    res<-.Call("R_vtkMatrix4x4_Identity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity_v1 <- function( .Elements=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Identity_v1",.me$obj, .Elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Invert <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Invert",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Invert_v1 <- function(){
    res<-.Call("R_vtkMatrix4x4_Invert_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Invert_v2 <- function( .inElements, .outElements=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Invert_v2",.me$obj, .inElements, .outElements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Transpose <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Transpose",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Transpose_v1 <- function(){
    res<-.Call("R_vtkMatrix4x4_Transpose_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Transpose_v2 <- function( .inElements, .outElements=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Transpose_v2",.me$obj, .inElements, .outElements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint <- function( .in, .out){
    res<-.Call("R_vtkMatrix4x4_MultiplyPoint",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint_v1 <- function( .in, .out){
    res<-.Call("R_vtkMatrix4x4_MultiplyPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint_v2 <- function( .Elements, .in, .result=as.single(rep.int(1,4))){
    res<-.Call("R_vtkMatrix4x4_MultiplyPoint_v2",.me$obj, .Elements, .in, .result,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint_v3 <- function( .Elements, .in, .result=as.double(rep.int(1,4))){
    res<-.Call("R_vtkMatrix4x4_MultiplyPoint_v3",.me$obj, .Elements, .in, .result,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyPoint_v4 <- function( .in){
    res<-.Call("R_vtkMatrix4x4_MultiplyPoint_v4",.me$obj, .in,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyFloatPoint <- function( .in){
    res<-.Call("R_vtkMatrix4x4_MultiplyFloatPoint",.me$obj, .in,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MultiplyDoublePoint <- function( .in){
    res<-.Call("R_vtkMatrix4x4_MultiplyDoublePoint",.me$obj, .in,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Multiply4x4 <- function( .a=vtkMatrix4x4(), .b=vtkMatrix4x4(), .c=vtkMatrix4x4()){
    check.VTK(.a,"vtkMatrix4x4")
    check.VTK(.b,"vtkMatrix4x4")
    check.VTK(.c,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Multiply4x4",.me$obj, .a$obj, .b$obj, .c$obj,PACKAGE="RVTK")
    res$.a <- vtkMatrix4x4(wrapenv(res$.a))
    res$.b <- vtkMatrix4x4(wrapenv(res$.b))
    res$.c <- vtkMatrix4x4(wrapenv(res$.c))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Multiply4x4_v1 <- function( .a, .b, .c=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Multiply4x4_v1",.me$obj, .a, .b, .c,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Adjoint <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Adjoint",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Adjoint_v1 <- function( .inElements, .outElements=as.double(rep.int(1,16))){
    res<-.Call("R_vtkMatrix4x4_Adjoint_v1",.me$obj, .inElements, .outElements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant <- function(){
    res<-.Call("R_vtkMatrix4x4_Determinant",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant_v1 <- function( .Elements){
    res<-.Call("R_vtkMatrix4x4_Determinant_v1",.me$obj, .Elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetElement <- function( .i, .j, .value){
    res<-.Call("R_vtkMatrix4x4_SetElement",.me$obj, .i, .j, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetElement <- function( .i, .j){
    res<-.Call("R_vtkMatrix4x4_GetElement",.me$obj, .i, .j,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Adjoint_v2 <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Adjoint_v2",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant_v2 <- function( .in=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Determinant_v2",.me$obj, .in$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Determinant_v3 <- function( .in=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Determinant_v3",.me$obj, .in$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Invert_v3 <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Invert_v3",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Transpose_v3 <- function( .in=vtkMatrix4x4(), .out=vtkMatrix4x4()){
    check.VTK(.in,"vtkMatrix4x4")
    check.VTK(.out,"vtkMatrix4x4")
    res<-.Call("R_vtkMatrix4x4_Transpose_v3",.me$obj, .in$obj, .out$obj,PACKAGE="RVTK")
    res$.in <- vtkMatrix4x4(wrapenv(res$.in))
    res$.out <- vtkMatrix4x4(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointMultiply <- function( .Elements, .in, .result=as.single(rep.int(1,4))){
    res<-.Call("R_vtkMatrix4x4_PointMultiply",.me$obj, .Elements, .in, .result,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointMultiply_v1 <- function( .Elements, .in, .result=as.double(rep.int(1,4))){
    res<-.Call("R_vtkMatrix4x4_PointMultiply_v1",.me$obj, .Elements, .in, .result,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkMatrix4x4_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkMatrix4x4",class(.me))
  return(.me)
}
}
