if (R.VTK.RENDERING==1){
vtkOpenGLExtensionManager <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLExtensionManager_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLExtensionManager_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLExtensionManager_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLExtensionManager(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLExtensionManager_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLExtensionManager(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkOpenGLExtensionManager_GetRenderWindow",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderWindow <- function( .renwin=vtkRenderWindow()){
    check.VTK(.renwin,"vtkRenderWindow")
    res<-.Call("R_vtkOpenGLExtensionManager_SetRenderWindow",.me$obj, .renwin$obj,PACKAGE="RVTK")
    res$.renwin <- vtkRenderWindow(wrapenv(res$.renwin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkOpenGLExtensionManager_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtensionsString <- function(){
    res<-.Call("R_vtkOpenGLExtensionManager_GetExtensionsString",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtensionSupported <- function( .name){
    res<-.Call("R_vtkOpenGLExtensionManager_ExtensionSupported",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LoadExtension <- function( .name){
    res<-.Call("R_vtkOpenGLExtensionManager_LoadExtension",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOpenGLExtensionManager_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOpenGLExtensionManager",class(.me))
  return(.me)
}
}
