if (R.VTK.RENDERING==1){
vtkOpenGLPolyDataMapper <- function(.me=environment()){
  .me <- vtkPolyDataMapper(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLPolyDataMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLPolyDataMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLPolyDataMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLPolyDataMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLPolyDataMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLPolyDataMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderPiece <- function( .ren=vtkRenderer(), .act=vtkActor()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.act,"vtkActor")
    res<-.Call("R_vtkOpenGLPolyDataMapper_RenderPiece",.me$obj, .ren$obj, .act$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.act <- vtkActor(wrapenv(res$.act))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkOpenGLPolyDataMapper_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Draw <- function( .aren=vtkRenderer(), .act=vtkActor()){
    check.VTK(.aren,"vtkRenderer")
    check.VTK(.act,"vtkActor")
    res<-.Call("R_vtkOpenGLPolyDataMapper_Draw",.me$obj, .aren$obj, .act$obj,PACKAGE="RVTK")
    res$.aren <- vtkRenderer(wrapenv(res$.aren))
    res$.act <- vtkActor(wrapenv(res$.act))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOpenGLPolyDataMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOpenGLPolyDataMapper",class(.me))
  return(.me)
}
}
