if (R.VTK.BASE==1){
vtkParametricEllipsoid <- function(.me=environment()){
  .me <- vtkParametricFunction(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkParametricEllipsoid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkParametricEllipsoid_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkParametricEllipsoid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricEllipsoid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkParametricEllipsoid_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricEllipsoid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimension <- function(){
    res<-.Call("R_vtkParametricEllipsoid_GetDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXRadius <- function( ._arg){
    res<-.Call("R_vtkParametricEllipsoid_SetXRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXRadius <- function(){
    res<-.Call("R_vtkParametricEllipsoid_GetXRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYRadius <- function( ._arg){
    res<-.Call("R_vtkParametricEllipsoid_SetYRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYRadius <- function(){
    res<-.Call("R_vtkParametricEllipsoid_GetYRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZRadius <- function( ._arg){
    res<-.Call("R_vtkParametricEllipsoid_SetZRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZRadius <- function(){
    res<-.Call("R_vtkParametricEllipsoid_GetZRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .uvw=as.double(rep.int(1,3)), .Pt=as.double(rep.int(1,3)), .Duvw=as.double(rep.int(1,9))){
    res<-.Call("R_vtkParametricEllipsoid_Evaluate",.me$obj, .uvw, .Pt, .Duvw,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkParametricEllipsoid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkParametricEllipsoid",class(.me))
  return(.me)
}
}
