if (R.VTK.BASE==1){
vtkPerspectiveTransform <- function(.me=environment()){
  .me <- vtkHomogeneousTransform(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPerspectiveTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPerspectiveTransform_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPerspectiveTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPerspectiveTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPerspectiveTransform_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPerspectiveTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Identity <- function(){
    res<-.Call("R_vtkPerspectiveTransform_Identity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkPerspectiveTransform_Inverse",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AdjustViewport <- function( .oldXMin, .oldXMax, .oldYMin, .oldYMax, .newXMin, .newXMax, .newYMin, .newYMax){
    res<-.Call("R_vtkPerspectiveTransform_AdjustViewport",.me$obj, .oldXMin, .oldXMax, .oldYMin, .oldYMax, .newXMin, .newXMax, .newYMin, .newYMax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AdjustZBuffer <- function( .oldZMin, .oldZMax, .newZMin, .newZMax){
    res<-.Call("R_vtkPerspectiveTransform_AdjustZBuffer",.me$obj, .oldZMin, .oldZMax, .newZMin, .newZMax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Ortho <- function( .xmin, .xmax, .ymin, .ymax, .znear, .zfar){
    res<-.Call("R_vtkPerspectiveTransform_Ortho",.me$obj, .xmin, .xmax, .ymin, .ymax, .znear, .zfar,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Frustum <- function( .xmin, .xmax, .ymin, .ymax, .znear, .zfar){
    res<-.Call("R_vtkPerspectiveTransform_Frustum",.me$obj, .xmin, .xmax, .ymin, .ymax, .znear, .zfar,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Perspective <- function( .angle, .aspect, .znear, .zfar){
    res<-.Call("R_vtkPerspectiveTransform_Perspective",.me$obj, .angle, .aspect, .znear, .zfar,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Shear <- function( .dxdz, .dydz, .zplane){
    res<-.Call("R_vtkPerspectiveTransform_Shear",.me$obj, .dxdz, .dydz, .zplane,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Stereo <- function( .angle, .focaldistance){
    res<-.Call("R_vtkPerspectiveTransform_Stereo",.me$obj, .angle, .focaldistance,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetupCamera <- function( .position, .focalPoint, .viewUp){
    res<-.Call("R_vtkPerspectiveTransform_SetupCamera",.me$obj, .position, .focalPoint, .viewUp,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetupCamera_v1 <- function( .p0, .p1, .p2, .fp0, .fp1, .fp2, .vup0, .vup1, .vup2){
    res<-.Call("R_vtkPerspectiveTransform_SetupCamera_v1",.me$obj, .p0, .p1, .p2, .fp0, .fp1, .fp2, .vup0, .vup1, .vup2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate <- function( .x, .y, .z){
    res<-.Call("R_vtkPerspectiveTransform_Translate",.me$obj, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v1 <- function( .x){
    res<-.Call("R_vtkPerspectiveTransform_Translate_v1",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Translate_v2 <- function( .x){
    res<-.Call("R_vtkPerspectiveTransform_Translate_v2",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ <- function( .angle, .x, .y, .z){
    res<-.Call("R_vtkPerspectiveTransform_RotateWXYZ",.me$obj, .angle, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v1 <- function( .angle, .axis){
    res<-.Call("R_vtkPerspectiveTransform_RotateWXYZ_v1",.me$obj, .angle, .axis,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ_v2 <- function( .angle, .axis){
    res<-.Call("R_vtkPerspectiveTransform_RotateWXYZ_v2",.me$obj, .angle, .axis,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateX <- function( .angle){
    res<-.Call("R_vtkPerspectiveTransform_RotateX",.me$obj, .angle,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateY <- function( .angle){
    res<-.Call("R_vtkPerspectiveTransform_RotateY",.me$obj, .angle,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateZ <- function( .angle){
    res<-.Call("R_vtkPerspectiveTransform_RotateZ",.me$obj, .angle,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale <- function( .x, .y, .z){
    res<-.Call("R_vtkPerspectiveTransform_Scale",.me$obj, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v1 <- function( .s){
    res<-.Call("R_vtkPerspectiveTransform_Scale_v1",.me$obj, .s,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Scale_v2 <- function( .s){
    res<-.Call("R_vtkPerspectiveTransform_Scale_v2",.me$obj, .s,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkPerspectiveTransform_SetMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMatrix_v1 <- function( .elements){
    res<-.Call("R_vtkPerspectiveTransform_SetMatrix_v1",.me$obj, .elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkPerspectiveTransform_Concatenate",.me$obj, .matrix$obj,PACKAGE="RVTK")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v1 <- function( .elements){
    res<-.Call("R_vtkPerspectiveTransform_Concatenate_v1",.me$obj, .elements,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Concatenate_v2 <- function( .transform=vtkHomogeneousTransform()){
    check.VTK(.transform,"vtkHomogeneousTransform")
    res<-.Call("R_vtkPerspectiveTransform_Concatenate_v2",.me$obj, .transform$obj,PACKAGE="RVTK")
    res$.transform <- vtkHomogeneousTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreMultiply <- function(){
    res<-.Call("R_vtkPerspectiveTransform_PreMultiply",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PostMultiply <- function(){
    res<-.Call("R_vtkPerspectiveTransform_PostMultiply",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfConcatenatedTransforms <- function(){
    res<-.Call("R_vtkPerspectiveTransform_GetNumberOfConcatenatedTransforms",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConcatenatedTransform <- function( .i){
    res<-.Call("R_vtkPerspectiveTransform_GetConcatenatedTransform",.me$obj, .i,PACKAGE="RVTK")
    res$ret.val <- vtkHomogeneousTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkHomogeneousTransform()){
    check.VTK(.input,"vtkHomogeneousTransform")
    res<-.Call("R_vtkPerspectiveTransform_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkHomogeneousTransform(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkPerspectiveTransform_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHomogeneousTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseFlag <- function(){
    res<-.Call("R_vtkPerspectiveTransform_GetInverseFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function(){
    res<-.Call("R_vtkPerspectiveTransform_Push",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pop <- function(){
    res<-.Call("R_vtkPerspectiveTransform_Pop",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkPerspectiveTransform_MakeTransform",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CircuitCheck <- function( .transform=vtkAbstractTransform()){
    check.VTK(.transform,"vtkAbstractTransform")
    res<-.Call("R_vtkPerspectiveTransform_CircuitCheck",.me$obj, .transform$obj,PACKAGE="RVTK")
    res$.transform <- vtkAbstractTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkPerspectiveTransform_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPerspectiveTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPerspectiveTransform",class(.me))
  return(.me)
}
}
