if (R.VTK.RENDERING==1){
vtkPicker <- function(.me=environment()){
  .me <- vtkAbstractPropPicker(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPicker_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPicker_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPicker_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPicker(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPicker_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPicker(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTolerance <- function( ._arg){
    res<-.Call("R_vtkPicker_SetTolerance",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTolerance <- function(){
    res<-.Call("R_vtkPicker_GetTolerance",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapperPosition <- function(){
    res<-.Call("R_vtkPicker_GetMapperPosition",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapperPosition_v1 <- function( .data){
    res<-.Call("R_vtkPicker_GetMapperPosition_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapper <- function(){
    res<-.Call("R_vtkPicker_GetMapper",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractMapper3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkPicker_GetDataSet",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProp3Ds <- function(){
    res<-.Call("R_vtkPicker_GetProp3Ds",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkProp3DCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActors <- function(){
    res<-.Call("R_vtkPicker_GetActors",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkActorCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickedPositions <- function(){
    res<-.Call("R_vtkPicker_GetPickedPositions",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pick <- function( .selectionX, .selectionY, .selectionZ, .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkPicker_Pick",.me$obj, .selectionX, .selectionY, .selectionZ, .renderer$obj,PACKAGE="RVTK")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pick_v1 <- function( .selectionPt=as.double(rep.int(1,1)), .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkPicker_Pick_v1",.me$obj, .selectionPt, .ren$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPicker_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPicker",class(.me))
  return(.me)
}
}
