if (R.VTK.BASE==1){
vtkPlanes <- function(.me=environment()){
  .me <- vtkImplicitFunction(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPlanes_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPlanes_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPlanes_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPlanes(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPlanes_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPlanes(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlanes_EvaluateFunction",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlanes_EvaluateFunction_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateGradient <- function( .x=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlanes_EvaluateGradient",.me$obj, .x, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoints <- function( ._arg=vtkPoints()){
    check.VTK(._arg,"vtkPoints")
    res<-.Call("R_vtkPlanes_SetPoints",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkPoints(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoints <- function(){
    res<-.Call("R_vtkPlanes_GetPoints",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormals <- function( .normals=vtkDataArray()){
    check.VTK(.normals,"vtkDataArray")
    res<-.Call("R_vtkPlanes_SetNormals",.me$obj, .normals$obj,PACKAGE="RVTK")
    res$.normals <- vtkDataArray(wrapenv(res$.normals))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormals <- function(){
    res<-.Call("R_vtkPlanes_GetNormals",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFrustumPlanes <- function( .planes=as.double(rep.int(1,24))){
    res<-.Call("R_vtkPlanes_SetFrustumPlanes",.me$obj, .planes,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkPlanes_SetBounds",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds_v1 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkPlanes_SetBounds_v1",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPlanes <- function(){
    res<-.Call("R_vtkPlanes_GetNumberOfPlanes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlane <- function( .i){
    res<-.Call("R_vtkPlanes_GetPlane",.me$obj, .i,PACKAGE="RVTK")
    res$ret.val <- vtkPlane(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlane_v1 <- function( .i, .plane=vtkPlane()){
    check.VTK(.plane,"vtkPlane")
    res<-.Call("R_vtkPlanes_GetPlane_v1",.me$obj, .i, .plane$obj,PACKAGE="RVTK")
    res$.plane <- vtkPlane(wrapenv(res$.plane))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPlanes_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPlanes",class(.me))
  return(.me)
}
}
