if (R.VTK.BASE==1){
vtkPointSet <- function(.me=environment()){
  .me <- vtkDataSet(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPointSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPointSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPointSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPointSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkPointSet_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .ds=vtkDataSet()){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkPointSet_CopyStructure",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkPointSet_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint <- function( .ptId){
    res<-.Call("R_vtkPointSet_GetPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint_v1 <- function( .ptId, .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPointSet_GetPoint_v1",.me$obj, .ptId, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPoint <- function( .x){
    res<-.Call("R_vtkPointSet_FindPoint",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPoint_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPointSet_FindPoint_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindCell <- function( .x, .cell=vtkCell(), .cellId, .tol2, .subId=as.integer(rep.int(1,1)), .pcoords, .weights){
    check.VTK(.cell,"vtkCell")
    res<-.Call("R_vtkPointSet_FindCell",.me$obj, .x, .cell$obj, .cellId, .tol2, .subId, .pcoords, .weights,PACKAGE="RVTK")
    res$.cell <- vtkCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindCell_v1 <- function( .x, .cell=vtkCell(), .gencell=vtkGenericCell(), .cellId, .tol2, .subId=as.integer(rep.int(1,1)), .pcoords, .weights){
    check.VTK(.cell,"vtkCell")
    check.VTK(.gencell,"vtkGenericCell")
    res<-.Call("R_vtkPointSet_FindCell_v1",.me$obj, .x, .cell$obj, .gencell$obj, .cellId, .tol2, .subId, .pcoords, .weights,PACKAGE="RVTK")
    res$.cell <- vtkCell(wrapenv(res$.cell))
    res$.gencell <- vtkGenericCell(wrapenv(res$.gencell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkPointSet_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeBounds <- function(){
    res<-.Call("R_vtkPointSet_ComputeBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Squeeze <- function(){
    res<-.Call("R_vtkPointSet_Squeeze",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoints <- function( ._arg=vtkPoints()){
    check.VTK(._arg,"vtkPoints")
    res<-.Call("R_vtkPointSet_SetPoints",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkPoints(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoints <- function(){
    res<-.Call("R_vtkPointSet_GetPoints",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkPointSet_GetActualMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkPointSet_ShallowCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkPointSet_DeepCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkPointSet",class(.me))
  return(.me)
}
}
