if (R.VTK.BASE==1){
vtkPointSetAlgorithm <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPointSetAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPointSetAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPointSetAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointSetAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointSetAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .port){
    res<-.Call("R_vtkPointSetAlgorithm_GetOutput_v1",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataOutput <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_GetPolyDataOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridOutput <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_GetStructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridOutput <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_GetUnstructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkPointSetAlgorithm_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkPointSetAlgorithm_SetInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v2 <- function( .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkPointSetAlgorithm_SetInput_v2",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v3 <- function( .index, .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkPointSetAlgorithm_SetInput_v3",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkPointSetAlgorithm_AddInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v1 <- function( .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkPointSetAlgorithm_AddInput_v1",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v2 <- function( .index, .input=vtkPointSet()){
    check.VTK(.input,"vtkPointSet")
    res<-.Call("R_vtkPointSetAlgorithm_AddInput_v2",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPointSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v3 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkPointSetAlgorithm_AddInput_v3",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkPointSetAlgorithm_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPointSetAlgorithm_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPointSetAlgorithm",class(.me))
  return(.me)
}
}
