if (R.VTK.BASE==1){
vtkPolyDataCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataCollection_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataCollection_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkPolyDataCollection_AddItem",.me$obj, .pd$obj,PACKAGE="RVTK")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkPolyDataCollection_GetNextItem",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextPolyData <- function( .cookie){
    res<-.Call("R_vtkPolyDataCollection_GetNextPolyData",.me$obj, .cookie,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyDataCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyDataCollection",class(.me))
  return(.me)
}
}
