if (R.VTK.WIDGETS==1){
vtkPolyDataSourceWidget <- function(.me=environment()){
  .me <- vtk3DWidget(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataSourceWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataSourceWidget_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataSourceWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataSourceWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataSourceWidget_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataSourceWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function(){
    res<-.Call("R_vtkPolyDataSourceWidget_PlaceWidget",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkPolyDataSourceWidget_PlaceWidget_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkPolyDataSourceWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataSource <- function(){
    res<-.Call("R_vtkPolyDataSourceWidget_GetPolyDataSource",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataAlgorithm <- function(){
    res<-.Call("R_vtkPolyDataSourceWidget_GetPolyDataAlgorithm",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyDataAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdatePlacement <- function(){
    res<-.Call("R_vtkPolyDataSourceWidget_UpdatePlacement",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkPolyDataSourceWidget",class(.me))
  return(.me)
}
}
