if (R.VTK.BASE==1){
vtkPolyVertex <- function(.me=environment()){
  .me <- vtkCell(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyVertex_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyVertex_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyVertex_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyVertex(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyVertex_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyVertex(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkPolyVertex_GetCellType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDimension <- function(){
    res<-.Call("R_vtkPolyVertex_GetCellDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkPolyVertex_GetNumberOfEdges",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkPolyVertex_GetNumberOfFaces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellBoundary <- function( .subId, .pcoords=as.double(rep.int(1,3)), .pts=vtkIdList()){
    check.VTK(.pts,"vtkIdList")
    res<-.Call("R_vtkPolyVertex_CellBoundary",.me$obj, .subId, .pcoords, .pts$obj,PACKAGE="RVTK")
    res$.pts <- vtkIdList(wrapenv(res$.pts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkPolyVertex_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .verts$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj, .insideOut,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint, .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .minDist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkPolyVertex_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .minDist2, .weights,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkPolyVertex_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPrimaryCell <- function(){
    res<-.Call("R_vtkPolyVertex_IsPrimaryCell",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPolyVertex_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyVertex_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyVertex",class(.me))
  return(.me)
}
}
