if (R.VTK.BASE==1){
vtkPriorityQueue <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPriorityQueue_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPriorityQueue_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPriorityQueue_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPriorityQueue(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPriorityQueue_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPriorityQueue(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Allocate <- function( .sz, .ext){
    res<-.Call("R_vtkPriorityQueue_Allocate",.me$obj, .sz, .ext,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Insert <- function( .priority, .id){
    res<-.Call("R_vtkPriorityQueue_Insert",.me$obj, .priority, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pop <- function( .location, .priority=as.double(rep.int(1,1))){
    res<-.Call("R_vtkPriorityQueue_Pop",.me$obj, .location, .priority,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pop_v1 <- function( .location){
    res<-.Call("R_vtkPriorityQueue_Pop_v1",.me$obj, .location,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Peek <- function( .location, .priority=as.double(rep.int(1,1))){
    res<-.Call("R_vtkPriorityQueue_Peek",.me$obj, .location, .priority,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Peek_v1 <- function( .location){
    res<-.Call("R_vtkPriorityQueue_Peek_v1",.me$obj, .location,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeleteId <- function( .id){
    res<-.Call("R_vtkPriorityQueue_DeleteId",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPriority <- function( .id){
    res<-.Call("R_vtkPriorityQueue_GetPriority",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfItems <- function(){
    res<-.Call("R_vtkPriorityQueue_GetNumberOfItems",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkPriorityQueue_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPriorityQueue_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPriorityQueue",class(.me))
  return(.me)
}
}
