if (R.VTK.RENDERING==1){
vtkPropPicker <- function(.me=environment()){
  .me <- vtkAbstractPropPicker(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPropPicker_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPropPicker_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPropPicker_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPropPicker(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPropPicker_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPropPicker(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickProp <- function( .selectionX, .selectionY, .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkPropPicker_PickProp",.me$obj, .selectionX, .selectionY, .renderer$obj,PACKAGE="RVTK")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickProp_v1 <- function( .selectionX, .selectionY, .renderer=vtkRenderer(), .pickfrom=vtkPropCollection()){
    check.VTK(.renderer,"vtkRenderer")
    check.VTK(.pickfrom,"vtkPropCollection")
    res<-.Call("R_vtkPropPicker_PickProp_v1",.me$obj, .selectionX, .selectionY, .renderer$obj, .pickfrom$obj,PACKAGE="RVTK")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    res$.pickfrom <- vtkPropCollection(wrapenv(res$.pickfrom))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pick <- function( .selectionPt, .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkPropPicker_Pick",.me$obj, .selectionPt, .renderer$obj,PACKAGE="RVTK")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPropPicker_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPropPicker",class(.me))
  return(.me)
}
}
