if (R.VTK.BASE==1){
vtkScalarsToColors <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkScalarsToColors_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkScalarsToColors_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkScalarsToColors_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkScalarsToColors_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Build <- function(){
    res<-.Call("R_vtkScalarsToColors_Build",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRange <- function(){
    res<-.Call("R_vtkScalarsToColors_GetRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange <- function( .min, .max){
    res<-.Call("R_vtkScalarsToColors_SetRange",.me$obj, .min, .max,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRange_v1 <- function( .rng){
    res<-.Call("R_vtkScalarsToColors_SetRange_v1",.me$obj, .rng,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapValue <- function( .v){
    res<-.Call("R_vtkScalarsToColors_MapValue",.me$obj, .v,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor <- function( .v, .rgb=as.double(rep.int(1,3))){
    res<-.Call("R_vtkScalarsToColors_GetColor",.me$obj, .v, .rgb,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v1 <- function( .v){
    res<-.Call("R_vtkScalarsToColors_GetColor_v1",.me$obj, .v,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLuminance <- function( .x){
    res<-.Call("R_vtkScalarsToColors_GetLuminance",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlpha <- function( .alpha){
    res<-.Call("R_vtkScalarsToColors_SetAlpha",.me$obj, .alpha,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlpha <- function(){
    res<-.Call("R_vtkScalarsToColors_GetAlpha",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalars <- function( .scalars=vtkDataArray(), .colorMode, .comp){
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkScalarsToColors_MapScalars",.me$obj, .scalars$obj, .colorMode, .comp,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorMode <- function( ._arg){
    res<-.Call("R_vtkScalarsToColors_SetVectorMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorMode <- function(){
    res<-.Call("R_vtkScalarsToColors_GetVectorMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToMagnitude <- function(){
    res<-.Call("R_vtkScalarsToColors_SetVectorModeToMagnitude",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorModeToComponent <- function(){
    res<-.Call("R_vtkScalarsToColors_SetVectorModeToComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorComponent <- function( ._arg){
    res<-.Call("R_vtkScalarsToColors_SetVectorComponent",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorComponent <- function(){
    res<-.Call("R_vtkScalarsToColors_GetVectorComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalarsThroughTable <- function( .scalars=vtkDataArray(), .output, .outputFormat){
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkScalarsToColors_MapScalarsThroughTable",.me$obj, .scalars$obj, .output, .outputFormat,PACKAGE="RVTK")
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalarsThroughTable_v1 <- function( .scalars=vtkDataArray(), .output){
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkScalarsToColors_MapScalarsThroughTable_v1",.me$obj, .scalars$obj, .output,PACKAGE="RVTK")
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalarsThroughTable2 <- function( .input, .output, .inputDataType, .numberOfValues, .inputIncrement, .outputFormat){
    res<-.Call("R_vtkScalarsToColors_MapScalarsThroughTable2",.me$obj, .input, .output, .inputDataType, .numberOfValues, .inputIncrement, .outputFormat,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertUnsignedCharToRGBA <- function( .colors=vtkUnsignedCharArray(), .numComp, .numTuples){
    check.VTK(.colors,"vtkUnsignedCharArray")
    res<-.Call("R_vtkScalarsToColors_ConvertUnsignedCharToRGBA",.me$obj, .colors$obj, .numComp, .numTuples,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    res$.colors <- vtkUnsignedCharArray(wrapenv(res$.colors))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkScalarsToColors",class(.me))
  return(.me)
}
}
