if (R.VTK.BASE==1){
vtkShepardMethod <- function(.me=environment()){
  .me <- vtkImageAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkShepardMethod_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkShepardMethod_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkShepardMethod_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkShepardMethod(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkShepardMethod_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkShepardMethod(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeModelBounds <- function( .origin=as.double(rep.int(1,3)), .spacing=as.double(rep.int(1,3))){
    res<-.Call("R_vtkShepardMethod_ComputeModelBounds",.me$obj, .origin, .spacing,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions <- function(){
    res<-.Call("R_vtkShepardMethod_GetSampleDimensions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDimensions_v1 <- function( .data){
    res<-.Call("R_vtkShepardMethod_GetSampleDimensions_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions <- function( .i, .j, .k){
    res<-.Call("R_vtkShepardMethod_SetSampleDimensions",.me$obj, .i, .j, .k,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDimensions_v1 <- function( .dim=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkShepardMethod_SetSampleDimensions_v1",.me$obj, .dim,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumDistance <- function( ._arg){
    res<-.Call("R_vtkShepardMethod_SetMaximumDistance",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistanceMinValue <- function(){
    res<-.Call("R_vtkShepardMethod_GetMaximumDistanceMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistanceMaxValue <- function(){
    res<-.Call("R_vtkShepardMethod_GetMaximumDistanceMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumDistance <- function(){
    res<-.Call("R_vtkShepardMethod_GetMaximumDistance",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkShepardMethod_SetModelBounds",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModelBounds_v1 <- function( ._arg){
    res<-.Call("R_vtkShepardMethod_SetModelBounds_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds <- function(){
    res<-.Call("R_vtkShepardMethod_GetModelBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModelBounds_v1 <- function( .data){
    res<-.Call("R_vtkShepardMethod_GetModelBounds_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNullValue <- function( ._arg){
    res<-.Call("R_vtkShepardMethod_SetNullValue",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNullValue <- function(){
    res<-.Call("R_vtkShepardMethod_GetNullValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkShepardMethod_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkShepardMethod",class(.me))
  return(.me)
}
}
