if (R.VTK.BASE==1){
vtkSource <- function(.me=environment()){
  .me <- vtkProcessObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSource_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSource_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkSource_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateWholeExtent <- function(){
    res<-.Call("R_vtkSource_UpdateWholeExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateInformation <- function(){
    res<-.Call("R_vtkSource_UpdateInformation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PropagateUpdateExtent <- function( .output=vtkDataObject()){
    check.VTK(.output,"vtkDataObject")
    res<-.Call("R_vtkSource_PropagateUpdateExtent",.me$obj, .output$obj,PACKAGE="RVTK")
    res$.output <- vtkDataObject(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriggerAsynchronousUpdate <- function(){
    res<-.Call("R_vtkSource_TriggerAsynchronousUpdate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateData <- function( .output=vtkDataObject()){
    check.VTK(.output,"vtkDataObject")
    res<-.Call("R_vtkSource_UpdateData",.me$obj, .output$obj,PACKAGE="RVTK")
    res$.output <- vtkDataObject(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReleaseDataFlag <- function( .i){
    res<-.Call("R_vtkSource_SetReleaseDataFlag",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReleaseDataFlag <- function(){
    res<-.Call("R_vtkSource_GetReleaseDataFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkSource_ReleaseDataFlagOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkSource_ReleaseDataFlagOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputs <- function(){
    res<-.Call("R_vtkSource_GetOutputs",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfOutputs <- function(){
    res<-.Call("R_vtkSource_GetNumberOfOutputs",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegisterAllOutputs <- function(){
    res<-.Call("R_vtkSource_UnRegisterAllOutputs",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputIndex <- function( .out=vtkDataObject()){
    check.VTK(.out,"vtkDataObject")
    res<-.Call("R_vtkSource_GetOutputIndex",.me$obj, .out$obj,PACKAGE="RVTK")
    res$.out <- vtkDataObject(wrapenv(res$.out))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExecutive <- function( .executive=vtkExecutive()){
    check.VTK(.executive,"vtkExecutive")
    res<-.Call("R_vtkSource_SetExecutive",.me$obj, .executive$obj,PACKAGE="RVTK")
    res$.executive <- vtkExecutive(wrapenv(res$.executive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkSource",class(.me))
  return(.me)
}
}
