if (R.VTK.BASE==1){
vtkSphere <- function(.me=environment()){
  .me <- vtkImplicitFunction(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSphere_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSphere_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSphere_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSphere(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSphere_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSphere(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkSphere_EvaluateFunction",.me$obj, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateFunction_v1 <- function( .x, .y, .z){
    res<-.Call("R_vtkSphere_EvaluateFunction_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateGradient <- function( .x=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkSphere_EvaluateGradient",.me$obj, .x, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadius <- function( ._arg){
    res<-.Call("R_vtkSphere_SetRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadius <- function(){
    res<-.Call("R_vtkSphere_GetRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkSphere_SetCenter",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( ._arg){
    res<-.Call("R_vtkSphere_SetCenter_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkSphere_GetCenter",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .data){
    res<-.Call("R_vtkSphere_GetCenter_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSphere_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSphere",class(.me))
  return(.me)
}
}
