if (R.VTK.BASE==1){
vtkThreadedImageAlgorithm <- function(.me=environment()){
  .me <- vtkImageAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkThreadedImageAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkThreadedImageAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkThreadedImageAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkThreadedImageAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkThreadedImageAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkThreadedImageAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfThreads <- function( ._arg){
    res<-.Call("R_vtkThreadedImageAlgorithm_SetNumberOfThreads",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMinValue <- function(){
    res<-.Call("R_vtkThreadedImageAlgorithm_GetNumberOfThreadsMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMaxValue <- function(){
    res<-.Call("R_vtkThreadedImageAlgorithm_GetNumberOfThreadsMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreads <- function(){
    res<-.Call("R_vtkThreadedImageAlgorithm_GetNumberOfThreads",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SplitExtent <- function( .splitExt=as.integer(rep.int(1,6)), .startExt=as.integer(rep.int(1,6)), .num, .total){
    res<-.Call("R_vtkThreadedImageAlgorithm_SplitExtent",.me$obj, .splitExt, .startExt, .num, .total,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkThreadedImageAlgorithm",class(.me))
  return(.me)
}
}
