if (R.VTK.BASE==1){
vtkTriangle <- function(.me=environment()){
  .me <- vtkCell(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTriangle_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTriangle_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTriangle_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTriangle(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTriangle_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTriangle(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdge <- function( .edgeId){
    res<-.Call("R_vtkTriangle_GetEdge",.me$obj, .edgeId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function(){
    res<-.Call("R_vtkTriangle_GetCellType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDimension <- function(){
    res<-.Call("R_vtkTriangle_GetCellDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEdges <- function(){
    res<-.Call("R_vtkTriangle_GetNumberOfEdges",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFaces <- function(){
    res<-.Call("R_vtkTriangle_GetNumberOfFaces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluatePosition <- function( .x=as.double(rep.int(1,3)), .closestPoint, .subId=as.integer(rep.int(1,1)), .pcoords=as.double(rep.int(1,3)), .dist2=as.double(rep.int(1,1)), .weights){
    res<-.Call("R_vtkTriangle_EvaluatePosition",.me$obj, .x, .closestPoint, .subId, .pcoords, .dist2, .weights,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCoords <- function(){
    res<-.Call("R_vtkTriangle_GetParametricCoords",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clip <- function( .value, .cellScalars=vtkDataArray(), .locator=vtkPointLocator(), .tris=vtkCellArray(), .inPd=vtkPointData(), .outPd=vtkPointData(), .inCd=vtkCellData(), .cellId, .outCd=vtkCellData(), .insideOut){
    check.VTK(.cellScalars,"vtkDataArray")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tris,"vtkCellArray")
    check.VTK(.inPd,"vtkPointData")
    check.VTK(.outPd,"vtkPointData")
    check.VTK(.inCd,"vtkCellData")
    check.VTK(.outCd,"vtkCellData")
    res<-.Call("R_vtkTriangle_Clip",.me$obj, .value, .cellScalars$obj, .locator$obj, .tris$obj, .inPd$obj, .outPd$obj, .inCd$obj, .cellId, .outCd$obj, .insideOut,PACKAGE="RVTK")
    res$.cellScalars <- vtkDataArray(wrapenv(res$.cellScalars))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tris <- vtkCellArray(wrapenv(res$.tris))
    res$.inPd <- vtkPointData(wrapenv(res$.inPd))
    res$.outPd <- vtkPointData(wrapenv(res$.outPd))
    res$.inCd <- vtkCellData(wrapenv(res$.inCd))
    res$.outCd <- vtkCellData(wrapenv(res$.outCd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationFunctions <- function( .pcoords=as.double(rep.int(1,3)), .sf=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_InterpolationFunctions",.me$obj, .pcoords, .sf,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolationDerivs <- function( .pcoords=as.double(rep.int(1,3)), .derivs=as.double(rep.int(1,6))){
    res<-.Call("R_vtkTriangle_InterpolationDerivs",.me$obj, .pcoords, .derivs,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectWithLine <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .tol, .t=as.double(rep.int(1,1)), .x=as.double(rep.int(1,3)), .pcoords=as.double(rep.int(1,3)), .subId=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkTriangle_IntersectWithLine",.me$obj, .p1, .p2, .tol, .t, .x, .pcoords, .subId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricCenter <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_GetParametricCenter",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricDistance <- function( .pcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_GetParametricDistance",.me$obj, .pcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriangleCenter <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3)), .center=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_TriangleCenter",.me$obj, .p1, .p2, .p3, .center,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriangleArea <- function( .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_TriangleArea",.me$obj, .p1, .p2, .p3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Circumcircle <- function( .x1=as.double(rep.int(1,2)), .x2=as.double(rep.int(1,2)), .x3=as.double(rep.int(1,2)), .center=as.double(rep.int(1,2))){
    res<-.Call("R_vtkTriangle_Circumcircle",.me$obj, .x1, .x2, .x3, .center,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BarycentricCoords <- function( .x=as.double(rep.int(1,2)), .x1=as.double(rep.int(1,2)), .x2=as.double(rep.int(1,2)), .x3=as.double(rep.int(1,2)), .bcoords=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_BarycentricCoords",.me$obj, .x, .x1, .x2, .x3, .bcoords,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ProjectTo2D <- function( .x1=as.double(rep.int(1,3)), .x2=as.double(rep.int(1,3)), .x3=as.double(rep.int(1,3)), .v1=as.double(rep.int(1,2)), .v2=as.double(rep.int(1,2)), .v3=as.double(rep.int(1,2))){
    res<-.Call("R_vtkTriangle_ProjectTo2D",.me$obj, .x1, .x2, .x3, .v1, .v2, .v3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormal <- function( .v1=as.double(rep.int(1,3)), .v2=as.double(rep.int(1,3)), .v3=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_ComputeNormal",.me$obj, .v1, .v2, .v3, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNormalDirection <- function( .v1=as.double(rep.int(1,3)), .v2=as.double(rep.int(1,3)), .v3=as.double(rep.int(1,3)), .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkTriangle_ComputeNormalDirection",.me$obj, .v1, .v2, .v3, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointInTriangle <- function( .x=as.double(rep.int(1,3)), .p1=as.double(rep.int(1,3)), .p2=as.double(rep.int(1,3)), .p3=as.double(rep.int(1,3)), .tol2){
    res<-.Call("R_vtkTriangle_PointInTriangle",.me$obj, .x, .p1, .p2, .p3, .tol2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeQuadric <- function( .x1=as.double(rep.int(1,3)), .x2=as.double(rep.int(1,3)), .x3=as.double(rep.int(1,3)), .quadric=vtkQuadric()){
    check.VTK(.quadric,"vtkQuadric")
    res<-.Call("R_vtkTriangle_ComputeQuadric",.me$obj, .x1, .x2, .x3, .quadric$obj,PACKAGE="RVTK")
    res$.quadric <- vtkQuadric(wrapenv(res$.quadric))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTriangle_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTriangle",class(.me))
  return(.me)
}
}
