if (R.VTK.RENDERING==1){
vtkUnstructuredGridVolumeMapper <- function(.me=environment()){
  .me <- vtkAbstractVolumeMapper(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridVolumeMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridVolumeMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkUnstructuredGrid()){
    check.VTK(.input,"vtkUnstructuredGrid")
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkUnstructuredGrid(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .genericInput=vtkDataSet()){
    check.VTK(.genericInput,"vtkDataSet")
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SetInput_v1",.me$obj, .genericInput$obj,PACKAGE="RVTK")
    res$.genericInput <- vtkDataSet(wrapenv(res$.genericInput))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendMode <- function( ._arg){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SetBlendMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToComposite <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SetBlendModeToComposite",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToMaximumIntensity <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_SetBlendModeToMaximumIntensity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendMode <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_GetBlendMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .vol=vtkVolume()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkUnstructuredGridVolumeMapper_Render",.me$obj, .ren$obj, .vol$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkUnstructuredGridVolumeMapper",class(.me))
  return(.me)
}
}
