if (R.VTK.RENDERING==1){
vtkVolumeMapper <- function(.me=environment()){
  .me <- vtkAbstractVolumeMapper(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkVolumeMapper_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .genericInput=vtkDataSet()){
    check.VTK(.genericInput,"vtkDataSet")
    res<-.Call("R_vtkVolumeMapper_SetInput_v1",.me$obj, .genericInput$obj,PACKAGE="RVTK")
    res$.genericInput <- vtkDataSet(wrapenv(res$.genericInput))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkVolumeMapper_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendMode <- function( ._arg){
    res<-.Call("R_vtkVolumeMapper_SetBlendMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToComposite <- function(){
    res<-.Call("R_vtkVolumeMapper_SetBlendModeToComposite",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlendModeToMaximumIntensity <- function(){
    res<-.Call("R_vtkVolumeMapper_SetBlendModeToMaximumIntensity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlendMode <- function(){
    res<-.Call("R_vtkVolumeMapper_GetBlendMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCropping <- function( ._arg){
    res<-.Call("R_vtkVolumeMapper_SetCropping",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingMinValue <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingMaxValue <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCropping <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCropping",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CroppingOn <- function(){
    res<-.Call("R_vtkVolumeMapper_CroppingOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CroppingOff <- function(){
    res<-.Call("R_vtkVolumeMapper_CroppingOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionPlanes <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionPlanes",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionPlanes_v1 <- function( ._arg){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionPlanes_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingRegionPlanes <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingRegionPlanes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingRegionPlanes_v1 <- function( .data){
    res<-.Call("R_vtkVolumeMapper_GetCroppingRegionPlanes_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVoxelCroppingRegionPlanes <- function(){
    res<-.Call("R_vtkVolumeMapper_GetVoxelCroppingRegionPlanes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVoxelCroppingRegionPlanes_v1 <- function( .data){
    res<-.Call("R_vtkVolumeMapper_GetVoxelCroppingRegionPlanes_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlags <- function( ._arg){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlags",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingRegionFlagsMinValue <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingRegionFlagsMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingRegionFlagsMaxValue <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingRegionFlagsMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCroppingRegionFlags <- function(){
    res<-.Call("R_vtkVolumeMapper_GetCroppingRegionFlags",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlagsToSubVolume <- function(){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlagsToSubVolume",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlagsToFence <- function(){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlagsToFence",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlagsToInvertedFence <- function(){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlagsToInvertedFence",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlagsToCross <- function(){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlagsToCross",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCroppingRegionFlagsToInvertedCross <- function(){
    res<-.Call("R_vtkVolumeMapper_SetCroppingRegionFlagsToInvertedCross",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .vol=vtkVolume()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkVolumeMapper_Render",.me$obj, .ren$obj, .vol$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkVolumeMapper",class(.me))
  return(.me)
}
}
