if (R.VTK.BASE==1){
vtkVolumeReader <- function(.me=environment()){
  .me <- vtkImageAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFilePrefix <- function( ._arg){
    res<-.Call("R_vtkVolumeReader_SetFilePrefix",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilePrefix <- function(){
    res<-.Call("R_vtkVolumeReader_GetFilePrefix",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFilePattern <- function( ._arg){
    res<-.Call("R_vtkVolumeReader_SetFilePattern",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilePattern <- function(){
    res<-.Call("R_vtkVolumeReader_GetFilePattern",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkVolumeReader_SetImageRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageRange_v1 <- function( ._arg){
    res<-.Call("R_vtkVolumeReader_SetImageRange_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageRange <- function(){
    res<-.Call("R_vtkVolumeReader_GetImageRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageRange_v1 <- function( .data){
    res<-.Call("R_vtkVolumeReader_GetImageRange_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkVolumeReader_SetDataSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkVolumeReader_SetDataSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSpacing <- function(){
    res<-.Call("R_vtkVolumeReader_GetDataSpacing",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSpacing_v1 <- function( .data){
    res<-.Call("R_vtkVolumeReader_GetDataSpacing_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkVolumeReader_SetDataOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkVolumeReader_SetDataOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataOrigin <- function(){
    res<-.Call("R_vtkVolumeReader_GetDataOrigin",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataOrigin_v1 <- function( .data){
    res<-.Call("R_vtkVolumeReader_GetDataOrigin_v1",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImage <- function( .ImageNumber){
    res<-.Call("R_vtkVolumeReader_GetImage",.me$obj, .ImageNumber,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkVolumeReader",class(.me))
  return(.me)
}
}
