if (R.VTK.BASE==1){
vtkWarpTransform <- function(.me=environment()){
  .me <- vtkAbstractTransform(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWarpTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWarpTransform_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWarpTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkWarpTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWarpTransform_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkWarpTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkWarpTransform_Inverse",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseFlag <- function(){
    res<-.Call("R_vtkWarpTransform_GetInverseFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInverseTolerance <- function( ._arg){
    res<-.Call("R_vtkWarpTransform_SetInverseTolerance",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseTolerance <- function(){
    res<-.Call("R_vtkWarpTransform_GetInverseTolerance",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInverseIterations <- function( ._arg){
    res<-.Call("R_vtkWarpTransform_SetInverseIterations",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInverseIterations <- function(){
    res<-.Call("R_vtkWarpTransform_GetInverseIterations",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint <- function( .input, .output=as.single(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_InternalTransformPoint",.me$obj, .input, .output,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint_v1 <- function( .input, .output=as.double(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_InternalTransformPoint_v1",.me$obj, .input, .output,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TemplateTransformPoint <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_TemplateTransformPoint",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TemplateTransformPoint_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_TemplateTransformPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TemplateTransformInverse <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_TemplateTransformInverse",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TemplateTransformInverse_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkWarpTransform_TemplateTransformInverse_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkWarpTransform",class(.me))
  return(.me)
}
}
