if (R.VTK.BASE==1){
vtkXMLDataElement <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLDataElement_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLDataElement_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLDataElement_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLDataElement_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetName <- function(){
    res<-.Call("R_vtkXMLDataElement_GetName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetName <- function( ._arg){
    res<-.Call("R_vtkXMLDataElement_SetName",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetId <- function(){
    res<-.Call("R_vtkXMLDataElement_GetId",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetId <- function( ._arg){
    res<-.Call("R_vtkXMLDataElement_SetId",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttribute <- function( .name){
    res<-.Call("R_vtkXMLDataElement_GetAttribute",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttribute <- function( .name, .value){
    res<-.Call("R_vtkXMLDataElement_SetAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarAttribute <- function( .name, .value=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLDataElement_GetScalarAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarAttribute_v1 <- function( .name, .value=as.single(rep.int(1,1))){
    res<-.Call("R_vtkXMLDataElement_GetScalarAttribute_v1",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarAttribute_v2 <- function( .name, .value=as.double(rep.int(1,1))){
    res<-.Call("R_vtkXMLDataElement_GetScalarAttribute_v2",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarAttribute_v3 <- function( .name, .value=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLDataElement_GetScalarAttribute_v3",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntAttribute <- function( .name, .value){
    res<-.Call("R_vtkXMLDataElement_SetIntAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFloatAttribute <- function( .name, .value){
    res<-.Call("R_vtkXMLDataElement_SetFloatAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDoubleAttribute <- function( .name, .value){
    res<-.Call("R_vtkXMLDataElement_SetDoubleAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUnsignedLongAttribute <- function( .name, .value){
    res<-.Call("R_vtkXMLDataElement_SetUnsignedLongAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorAttribute <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_GetVectorAttribute",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorAttribute_v1 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_GetVectorAttribute_v1",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorAttribute_v2 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_GetVectorAttribute_v2",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVectorAttribute_v3 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_GetVectorAttribute_v3",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorAttribute <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_SetVectorAttribute",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorAttribute_v1 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_SetVectorAttribute_v1",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorAttribute_v2 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_SetVectorAttribute_v2",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVectorAttribute_v3 <- function( .name, .length, .data){
    res<-.Call("R_vtkXMLDataElement_SetVectorAttribute_v3",.me$obj, .name, .length, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWordTypeAttribute <- function( .name, .value=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLDataElement_GetWordTypeAttribute",.me$obj, .name, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfAttributes <- function(){
    res<-.Call("R_vtkXMLDataElement_GetNumberOfAttributes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeName <- function( .idx){
    res<-.Call("R_vtkXMLDataElement_GetAttributeName",.me$obj, .idx,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeValue <- function( .idx){
    res<-.Call("R_vtkXMLDataElement_GetAttributeValue",.me$obj, .idx,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllAttributes <- function(){
    res<-.Call("R_vtkXMLDataElement_RemoveAllAttributes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParent <- function(){
    res<-.Call("R_vtkXMLDataElement_GetParent",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParent <- function( .parent=vtkXMLDataElement()){
    check.VTK(.parent,"vtkXMLDataElement")
    res<-.Call("R_vtkXMLDataElement_SetParent",.me$obj, .parent$obj,PACKAGE="RVTK")
    res$.parent <- vtkXMLDataElement(wrapenv(res$.parent))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRoot <- function(){
    res<-.Call("R_vtkXMLDataElement_GetRoot",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfNestedElements <- function(){
    res<-.Call("R_vtkXMLDataElement_GetNumberOfNestedElements",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNestedElement <- function( .index){
    res<-.Call("R_vtkXMLDataElement_GetNestedElement",.me$obj, .index,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddNestedElement <- function( .element=vtkXMLDataElement()){
    check.VTK(.element,"vtkXMLDataElement")
    res<-.Call("R_vtkXMLDataElement_AddNestedElement",.me$obj, .element$obj,PACKAGE="RVTK")
    res$.element <- vtkXMLDataElement(wrapenv(res$.element))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveNestedElement <- function( .element=vtkXMLDataElement()){
    check.VTK(.element,"vtkXMLDataElement")
    res<-.Call("R_vtkXMLDataElement_RemoveNestedElement",.me$obj, .element$obj,PACKAGE="RVTK")
    res$.element <- vtkXMLDataElement(wrapenv(res$.element))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllNestedElements <- function(){
    res<-.Call("R_vtkXMLDataElement_RemoveAllNestedElements",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindNestedElement <- function( .id){
    res<-.Call("R_vtkXMLDataElement_FindNestedElement",.me$obj, .id,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindNestedElementWithName <- function( .name){
    res<-.Call("R_vtkXMLDataElement_FindNestedElementWithName",.me$obj, .name,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindNestedElementWithNameAndId <- function( .name, .id){
    res<-.Call("R_vtkXMLDataElement_FindNestedElementWithNameAndId",.me$obj, .name, .id,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindNestedElementWithNameAndAttribute <- function( .name, .att_name, .att_value){
    res<-.Call("R_vtkXMLDataElement_FindNestedElementWithNameAndAttribute",.me$obj, .name, .att_name, .att_value,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LookupElement <- function( .id){
    res<-.Call("R_vtkXMLDataElement_LookupElement",.me$obj, .id,PACKAGE="RVTK")
    res$ret.val <- vtkXMLDataElement(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXMLByteIndex <- function(){
    res<-.Call("R_vtkXMLDataElement_GetXMLByteIndex",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXMLByteIndex <- function( ._arg){
    res<-.Call("R_vtkXMLDataElement_SetXMLByteIndex",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsEqualTo <- function( .elem=vtkXMLDataElement()){
    check.VTK(.elem,"vtkXMLDataElement")
    res<-.Call("R_vtkXMLDataElement_IsEqualTo",.me$obj, .elem$obj,PACKAGE="RVTK")
    res$.elem <- vtkXMLDataElement(wrapenv(res$.elem))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .elem=vtkXMLDataElement()){
    check.VTK(.elem,"vtkXMLDataElement")
    res<-.Call("R_vtkXMLDataElement_DeepCopy",.me$obj, .elem$obj,PACKAGE="RVTK")
    res$.elem <- vtkXMLDataElement(wrapenv(res$.elem))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributeEncoding <- function( ._arg){
    res<-.Call("R_vtkXMLDataElement_SetAttributeEncoding",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeEncodingMinValue <- function(){
    res<-.Call("R_vtkXMLDataElement_GetAttributeEncodingMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeEncodingMaxValue <- function(){
    res<-.Call("R_vtkXMLDataElement_GetAttributeEncodingMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeEncoding <- function(){
    res<-.Call("R_vtkXMLDataElement_GetAttributeEncoding",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkXMLDataElement_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkXMLDataElement",class(.me))
  return(.me)
}
}
