if (R.VTK.BASE==1){
vtkXMLImageDataReader <- function(.me=environment()){
  .me <- vtkXMLStructuredDataReader(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLImageDataReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLImageDataReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLImageDataReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLImageDataReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLImageDataReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLImageDataReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .output=vtkImageData()){
    check.VTK(.output,"vtkImageData")
    res<-.Call("R_vtkXMLImageDataReader_SetOutput",.me$obj, .output$obj,PACKAGE="RVTK")
    res$.output <- vtkImageData(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkXMLImageDataReader_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkXMLImageDataReader_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyOutputInformation <- function( .outInfo=vtkInformation(), .port){
    check.VTK(.outInfo,"vtkInformation")
    res<-.Call("R_vtkXMLImageDataReader_CopyOutputInformation",.me$obj, .outInfo$obj, .port,PACKAGE="RVTK")
    res$.outInfo <- vtkInformation(wrapenv(res$.outInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkXMLImageDataReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkXMLImageDataReader",class(.me))
  return(.me)
}
}
