id<-vtkImageData()
id[]<-volcano


vtkImageDataGeometryFilter()->geom
    geom$SetInput(id)
    geom$ReleaseDataFlagOn()

vtkWarpScalar()->warp
    warp$SetInput(geom$GetOutput())
    warp$SetNormal(0, 0, 1)
    warp$UseNormalOn()
    warp$SetScaleFactor(1)
    warp$ReleaseDataFlagOn()

vtkPolyDataNormals()-> normals
    normals$SetInput(warp$GetPolyDataOutput())
    normals$SetFeatureAngle(60)
    normals$ConsistencyOff()
    normals$SplittingOff()
    normals$ReleaseDataFlagOn()

vtkLookupTable()-> lut
  lut$SetHueRange(1, 0)
  lut$SetSaturationRange( 1.0, 0)
  lut$SetValueRange( 0, 1.0)


vtkPolyDataMapper()->demMapper
    demMapper$SetInput(normals$GetOutput())
demMapper$SetScalarRange(0,200)
demMapper$SetLookupTable(lut)



vtkActor()->actor
actor$SetMapper(demMapper)

vtkRenderer()->ren
ren$AddActor(actor)

.vtk$AddRenderer(ren)
