#include <vtkAlgorithm.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAlgorithm_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkAlgorithm *  _res =( vtkAlgorithm * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAlgorithm");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkAlgorithm *  _res =( vtkAlgorithm * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_HasExecutive( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->HasExecutive();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetExecutive( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkExecutive *  _res =( vtkExecutive * )_obj->GetExecutive();
    res=VtkToSexp(_res,"vtkExecutive");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetExecutive( SEXP obj, SEXP newExecutive){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkExecutive  *  _newExecutive = (vtkExecutive * )  
SexpToVtk(newExecutive);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetExecutive(_newExecutive);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newExecutive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newExecutive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetInputPortInformation( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetInputPortInformation( * _port);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetOutputPortInformation( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetOutputPortInformation( * _port);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetInformation();
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInformation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  __arg = (vtkInformation * )  SexpToVtk(_arg);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInformation(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetNumberOfInputPorts( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfInputPorts();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetNumberOfOutputPorts( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfOutputPorts();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_Register( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->Register(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UnRegister( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetAbortExecute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetAbortExecute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetAbortExecute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetAbortExecute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_AbortExecuteOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->AbortExecuteOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_AbortExecuteOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->AbortExecuteOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetProgress( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetProgress( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetProgressMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    double _res =_obj->GetProgressMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetProgressMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    double _res =_obj->GetProgressMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetProgress( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    double _res =_obj->GetProgress();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UpdateProgress( SEXP obj, SEXP amount){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(amount,1);
     double  *  _amount =  SexpTodouble(amount);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->UpdateProgress( * _amount);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetProgressText( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetProgressText(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetProgressText( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetProgressText();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetErrorCode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetErrorCode();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_IS_OPTIONAL( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->INPUT_IS_OPTIONAL();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_IS_REPEATABLE( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->INPUT_IS_REPEATABLE();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_REQUIRED_FIELDS( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationInformationVectorKey *  _res =( vtkInformationInformationVectorKey * )_obj->INPUT_REQUIRED_FIELDS();
    res=VtkToSexp(_res,"vtkInformationInformationVectorKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_REQUIRED_DATA_TYPE( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationStringKey *  _res =( vtkInformationStringKey * )_obj->INPUT_REQUIRED_DATA_TYPE();
    res=VtkToSexp(_res,"vtkInformationStringKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_ARRAYS_TO_PROCESS( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationInformationVectorKey *  _res =( vtkInformationInformationVectorKey * )_obj->INPUT_ARRAYS_TO_PROCESS();
    res=VtkToSexp(_res,"vtkInformationInformationVectorKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_PORT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->INPUT_PORT();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_INPUT_CONNECTION( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->INPUT_CONNECTION();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInputArrayToProcess( SEXP obj, SEXP idx, SEXP port, SEXP connection, SEXP fieldAssociation, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(connection,1);
     int  *  _connection =  SexpToint(connection);
    SET_LENGTH(fieldAssociation,1);
     int  *  _fieldAssociation =  SexpToint(fieldAssociation);
     char  *  _name =  SexpTochar(name);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInputArrayToProcess( * _idx,  * _port,  * _connection,  * _fieldAssociation, _name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInputArrayToProcess_v1( SEXP obj, SEXP idx, SEXP port, SEXP connection, SEXP fieldAssociation, SEXP attributeType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(connection,1);
     int  *  _connection =  SexpToint(connection);
    SET_LENGTH(fieldAssociation,1);
     int  *  _fieldAssociation =  SexpToint(fieldAssociation);
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInputArrayToProcess( * _idx,  * _port,  * _connection,  * _fieldAssociation,  * _attributeType);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInputArrayToProcess_v2( SEXP obj, SEXP idx, SEXP inInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     vtkInformation  *  _inInfo = (vtkInformation * )  SexpToVtk(inInfo);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInputArrayToProcess( * _idx, _inInfo);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inInfo,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetInputArrayInformation( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetInputArrayInformation( * _idx);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_RemoveAllInputs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->RemoveAllInputs();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetOutputDataObject( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetOutputDataObject( * _port);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInputConnection( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetInputConnection_v1( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetInputConnection(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_AddInputConnection( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->AddInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_RemoveInputConnection( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->RemoveInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetOutputPort( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->GetOutputPort( * _port);
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetOutputPort_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->GetOutputPort();
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetNumberOfInputConnections( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfInputConnections( * _port);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetTotalNumberOfInputConnections( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetTotalNumberOfInputConnections();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetInputConnection( SEXP obj, SEXP port, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->GetInputConnection( * _port,  * _index);
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UpdateInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->UpdateInformation();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UpdateWholeExtent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->UpdateWholeExtent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_ConvertTotalInputToPortConnection( SEXP obj, SEXP ind, SEXP port, SEXP conn){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ind,1);
     int  *  _ind =  SexpToint(ind);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(conn,1);
     int  *  _conn =  SexpToint(conn);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->ConvertTotalInputToPortConnection( * _ind,  * _port,  * _conn);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_port,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".port",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_conn,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".conn",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_SetReleaseDataFlag( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->SetReleaseDataFlag( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_GetReleaseDataFlag( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->GetReleaseDataFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_ReleaseDataFlagOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->ReleaseDataFlagOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_ReleaseDataFlagOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    _obj->ReleaseDataFlagOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UpdateExtentIsEmpty( SEXP obj, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _output = (vtkDataObject * )  SexpToVtk(output);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->UpdateExtentIsEmpty(_output);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_UpdateExtentIsEmpty_v1( SEXP obj, SEXP info, SEXP extentType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    SET_LENGTH(extentType,1);
     int  *  _extentType =  SexpToint(extentType);
    vtkAlgorithm * _obj = (vtkAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->UpdateExtentIsEmpty(_info,  * _extentType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithm_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAlgorithm * res= ( vtkAlgorithm * ) vtkAlgorithm::New();
    R_res=toRPointer(res,"vtkAlgorithm");
    return(R_res);
  }
#endif
}
