#include <vtkAlgorithmOutput.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAlgorithmOutput_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_SetIndex( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    _obj->SetIndex( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_GetIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    int _res =_obj->GetIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_GetProducer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    vtkAlgorithm *  _res =( vtkAlgorithm * )_obj->GetProducer();
    res=VtkToSexp(_res,"vtkAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_SetProducer( SEXP obj, SEXP producer){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAlgorithm  *  _producer = (vtkAlgorithm * )  SexpToVtk(producer);
    vtkAlgorithmOutput * _obj = (vtkAlgorithmOutput * ) SexpToVtk(obj);
    _obj->SetProducer(_producer);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_producer,"vtkAlgorithm"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".producer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAlgorithmOutput_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAlgorithmOutput * res= ( vtkAlgorithmOutput * ) vtkAlgorithmOutput
::New();
    R_res=toRPointer(res,"vtkAlgorithmOutput");
    return(R_res);
  }
#endif
}
