#include <vtkAnimationScene.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAnimationScene_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    vtkAnimationScene *  _res =( vtkAnimationScene * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAnimationScene");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    vtkAnimationScene *  _res =( vtkAnimationScene * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAnimationScene");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetPlayMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetPlayMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetModeToSequence( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetModeToSequence();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetModeToRealTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetModeToRealTime();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_GetPlayMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    int _res =_obj->GetPlayMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetFrameRate( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetFrameRate( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_GetFrameRate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    double _res =_obj->GetFrameRate();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_AddCue( SEXP obj, SEXP cue){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAnimationCue  *  _cue = (vtkAnimationCue * )  SexpToVtk(cue);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->AddCue(_cue);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cue,"vtkAnimationCue"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cue",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_RemoveCue( SEXP obj, SEXP cue){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAnimationCue  *  _cue = (vtkAnimationCue * )  SexpToVtk(cue);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->RemoveCue(_cue);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cue,"vtkAnimationCue"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cue",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_Play( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->Play();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_Stop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->Stop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetLoop( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetLoop( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_GetLoop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    int _res =_obj->GetLoop();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetAnimationTime( SEXP obj, SEXP currenttime){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(currenttime,1);
     double  *  _currenttime =  SexpTodouble(currenttime);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetAnimationTime( * _currenttime);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_SetTimeMode( SEXP obj, SEXP mode){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(mode,1);
     int  *  _mode =  SexpToint(mode);
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    _obj->SetTimeMode( * _mode);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_IsInPlay( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAnimationScene * _obj = (vtkAnimationScene * ) SexpToVtk(obj);
    int _res =_obj->IsInPlay();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAnimationScene_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAnimationScene * res= ( vtkAnimationScene * ) vtkAnimationScene::New();
    R_res=toRPointer(res,"vtkAnimationScene");
    return(R_res);
  }
#endif
}
