#include <vtkAxesActor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkAxesActor_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkAxesActor *  _res =( vtkAxesActor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAxesActor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkAxesActor *  _res =( vtkAxesActor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAxesActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetActors( SEXP obj, SEXP ac){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPropCollection  *  _ac = (vtkPropCollection * )  SexpToVtk(ac);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetActors(_ac);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ac,"vtkPropCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ac",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_RenderOpaqueGeometry( SEXP obj, SEXP vp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->RenderOpaqueGeometry(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_RenderTranslucentGeometry( SEXP obj, SEXP vp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_RenderOverlay( SEXP obj, SEXP vp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->RenderOverlay(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_ShallowCopy( SEXP obj, SEXP prop){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_ReleaseGraphicsResources( SEXP obj, SEXP win){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetBounds( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetBounds_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetRedrawMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetRedrawMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTotalLength( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTotalLength(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTotalLength_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTotalLength( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetTotalLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTotalLength();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetTotalLength_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetTotalLength(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedShaftLength( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedShaftLength(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedShaftLength_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedShaftLength( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedShaftLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormalizedShaftLength();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedShaftLength_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetNormalizedShaftLength(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedTipLength( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedTipLength(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedTipLength_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedTipLength( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedTipLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormalizedTipLength();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedTipLength_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetNormalizedTipLength(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedLabelPosition( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedLabelPosition(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetNormalizedLabelPosition_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetNormalizedLabelPosition( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedLabelPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormalizedLabelPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetNormalizedLabelPosition_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->GetNormalizedLabelPosition(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetConeResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetConeResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeResolutionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetConeResolutionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeResolutionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetConeResolutionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetConeResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetSphereResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetSphereResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereResolutionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetSphereResolutionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereResolutionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetSphereResolutionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetSphereResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetCylinderResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetCylinderResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderResolutionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetCylinderResolutionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderResolutionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetCylinderResolutionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetCylinderResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetConeRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetConeRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeRadiusMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetConeRadiusMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeRadiusMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetConeRadiusMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetConeRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetConeRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetSphereRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetSphereRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereRadiusMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetSphereRadiusMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereRadiusMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetSphereRadiusMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetSphereRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetSphereRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetCylinderRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetCylinderRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderRadiusMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetCylinderRadiusMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderRadiusMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetCylinderRadiusMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetCylinderRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    double _res =_obj->GetCylinderRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetShaftType( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetShaftType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetShaftTypeToCylinder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetShaftTypeToCylinder();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetShaftTypeToLine( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetShaftTypeToLine();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetShaftTypeToUserDefined( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetShaftTypeToUserDefined();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetShaftType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetShaftType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTipType( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTipType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTipTypeToCone( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTipTypeToCone();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTipTypeToSphere( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTipTypeToSphere();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetTipTypeToUserDefined( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetTipTypeToUserDefined();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetTipType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetTipType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetUserDefinedTip( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  __arg = (vtkPolyData * )  SexpToVtk(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetUserDefinedTip(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetUserDefinedTip( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetUserDefinedTip();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetUserDefinedShaft( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  __arg = (vtkPolyData * )  SexpToVtk(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetUserDefinedShaft(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetUserDefinedShaft( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetUserDefinedShaft();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetXAxisTipProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetXAxisTipProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetYAxisTipProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetYAxisTipProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetZAxisTipProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetZAxisTipProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetXAxisShaftProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetXAxisShaftProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetYAxisShaftProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetYAxisShaftProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetZAxisShaftProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetZAxisShaftProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetXAxisCaptionActor2D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkCaptionActor2D *  _res =( vtkCaptionActor2D * )_obj->GetXAxisCaptionActor2D();
    res=VtkToSexp(_res,"vtkCaptionActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetYAxisCaptionActor2D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkCaptionActor2D *  _res =( vtkCaptionActor2D * )_obj->GetYAxisCaptionActor2D();
    res=VtkToSexp(_res,"vtkCaptionActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetZAxisCaptionActor2D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    vtkCaptionActor2D *  _res =( vtkCaptionActor2D * )_obj->GetZAxisCaptionActor2D();
    res=VtkToSexp(_res,"vtkCaptionActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetXAxisLabelText( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetXAxisLabelText(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetXAxisLabelText( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetXAxisLabelText();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetYAxisLabelText( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetYAxisLabelText(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetYAxisLabelText( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetYAxisLabelText();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetZAxisLabelText( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetZAxisLabelText(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetZAxisLabelText( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetZAxisLabelText();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_SetAxisLabels( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->SetAxisLabels( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_GetAxisLabels( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    int _res =_obj->GetAxisLabels();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_AxisLabelsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->AxisLabelsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_AxisLabelsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAxesActor * _obj = (vtkAxesActor * ) SexpToVtk(obj);
    _obj->AxisLabelsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAxesActor_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAxesActor * res= ( vtkAxesActor * ) vtkAxesActor::New();
    R_res=toRPointer(res,"vtkAxesActor");
    return(R_res);
  }
#endif
}
