#include <vtkBMPReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkBMPReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    vtkBMPReader *  _res =( vtkBMPReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBMPReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    vtkBMPReader *  _res =( vtkBMPReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBMPReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetDepth( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    int _res =_obj->GetDepth();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_CanReadFile( SEXP obj, SEXP fname){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fname =  SexpTochar(fname);
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    int _res =_obj->CanReadFile(_fname);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetFileExtensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileExtensions();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetDescriptiveName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDescriptiveName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_SetAllow8BitBMP( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    _obj->SetAllow8BitBMP( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetAllow8BitBMP( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    int _res =_obj->GetAllow8BitBMP();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_Allow8BitBMPOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    _obj->Allow8BitBMPOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_Allow8BitBMPOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    _obj->Allow8BitBMPOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_GetColors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBMPReader * _obj = (vtkBMPReader * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetColors();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBMPReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBMPReader * res= ( vtkBMPReader * ) vtkBMPReader::New();
    R_res=toRPointer(res,"vtkBMPReader");
    return(R_res);
  }
#endif
}
