#include <vtkBandedPolyDataContourFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkBandedPolyDataContourFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    vtkBandedPolyDataContourFilter *  _res =( vtkBandedPolyDataContourFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBandedPolyDataContourFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    vtkBandedPolyDataContourFilter *  _res =( vtkBandedPolyDataContourFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBandedPolyDataContourFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetValue( SEXP obj, SEXP i, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetValue( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValues();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetValues_v1( SEXP obj, SEXP contourValues){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _contourValues =  SexpTodouble(contourValues);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->GetValues(_contourValues);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_contourValues,LENGTH(contourValues)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".contourValues",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetNumberOfContours( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfContours( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetNumberOfContours( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfContours();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GenerateValues( SEXP obj, SEXP numContours, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
     double  *  _range =  SexpTodouble(range);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,LENGTH(range)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GenerateValues_v1( SEXP obj, SEXP numContours, SEXP rangeStart, SEXP rangeEnd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(rangeStart,1);
     double  *  _rangeStart =  SexpTodouble(rangeStart);
    SET_LENGTH(rangeEnd,1);
     double  *  _rangeEnd =  SexpTodouble(rangeEnd);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours,  * _rangeStart,  * _rangeEnd);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetClipping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetClipping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetClipping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetClipping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_ClippingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->ClippingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_ClippingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->ClippingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetScalarMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetScalarModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetScalarModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetScalarMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetScalarModeToIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToIndex();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetScalarModeToValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToValue();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_SetGenerateContourEdges( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->SetGenerateContourEdges( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetGenerateContourEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateContourEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GenerateContourEdgesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->GenerateContourEdgesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GenerateContourEdgesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    _obj->GenerateContourEdgesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetContourEdgesOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetContourEdgesOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * _obj = (vtkBandedPolyDataContourFilter
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBandedPolyDataContourFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBandedPolyDataContourFilter * res= ( vtkBandedPolyDataContourFilter * ) 
vtkBandedPolyDataContourFilter::New();
    R_res=toRPointer(res,"vtkBandedPolyDataContourFilter");
    return(R_res);
  }
#endif
}
