#include <vtkBase64InputStream.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkBase64InputStream_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    vtkBase64InputStream *  _res =( vtkBase64InputStream * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBase64InputStream");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    vtkBase64InputStream *  _res =( vtkBase64InputStream * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBase64InputStream");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_StartReading( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    _obj->StartReading();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_Seek( SEXP obj, SEXP offset){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(offset,1);
     long unsigned int  *  _offset =  SexpTolong_unsigned_int(offset);
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    int _res =_obj->Seek( * _offset);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_Read( SEXP obj, SEXP data, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    SET_LENGTH(length,1);
     long unsigned int  *  _length =  SexpTolong_unsigned_int(length);
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Read(_data,  * _length);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_EndReading( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBase64InputStream * _obj = (vtkBase64InputStream * ) SexpToVtk(obj);
    _obj->EndReading();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBase64InputStream_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBase64InputStream * res= ( vtkBase64InputStream * ) vtkBase64InputStream
::New();
    R_res=toRPointer(res,"vtkBase64InputStream");
    return(R_res);
  }
#endif
}
