#include <vtkCell3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCell3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    vtkCell3D *  _res =( vtkCell3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCell3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    vtkCell3D *  _res =( vtkCell3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCell3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetEdgePoints( SEXP obj, SEXP edgeId, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
     int  *  _pts =  SexpToint(pts);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    _obj->GetEdgePoints( * _edgeId, _pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetFacePoints( SEXP obj, SEXP faceId, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
     int  *  _pts =  SexpToint(pts);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    _obj->GetFacePoints( * _faceId, _pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_Contour( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP verts, SEXP lines, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    _obj->Contour( * _value, _cellScalars, _locator, _verts, _lines, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd);
    PROTECT(ans = allocVector(VECSXP,10));
    PROTECT(res_names = allocVector(VECSXP,10));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,9,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,9,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD, SEXP insideOut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetCellDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_SetMergeTolerance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    _obj->SetMergeTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetMergeToleranceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    double _res =_obj->GetMergeToleranceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetMergeToleranceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    double _res =_obj->GetMergeToleranceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCell3D_GetMergeTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCell3D * _obj = (vtkCell3D * ) SexpToVtk(obj);
    double _res =_obj->GetMergeTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
