#include <vtkClipVolume.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkClipVolume_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    vtkClipVolume *  _res =( vtkClipVolume * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkClipVolume");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    vtkClipVolume *  _res =( vtkClipVolume * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkClipVolume");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    double _res =_obj->GetValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetInsideOut( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetInsideOut( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetInsideOut( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->GetInsideOut();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_InsideOutOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->InsideOutOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_InsideOutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->InsideOutOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetClipFunction( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImplicitFunction  *  __arg = (vtkImplicitFunction * )  SexpToVtk(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetClipFunction(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImplicitFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetClipFunction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    vtkImplicitFunction *  _res =( vtkImplicitFunction * )_obj->GetClipFunction();
    res=VtkToSexp(_res,"vtkImplicitFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetGenerateClipScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetGenerateClipScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetGenerateClipScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateClipScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GenerateClipScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->GenerateClipScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GenerateClipScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->GenerateClipScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetGenerateClippedOutput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetGenerateClippedOutput( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetGenerateClippedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateClippedOutput();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GenerateClippedOutputOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->GenerateClippedOutputOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GenerateClippedOutputOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->GenerateClippedOutputOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetClippedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetClippedOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetMixed3DCellGeneration( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetMixed3DCellGeneration( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetMixed3DCellGeneration( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    int _res =_obj->GetMixed3DCellGeneration();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_Mixed3DCellGenerationOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->Mixed3DCellGenerationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_Mixed3DCellGenerationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->Mixed3DCellGenerationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetMergeTolerance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetMergeTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetMergeToleranceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMergeToleranceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetMergeToleranceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMergeToleranceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetMergeTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMergeTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkClipVolume * _obj = (vtkClipVolume * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkClipVolume_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkClipVolume * res= ( vtkClipVolume * ) vtkClipVolume::New();
    R_res=toRPointer(res,"vtkClipVolume");
    return(R_res);
  }
#endif
}
