#include <vtkCoordinate.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCoordinate_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystem( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystem( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetCoordinateSystem( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int _res =_obj->GetCoordinateSystem();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToDisplay( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToDisplay();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToNormalizedDisplay( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToNormalizedDisplay();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToViewport( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToViewport();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToNormalizedViewport( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToNormalizedViewport();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToView( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToView();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetCoordinateSystemToWorld( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetCoordinateSystemToWorld();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetCoordinateSystemAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCoordinateSystemAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetValue( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetValue( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetValue_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValue();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetValue_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->GetValue( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetValue_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->GetValue(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetValue_v2( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetValue( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetReferenceCoordinate( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCoordinate  *  __arg = (vtkCoordinate * )  SexpToVtk(_arg);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetReferenceCoordinate(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkCoordinate"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetReferenceCoordinate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetReferenceCoordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_SetViewport( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    _obj->SetViewport(_viewport);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetViewport( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    vtkViewport *  _res =( vtkViewport * )_obj->GetViewport();
    res=VtkToSexp(_res,"vtkViewport");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedWorldValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetComputedWorldValue(_viewport);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedViewportValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetComputedViewportValue(_viewport);
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedDisplayValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetComputedDisplayValue(_viewport);
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedLocalDisplayValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetComputedLocalDisplayValue(_viewport);
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedDoubleViewportValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetComputedDoubleViewportValue(_viewport);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedDoubleDisplayValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetComputedDoubleDisplayValue(_viewport);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_GetComputedValue( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkCoordinate * _obj = (vtkCoordinate * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetComputedValue(_viewport);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCoordinate_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCoordinate * res= ( vtkCoordinate * ) vtkCoordinate::New();
    R_res=toRPointer(res,"vtkCoordinate");
    return(R_res);
  }
#endif
}
