#include <vtkCurvatures.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCurvatures_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    vtkCurvatures *  _res =( vtkCurvatures * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCurvatures");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    vtkCurvatures *  _res =( vtkCurvatures * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCurvatures");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetCurvatureType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetCurvatureType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_GetCurvatureType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    int _res =_obj->GetCurvatureType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetCurvatureTypeToGaussian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetCurvatureTypeToGaussian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetCurvatureTypeToMean( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetCurvatureTypeToMean();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetCurvatureTypeToMaximum( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetCurvatureTypeToMaximum();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetCurvatureTypeToMinimum( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetCurvatureTypeToMinimum();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_SetInvertMeanCurvature( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->SetInvertMeanCurvature( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_GetInvertMeanCurvature( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    int _res =_obj->GetInvertMeanCurvature();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_InvertMeanCurvatureOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->InvertMeanCurvatureOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_InvertMeanCurvatureOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCurvatures * _obj = (vtkCurvatures * ) SexpToVtk(obj);
    _obj->InvertMeanCurvatureOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCurvatures_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCurvatures * res= ( vtkCurvatures * ) vtkCurvatures::New();
    R_res=toRPointer(res,"vtkCurvatures");
    return(R_res);
  }
#endif
}
