#include <vtkDICOMImageReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDICOMImageReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    vtkDICOMImageReader *  _res =( vtkDICOMImageReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDICOMImageReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    vtkDICOMImageReader *  _res =( vtkDICOMImageReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDICOMImageReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_SetFileName( SEXP obj, SEXP fn){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fn =  SexpTochar(fn);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    _obj->SetFileName(_fn);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_SetDirectoryName( SEXP obj, SEXP dn){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _dn =  SexpTochar(dn);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    _obj->SetDirectoryName(_dn);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetDirectoryName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDirectoryName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetPixelSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPixelSpacing();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetWidth( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->GetWidth();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetHeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->GetHeight();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetImagePositionPatient( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetImagePositionPatient();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetBitsAllocated( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->GetBitsAllocated();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetPixelRepresentation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->GetPixelRepresentation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetTransferSyntaxUID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTransferSyntaxUID();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetRescaleSlope( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    float _res =_obj->GetRescaleSlope();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetRescaleOffset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    float _res =_obj->GetRescaleOffset();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetPatientName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPatientName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetStudyUID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetStudyUID();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetStudyID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetStudyID();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_GetGantryAngle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    float _res =_obj->GetGantryAngle();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_CanReadFile( SEXP obj, SEXP fname){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fname =  SexpTochar(fname);
    vtkDICOMImageReader * _obj = (vtkDICOMImageReader * ) SexpToVtk(obj);
    int _res =_obj->CanReadFile(_fname);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDICOMImageReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDICOMImageReader * res= ( vtkDICOMImageReader * ) vtkDICOMImageReader
::New();
    R_res=toRPointer(res,"vtkDICOMImageReader");
    return(R_res);
  }
#endif
}
