#include <vtkDataSetAlgorithm.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDataSetAlgorithm_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkDataSetAlgorithm *  _res =( vtkDataSetAlgorithm * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSetAlgorithm");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkDataSetAlgorithm *  _res =( vtkDataSetAlgorithm * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSetAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetOutput_v1( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput( * _port);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetPolyDataOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetPolyDataOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetStructuredPointsOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkStructuredPoints *  _res =( vtkStructuredPoints * )_obj->GetStructuredPointsOutput();
    res=VtkToSexp(_res,"vtkStructuredPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetImageDataOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetImageDataOutput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetStructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetStructuredGridOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetUnstructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetUnstructuredGridOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_GetRectilinearGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetRectilinearGridOutput();
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_SetInput_v1( SEXP obj, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->SetInput( * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_SetInput_v2( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_SetInput_v3( SEXP obj, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->SetInput( * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_AddInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->AddInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_AddInput_v1( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->AddInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_AddInput_v2( SEXP obj, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->AddInput( * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_AddInput_v3( SEXP obj, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkDataSetAlgorithm * _obj = (vtkDataSetAlgorithm * ) SexpToVtk(obj);
    _obj->AddInput( * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetAlgorithm_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataSetAlgorithm * res= ( vtkDataSetAlgorithm * ) vtkDataSetAlgorithm
::New();
    R_res=toRPointer(res,"vtkDataSetAlgorithm");
    return(R_res);
  }
#endif
}
