#include <vtkDataSetReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDataSetReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkDataSetReader *  _res =( vtkDataSetReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataSetReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkDataSetReader *  _res =( vtkDataSetReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataSetReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetOutput_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetPolyDataOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetPolyDataOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetStructuredPointsOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkStructuredPoints *  _res =( vtkStructuredPoints * )_obj->GetStructuredPointsOutput();
    res=VtkToSexp(_res,"vtkStructuredPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetStructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetStructuredGridOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetUnstructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetUnstructuredGridOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_GetRectilinearGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetRectilinearGridOutput();
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_ReadOutputType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataSetReader * _obj = (vtkDataSetReader * ) SexpToVtk(obj);
    int _res =_obj->ReadOutputType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataSetReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataSetReader * res= ( vtkDataSetReader * ) vtkDataSetReader::New();
    R_res=toRPointer(res,"vtkDataSetReader");
    return(R_res);
  }
#endif
}
