#include <vtkDepthSortPolyData.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkDepthSortPolyData_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    vtkDepthSortPolyData *  _res =( vtkDepthSortPolyData * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDepthSortPolyData");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    vtkDepthSortPolyData *  _res =( vtkDepthSortPolyData * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDepthSortPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDirection( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDirection( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetDirection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetDirection();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDirectionToFrontToBack( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDirectionToFrontToBack();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDirectionToBackToFront( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDirectionToBackToFront();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDirectionToSpecifiedVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDirectionToSpecifiedVector();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDepthSortMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDepthSortMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetDepthSortMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetDepthSortMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDepthSortModeToFirstPoint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDepthSortModeToFirstPoint();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDepthSortModeToBoundsCenter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDepthSortModeToBoundsCenter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetDepthSortModeToParametricCenter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetDepthSortModeToParametricCenter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetCamera( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCamera  *  __arg = (vtkCamera * )  SexpToVtk(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetCamera(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkCamera"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetCamera( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    vtkCamera *  _res =( vtkCamera * )_obj->GetCamera();
    res=VtkToSexp(_res,"vtkCamera");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetProp3D( SEXP obj, SEXP prop3d){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp3D  *  _prop3d = (vtkProp3D * )  SexpToVtk(prop3d);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetProp3D(_prop3d);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop3d,"vtkProp3D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop3d",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetProp3D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    vtkProp3D *  _res =( vtkProp3D * )_obj->GetProp3D();
    res=VtkToSexp(_res,"vtkProp3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetVector( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetVector( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetVector_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetVector(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetVector();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetVector_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->GetVector(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetOrigin_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetOrigin_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->GetOrigin(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SetSortScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SetSortScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetSortScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetSortScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SortScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SortScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_SortScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    _obj->SortScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * _obj = (vtkDepthSortPolyData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDepthSortPolyData_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDepthSortPolyData * res= ( vtkDepthSortPolyData * ) vtkDepthSortPolyData
::New();
    R_res=toRPointer(res,"vtkDepthSortPolyData");
    return(R_res);
  }
#endif
}
