#include <vtkDirectory.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDirectory_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    vtkDirectory *  _res =( vtkDirectory * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDirectory");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    vtkDirectory *  _res =( vtkDirectory * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDirectory");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_Open( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->Open(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_GetNumberOfFiles( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFiles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_GetFile( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFile( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_GetCurrentWorkingDirectory( SEXP obj, SEXP buf, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _buf =  SexpTochar(buf);
    SET_LENGTH(len,1);
     unsigned int  *  _len =  SexpTounsigned_int(len);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCurrentWorkingDirectory(_buf,  * _len);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_buf,LENGTH(buf)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buf",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_MakeDirectory( SEXP obj, SEXP dir){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _dir =  SexpTochar(dir);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->MakeDirectory(_dir);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_CreateDirectory( SEXP obj, SEXP dir){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _dir =  SexpTochar(dir);
    vtkDirectory * _obj = (vtkDirectory * ) SexpToVtk(obj);
    int _res =_obj->CreateDirectory(_dir);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDirectory_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDirectory * res= ( vtkDirectory * ) vtkDirectory::New();
    R_res=toRPointer(res,"vtkDirectory");
    return(R_res);
  }
#endif
}
