#include <vtk/vtkDoubleArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  void R_vtkDoubleArray_SetRMatrix( SEXP obj, double * arg, int * dim1, int * dim2){
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
    _obj->SetArray(arg,*dim1* (*dim2),1);
    _obj->SetNumberOfComponents(*dim2);
    _obj->SetNumberOfTuples(*dim1);
  }

  SEXP R_vtkDoubleArray_SetRArray( SEXP obj, SEXP arg){
    vtkDoubleArray * _obj = (vtkDoubleArray * ) SexpToVtk(obj);
	_obj->SetArray(REAL(arg),LENGTH(arg),1);
	return(NULL_USER_OBJECT);
  }
}
