#include <vtkDynamicLoader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDynamicLoader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    vtkDynamicLoader *  _res =( vtkDynamicLoader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDynamicLoader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    vtkDynamicLoader *  _res =( vtkDynamicLoader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDynamicLoader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_OpenLibrary( SEXP obj, SEXP libname){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _libname =  SexpTochar(libname);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    void *  _res =_obj->OpenLibrary(_libname);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_CloseLibrary( SEXP obj, SEXP lib){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _lib =  SexpTovoid(lib);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    int _res =_obj->CloseLibrary(_lib);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_lib,LENGTH(lib)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lib",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_GetSymbolAddress( SEXP obj, SEXP lib, SEXP sym){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _lib =  SexpTovoid(lib);
     char  *  _sym =  SexpTochar(sym);
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    void *  _res =_obj->GetSymbolAddress(_lib, _sym);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_lib,LENGTH(lib)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lib",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_LibPrefix( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->LibPrefix();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_LibExtension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->LibExtension();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_LastError( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDynamicLoader * _obj = (vtkDynamicLoader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->LastError();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDynamicLoader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDynamicLoader * res= ( vtkDynamicLoader * ) vtkDynamicLoader::New();
    R_res=toRPointer(res,"vtkDynamicLoader");
    return(R_res);
  }
#endif
}
