#include <vtkEncodedGradientEstimator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkEncodedGradientEstimator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    vtkEncodedGradientEstimator *  _res =( vtkEncodedGradientEstimator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkEncodedGradientEstimator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    vtkEncodedGradientEstimator *  _res =( vtkEncodedGradientEstimator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkEncodedGradientEstimator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetInput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  __arg = (vtkImageData * )  SexpToVtk(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetGradientMagnitudeScale( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetGradientMagnitudeScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetGradientMagnitudeScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeScale();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetGradientMagnitudeBias( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetGradientMagnitudeBias( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetGradientMagnitudeBias( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeBias();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetBoundsClip( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetBoundsClip( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetBoundsClipMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetBoundsClipMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetBoundsClipMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetBoundsClipMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetBoundsClip( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetBoundsClip();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_BoundsClipOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->BoundsClipOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_BoundsClipOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->BoundsClipOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetBounds( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetBounds( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetBounds_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetBounds(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBounds();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetBounds_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->GetBounds(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetEncodedNormals( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetEncodedNormals();
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetEncodedNormalIndex( SEXP obj, SEXP xyzIndex){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyzIndex,1);
     int  *  _xyzIndex =  SexpToint(xyzIndex);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetEncodedNormalIndex( * _xyzIndex);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetEncodedNormalIndex_v1( SEXP obj, SEXP xIndex, SEXP yIndex, SEXP zIndex){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xIndex,1);
     int  *  _xIndex =  SexpToint(xIndex);
    SET_LENGTH(yIndex,1);
     int  *  _yIndex =  SexpToint(yIndex);
    SET_LENGTH(zIndex,1);
     int  *  _zIndex =  SexpToint(zIndex);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetEncodedNormalIndex( * _xIndex,  * _yIndex,  * _zIndex);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetGradientMagnitudes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetGradientMagnitudes();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetNumberOfThreads( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetNumberOfThreadsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetNumberOfThreadsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetNumberOfThreads( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetDirectionEncoder( SEXP obj, SEXP direnc){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDirectionEncoder  *  _direnc = (vtkDirectionEncoder * )  
SexpToVtk(direnc);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetDirectionEncoder(_direnc);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_direnc,"vtkDirectionEncoder"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".direnc",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetDirectionEncoder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    vtkDirectionEncoder *  _res =( vtkDirectionEncoder * )_obj->GetDirectionEncoder();
    res=VtkToSexp(_res,"vtkDirectionEncoder");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetComputeGradientMagnitudes( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetComputeGradientMagnitudes( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetComputeGradientMagnitudes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetComputeGradientMagnitudes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_ComputeGradientMagnitudesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->ComputeGradientMagnitudesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_ComputeGradientMagnitudesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->ComputeGradientMagnitudesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetCylinderClip( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetCylinderClip( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetCylinderClip( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetCylinderClip();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_CylinderClipOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->CylinderClipOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_CylinderClipOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->CylinderClipOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetLastUpdateTimeInSeconds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float _res =_obj->GetLastUpdateTimeInSeconds();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetLastUpdateTimeInCPUSeconds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float _res =_obj->GetLastUpdateTimeInCPUSeconds();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetUseCylinderClip( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetUseCylinderClip();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetCircleLimits( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetCircleLimits();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetZeroNormalThreshold( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     float  *  _v =  SexpTofloat(v);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetZeroNormalThreshold( * _v);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetZeroNormalThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalThreshold();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_SetZeroPad( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->SetZeroPad( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetZeroPadMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetZeroPadMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetZeroPadMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetZeroPadMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetZeroPad( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int _res =_obj->GetZeroPad();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_ZeroPadOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->ZeroPadOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_ZeroPadOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->ZeroPadOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetInputSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetInputSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetInputSize_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->GetInputSize(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetInputAspect( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetInputAspect();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientEstimator_GetInputAspect_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkEncodedGradientEstimator * _obj = (vtkEncodedGradientEstimator
 * ) SexpToVtk(obj);
    _obj->GetInputAspect(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
