#include <vtkExtractCells.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkExtractCells_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    vtkExtractCells *  _res =( vtkExtractCells * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkExtractCells");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    vtkExtractCells *  _res =( vtkExtractCells * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkExtractCells");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_SetCellList( SEXP obj, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _l = (vtkIdList * )  SexpToVtk(l);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    _obj->SetCellList(_l);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_l,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".l",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_AddCellList( SEXP obj, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _l = (vtkIdList * )  SexpToVtk(l);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    _obj->AddCellList(_l);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_l,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".l",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_AddCellRange( SEXP obj, SEXP from, SEXP to){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(from,1);
     int  *  _from =  SexpToint(from);
    SET_LENGTH(to,1);
     int  *  _to =  SexpToint(to);
    vtkExtractCells * _obj = (vtkExtractCells * ) SexpToVtk(obj);
    _obj->AddCellRange( * _from,  * _to);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractCells_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkExtractCells * res= ( vtkExtractCells * ) vtkExtractCells::New();
    R_res=toRPointer(res,"vtkExtractCells");
    return(R_res);
  }
#endif
}
