#include <vtkExtractDataOverTime.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkExtractDataOverTime_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    vtkExtractDataOverTime *  _res =( vtkExtractDataOverTime * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkExtractDataOverTime");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    vtkExtractDataOverTime *  _res =( vtkExtractDataOverTime * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkExtractDataOverTime");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_SetPointIndex( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    _obj->SetPointIndex( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_GetPointIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    int _res =_obj->GetPointIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_GetNumberOfTimeSteps( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtractDataOverTime * _obj = (vtkExtractDataOverTime * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTimeSteps();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtractDataOverTime_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkExtractDataOverTime * res= ( vtkExtractDataOverTime * ) 
vtkExtractDataOverTime::New();
    R_res=toRPointer(res,"vtkExtractDataOverTime");
    return(R_res);
  }
#endif
}
