#include <vtkFixedPointVolumeRayCastCompositeShadeHelper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFixedPointVolumeRayCastCompositeShadeHelper * _obj = (
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFixedPointVolumeRayCastCompositeShadeHelper * _obj = (
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFixedPointVolumeRayCastCompositeShadeHelper * _obj = (
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeShadeHelper *  _res =( vtkFixedPointVolumeRayCastCompositeShadeHelper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastCompositeShadeHelper * _obj = (
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeShadeHelper *  _res =( vtkFixedPointVolumeRayCastCompositeShadeHelper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_GenerateImage( SEXP obj, SEXP threadID, SEXP threadCount, SEXP vol, SEXP mapper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(threadID,1);
     int  *  _threadID =  SexpToint(threadID);
    SET_LENGTH(threadCount,1);
     int  *  _threadCount =  SexpToint(threadCount);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
     vtkFixedPointVolumeRayCastMapper  *  _mapper = 
(vtkFixedPointVolumeRayCastMapper * )  SexpToVtk(mapper);
    vtkFixedPointVolumeRayCastCompositeShadeHelper * _obj = (
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) SexpToVtk(obj);
    _obj->GenerateImage( * _threadID,  * _threadCount, _vol, _mapper);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_mapper,"vtkFixedPointVolumeRayCastMapper"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastCompositeShadeHelper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastCompositeShadeHelper * res= ( 
vtkFixedPointVolumeRayCastCompositeShadeHelper * ) 
vtkFixedPointVolumeRayCastCompositeShadeHelper::New();
    R_res=toRPointer(res,"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    return(R_res);
  }
#endif
}
