#include <vtkFixedPointVolumeRayCastMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkFixedPointVolumeRayCastMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastMapper *  _res =( vtkFixedPointVolumeRayCastMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastMapper *  _res =( vtkFixedPointVolumeRayCastMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetInteractiveSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetInteractiveSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetInteractiveSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetInteractiveSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetImageSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistanceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetImageSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetMinimumImageSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetMinimumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMinimumImageSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetMaximumImageSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetMaximumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMaximumImageSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetAutoAdjustSampleDistances( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetAutoAdjustSampleDistances( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetAutoAdjustSampleDistances( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistances();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_AutoAdjustSampleDistancesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetNumberOfThreads( SEXP obj, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetNumberOfThreads( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetIntermixIntersectingGeometry( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetIntermixIntersectingGeometry( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetIntermixIntersectingGeometry( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometry();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_IntermixIntersectingGeometryOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance( SEXP obj, SEXP desiredTime, SEXP ren){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(desiredTime,1);
     float  *  _desiredTime =  SexpTofloat(desiredTime);
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->ComputeRequiredImageSampleDistance( * _desiredTime, _ren);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ComputeRequiredImageSampleDistance_v1( SEXP obj, SEXP desiredTime, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(desiredTime,1);
     float  *  _desiredTime =  SexpTofloat(desiredTime);
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float _res =_obj->ComputeRequiredImageSampleDistance( * _desiredTime, _ren, _vol);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_Render( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ToFixedPointPosition( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     float  *  _val =  SexpTofloat(val);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->ToFixedPointPosition( * _val);
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ToFixedPointPosition_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     unsigned int  *  _out =  SexpTounsigned_int(out);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->ToFixedPointPosition(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_in,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_out,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ToFixedPointDirection( SEXP obj, SEXP dir){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dir,1);
     float  *  _dir =  SexpTofloat(dir);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->ToFixedPointDirection( * _dir);
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ToFixedPointDirection_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     unsigned int  *  _out =  SexpTounsigned_int(out);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->ToFixedPointDirection(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_in,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_out,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_FixedPointIncrement( SEXP obj, SEXP position, SEXP increment){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,3);
     unsigned int  *  _position =  SexpTounsigned_int(position);
    SET_LENGTH(increment,3);
     unsigned int  *  _increment =  SexpTounsigned_int(increment);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->FixedPointIncrement(_position, _increment);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_position,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".position",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_increment,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".increment",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetFloatTripleFromPointer( SEXP obj, SEXP v, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,3);
     float  *  _v =  SexpTofloat(v);
     float  *  _ptr =  SexpTofloat(ptr);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->GetFloatTripleFromPointer(_v, _ptr);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_v,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetUIntTripleFromPointer( SEXP obj, SEXP v, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,3);
     unsigned int  *  _v =  SexpTounsigned_int(v);
     unsigned int  *  _ptr =  SexpTounsigned_int(ptr);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->GetUIntTripleFromPointer(_v, _ptr);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_v,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ShiftVectorDown( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     unsigned int  *  _in =  SexpTounsigned_int(in);
    SET_LENGTH(out,3);
     unsigned int  *  _out =  SexpTounsigned_int(out);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->ShiftVectorDown(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_in,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_out,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_CheckMinMaxVolumeFlag( SEXP obj, SEXP mmpos, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(mmpos,3);
     unsigned int  *  _mmpos =  SexpTounsigned_int(mmpos);
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->CheckMinMaxVolumeFlag(_mmpos,  * _c);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_mmpos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mmpos",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_CheckMIPMinMaxVolumeFlag( SEXP obj, SEXP mmpos, SEXP c, SEXP maxIdx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(mmpos,3);
     unsigned int  *  _mmpos =  SexpTounsigned_int(mmpos);
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    SET_LENGTH(maxIdx,1);
     short unsigned int  *  _maxIdx =  SexpToshort_unsigned_int(maxIdx);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->CheckMIPMinMaxVolumeFlag(_mmpos,  * _c,  * _maxIdx);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_mmpos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mmpos",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_LookupColorUC( SEXP obj, SEXP colorTable, SEXP scalarOpacityTable, SEXP index, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     short unsigned int  *  _colorTable =  
SexpToshort_unsigned_int(colorTable);
     short unsigned int  *  _scalarOpacityTable =  
SexpToshort_unsigned_int(scalarOpacityTable);
    SET_LENGTH(index,1);
     short unsigned int  *  _index =  SexpToshort_unsigned_int(index);
    SET_LENGTH(color,4);
     unsigned char  *  _color =  SexpTounsigned_char(color);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->LookupColorUC(_colorTable, _scalarOpacityTable,  * _index, _color);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,short_unsigned_intToSexp(_colorTable,LENGTH(colorTable)
));
    SET_VECTOR_ELT(res_names,1,charToSexp(".colorTable",0));
    SET_VECTOR_ELT(ans,2,short_unsigned_intToSexp(_scalarOpacityTable,
LENGTH(scalarOpacityTable)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalarOpacityTable",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_color,4));
    SET_VECTOR_ELT(res_names,3,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_LookupDependentColorUC( SEXP obj, SEXP colorTable, SEXP scalarOpacityTable, SEXP index, SEXP components, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     short unsigned int  *  _colorTable =  
SexpToshort_unsigned_int(colorTable);
     short unsigned int  *  _scalarOpacityTable =  
SexpToshort_unsigned_int(scalarOpacityTable);
    SET_LENGTH(index,4);
     short unsigned int  *  _index =  SexpToshort_unsigned_int(index);
    SET_LENGTH(components,1);
     int  *  _components =  SexpToint(components);
    SET_LENGTH(color,4);
     unsigned char  *  _color =  SexpTounsigned_char(color);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->LookupDependentColorUC(_colorTable, _scalarOpacityTable, _index,  * _components, _color);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,short_unsigned_intToSexp(_colorTable,LENGTH(colorTable)
));
    SET_VECTOR_ELT(res_names,1,charToSexp(".colorTable",0));
    SET_VECTOR_ELT(ans,2,short_unsigned_intToSexp(_scalarOpacityTable,
LENGTH(scalarOpacityTable)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalarOpacityTable",0));
    SET_VECTOR_ELT(ans,3,short_unsigned_intToSexp(_index,4));
    SET_VECTOR_ELT(res_names,3,charToSexp(".index",0));
    SET_VECTOR_ELT(ans,4,unsigned_charToSexp(_color,4));
    SET_VECTOR_ELT(res_names,4,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_CheckIfCropped( SEXP obj, SEXP pos){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pos,3);
     unsigned int  *  _pos =  SexpTounsigned_int(pos);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->CheckIfCropped(_pos);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_pos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pos",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetRenderWindow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetMIPHelper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastMIPHelper *  _res =( vtkFixedPointVolumeRayCastMIPHelper * )_obj->GetMIPHelper();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastMIPHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetCompositeHelper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeHelper *  _res =( vtkFixedPointVolumeRayCastCompositeHelper * )_obj->GetCompositeHelper();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetCompositeGOHelper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeGOHelper *  _res =( vtkFixedPointVolumeRayCastCompositeGOHelper * )_obj->GetCompositeGOHelper();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeGOHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetCompositeGOShadeHelper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeGOShadeHelper *  _res =( vtkFixedPointVolumeRayCastCompositeGOShadeHelper * )_obj->GetCompositeGOShadeHelper();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeGOShadeHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetCompositeShadeHelper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointVolumeRayCastCompositeShadeHelper *  _res =( vtkFixedPointVolumeRayCastCompositeShadeHelper * )_obj->GetCompositeShadeHelper();
    res=VtkToSexp(_res,"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetTableShift( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetTableShift();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetTableShift_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->GetTableShift(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetTableScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetTableScale();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetTableScale_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->GetTableScale(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetShadingRequired( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetShadingRequired();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetGradientOpacityRequired( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetGradientOpacityRequired();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetRowBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetRowBounds();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetColorTable( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetColorTable( * _c);
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetScalarOpacityTable( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetScalarOpacityTable( * _c);
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetGradientOpacityTable( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetGradientOpacityTable( * _c);
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetVolume( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkVolume *  _res =( vtkVolume * )_obj->GetVolume();
    res=VtkToSexp(_res,"vtkVolume");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetGradientNormal( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetGradientNormal();
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetGradientMagnitude( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetGradientMagnitude();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetDiffuseShadingTable( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetDiffuseShadingTable( * _c);
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetSpecularShadingTable( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetSpecularShadingTable( * _c);
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ComputeRayInfo( SEXP obj, SEXP x, SEXP y, SEXP pos, SEXP dir, SEXP numSteps){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    SET_LENGTH(pos,3);
     unsigned int  *  _pos =  SexpTounsigned_int(pos);
    SET_LENGTH(dir,3);
     unsigned int  *  _dir =  SexpTounsigned_int(dir);
     unsigned int  *  _numSteps =  SexpTounsigned_int(numSteps);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->ComputeRayInfo( * _x,  * _y, _pos, _dir, _numSteps);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_pos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pos",0));
    SET_VECTOR_ELT(ans,2,unsigned_intToSexp(_dir,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".dir",0));
    SET_VECTOR_ELT(ans,3,unsigned_intToSexp(_numSteps,LENGTH(numSteps)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".numSteps",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_InitializeRayInfo( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->InitializeRayInfo(_vol);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_ShouldUseNearestNeighborInterpolation( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->ShouldUseNearestNeighborInterpolation(_vol);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_SetRayCastImage( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFixedPointRayCastImage  *  __arg = (vtkFixedPointRayCastImage * )  
SexpToVtk(_arg);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->SetRayCastImage(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkFixedPointRayCastImage"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_GetRayCastImage( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    vtkFixedPointRayCastImage *  _res =( vtkFixedPointRayCastImage * )_obj->GetRayCastImage();
    res=VtkToSexp(_res,"vtkFixedPointRayCastImage");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_PerImageInitialization( SEXP obj, SEXP ren, SEXP vol, SEXP multiRender, SEXP inputOrigin, SEXP inputSpacing, SEXP inputExtent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    SET_LENGTH(multiRender,1);
     int  *  _multiRender =  SexpToint(multiRender);
    SET_LENGTH(inputOrigin,3);
     double  *  _inputOrigin =  SexpTodouble(inputOrigin);
    SET_LENGTH(inputSpacing,3);
     double  *  _inputSpacing =  SexpTodouble(inputSpacing);
    SET_LENGTH(inputExtent,6);
     int  *  _inputExtent =  SexpToint(inputExtent);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    int _res =_obj->PerImageInitialization(_ren, _vol,  * _multiRender, _inputOrigin, _inputSpacing, _inputExtent);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_inputOrigin,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inputOrigin",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_inputSpacing,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inputSpacing",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_inputExtent,6));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inputExtent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_PerVolumeInitialization( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->PerVolumeInitialization(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_PerSubVolumeInitialization( SEXP obj, SEXP ren, SEXP vol, SEXP multiRender){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    SET_LENGTH(multiRender,1);
     int  *  _multiRender =  SexpToint(multiRender);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->PerSubVolumeInitialization(_ren, _vol,  * _multiRender);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_RenderSubVolume( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->RenderSubVolume();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_DisplayRenderedImage( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->DisplayRenderedImage(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_AbortRender( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * _obj = (vtkFixedPointVolumeRayCastMapper
 * ) SexpToVtk(obj);
    _obj->AbortRender();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFixedPointVolumeRayCastMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFixedPointVolumeRayCastMapper * res= ( vtkFixedPointVolumeRayCastMapper
 * ) vtkFixedPointVolumeRayCastMapper::New();
    R_res=toRPointer(res,"vtkFixedPointVolumeRayCastMapper");
    return(R_res);
  }
#endif
}
