#include <vtkGL2PSExporter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkGL2PSExporter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    vtkGL2PSExporter *  _res =( vtkGL2PSExporter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGL2PSExporter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    vtkGL2PSExporter *  _res =( vtkGL2PSExporter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGL2PSExporter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFilePrefix( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFilePrefix(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetFilePrefix( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFilePrefix();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFileFormat( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFileFormat( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetFileFormatMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetFileFormatMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetFileFormatMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetFileFormatMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetFileFormat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetFileFormat();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFileFormatToPS( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFileFormatToPS();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFileFormatToEPS( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFileFormatToEPS();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFileFormatToPDF( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFileFormatToPDF();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetFileFormatToTeX( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetFileFormatToTeX();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetFileFormatAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileFormatAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSort( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSort( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSortMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetSortMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSortMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetSortMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetSort();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSortToOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSortToOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSortToSimple( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSortToSimple();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSortToBSP( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSortToBSP();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSortAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSortAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetCompress( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetCompress( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetCompress( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetCompress();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_CompressOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->CompressOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_CompressOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->CompressOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetDrawBackground( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetDrawBackground( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetDrawBackground( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetDrawBackground();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_DrawBackgroundOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->DrawBackgroundOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_DrawBackgroundOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->DrawBackgroundOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSimpleLineOffset( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSimpleLineOffset( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSimpleLineOffset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetSimpleLineOffset();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SimpleLineOffsetOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SimpleLineOffsetOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SimpleLineOffsetOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SimpleLineOffsetOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetSilent( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetSilent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetSilent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetSilent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SilentOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SilentOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SilentOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SilentOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetBestRoot( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetBestRoot( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetBestRoot( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetBestRoot();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_BestRootOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->BestRootOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_BestRootOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->BestRootOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetText( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetText( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetText( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetText();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_TextOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->TextOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_TextOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->TextOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetLandscape( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetLandscape( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetLandscape( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetLandscape();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_LandscapeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->LandscapeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_LandscapeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->LandscapeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetPS3Shading( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetPS3Shading( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetPS3Shading( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetPS3Shading();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_PS3ShadingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->PS3ShadingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_PS3ShadingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->PS3ShadingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetOcclusionCull( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetOcclusionCull( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetOcclusionCull( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetOcclusionCull();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_OcclusionCullOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->OcclusionCullOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_OcclusionCullOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->OcclusionCullOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetWrite3DPropsAsRasterImage( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetWrite3DPropsAsRasterImage( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetWrite3DPropsAsRasterImage( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    int _res =_obj->GetWrite3DPropsAsRasterImage();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_Write3DPropsAsRasterImageOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->Write3DPropsAsRasterImageOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_Write3DPropsAsRasterImageOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->Write3DPropsAsRasterImageOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetGlobalPointSizeFactor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     float  *  _val =  SexpTofloat(val);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetGlobalPointSizeFactor( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetGlobalPointSizeFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    float _res =_obj->GetGlobalPointSizeFactor();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_SetGlobalLineWidthFactor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     float  *  _val =  SexpTofloat(val);
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    _obj->SetGlobalLineWidthFactor( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_GetGlobalLineWidthFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGL2PSExporter * _obj = (vtkGL2PSExporter * ) SexpToVtk(obj);
    float _res =_obj->GetGlobalLineWidthFactor();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGL2PSExporter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGL2PSExporter * res= ( vtkGL2PSExporter * ) vtkGL2PSExporter::New();
    R_res=toRPointer(res,"vtkGL2PSExporter");
    return(R_res);
  }
#endif
}
