#include <vtkGenericAttribute.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericAttribute_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    vtkGenericAttribute *  _res =( vtkGenericAttribute * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericAttribute");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    vtkGenericAttribute *  _res =( vtkGenericAttribute * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericAttribute");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetCentering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->GetCentering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->GetType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetComponentType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->GetComponentType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    int _res =_obj->GetSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetActualMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetRange( SEXP obj, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange( * _component);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetRange_v1( SEXP obj, SEXP component, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->GetRange( * _component, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetMaxNorm( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double _res =_obj->GetMaxNorm();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAdaptorCell  *  _c = (vtkGenericAdaptorCell * )  SexpToVtk(c);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple(_c);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericAdaptorCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple_v1( SEXP obj, SEXP c, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAdaptorCell  *  _c = (vtkGenericAdaptorCell * )  SexpToVtk(c);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->GetTuple(_c, _tuple);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericAdaptorCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple_v2( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericCellIterator  *  _c = (vtkGenericCellIterator * )  SexpToVtk(c);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple(_c);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericCellIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple_v3( SEXP obj, SEXP c, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericCellIterator  *  _c = (vtkGenericCellIterator * )  SexpToVtk(c);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->GetTuple(_c, _tuple);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericCellIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple_v4( SEXP obj, SEXP p){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericPointIterator  *  _p = (vtkGenericPointIterator * )  
SexpToVtk(p);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTuple(_p);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkGenericPointIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetTuple_v5( SEXP obj, SEXP p, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericPointIterator  *  _p = (vtkGenericPointIterator * )  
SexpToVtk(p);
     double  *  _tuple =  SexpTodouble(tuple);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->GetTuple(_p, _tuple);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkGenericPointIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetComponent( SEXP obj, SEXP i, SEXP c, SEXP values){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     vtkGenericCellIterator  *  _c = (vtkGenericCellIterator * )  SexpToVtk(c);
     double  *  _values =  SexpTodouble(values);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->GetComponent( * _i, _c, _values);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericCellIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_values,LENGTH(values)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_GetComponent_v1( SEXP obj, SEXP i, SEXP p){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     vtkGenericPointIterator  *  _p = (vtkGenericPointIterator * )  
SexpToVtk(p);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    double _res =_obj->GetComponent( * _i, _p);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkGenericPointIterator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_DeepCopy( SEXP obj, SEXP other){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAttribute  *  _other = (vtkGenericAttribute * )  
SexpToVtk(other);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->DeepCopy(_other);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_other,"vtkGenericAttribute"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".other",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttribute_ShallowCopy( SEXP obj, SEXP other){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAttribute  *  _other = (vtkGenericAttribute * )  
SexpToVtk(other);
    vtkGenericAttribute * _obj = (vtkGenericAttribute * ) SexpToVtk(obj);
    _obj->ShallowCopy(_other);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_other,"vtkGenericAttribute"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".other",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
