#include <vtkGenericAttributeCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericAttributeCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    vtkGenericAttributeCollection *  _res =( vtkGenericAttributeCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericAttributeCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    vtkGenericAttributeCollection *  _res =( vtkGenericAttributeCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericAttributeCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetNumberOfAttributes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfAttributes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetNumberOfPointCenteredComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointCenteredComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetMaxNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetMaxNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetActualMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_IsEmpty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsEmpty();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetAttribute( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    vtkGenericAttribute *  _res =( vtkGenericAttribute * )_obj->GetAttribute( * _i);
    res=VtkToSexp(_res,"vtkGenericAttribute");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_FindAttribute( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->FindAttribute(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetAttributeIndex( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeIndex( * _i);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_InsertNextAttribute( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAttribute  *  _a = (vtkGenericAttribute * )  SexpToVtk(a);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->InsertNextAttribute(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkGenericAttribute"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_InsertAttribute( SEXP obj, SEXP i, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     vtkGenericAttribute  *  _a = (vtkGenericAttribute * )  SexpToVtk(a);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->InsertAttribute( * _i, _a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkGenericAttribute"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_RemoveAttribute( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->RemoveAttribute( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_Reset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_DeepCopy( SEXP obj, SEXP other){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAttributeCollection  *  _other = 
(vtkGenericAttributeCollection * )  SexpToVtk(other);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->DeepCopy(_other);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_other,"vtkGenericAttributeCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".other",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_ShallowCopy( SEXP obj, SEXP other){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAttributeCollection  *  _other = 
(vtkGenericAttributeCollection * )  SexpToVtk(other);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->ShallowCopy(_other);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_other,"vtkGenericAttributeCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".other",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetActiveAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetActiveAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetActiveComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetActiveComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_SetActiveAttribute( SEXP obj, SEXP attribute, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(attribute,1);
     int  *  _attribute =  SexpToint(attribute);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->SetActiveAttribute( * _attribute,  * _component);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetNumberOfAttributesToInterpolate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfAttributesToInterpolate();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_GetAttributesToInterpolate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetAttributesToInterpolate();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_HasAttribute( SEXP obj, SEXP size, SEXP attributes, SEXP attribute){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     int  *  _attributes =  SexpToint(attributes);
    SET_LENGTH(attribute,1);
     int  *  _attribute =  SexpToint(attribute);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    int _res =_obj->HasAttribute( * _size, _attributes,  * _attribute);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_attributes,LENGTH(attributes)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".attributes",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_SetAttributesToInterpolate( SEXP obj, SEXP size, SEXP attributes){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     int  *  _attributes =  SexpToint(attributes);
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->SetAttributesToInterpolate( * _size, _attributes);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_attributes,LENGTH(attributes)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".attributes",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_SetAttributesToInterpolateToAll( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * _obj = (vtkGenericAttributeCollection
 * ) SexpToVtk(obj);
    _obj->SetAttributesToInterpolateToAll();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericAttributeCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericAttributeCollection * res= ( vtkGenericAttributeCollection * ) 
vtkGenericAttributeCollection::New();
    R_res=toRPointer(res,"vtkGenericAttributeCollection");
    return(R_res);
  }
#endif
}
