#include <vtkGenericCell.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericCell_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    vtkGenericCell *  _res =( vtkGenericCell * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericCell");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    vtkGenericCell *  _res =( vtkGenericCell * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_ShallowCopy( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCell  *  _c = (vtkCell * )  SexpToVtk(c);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->ShallowCopy(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_DeepCopy( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCell  *  _c = (vtkCell * )  SexpToVtk(c);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->DeepCopy(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetCellType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetCellDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_IsLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->IsLinear();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_RequiresInitialization( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->RequiresInitialization();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetNumberOfEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetNumberOfFaces( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetEdge( SEXP obj, SEXP edgeId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetEdge( * _edgeId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetFace( SEXP obj, SEXP faceId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetFace( * _faceId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_CellBoundary( SEXP obj, SEXP subId, SEXP pcoords, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     vtkIdList  *  _pts = (vtkIdList * )  SexpToVtk(pts);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->CellBoundary( * _subId, _pcoords, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pts,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_EvaluatePosition( SEXP obj, SEXP x, SEXP closestPoint, SEXP subId, SEXP pcoords, SEXP dist2, SEXP weights){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(closestPoint,3);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
     double  *  _weights =  SexpTodouble(weights);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->EvaluatePosition(_x, _closestPoint,  * _subId, _pcoords,  * _dist2, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".dist2",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_EvaluateLocation( SEXP obj, SEXP subId, SEXP pcoords, SEXP x, SEXP weights){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _weights =  SexpTodouble(weights);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->EvaluateLocation( * _subId, _pcoords, _x, _weights);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_Contour( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP verts, SEXP lines, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->Contour( * _value, _cellScalars, _locator, _verts, _lines, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd);
    PROTECT(ans = allocVector(VECSXP,10));
    PROTECT(res_names = allocVector(VECSXP,10));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,9,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,9,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP connectivity, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd, SEXP insideOut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _connectivity = (vtkCellArray * )  
SexpToVtk(connectivity);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _connectivity, _inPd, _outPd, _inCd,  * _cellId, _outCd,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_connectivity,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".connectivity",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_Triangulate( SEXP obj, SEXP index, SEXP ptIds, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkPoints  *  _pts = (vtkPoints * )  SexpToVtk(pts);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->Triangulate( * _index, _ptIds, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_Derivatives( SEXP obj, SEXP subId, SEXP pcoords, SEXP values, SEXP dim, SEXP derivs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     double  *  _values =  SexpTodouble(values);
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
     double  *  _derivs =  SexpTodouble(derivs);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->Derivatives( * _subId, _pcoords, _values,  * _dim, _derivs);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_values,LENGTH(values)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_derivs,LENGTH(derivs)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".derivs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetParametricCenter( SEXP obj, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->GetParametricCenter(_pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_GetParametricCoords( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetParametricCoords();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_IsPrimaryCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    int _res =_obj->IsPrimaryCell();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellType( SEXP obj, SEXP cellType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellType,1);
     int  *  _cellType =  SexpToint(cellType);
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellType( * _cellType);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToEmptyCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToEmptyCell();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToVertex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToVertex();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPolyVertex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPolyVertex();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToLine( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToLine();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPolyLine( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPolyLine();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToTriangle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToTriangle();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToTriangleStrip( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToTriangleStrip();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPolygon( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPolygon();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPixel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPixel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuad( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuad();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToTetra( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToTetra();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToVoxel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToVoxel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToHexahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToHexahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToWedge( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToWedge();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPyramid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPyramid();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToPentagonalPrism( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToPentagonalPrism();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToHexagonalPrism( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToHexagonalPrism();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToConvexPointSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToConvexPointSet();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticEdge( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticEdge();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticTriangle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticTriangle();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticQuad( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticQuad();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticTetra( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticTetra();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticHexahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticHexahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticWedge( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticWedge();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_SetCellTypeToQuadraticPyramid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCell * _obj = (vtkGenericCell * ) SexpToVtk(obj);
    _obj->SetCellTypeToQuadraticPyramid();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCell_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericCell * res= ( vtkGenericCell * ) vtkGenericCell::New();
    R_res=toRPointer(res,"vtkGenericCell");
    return(R_res);
  }
#endif
}
