#include <vtkGenericCutter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericCutter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    vtkGenericCutter *  _res =( vtkGenericCutter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericCutter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    vtkGenericCutter *  _res =( vtkGenericCutter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericCutter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SetValue( SEXP obj, SEXP i, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->SetValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetValue( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValues();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetValues_v1( SEXP obj, SEXP contourValues){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _contourValues =  SexpTodouble(contourValues);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->GetValues(_contourValues);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_contourValues,LENGTH(contourValues)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".contourValues",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SetNumberOfContours( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->SetNumberOfContours( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetNumberOfContours( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfContours();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GenerateValues( SEXP obj, SEXP numContours, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GenerateValues_v1( SEXP obj, SEXP numContours, SEXP rangeStart, SEXP rangeEnd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(rangeStart,1);
     double  *  _rangeStart =  SexpTodouble(rangeStart);
    SET_LENGTH(rangeEnd,1);
     double  *  _rangeEnd =  SexpTodouble(rangeEnd);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours,  * _rangeStart,  * _rangeEnd);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SetCutFunction( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImplicitFunction  *  __arg = (vtkImplicitFunction * )  SexpToVtk(_arg);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->SetCutFunction(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImplicitFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetCutFunction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    vtkImplicitFunction *  _res =( vtkImplicitFunction * )_obj->GetCutFunction();
    res=VtkToSexp(_res,"vtkImplicitFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SetGenerateCutScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->SetGenerateCutScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetGenerateCutScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateCutScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GenerateCutScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->GenerateCutScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GenerateCutScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->GenerateCutScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCutter * _obj = (vtkGenericCutter * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCutter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericCutter * res= ( vtkGenericCutter * ) vtkGenericCutter::New();
    R_res=toRPointer(res,"vtkGenericCutter");
    return(R_res);
  }
#endif
}
