#include <vtkGenericDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericDataSet_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericDataSet *  _res =( vtkGenericDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericDataSet *  _res =( vtkGenericDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetNumberOfPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetNumberOfCells( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells( * _dim);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetCellDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetCellTypes( SEXP obj, SEXP types){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellTypes  *  _types = (vtkCellTypes * )  SexpToVtk(types);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->GetCellTypes(_types);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_types,"vtkCellTypes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".types",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_NewCellIterator( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericCellIterator *  _res =( vtkGenericCellIterator * )_obj->NewCellIterator( * _dim);
    res=VtkToSexp(_res,"vtkGenericCellIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_NewBoundaryIterator( SEXP obj, SEXP dim, SEXP exteriorOnly){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
    SET_LENGTH(exteriorOnly,1);
     int  *  _exteriorOnly =  SexpToint(exteriorOnly);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericCellIterator *  _res =( vtkGenericCellIterator * )_obj->NewBoundaryIterator( * _dim,  * _exteriorOnly);
    res=VtkToSexp(_res,"vtkGenericCellIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_NewPointIterator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericPointIterator *  _res =( vtkGenericPointIterator * )_obj->NewPointIterator();
    res=VtkToSexp(_res,"vtkGenericPointIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_FindCell( SEXP obj, SEXP x, SEXP cell, SEXP tol2, SEXP subId, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkGenericCellIterator  *  _cell = (vtkGenericCellIterator * )  
SexpToVtk(cell);
    SET_LENGTH(tol2,1);
     double  *  _tol2 =  SexpTodouble(tol2);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->FindCell(_x, _cell,  * _tol2,  * _subId, _pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCellIterator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_FindPoint( SEXP obj, SEXP x, SEXP p){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     vtkGenericPointIterator  *  _p = (vtkGenericPointIterator * )  
SexpToVtk(p);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->FindPoint(_x, _p);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkGenericPointIterator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_ComputeBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->ComputeBounds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetBounds_v1( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetCenter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetCenter_v1( SEXP obj, SEXP center){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->GetCenter(_center);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    double _res =_obj->GetLength();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetAttributes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericAttributeCollection *  _res =( vtkGenericAttributeCollection * )_obj->GetAttributes();
    res=VtkToSexp(_res,"vtkGenericAttributeCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_SetTessellator( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericCellTessellator  *  __arg = (vtkGenericCellTessellator * )  
SexpToVtk(_arg);
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    _obj->SetTessellator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkGenericCellTessellator"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetTessellator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    vtkGenericCellTessellator *  _res =( vtkGenericCellTessellator * )_obj->GetTessellator();
    res=VtkToSexp(_res,"vtkGenericCellTessellator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetActualMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetDataObjectType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSet_GetEstimatedSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSet * _obj = (vtkGenericDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetEstimatedSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
