#include <vtkGenericDataSetTessellator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericDataSetTessellator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    vtkGenericDataSetTessellator *  _res =( vtkGenericDataSetTessellator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericDataSetTessellator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    vtkGenericDataSetTessellator *  _res =( vtkGenericDataSetTessellator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericDataSetTessellator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_SetKeepCellIds( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->SetKeepCellIds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_GetKeepCellIds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    int _res =_obj->GetKeepCellIds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_KeepCellIdsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->KeepCellIdsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_KeepCellIdsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->KeepCellIdsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_SetMerging( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->SetMerging( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_GetMerging( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    int _res =_obj->GetMerging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_MergingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->MergingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_MergingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->MergingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * _obj = (vtkGenericDataSetTessellator
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericDataSetTessellator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericDataSetTessellator * res= ( vtkGenericDataSetTessellator * ) 
vtkGenericDataSetTessellator::New();
    R_res=toRPointer(res,"vtkGenericDataSetTessellator");
    return(R_res);
  }
#endif
}
