#include <vtkGenericStreamTracer.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericStreamTracer_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    vtkGenericStreamTracer *  _res =( vtkGenericStreamTracer * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericStreamTracer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    vtkGenericStreamTracer *  _res =( vtkGenericStreamTracer * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericStreamTracer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetStartPosition( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetStartPosition( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetStartPosition_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetStartPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetStartPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetStartPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetStartPosition_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->GetStartPosition( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetStartPosition_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->GetStartPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetSource( SEXP obj, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _source = (vtkDataSet * )  SexpToVtk(source);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetSource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_FillInputPortInformation( SEXP obj, SEXP port, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->FillInputPortInformation( * _port, _info);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegrator( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInitialValueProblemSolver  *  __arg = 
(vtkInitialValueProblemSolver * )  SexpToVtk(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkInitialValueProblemSolver"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetIntegrator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    vtkInitialValueProblemSolver *  _res =( vtkInitialValueProblemSolver * )_obj->GetIntegrator();
    res=VtkToSexp(_res,"vtkInitialValueProblemSolver");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegratorType( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetIntegratorType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegratorType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta2( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta2();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta4( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta4();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta45( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegratorTypeToRungeKutta45();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagation( SEXP obj, SEXP unit, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagation( * _unit,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagation_v1( SEXP obj, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagation( * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagationUnit( SEXP obj, SEXP unit){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumPropagationUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumPropagationUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumPropagation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumPropagation();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagationUnitToTimeUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagationUnitToLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumPropagationUnitToCellLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumPropagationUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStep( SEXP obj, SEXP unit, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStepUnit( SEXP obj, SEXP unit){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStep_v1( SEXP obj, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMinimumIntegrationStepUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMinimumIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMinimumIntegrationStep( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMinimumIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStep( SEXP obj, SEXP unit, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStepUnit( SEXP obj, SEXP unit){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStep_v1( SEXP obj, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumIntegrationStepUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumIntegrationStep( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStep( SEXP obj, SEXP unit, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStep( * _unit,  * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStepUnit( SEXP obj, SEXP unit){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(unit,1);
     int  *  _unit =  SexpToint(unit);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnit( * _unit);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStep_v1( SEXP obj, SEXP step){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(step,1);
     double  *  _step =  SexpTodouble(step);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStep( * _step);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetInitialIntegrationStepUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetInitialIntegrationStepUnit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetInitialIntegrationStep( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetInitialIntegrationStep();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToTimeUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToTimeUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInitialIntegrationStepUnitToCellLengthUnit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumError( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumError( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumError( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumError();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetMaximumNumberOfSteps( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfSteps( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetMaximumNumberOfSteps( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfSteps();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetTerminalSpeed( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetTerminalSpeed( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetTerminalSpeed( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetTerminalSpeed();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegrationDirection( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirection( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetIntegrationDirectionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirectionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetIntegrationDirectionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirectionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetIntegrationDirection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationDirection();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegrationDirectionToForward( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToForward();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegrationDirectionToBackward( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToBackward();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetIntegrationDirectionToBoth( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetIntegrationDirectionToBoth();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetComputeVorticity( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetComputeVorticity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetComputeVorticity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    int _res =_obj->GetComputeVorticity();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_ComputeVorticityOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->ComputeVorticityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_ComputeVorticityOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->ComputeVorticityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetRotationScale( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetRotationScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetRotationScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    double _res =_obj->GetRotationScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_GetInputVectorsSelection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputVectorsSelection();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SelectInputVectors( SEXP obj, SEXP fieldName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldName =  SexpTochar(fieldName);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SelectInputVectors(_fieldName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_AddInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericDataSet  *  _input = (vtkGenericDataSet * )  SexpToVtk(input);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->AddInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkGenericDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_SetInterpolatorPrototype( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericInterpolatedVelocityField  *  __arg = 
(vtkGenericInterpolatedVelocityField * )  SexpToVtk(_arg);
    vtkGenericStreamTracer * _obj = (vtkGenericStreamTracer * ) SexpToVtk(obj);
    _obj->SetInterpolatorPrototype(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkGenericInterpolatedVelocityField"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericStreamTracer_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericStreamTracer * res= ( vtkGenericStreamTracer * ) 
vtkGenericStreamTracer::New();
    R_res=toRPointer(res,"vtkGenericStreamTracer");
    return(R_res);
  }
#endif
}
