#include <vtkGenericSubdivisionErrorMetric.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericSubdivisionErrorMetric_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    vtkGenericSubdivisionErrorMetric *  _res =( vtkGenericSubdivisionErrorMetric * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericSubdivisionErrorMetric");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    vtkGenericSubdivisionErrorMetric *  _res =( vtkGenericSubdivisionErrorMetric * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericSubdivisionErrorMetric");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_RequiresEdgeSubdivision( SEXP obj, SEXP leftPoint, SEXP midPoint, SEXP rightPoint, SEXP alpha){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _leftPoint =  SexpTodouble(leftPoint);
     double  *  _midPoint =  SexpTodouble(midPoint);
     double  *  _rightPoint =  SexpTodouble(rightPoint);
    SET_LENGTH(alpha,1);
     double  *  _alpha =  SexpTodouble(alpha);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->RequiresEdgeSubdivision(_leftPoint, _midPoint, _rightPoint,  * _alpha);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_leftPoint,LENGTH(leftPoint)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".leftPoint",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_midPoint,LENGTH(midPoint)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".midPoint",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_rightPoint,LENGTH(rightPoint)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".rightPoint",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_GetError( SEXP obj, SEXP leftPoint, SEXP midPoint, SEXP rightPoint, SEXP alpha){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _leftPoint =  SexpTodouble(leftPoint);
     double  *  _midPoint =  SexpTodouble(midPoint);
     double  *  _rightPoint =  SexpTodouble(rightPoint);
    SET_LENGTH(alpha,1);
     double  *  _alpha =  SexpTodouble(alpha);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    double _res =_obj->GetError(_leftPoint, _midPoint, _rightPoint,  * _alpha);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_leftPoint,LENGTH(leftPoint)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".leftPoint",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_midPoint,LENGTH(midPoint)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".midPoint",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_rightPoint,LENGTH(rightPoint)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".rightPoint",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_SetGenericCell( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAdaptorCell  *  _c = (vtkGenericAdaptorCell * )  SexpToVtk(c);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    _obj->SetGenericCell(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericAdaptorCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_GetGenericCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    vtkGenericAdaptorCell *  _res =( vtkGenericAdaptorCell * )_obj->GetGenericCell();
    res=VtkToSexp(_res,"vtkGenericAdaptorCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_SetDataSet( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericDataSet  *  _ds = (vtkGenericDataSet * )  SexpToVtk(ds);
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    _obj->SetDataSet(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkGenericDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericSubdivisionErrorMetric_GetDataSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericSubdivisionErrorMetric * _obj = (vtkGenericSubdivisionErrorMetric
 * ) SexpToVtk(obj);
    vtkGenericDataSet *  _res =( vtkGenericDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkGenericDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
