#include <vtkGeometricErrorMetric.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGeometricErrorMetric_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    vtkGeometricErrorMetric *  _res =( vtkGeometricErrorMetric * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGeometricErrorMetric");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    vtkGeometricErrorMetric *  _res =( vtkGeometricErrorMetric * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGeometricErrorMetric");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_GetAbsoluteGeometricTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    double _res =_obj->GetAbsoluteGeometricTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_SetAbsoluteGeometricTolerance( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    _obj->SetAbsoluteGeometricTolerance( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_SetRelativeGeometricTolerance( SEXP obj, SEXP value, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkGenericDataSet  *  _ds = (vtkGenericDataSet * )  SexpToVtk(ds);
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    _obj->SetRelativeGeometricTolerance( * _value, _ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkGenericDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_GetRelative( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGeometricErrorMetric * _obj = (vtkGeometricErrorMetric
 * ) SexpToVtk(obj);
    int _res =_obj->GetRelative();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGeometricErrorMetric_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGeometricErrorMetric * res= ( vtkGeometricErrorMetric * ) 
vtkGeometricErrorMetric::New();
    R_res=toRPointer(res,"vtkGeometricErrorMetric");
    return(R_res);
  }
#endif
}
