#include <vtkGlyph3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGlyph3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    vtkGlyph3D *  _res =( vtkGlyph3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGlyph3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    vtkGlyph3D *  _res =( vtkGlyph3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGlyph3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetSource( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetSource(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetSource_v1( SEXP obj, SEXP id, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetSource( * _id, _pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetSource( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetSource( * _id);
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaling( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaling( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_ScalingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->ScalingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_ScalingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->ScalingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetScaling( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetScaling();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetScaleMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetScaleMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleModeToScaleByScalar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleModeToScaleByScalar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleModeToScaleByVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleModeToScaleByVector();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleModeToScaleByVectorComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleModeToScaleByVectorComponents();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleModeToDataScalingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleModeToDataScalingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetScaleModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScaleModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetColorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetColorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetColorModeToColorByScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetColorModeToColorByScale();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetColorModeToColorByScalar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetColorModeToColorByScalar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetColorModeToColorByVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetColorModeToColorByVector();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetColorModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetColorModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetScaleFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetScaleFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetScaleFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    double _res =_obj->GetScaleFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetRange_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->GetRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetOrient( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetOrient( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_OrientOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->OrientOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_OrientOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->OrientOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetOrient( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetOrient();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetClamping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetClamping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_ClampingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->ClampingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_ClampingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->ClampingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetClamping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetClamping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetVectorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetVectorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetVectorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetVectorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetVectorModeToUseVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetVectorModeToUseVector();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetVectorModeToUseNormal( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetVectorModeToUseNormal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetVectorModeToVectorRotationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetVectorModeToVectorRotationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetVectorModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetIndexMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetIndexMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetIndexMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetIndexMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetIndexModeToScalar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetIndexModeToScalar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetIndexModeToVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetIndexModeToVector();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetIndexModeToOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetIndexModeToOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetIndexModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetIndexModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetGeneratePointIds( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetGeneratePointIds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetGeneratePointIds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    int _res =_obj->GetGeneratePointIds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GeneratePointIdsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->GeneratePointIdsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GeneratePointIdsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->GeneratePointIdsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_SetPointIdsName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    _obj->SetPointIdsName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_GetPointIdsName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGlyph3D * _obj = (vtkGlyph3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPointIdsName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGlyph3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGlyph3D * res= ( vtkGlyph3D * ) vtkGlyph3D::New();
    R_res=toRPointer(res,"vtkGlyph3D");
    return(R_res);
  }
#endif
}
