#include <vtkHierarchicalDataExtractLevel.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkHierarchicalDataExtractLevel_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    vtkHierarchicalDataExtractLevel *  _res =( vtkHierarchicalDataExtractLevel * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataExtractLevel");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    vtkHierarchicalDataExtractLevel *  _res =( vtkHierarchicalDataExtractLevel * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataExtractLevel");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_SetMinLevel( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     unsigned int  *  __arg =  SexpTounsigned_int(_arg);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    _obj->SetMinLevel( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_GetMinLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetMinLevel();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_SetMaxLevel( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     unsigned int  *  __arg =  SexpTounsigned_int(_arg);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    _obj->SetMaxLevel( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_GetMaxLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetMaxLevel();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_SetLevelRange( SEXP obj, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min,1);
     unsigned int  *  _min =  SexpTounsigned_int(min);
    SET_LENGTH(max,1);
     unsigned int  *  _max =  SexpTounsigned_int(max);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    _obj->SetLevelRange( * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_GetInputLevels( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetInputLevels();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_GetInputLevels_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    _obj->GetInputLevels( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_GetInputLevels_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkHierarchicalDataExtractLevel * _obj = (vtkHierarchicalDataExtractLevel
 * ) SexpToVtk(obj);
    _obj->GetInputLevels(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractLevel_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractLevel * res= ( vtkHierarchicalDataExtractLevel
 * ) vtkHierarchicalDataExtractLevel::New();
    R_res=toRPointer(res,"vtkHierarchicalDataExtractLevel");
    return(R_res);
  }
#endif
}
