#include <vtkHierarchicalDataInformation.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkHierarchicalDataInformation_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    vtkHierarchicalDataInformation *  _res =( vtkHierarchicalDataInformation * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataInformation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    vtkHierarchicalDataInformation *  _res =( vtkHierarchicalDataInformation * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_GetNumberOfLevels( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetNumberOfLevels();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_SetNumberOfLevels( SEXP obj, SEXP numLevels){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numLevels,1);
     unsigned int  *  _numLevels =  SexpTounsigned_int(numLevels);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    _obj->SetNumberOfLevels( * _numLevels);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_GetNumberOfDataSets( SEXP obj, SEXP level){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetNumberOfDataSets( * _level);
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_SetNumberOfDataSets( SEXP obj, SEXP level, SEXP numDataSets){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(numDataSets,1);
     unsigned int  *  _numDataSets =  SexpTounsigned_int(numDataSets);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    _obj->SetNumberOfDataSets( * _level,  * _numDataSets);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_GetInformation( SEXP obj, SEXP level, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetInformation( * _level,  * _id);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_HasInformation( SEXP obj, SEXP level, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    int _res =_obj->HasInformation( * _level,  * _id);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_DeepCopy( SEXP obj, SEXP from){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHierarchicalDataInformation  *  _from = 
(vtkHierarchicalDataInformation * )  SexpToVtk(from);
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    _obj->DeepCopy(_from);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkHierarchicalDataInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_Clear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataInformation * _obj = (vtkHierarchicalDataInformation
 * ) SexpToVtk(obj);
    _obj->Clear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataInformation_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalDataInformation * res= ( vtkHierarchicalDataInformation * ) 
vtkHierarchicalDataInformation::New();
    R_res=toRPointer(res,"vtkHierarchicalDataInformation");
    return(R_res);
  }
#endif
}
