#include <vtkHierarchicalDataSetAlgorithm.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkHierarchicalDataSetAlgorithm_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    vtkHierarchicalDataSetAlgorithm *  _res =( vtkHierarchicalDataSetAlgorithm * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataSetAlgorithm");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    vtkHierarchicalDataSetAlgorithm *  _res =( vtkHierarchicalDataSetAlgorithm * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataSetAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    vtkHierarchicalDataSet *  _res =( vtkHierarchicalDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkHierarchicalDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_GetOutput_v1( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    vtkHierarchicalDataSet *  _res =( vtkHierarchicalDataSet * )_obj->GetOutput( * _port);
    res=VtkToSexp(_res,"vtkHierarchicalDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_SetInput_v1( SEXP obj, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkDataObject  *  _input = (vtkDataObject * )  SexpToVtk(input);
    vtkHierarchicalDataSetAlgorithm * _obj = (vtkHierarchicalDataSetAlgorithm
 * ) SexpToVtk(obj);
    _obj->SetInput( * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataSetAlgorithm_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalDataSetAlgorithm * res= ( vtkHierarchicalDataSetAlgorithm
 * ) vtkHierarchicalDataSetAlgorithm::New();
    R_res=toRPointer(res,"vtkHierarchicalDataSetAlgorithm");
    return(R_res);
  }
#endif
}
