#include <vtkImageButterworthLowPass.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageButterworthLowPass_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    vtkImageButterworthLowPass *  _res =( vtkImageButterworthLowPass * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageButterworthLowPass");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    vtkImageButterworthLowPass *  _res =( vtkImageButterworthLowPass * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageButterworthLowPass");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetCutOff( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetCutOff( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetCutOff_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetCutOff(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetCutOff_v2( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetCutOff( * _v);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetXCutOff( SEXP obj, SEXP cutOff){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cutOff,1);
     double  *  _cutOff =  SexpTodouble(cutOff);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetXCutOff( * _cutOff);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetYCutOff( SEXP obj, SEXP cutOff){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cutOff,1);
     double  *  _cutOff =  SexpTodouble(cutOff);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetYCutOff( * _cutOff);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetZCutOff( SEXP obj, SEXP cutOff){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cutOff,1);
     double  *  _cutOff =  SexpTodouble(cutOff);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetZCutOff( * _cutOff);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetCutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCutOff();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetCutOff_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->GetCutOff( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetCutOff_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->GetCutOff(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetXCutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    double _res =_obj->GetXCutOff();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetYCutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    double _res =_obj->GetYCutOff();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetZCutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    double _res =_obj->GetZCutOff();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_SetOrder( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    _obj->SetOrder( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_GetOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * _obj = (vtkImageButterworthLowPass
 * ) SexpToVtk(obj);
    int _res =_obj->GetOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageButterworthLowPass_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageButterworthLowPass * res= ( vtkImageButterworthLowPass * ) 
vtkImageButterworthLowPass::New();
    R_res=toRPointer(res,"vtkImageButterworthLowPass");
    return(R_res);
  }
#endif
}
