#include <vtkImageChangeInformation.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageChangeInformation_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    vtkImageChangeInformation *  _res =( vtkImageChangeInformation * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageChangeInformation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    vtkImageChangeInformation *  _res =( vtkImageChangeInformation * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageChangeInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetInformationInput( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _pd = (vtkImageData * )  SexpToVtk(pd);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetInformationInput(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetInformationInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInformationInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputExtentStart( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputExtentStart( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputExtentStart_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputExtentStart(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputExtentStart( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetOutputExtentStart();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputExtentStart_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputExtentStart( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputExtentStart_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputExtentStart(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputSpacing( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputSpacing_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOutputSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputSpacing_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputSpacing_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOutputOrigin_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOutputOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOutputOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputOrigin_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOutputOrigin_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOutputOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetCenterImage( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetCenterImage( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_CenterImageOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->CenterImageOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_CenterImageOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->CenterImageOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetCenterImage( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    int _res =_obj->GetCenterImage();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetExtentTranslation( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetExtentTranslation( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetExtentTranslation_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetExtentTranslation(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetExtentTranslation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtentTranslation();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetExtentTranslation_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetExtentTranslation( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetExtentTranslation_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetExtentTranslation(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetSpacingScale( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetSpacingScale( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetSpacingScale_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetSpacingScale(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetSpacingScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetSpacingScale();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetSpacingScale_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetSpacingScale( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetSpacingScale_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetSpacingScale(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOriginTranslation( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOriginTranslation( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOriginTranslation_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOriginTranslation(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginTranslation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOriginTranslation();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginTranslation_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOriginTranslation( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginTranslation_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOriginTranslation(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOriginScale( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOriginScale( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_SetOriginScale_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->SetOriginScale(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOriginScale();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginScale_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOriginScale( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_GetOriginScale_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageChangeInformation * _obj = (vtkImageChangeInformation
 * ) SexpToVtk(obj);
    _obj->GetOriginScale(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageChangeInformation_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageChangeInformation * res= ( vtkImageChangeInformation * ) 
vtkImageChangeInformation::New();
    R_res=toRPointer(res,"vtkImageChangeInformation");
    return(R_res);
  }
#endif
}
