#include <vtkImageConvolve.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageConvolve_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    vtkImageConvolve *  _res =( vtkImageConvolve * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageConvolve");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    vtkImageConvolve *  _res =( vtkImageConvolve * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageConvolve");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernelSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetKernelSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernelSize_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernelSize( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernelSize_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernelSize(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel3x3( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,9);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel3x3(_kernel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel5x5( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,25);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel5x5(_kernel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel7x7( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,49);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel7x7(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,49));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel3x3( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel3x3();
    res=doubleToSexp(_res,9);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel3x3_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,9);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel3x3(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,9));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel5x5( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel5x5();
    res=doubleToSexp(_res,25);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel5x5_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,25);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel5x5(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,25));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel7x7( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel7x7();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel7x7_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,49);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel7x7(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,49));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel3x3x3( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,27);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel3x3x3(_kernel);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel5x5x5( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,125);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel5x5x5(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,125));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_SetKernel7x7x7( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,343);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->SetKernel7x7x7(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,343));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel3x3x3( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel3x3x3();
    res=doubleToSexp(_res,27);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel3x3x3_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,27);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel3x3x3(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,27));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel5x5x5( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel5x5x5();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel5x5x5_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,125);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel5x5x5(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,125));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel7x7x7( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKernel7x7x7();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_GetKernel7x7x7_v1( SEXP obj, SEXP kernel){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(kernel,343);
     double  *  _kernel =  SexpTodouble(kernel);
    vtkImageConvolve * _obj = (vtkImageConvolve * ) SexpToVtk(obj);
    _obj->GetKernel7x7x7(_kernel);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_kernel,343));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kernel",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageConvolve_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageConvolve * res= ( vtkImageConvolve * ) vtkImageConvolve::New();
    R_res=toRPointer(res,"vtkImageConvolve");
    return(R_res);
  }
#endif
}
