#include <vtkImageDilateErode3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageDilateErode3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    vtkImageDilateErode3D *  _res =( vtkImageDilateErode3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageDilateErode3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    vtkImageDilateErode3D *  _res =( vtkImageDilateErode3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageDilateErode3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_SetKernelSize( SEXP obj, SEXP size0, SEXP size1, SEXP size2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size0,1);
     int  *  _size0 =  SexpToint(size0);
    SET_LENGTH(size1,1);
     int  *  _size1 =  SexpToint(size1);
    SET_LENGTH(size2,1);
     int  *  _size2 =  SexpToint(size2);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    _obj->SetKernelSize( * _size0,  * _size1,  * _size2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_SetDilateValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    _obj->SetDilateValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_GetDilateValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    double _res =_obj->GetDilateValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_SetErodeValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    _obj->SetErodeValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_GetErodeValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDilateErode3D * _obj = (vtkImageDilateErode3D * ) SexpToVtk(obj);
    double _res =_obj->GetErodeValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDilateErode3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageDilateErode3D * res= ( vtkImageDilateErode3D * ) 
vtkImageDilateErode3D::New();
    R_res=toRPointer(res,"vtkImageDilateErode3D");
    return(R_res);
  }
#endif
}
