#include <vtkImageDotProduct.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageDotProduct_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    vtkImageDotProduct *  _res =( vtkImageDotProduct * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageDotProduct");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    vtkImageDotProduct *  _res =( vtkImageDotProduct * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageDotProduct");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_SetInput1( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _in = (vtkDataObject * )  SexpToVtk(in);
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    _obj->SetInput1(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_SetInput2( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _in = (vtkDataObject * )  SexpToVtk(in);
    vtkImageDotProduct * _obj = (vtkImageDotProduct * ) SexpToVtk(obj);
    _obj->SetInput2(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDotProduct_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageDotProduct * res= ( vtkImageDotProduct * ) vtkImageDotProduct
::New();
    R_res=toRPointer(res,"vtkImageDotProduct");
    return(R_res);
  }
#endif
}
