#include <vtkImageFourierFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageFourierFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageFourierFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageFourierFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    vtkImageFourierFilter *  _res =( vtkImageFourierFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageFourierFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageFourierFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    vtkImageFourierFilter *  _res =( vtkImageFourierFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageFourierFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageFourierFilter_ExecuteFft( SEXP obj, SEXP in, SEXP out, SEXP N){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageComplex  *  _in = (vtkImageComplex * )  SexpToVtk(in);
     vtkImageComplex  *  _out = (vtkImageComplex * )  SexpToVtk(out);
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    _obj->ExecuteFft(_in, _out,  * _N);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageComplex"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkImageComplex"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageFourierFilter_ExecuteRfft( SEXP obj, SEXP in, SEXP out, SEXP N){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageComplex  *  _in = (vtkImageComplex * )  SexpToVtk(in);
     vtkImageComplex  *  _out = (vtkImageComplex * )  SexpToVtk(out);
    SET_LENGTH(N,1);
     int  *  _N =  SexpToint(N);
    vtkImageFourierFilter * _obj = (vtkImageFourierFilter * ) SexpToVtk(obj);
    _obj->ExecuteRfft(_in, _out,  * _N);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageComplex"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkImageComplex"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
