#include <vtkImageGaussianSmooth.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageGaussianSmooth_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    vtkImageGaussianSmooth *  _res =( vtkImageGaussianSmooth * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageGaussianSmooth");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    vtkImageGaussianSmooth *  _res =( vtkImageGaussianSmooth * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageGaussianSmooth");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviations( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviations( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviations_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviations(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviation( SEXP obj, SEXP std){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(std,1);
     double  *  _std =  SexpTodouble(std);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviation( * _std);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviations_v2( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviations( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetStandardDeviations( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetStandardDeviations();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetStandardDeviations_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->GetStandardDeviations( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetStandardDeviations_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->GetStandardDeviations(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviation_v1( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviation( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetStandardDeviation_v2( SEXP obj, SEXP a, SEXP b, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetStandardDeviation( * _a,  * _b,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetRadiusFactors( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetRadiusFactors( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetRadiusFactors_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetRadiusFactors(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetRadiusFactors_v2( SEXP obj, SEXP f, SEXP f2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     double  *  _f =  SexpTodouble(f);
    SET_LENGTH(f2,1);
     double  *  _f2 =  SexpTodouble(f2);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetRadiusFactors( * _f,  * _f2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetRadiusFactor( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     double  *  _f =  SexpTodouble(f);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetRadiusFactor( * _f);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetRadiusFactors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRadiusFactors();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetRadiusFactors_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->GetRadiusFactors( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetRadiusFactors_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->GetRadiusFactors(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_SetDimensionality( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    _obj->SetDimensionality( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_GetDimensionality( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageGaussianSmooth * _obj = (vtkImageGaussianSmooth * ) SexpToVtk(obj);
    int _res =_obj->GetDimensionality();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageGaussianSmooth_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageGaussianSmooth * res= ( vtkImageGaussianSmooth * ) 
vtkImageGaussianSmooth::New();
    R_res=toRPointer(res,"vtkImageGaussianSmooth");
    return(R_res);
  }
#endif
}
