#include <vtkImageMultipleInputFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageMultipleInputFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    vtkImageMultipleInputFilter *  _res =( vtkImageMultipleInputFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageMultipleInputFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    vtkImageMultipleInputFilter *  _res =( vtkImageMultipleInputFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageMultipleInputFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_SetInput( SEXP obj, SEXP idx, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     vtkImageData  *  _input = (vtkImageData * )  SexpToVtk(input);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->SetInput( * _idx, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_AddInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _input = (vtkImageData * )  SexpToVtk(input);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->AddInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_RemoveInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _input = (vtkImageData * )  SexpToVtk(input);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->RemoveInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetInput( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput( * _idx);
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetInput_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_SetBypass( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->SetBypass( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetBypass( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetBypass();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_BypassOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->BypassOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_BypassOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->BypassOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_SetNumberOfThreads( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetNumberOfThreadsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetNumberOfThreadsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_GetNumberOfThreads( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMultipleInputFilter_SplitExtent( SEXP obj, SEXP splitExt, SEXP startExt, SEXP num, SEXP total){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(splitExt,6);
     int  *  _splitExt =  SexpToint(splitExt);
    SET_LENGTH(startExt,6);
     int  *  _startExt =  SexpToint(startExt);
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    SET_LENGTH(total,1);
     int  *  _total =  SexpToint(total);
    vtkImageMultipleInputFilter * _obj = (vtkImageMultipleInputFilter
 * ) SexpToVtk(obj);
    int _res =_obj->SplitExtent(_splitExt, _startExt,  * _num,  * _total);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_splitExt,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".splitExt",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_startExt,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".startExt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
