#include <vtkImageShiftScale.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageShiftScale_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    vtkImageShiftScale *  _res =( vtkImageShiftScale * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageShiftScale");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    vtkImageShiftScale *  _res =( vtkImageShiftScale * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageShiftScale");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetShift( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetShift( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_GetShift( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    double _res =_obj->GetShift();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetScale( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_GetScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    double _res =_obj->GetScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_GetOutputScalarType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    int _res =_obj->GetOutputScalarType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToDouble( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToDouble();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToFloat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToUnsignedLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToUnsignedInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToUnsignedShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetOutputScalarTypeToUnsignedChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_SetClampOverflow( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->SetClampOverflow( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_GetClampOverflow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    int _res =_obj->GetClampOverflow();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_ClampOverflowOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->ClampOverflowOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_ClampOverflowOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageShiftScale * _obj = (vtkImageShiftScale * ) SexpToVtk(obj);
    _obj->ClampOverflowOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageShiftScale_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageShiftScale * res= ( vtkImageShiftScale * ) vtkImageShiftScale
::New();
    R_res=toRPointer(res,"vtkImageShiftScale");
    return(R_res);
  }
#endif
}
