#include <vtkImageSpatialAlgorithm.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageSpatialAlgorithm_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    vtkImageSpatialAlgorithm *  _res =( vtkImageSpatialAlgorithm * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageSpatialAlgorithm");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    vtkImageSpatialAlgorithm *  _res =( vtkImageSpatialAlgorithm * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageSpatialAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_GetKernelSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetKernelSize();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_GetKernelMiddle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSpatialAlgorithm * _obj = (vtkImageSpatialAlgorithm
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetKernelMiddle();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSpatialAlgorithm_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageSpatialAlgorithm * res= ( vtkImageSpatialAlgorithm * ) 
vtkImageSpatialAlgorithm::New();
    R_res=toRPointer(res,"vtkImageSpatialAlgorithm");
    return(R_res);
  }
#endif
}
