#include <vtkImplicitBoolean.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImplicitBoolean_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    vtkImplicitBoolean *  _res =( vtkImplicitBoolean * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImplicitBoolean");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    vtkImplicitBoolean *  _res =( vtkImplicitBoolean * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImplicitBoolean");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_EvaluateFunction( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    double _res =_obj->EvaluateFunction(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_EvaluateFunction_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    double _res =_obj->EvaluateFunction( * _x,  * _y,  * _z);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_EvaluateGradient( SEXP obj, SEXP x, SEXP g){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(g,3);
     double  *  _g =  SexpTodouble(g);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->EvaluateGradient(_x, _g);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_g,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".g",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_AddFunction( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImplicitFunction  *  _f = (vtkImplicitFunction * )  SexpToVtk(f);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->AddFunction(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkImplicitFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_RemoveFunction( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImplicitFunction  *  _f = (vtkImplicitFunction * )  SexpToVtk(f);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->RemoveFunction(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkImplicitFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetFunction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    vtkImplicitFunctionCollection *  _res =( vtkImplicitFunctionCollection * )_obj->GetFunction();
    res=VtkToSexp(_res,"vtkImplicitFunctionCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SetOperationType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->SetOperationType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetOperationTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    int _res =_obj->GetOperationTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetOperationTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    int _res =_obj->GetOperationTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetOperationType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    int _res =_obj->GetOperationType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SetOperationTypeToUnion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->SetOperationTypeToUnion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SetOperationTypeToIntersection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->SetOperationTypeToIntersection();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SetOperationTypeToDifference( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->SetOperationTypeToDifference();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_SetOperationTypeToUnionOfMagnitudes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    _obj->SetOperationTypeToUnionOfMagnitudes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_GetOperationTypeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitBoolean * _obj = (vtkImplicitBoolean * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetOperationTypeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitBoolean_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImplicitBoolean * res= ( vtkImplicitBoolean * ) vtkImplicitBoolean
::New();
    R_res=toRPointer(res,"vtkImplicitBoolean");
    return(R_res);
  }
#endif
}
