#include <vtkImplicitModeller.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkImplicitModeller_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    vtkImplicitModeller *  _res =( vtkImplicitModeller * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImplicitModeller");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    vtkImplicitModeller *  _res =( vtkImplicitModeller * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImplicitModeller");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_ComputeModelBounds( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->ComputeModelBounds(_input);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetSampleDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSampleDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetSampleDimensions_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->GetSampleDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetSampleDimensions( SEXP obj, SEXP i, SEXP j, SEXP k){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetSampleDimensions( * _i,  * _j,  * _k);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetSampleDimensions_v1( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetSampleDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetMaximumDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetMaximumDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetMaximumDistanceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetMaximumDistanceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetMaximumDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetModelBounds( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    SET_LENGTH(_arg5,1);
     double  *  __arg5 =  SexpTodouble(_arg5);
    SET_LENGTH(_arg6,1);
     double  *  __arg6 =  SexpTodouble(_arg6);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetModelBounds( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetModelBounds_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetModelBounds(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetModelBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetModelBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetModelBounds_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->GetModelBounds(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetAdjustBounds( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetAdjustBounds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetAdjustBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetAdjustBounds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_AdjustBoundsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->AdjustBoundsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_AdjustBoundsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->AdjustBoundsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetAdjustDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetAdjustDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetAdjustDistanceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetAdjustDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetAdjustDistanceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetAdjustDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetAdjustDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetAdjustDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetCapping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetCapping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetCapping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetCapping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_CappingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->CappingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_CappingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->CappingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetCapValue( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetCapValue( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetCapValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    double _res =_obj->GetCapValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetScaleToMaximumDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetScaleToMaximumDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetScaleToMaximumDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetScaleToMaximumDistance();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_ScaleToMaximumDistanceOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->ScaleToMaximumDistanceOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_ScaleToMaximumDistanceOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->ScaleToMaximumDistanceOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetProcessMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetProcessMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetProcessModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetProcessModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetProcessModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetProcessModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetProcessMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetProcessMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetProcessModeToPerVoxel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetProcessModeToPerVoxel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetProcessModeToPerCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetProcessModeToPerCell();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetProcessModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetProcessModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetLocatorMaxLevel( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetLocatorMaxLevel( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetLocatorMaxLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetLocatorMaxLevel();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetNumberOfThreads( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetNumberOfThreadsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetNumberOfThreadsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetNumberOfThreads( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarType( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarType( * _type);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_GetOutputScalarType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    int _res =_obj->GetOutputScalarType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToFloat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToDouble( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToDouble();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToUnsignedInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToUnsignedLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToUnsignedShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToUnsignedChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_SetOutputScalarTypeToChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->SetOutputScalarTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_StartAppend( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->StartAppend();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_Append( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->Append(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_EndAppend( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitModeller * _obj = (vtkImplicitModeller * ) SexpToVtk(obj);
    _obj->EndAppend();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitModeller_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImplicitModeller * res= ( vtkImplicitModeller * ) vtkImplicitModeller
::New();
    R_res=toRPointer(res,"vtkImplicitModeller");
    return(R_res);
  }
#endif
}
