#include <vtkInformation.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkInformation_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Clear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Clear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Copy( SEXP obj, SEXP from, SEXP deep){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
    SET_LENGTH(deep,1);
     int  *  _deep =  SexpToint(deep);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Copy(_from,  * _deep);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_CopyEntry( SEXP obj, SEXP from, SEXP key, SEXP deep){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
    SET_LENGTH(deep,1);
     int  *  _deep =  SexpToint(deep);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->CopyEntry(_from, _key,  * _deep);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_CopyEntry_v1( SEXP obj, SEXP from, SEXP key, SEXP deep){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
    SET_LENGTH(deep,1);
     int  *  _deep =  SexpToint(deep);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->CopyEntry(_from, _key,  * _deep);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_CopyEntries( SEXP obj, SEXP from, SEXP key, SEXP deep){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
    SET_LENGTH(deep,1);
     int  *  _deep =  SexpToint(deep);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->CopyEntries(_from, _key,  * _deep);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationRequestKey  *  _key = (vtkInformationRequestKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationRequestKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationRequestKey  *  _key = (vtkInformationRequestKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationRequestKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationRequestKey  *  _key = (vtkInformationRequestKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationRequestKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v1( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerKey  *  _key = (vtkInformationIntegerKey * )  
SexpToVtk(key);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerKey  *  _key = (vtkInformationIntegerKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Get(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v1( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerKey  *  _key = (vtkInformationIntegerKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v1( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerKey  *  _key = (vtkInformationIntegerKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v2( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIdTypeKey  *  _key = (vtkInformationIdTypeKey * )  
SexpToVtk(key);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIdTypeKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v1( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIdTypeKey  *  _key = (vtkInformationIdTypeKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Get(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIdTypeKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v2( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIdTypeKey  *  _key = (vtkInformationIdTypeKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIdTypeKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v2( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIdTypeKey  *  _key = (vtkInformationIdTypeKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIdTypeKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v3( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleKey  *  _key = (vtkInformationDoubleKey * )  
SexpToVtk(key);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v2( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleKey  *  _key = (vtkInformationDoubleKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    double _res =_obj->Get(_key);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v3( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleKey  *  _key = (vtkInformationDoubleKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v3( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleKey  *  _key = (vtkInformationDoubleKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v4( SEXP obj, SEXP key, SEXP value, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
     int  *  _value =  SexpToint(value);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value,  * _length);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v5( SEXP obj, SEXP key, SEXP value1, SEXP value2, SEXP value3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value1,1);
     int  *  _value1 =  SexpToint(value1);
    SET_LENGTH(value2,1);
     int  *  _value2 =  SexpToint(value2);
    SET_LENGTH(value3,1);
     int  *  _value3 =  SexpToint(value3);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value1,  * _value2,  * _value3);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v6( SEXP obj, SEXP key, SEXP value1, SEXP value2, SEXP value3, SEXP value4, SEXP value5, SEXP value6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value1,1);
     int  *  _value1 =  SexpToint(value1);
    SET_LENGTH(value2,1);
     int  *  _value2 =  SexpToint(value2);
    SET_LENGTH(value3,1);
     int  *  _value3 =  SexpToint(value3);
    SET_LENGTH(value4,1);
     int  *  _value4 =  SexpToint(value4);
    SET_LENGTH(value5,1);
     int  *  _value5 =  SexpToint(value5);
    SET_LENGTH(value6,1);
     int  *  _value6 =  SexpToint(value6);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value1,  * _value2,  * _value3,  * _value4,  * _value5,  * _value6);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v3( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->Get(_key);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v4( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
     int  *  _value =  SexpToint(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Get(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Length( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Length(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v4( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v4( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v7( SEXP obj, SEXP key, SEXP value, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
     int  *  _value =  SexpToint(value);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value,  * _length);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v5( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->Get(_key);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v6( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
     int  *  _value =  SexpToint(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Get(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Length_v1( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Length(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v5( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v5( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerPointerKey  *  _key = 
(vtkInformationIntegerPointerKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerPointerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v8( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationUnsignedLongKey  *  _key = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(key);
    SET_LENGTH(value,1);
     long unsigned int  *  _value =  SexpTolong_unsigned_int(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v7( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationUnsignedLongKey  *  _key = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Get(_key);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v6( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationUnsignedLongKey  *  _key = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v6( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationUnsignedLongKey  *  _key = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v1( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v9( SEXP obj, SEXP key, SEXP value, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
     double  *  _value =  SexpTodouble(value);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value,  * _length);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v10( SEXP obj, SEXP key, SEXP value1, SEXP value2, SEXP value3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value1,1);
     double  *  _value1 =  SexpTodouble(value1);
    SET_LENGTH(value2,1);
     double  *  _value2 =  SexpTodouble(value2);
    SET_LENGTH(value3,1);
     double  *  _value3 =  SexpTodouble(value3);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value1,  * _value2,  * _value3);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v11( SEXP obj, SEXP key, SEXP value1, SEXP value2, SEXP value3, SEXP value4, SEXP value5, SEXP value6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    SET_LENGTH(value1,1);
     double  *  _value1 =  SexpTodouble(value1);
    SET_LENGTH(value2,1);
     double  *  _value2 =  SexpTodouble(value2);
    SET_LENGTH(value3,1);
     double  *  _value3 =  SexpTodouble(value3);
    SET_LENGTH(value4,1);
     double  *  _value4 =  SexpTodouble(value4);
    SET_LENGTH(value5,1);
     double  *  _value5 =  SexpTodouble(value5);
    SET_LENGTH(value6,1);
     double  *  _value6 =  SexpTodouble(value6);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key,  * _value1,  * _value2,  * _value3,  * _value4,  * _value5,  * _value6);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v8( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->Get(_key);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v9( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
     double  *  _value =  SexpTodouble(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Get(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Length_v2( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Length(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v7( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v7( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v2( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationKey  *  _value = (vtkInformationKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationKey  *  _value = (vtkInformationKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v8( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationKey  *  _value = (vtkInformationKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v10( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->Get(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Length_v3( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Length(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v9( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v8( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v3( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDataObjectKey  *  _value = (vtkInformationDataObjectKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v4( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDoubleKey  *  _value = (vtkInformationDoubleKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v5( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDoubleVectorKey  *  _value = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v6( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationExecutivePortKey  *  _value = 
(vtkInformationExecutivePortKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v7( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationInformationKey  *  _value = 
(vtkInformationInformationKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v8( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationInformationVectorKey  *  _value = 
(vtkInformationInformationVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v9( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationIntegerKey  *  _value = (vtkInformationIntegerKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v10( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationIntegerVectorKey  *  _value = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v11( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationStringKey  *  _value = (vtkInformationStringKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v12( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationObjectBaseKey  *  _value = (vtkInformationObjectBaseKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v13( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationUnsignedLongKey  *  _value = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v1( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDataObjectKey  *  _value = (vtkInformationDataObjectKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v2( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDoubleKey  *  _value = (vtkInformationDoubleKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v3( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationDoubleVectorKey  *  _value = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v4( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationExecutivePortKey  *  _value = 
(vtkInformationExecutivePortKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v5( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationInformationKey  *  _value = 
(vtkInformationInformationKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v6( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationInformationVectorKey  *  _value = 
(vtkInformationInformationVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v7( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationIntegerKey  *  _value = (vtkInformationIntegerKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v8( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationIntegerVectorKey  *  _value = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v9( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationStringKey  *  _value = (vtkInformationStringKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v10( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationObjectBaseKey  *  _value = (vtkInformationObjectBaseKey * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_AppendUnique_v11( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKeyVectorKey  *  _key = (vtkInformationKeyVectorKey * )  
SexpToVtk(key);
     vtkInformationUnsignedLongKey  *  _value = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->AppendUnique(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKeyVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v12( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationStringKey  *  _key = (vtkInformationStringKey * )  
SexpToVtk(key);
     char  *  _value =  SexpTochar(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v11( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationStringKey  *  _key = (vtkInformationStringKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->Get(_key);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v10( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationStringKey  *  _key = (vtkInformationStringKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v9( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationStringKey  *  _key = (vtkInformationStringKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v13( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
     vtkInformation  *  _value = (vtkInformation * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformation"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v12( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->Get(_key);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v11( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v10( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v14( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
     vtkInformationVector  *  _value = (vtkInformationVector * )  
SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkInformationVector"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v13( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationVector *  _res =( vtkInformationVector * )_obj->Get(_key);
    res=VtkToSexp(_res,"vtkInformationVector");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v12( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v11( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v15( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationObjectBaseKey  *  _key = (vtkInformationObjectBaseKey * )  
SexpToVtk(key);
     vtkObjectBase  *  _value = (vtkObjectBase * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v14( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationObjectBaseKey  *  _key = (vtkInformationObjectBaseKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkObjectBase *  _res =( vtkObjectBase * )_obj->Get(_key);
    res=VtkToSexp(_res,"vtkObjectBase");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v13( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationObjectBaseKey  *  _key = (vtkInformationObjectBaseKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v12( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationObjectBaseKey  *  _key = (vtkInformationObjectBaseKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationObjectBaseKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v16( SEXP obj, SEXP key, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDataObjectKey  *  _key = (vtkInformationDataObjectKey * )  
SexpToVtk(key);
     vtkDataObject  *  _value = (vtkDataObject * )  SexpToVtk(value);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_value,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v15( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDataObjectKey  *  _key = (vtkInformationDataObjectKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->Get(_key);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v14( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDataObjectKey  *  _key = (vtkInformationDataObjectKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v13( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDataObjectKey  *  _key = (vtkInformationDataObjectKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Set_v17( SEXP obj, SEXP key, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Set(_key, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetExecutive( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkExecutive *  _res =( vtkExecutive * )_obj->GetExecutive(_key);
    res=VtkToSexp(_res,"vtkExecutive");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetPort( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->GetPort(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Get_v16( SEXP obj, SEXP key, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Get(_key, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_port,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".port",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v15( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v14( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Append_v14( SEXP obj, SEXP key, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Append(_key, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v16( SEXP obj, SEXP key, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetExecutives( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkExecutive *  _res =( vtkExecutive * )_obj->GetExecutives(_key);
    res=VtkToSexp(_res,"vtkExecutive");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetPorts( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPorts(_key);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Length_v4( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Length(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Remove_v17( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Remove(_key);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Has_v15( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortVectorKey  *  _key = 
(vtkInformationExecutivePortVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    int _res =_obj->Has(_key);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDataObjectKey  *  _key = (vtkInformationDataObjectKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDataObjectKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v1( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleKey  *  _key = (vtkInformationDoubleKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v2( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationDoubleVectorKey  *  _key = 
(vtkInformationDoubleVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationDoubleVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v3( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationExecutivePortKey  *  _key = 
(vtkInformationExecutivePortKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationExecutivePortKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v4( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationKey  *  _key = (vtkInformationInformationKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v5( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationInformationVectorKey  *  _key = 
(vtkInformationInformationVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationInformationVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v6( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerKey  *  _key = (vtkInformationIntegerKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v7( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationIntegerVectorKey  *  _key = 
(vtkInformationIntegerVectorKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationIntegerVectorKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v8( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationRequestKey  *  _key = (vtkInformationRequestKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationRequestKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v9( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationStringKey  *  _key = (vtkInformationStringKey * )  
SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationStringKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v10( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationKey  *  _key = (vtkInformationKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetKey_v11( SEXP obj, SEXP key){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationUnsignedLongKey  *  _key = 
(vtkInformationUnsignedLongKey * )  SexpToVtk(key);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->GetKey(_key);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_key,"vtkInformationUnsignedLongKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".key",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_Register( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->Register(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_UnRegister( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_SetRequest( SEXP obj, SEXP request){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationRequestKey  *  _request = (vtkInformationRequestKey * )  
SexpToVtk(request);
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    _obj->SetRequest(_request);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_request,"vtkInformationRequestKey"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".request",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_GetRequest( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformation * _obj = (vtkInformation * ) SexpToVtk(obj);
    vtkInformationRequestKey *  _res =( vtkInformationRequestKey * )_obj->GetRequest();
    res=VtkToSexp(_res,"vtkInformationRequestKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformation_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInformation * res= ( vtkInformation * ) vtkInformation::New();
    R_res=toRPointer(res,"vtkInformation");
    return(R_res);
  }
#endif
}
