#include <vtkInformationExecutivePortVectorKey.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkInformationExecutivePortVectorKey_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    vtkInformationExecutivePortVectorKey *  _res =( vtkInformationExecutivePortVectorKey * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInformationExecutivePortVectorKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    vtkInformationExecutivePortVectorKey *  _res =( vtkInformationExecutivePortVectorKey * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInformationExecutivePortVectorKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_Append( SEXP obj, SEXP info, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    _obj->Append(_info, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_Remove( SEXP obj, SEXP info, SEXP executive, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
     vtkExecutive  *  _executive = (vtkExecutive * )  SexpToVtk(executive);
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    _obj->Remove(_info, _executive,  * _port);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_executive,"vtkExecutive"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".executive",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_GetExecutives( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    vtkExecutive *  _res =( vtkExecutive * )_obj->GetExecutives(_info);
    res=VtkToSexp(_res,"vtkExecutive");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_GetPorts( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPorts(_info);
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_Length( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    int _res =_obj->Length(_info);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_Has( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    int _res =_obj->Has(_info);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_ShallowCopy( SEXP obj, SEXP from, SEXP to){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformation  *  _to = (vtkInformation * )  SexpToVtk(to);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    _obj->ShallowCopy(_from, _to);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_to,"vtkInformation"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".to",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationExecutivePortVectorKey_Remove_v1( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationExecutivePortVectorKey * _obj = (
vtkInformationExecutivePortVectorKey * ) SexpToVtk(obj);
    _obj->Remove(_info);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
