#include <vtkInformationUnsignedLongKey.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkInformationUnsignedLongKey_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    vtkInformationUnsignedLongKey *  _res =( vtkInformationUnsignedLongKey * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInformationUnsignedLongKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    vtkInformationUnsignedLongKey *  _res =( vtkInformationUnsignedLongKey * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInformationUnsignedLongKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_Set( SEXP obj, SEXP info, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    SET_LENGTH(value,1);
     long unsigned int  *  _value =  SexpTolong_unsigned_int(value);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    _obj->Set(_info,  * _value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_Get( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->Get(_info);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_Has( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    int _res =_obj->Has(_info);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationUnsignedLongKey_ShallowCopy( SEXP obj, SEXP from, SEXP to){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformation  *  _to = (vtkInformation * )  SexpToVtk(to);
    vtkInformationUnsignedLongKey * _obj = (vtkInformationUnsignedLongKey
 * ) SexpToVtk(obj);
    _obj->ShallowCopy(_from, _to);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_to,"vtkInformation"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".to",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
