#include <vtkInteractorEventRecorder.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkInteractorEventRecorder_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    vtkInteractorEventRecorder *  _res =( vtkInteractorEventRecorder * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorEventRecorder");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    vtkInteractorEventRecorder *  _res =( vtkInteractorEventRecorder * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorEventRecorder");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SetEnabled( SEXP obj, SEXP enabling){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SetInteractor( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _i = (vtkRenderWindowInteractor * )  
SexpToVtk(i);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->SetInteractor(_i);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_i,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".i",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SetFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_Record( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->Record();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_Play( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->Play();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_Stop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->Stop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_Rewind( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->Rewind();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SetReadFromInputString( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->SetReadFromInputString( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_GetReadFromInputString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    int _res =_obj->GetReadFromInputString();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_ReadFromInputStringOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->ReadFromInputStringOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_ReadFromInputStringOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->ReadFromInputStringOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_SetInputString( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    _obj->SetInputString(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_GetInputString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * _obj = (vtkInteractorEventRecorder
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorEventRecorder_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorEventRecorder * res= ( vtkInteractorEventRecorder * ) 
vtkInteractorEventRecorder::New();
    R_res=toRPointer(res,"vtkInteractorEventRecorder");
    return(R_res);
  }
#endif
}
