#include <vtkInteractorObserver.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkInteractorObserver_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    vtkInteractorObserver *  _res =( vtkInteractorObserver * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorObserver");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    vtkInteractorObserver *  _res =( vtkInteractorObserver * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorObserver");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetEnabled( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    int _res =_obj->GetEnabled();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_EnabledOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->EnabledOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_EnabledOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->EnabledOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_On( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->On();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_Off( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->Off();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetInteractor( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _i = (vtkRenderWindowInteractor * )  
SexpToVtk(i);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetInteractor(_i);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_i,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".i",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetInteractor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    vtkRenderWindowInteractor *  _res =( vtkRenderWindowInteractor * )_obj->GetInteractor();
    res=VtkToSexp(_res,"vtkRenderWindowInteractor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetPriority( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetPriority( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetPriorityMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    float _res =_obj->GetPriorityMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetPriorityMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    float _res =_obj->GetPriorityMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetPriority( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    float _res =_obj->GetPriority();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetKeyPressActivation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetKeyPressActivation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetKeyPressActivation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    int _res =_obj->GetKeyPressActivation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_KeyPressActivationOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->KeyPressActivationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_KeyPressActivationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->KeyPressActivationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetKeyPressActivationValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     char  *  __arg =  SexpTochar(_arg);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetKeyPressActivationValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetKeyPressActivationValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    char _res =_obj->GetKeyPressActivationValue();
    res=charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetDefaultRenderer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetDefaultRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetDefaultRenderer( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  __arg = (vtkRenderer * )  SexpToVtk(_arg);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetDefaultRenderer(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_GetCurrentRenderer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetCurrentRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_SetCurrentRenderer( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  __arg = (vtkRenderer * )  SexpToVtk(_arg);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->SetCurrentRenderer(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_OnChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->OnChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_ComputeDisplayToWorld( SEXP obj, SEXP ren, SEXP x, SEXP y, SEXP z, SEXP worldPt){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     double  *  _worldPt =  SexpTodouble(worldPt);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->ComputeDisplayToWorld(_ren,  * _x,  * _y,  * _z, _worldPt);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_worldPt,LENGTH(worldPt)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".worldPt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorObserver_ComputeWorldToDisplay( SEXP obj, SEXP ren, SEXP x, SEXP y, SEXP z, SEXP displayPt){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     double  *  _displayPt =  SexpTodouble(displayPt);
    vtkInteractorObserver * _obj = (vtkInteractorObserver * ) SexpToVtk(obj);
    _obj->ComputeWorldToDisplay(_ren,  * _x,  * _y,  * _z, _displayPt);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_displayPt,LENGTH(displayPt)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".displayPt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
