#include <vtkInteractorStyleImage.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkInteractorStyleImage_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    vtkInteractorStyleImage *  _res =( vtkInteractorStyleImage * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorStyleImage");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    vtkInteractorStyleImage *  _res =( vtkInteractorStyleImage * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorStyleImage");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelStartPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetWindowLevelStartPosition();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelStartPosition_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->GetWindowLevelStartPosition( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelStartPosition_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->GetWindowLevelStartPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelCurrentPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetWindowLevelCurrentPosition();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelCurrentPosition_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->GetWindowLevelCurrentPosition( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_GetWindowLevelCurrentPosition_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->GetWindowLevelCurrentPosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnMouseMove( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnMouseMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnLeftButtonDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnLeftButtonUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnRightButtonDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnRightButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnRightButtonUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnRightButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_OnChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->OnChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_WindowLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->WindowLevel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_Pick( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->Pick();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_StartWindowLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->StartWindowLevel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_EndWindowLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->EndWindowLevel();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_StartPick( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->StartPick();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_EndPick( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * _obj = (vtkInteractorStyleImage
 * ) SexpToVtk(obj);
    _obj->EndPick();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleImage_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorStyleImage * res= ( vtkInteractorStyleImage * ) 
vtkInteractorStyleImage::New();
    R_res=toRPointer(res,"vtkInteractorStyleImage");
    return(R_res);
  }
#endif
}
