#include <vtkKdNode.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkKdNode_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetDim( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetDim( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetDim( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->GetDim();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetNumberOfPoints( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetNumberOfPoints( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetNumberOfPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetBounds( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(y2,1);
     double  *  _y2 =  SexpTodouble(y2);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    SET_LENGTH(z2,1);
     double  *  _z2 =  SexpTodouble(z2);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetBounds( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->GetBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetDataBounds( SEXP obj, SEXP x1, SEXP x2, SEXP y1, SEXP y2, SEXP z1, SEXP z2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(y2,1);
     double  *  _y2 =  SexpTodouble(y2);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    SET_LENGTH(z2,1);
     double  *  _z2 =  SexpTodouble(z2);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetDataBounds( * _x1,  * _x2,  * _y1,  * _y2,  * _z1,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetDataBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->GetDataBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetDataBounds_v1( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _v =  SexpTofloat(v);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetDataBounds(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMinBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMinBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMaxBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMaxBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMinBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMinBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMaxBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMaxBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMinDataBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMinDataBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMaxDataBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMaxDataBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMinDataBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMinDataBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMaxDataBounds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _b =  SexpTodouble(b);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMaxDataBounds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetID( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetID( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->GetID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMinID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->GetMinID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetMaxID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->GetMaxID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMinID( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMinID( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetMaxID( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetMaxID( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_AddChildNodes( SEXP obj, SEXP left, SEXP right){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkKdNode  *  _left = (vtkKdNode * )  SexpToVtk(left);
     vtkKdNode  *  _right = (vtkKdNode * )  SexpToVtk(right);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->AddChildNodes(_left, _right);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_left,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".left",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_right,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".right",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_DeleteChildNodes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->DeleteChildNodes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetLeft( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->GetLeft();
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetLeft( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkKdNode  *  __arg = (vtkKdNode * )  SexpToVtk(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetLeft(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetRight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->GetRight();
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetRight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkKdNode  *  __arg = (vtkKdNode * )  SexpToVtk(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetRight(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->GetUp();
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_SetUp( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkKdNode  *  __arg = (vtkKdNode * )  SexpToVtk(_arg);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->SetUp(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_IntersectsBox( SEXP obj, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     double  *  _x0 =  SexpTodouble(x0);
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y0,1);
     double  *  _y0 =  SexpTodouble(y0);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z0,1);
     double  *  _z0 =  SexpTodouble(z0);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IntersectsBox( * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1,  * _useDataBounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_IntersectsSphere2( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP rSquared, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(rSquared,1);
     double  *  _rSquared =  SexpTodouble(rSquared);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IntersectsSphere2( * _x,  * _y,  * _z,  * _rSquared,  * _useDataBounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_IntersectsRegion( SEXP obj, SEXP pi, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlanesIntersection  *  _pi = (vtkPlanesIntersection * )  SexpToVtk(pi);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IntersectsRegion(_pi,  * _useDataBounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pi,"vtkPlanesIntersection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_IntersectsCell( SEXP obj, SEXP cell, SEXP useDataBounds, SEXP cellRegion, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    SET_LENGTH(cellRegion,1);
     int  *  _cellRegion =  SexpToint(cellRegion);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->IntersectsCell(_cell,  * _useDataBounds,  * _cellRegion, _bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_ContainsBox( SEXP obj, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     double  *  _x0 =  SexpTodouble(x0);
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y0,1);
     double  *  _y0 =  SexpTodouble(y0);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z0,1);
     double  *  _z0 =  SexpTodouble(z0);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->ContainsBox( * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1,  * _useDataBounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_ContainsPoint( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    int _res =_obj->ContainsPoint( * _x,  * _y,  * _z,  * _useDataBounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetDistance2ToBoundary( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double _res =_obj->GetDistance2ToBoundary( * _x,  * _y,  * _z,  * _useDataBounds);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetDistance2ToBoundary_v1( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP p, SEXP useDataBounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
     double  *  _p =  SexpTodouble(p);
    SET_LENGTH(useDataBounds,1);
     int  *  _useDataBounds =  SexpToint(useDataBounds);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double _res =_obj->GetDistance2ToBoundary( * _x,  * _y,  * _z, _p,  * _useDataBounds);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p,LENGTH(p)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_GetDistance2ToInnerBoundary( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    double _res =_obj->GetDistance2ToInnerBoundary( * _x,  * _y,  * _z);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_PrintNode( SEXP obj, SEXP depth){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(depth,1);
     int  *  _depth =  SexpToint(depth);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->PrintNode( * _depth);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_PrintVerboseNode( SEXP obj, SEXP depth){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(depth,1);
     int  *  _depth =  SexpToint(depth);
    vtkKdNode * _obj = (vtkKdNode * ) SexpToVtk(obj);
    _obj->PrintVerboseNode( * _depth);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdNode_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkKdNode * res= ( vtkKdNode * ) vtkKdNode::New();
    R_res=toRPointer(res,"vtkKdNode");
    return(R_res);
  }
#endif
}
