#include <vtkKdTree.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkKdTree_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkKdTree *  _res =( vtkKdTree * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkKdTree");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkKdTree *  _res =( vtkKdTree * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkKdTree");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_TimingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->TimingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_TimingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->TimingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetTiming( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetTiming( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetTiming( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetTiming();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetMinCells( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetMinCells( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetMinCells( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetMinCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetNumberOfRegionsOrLess( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfRegionsOrLess();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetNumberOfRegionsOrLess( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetNumberOfRegionsOrLess( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetNumberOfRegionsOrMore( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfRegionsOrMore();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetNumberOfRegionsOrMore( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetNumberOfRegionsOrMore( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetFudgeFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    double _res =_obj->GetFudgeFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetFudgeFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetFudgeFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetCuts( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkBSPCuts *  _res =( vtkBSPCuts * )_obj->GetCuts();
    res=VtkToSexp(_res,"vtkBSPCuts");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetCuts( SEXP obj, SEXP cuts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkBSPCuts  *  _cuts = (vtkBSPCuts * )  SexpToVtk(cuts);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetCuts(_cuts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cuts,"vtkBSPCuts"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cuts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitXPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitXPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitYPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitYPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitZPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitZPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitXYPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitXYPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitYZPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitYZPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitZXPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitZXPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_OmitNoPartitioning( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->OmitNoPartitioning();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetDataSet( SEXP obj, SEXP set){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetDataSet(_set);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetNthDataSet( SEXP obj, SEXP idx, SEXP set){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetNthDataSet( * _idx, _set);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_RemoveDataSet( SEXP obj, SEXP which){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(which,1);
     int  *  _which =  SexpToint(which);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->RemoveDataSet( * _which);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_RemoveDataSet_v1( SEXP obj, SEXP set){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->RemoveDataSet(_set);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_AddDataSet( SEXP obj, SEXP set){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->AddDataSet(_set);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetNumberOfDataSets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfDataSets();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetDataSet( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetDataSet( * _n);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetDataSet_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetDataSet_v2( SEXP obj, SEXP set){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetDataSet(_set);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetBounds( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetNewBounds( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetNewBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetNumberOfRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfRegions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionBounds( SEXP obj, SEXP regionID, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GetRegionBounds( * _regionID, _bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionDataBounds( SEXP obj, SEXP regionID, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GetRegionDataBounds( * _regionID, _bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_PrintTree( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->PrintTree();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_PrintVerboseTree( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->PrintVerboseTree();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_PrintRegion( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->PrintRegion( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_CreateCellLists( SEXP obj, SEXP dataSet, SEXP regionList, SEXP listSize){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dataSet,1);
     int  *  _dataSet =  SexpToint(dataSet);
     int  *  _regionList =  SexpToint(regionList);
    SET_LENGTH(listSize,1);
     int  *  _listSize =  SexpToint(listSize);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->CreateCellLists( * _dataSet, _regionList,  * _listSize);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_regionList,LENGTH(regionList)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regionList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_CreateCellLists_v1( SEXP obj, SEXP set, SEXP regionList, SEXP listSize){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
     int  *  _regionList =  SexpToint(regionList);
    SET_LENGTH(listSize,1);
     int  *  _listSize =  SexpToint(listSize);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->CreateCellLists(_set, _regionList,  * _listSize);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_regionList,LENGTH(regionList)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".regionList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_CreateCellLists_v2( SEXP obj, SEXP regionList, SEXP listSize){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _regionList =  SexpToint(regionList);
    SET_LENGTH(listSize,1);
     int  *  _listSize =  SexpToint(listSize);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->CreateCellLists(_regionList,  * _listSize);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_regionList,LENGTH(regionList)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regionList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_CreateCellLists_v3( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->CreateCellLists();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetIncludeRegionBoundaryCells( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetIncludeRegionBoundaryCells( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetIncludeRegionBoundaryCells( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetIncludeRegionBoundaryCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_IncludeRegionBoundaryCellsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->IncludeRegionBoundaryCellsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_IncludeRegionBoundaryCellsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->IncludeRegionBoundaryCellsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_DeleteCellLists( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->DeleteCellLists();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetCellList( SEXP obj, SEXP regionID){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkIdList *  _res =( vtkIdList * )_obj->GetCellList( * _regionID);
    res=VtkToSexp(_res,"vtkIdList");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetBoundaryCellList( SEXP obj, SEXP regionID){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkIdList *  _res =( vtkIdList * )_obj->GetBoundaryCellList( * _regionID);
    res=VtkToSexp(_res,"vtkIdList");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetCellLists( SEXP obj, SEXP regions, SEXP set, SEXP inRegionCells, SEXP onBoundaryCells){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIntArray  *  _regions = (vtkIntArray * )  SexpToVtk(regions);
    SET_LENGTH(set,1);
     int  *  _set =  SexpToint(set);
     vtkIdList  *  _inRegionCells = (vtkIdList * )  SexpToVtk(inRegionCells);
     vtkIdList  *  _onBoundaryCells = (vtkIdList * )  
SexpToVtk(onBoundaryCells);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetCellLists(_regions,  * _set, _inRegionCells, _onBoundaryCells);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_regions,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regions",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_inRegionCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".inRegionCells",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_onBoundaryCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".onBoundaryCells",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetCellLists_v1( SEXP obj, SEXP regions, SEXP set, SEXP inRegionCells, SEXP onBoundaryCells){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIntArray  *  _regions = (vtkIntArray * )  SexpToVtk(regions);
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
     vtkIdList  *  _inRegionCells = (vtkIdList * )  SexpToVtk(inRegionCells);
     vtkIdList  *  _onBoundaryCells = (vtkIdList * )  
SexpToVtk(onBoundaryCells);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetCellLists(_regions, _set, _inRegionCells, _onBoundaryCells);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_regions,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regions",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".set",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_inRegionCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inRegionCells",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_onBoundaryCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".onBoundaryCells",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetCellLists_v2( SEXP obj, SEXP regions, SEXP inRegionCells, SEXP onBoundaryCells){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIntArray  *  _regions = (vtkIntArray * )  SexpToVtk(regions);
     vtkIdList  *  _inRegionCells = (vtkIdList * )  SexpToVtk(inRegionCells);
     vtkIdList  *  _onBoundaryCells = (vtkIdList * )  
SexpToVtk(onBoundaryCells);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetCellLists(_regions, _inRegionCells, _onBoundaryCells);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_regions,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regions",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_inRegionCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".inRegionCells",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_onBoundaryCells,"vtkIdList"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".onBoundaryCells",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionContainingCell( SEXP obj, SEXP set, SEXP cellID){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _set = (vtkDataSet * )  SexpToVtk(set);
    SET_LENGTH(cellID,1);
     int  *  _cellID =  SexpToint(cellID);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetRegionContainingCell(_set,  * _cellID);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_set,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".set",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionContainingCell_v1( SEXP obj, SEXP set, SEXP cellID){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(set,1);
     int  *  _set =  SexpToint(set);
    SET_LENGTH(cellID,1);
     int  *  _cellID =  SexpToint(cellID);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetRegionContainingCell( * _set,  * _cellID);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionContainingCell_v2( SEXP obj, SEXP cellID){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellID,1);
     int  *  _cellID =  SexpToint(cellID);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetRegionContainingCell( * _cellID);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_AllGetRegionContainingCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->AllGetRegionContainingCell();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetRegionContainingPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetRegionContainingPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_BuildLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->BuildLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_DepthOrderAllRegions( SEXP obj, SEXP directionOfProjection, SEXP orderedList){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _directionOfProjection =  SexpTodouble(directionOfProjection);
     vtkIntArray  *  _orderedList = (vtkIntArray * )  SexpToVtk(orderedList);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->DepthOrderAllRegions(_directionOfProjection, _orderedList);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_directionOfProjection,
LENGTH(directionOfProjection)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".directionOfProjection",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_orderedList,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".orderedList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_DepthOrderRegions( SEXP obj, SEXP regionIds, SEXP directionOfProjection, SEXP orderedList){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIntArray  *  _regionIds = (vtkIntArray * )  SexpToVtk(regionIds);
     double  *  _directionOfProjection =  SexpTodouble(directionOfProjection);
     vtkIntArray  *  _orderedList = (vtkIntArray * )  SexpToVtk(orderedList);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->DepthOrderRegions(_regionIds, _directionOfProjection, _orderedList);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_regionIds,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regionIds",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_directionOfProjection,
LENGTH(directionOfProjection)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".directionOfProjection",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_orderedList,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".orderedList",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_BuildLocatorFromPoints( SEXP obj, SEXP ptArray){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _ptArray = (vtkPoints * )  SexpToVtk(ptArray);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->BuildLocatorFromPoints(_ptArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptArray,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_BuildMapForDuplicatePoints( SEXP obj, SEXP tolerance){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(tolerance,1);
     float  *  _tolerance =  SexpTofloat(tolerance);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkIdTypeArray *  _res =( vtkIdTypeArray * )_obj->BuildMapForDuplicatePoints( * _tolerance);
    res=VtkToSexp(_res,"vtkIdTypeArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindPoint( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindPoint(_x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindPoint_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindClosestPoint( SEXP obj, SEXP x, SEXP dist2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPoint(_x,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindClosestPoint_v1( SEXP obj, SEXP x, SEXP y, SEXP z, SEXP dist2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPoint( * _x,  * _y,  * _z,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindClosestPointInRegion( SEXP obj, SEXP regionId, SEXP x, SEXP dist2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointInRegion( * _regionId, _x,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FindClosestPointInRegion_v1( SEXP obj, SEXP regionId, SEXP x, SEXP y, SEXP z, SEXP dist2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->FindClosestPointInRegion( * _regionId,  * _x,  * _y,  * _z,  * _dist2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dist2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetPointsInRegion( SEXP obj, SEXP regionId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkIdTypeArray *  _res =( vtkIdTypeArray * )_obj->GetPointsInRegion( * _regionId);
    res=VtkToSexp(_res,"vtkIdTypeArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_FreeSearchStructure( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->FreeSearchStructure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GenerateRepresentation( SEXP obj, SEXP level, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     int  *  _level =  SexpToint(level);
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GenerateRepresentation( * _level, _pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GenerateRepresentation_v1( SEXP obj, SEXP regions, SEXP len, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _regions =  SexpToint(regions);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GenerateRepresentation(_regions,  * _len, _pd);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_regions,LENGTH(regions)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".regions",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GenerateRepresentationUsingDataBoundsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GenerateRepresentationUsingDataBoundsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GenerateRepresentationUsingDataBoundsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->GenerateRepresentationUsingDataBoundsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_SetGenerateRepresentationUsingDataBounds( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    _obj->SetGenerateRepresentationUsingDataBounds( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_GetGenerateRepresentationUsingDataBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateRepresentationUsingDataBounds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_NewGeometry( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    int _res =_obj->NewGeometry();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_CopyTree( SEXP obj, SEXP kd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkKdNode  *  _kd = (vtkKdNode * )  SexpToVtk(kd);
    vtkKdTree * _obj = (vtkKdTree * ) SexpToVtk(obj);
    vtkKdNode *  _res =( vtkKdNode * )_obj->CopyTree(_kd);
    res=VtkToSexp(_res,"vtkKdNode");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_kd,"vtkKdNode"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".kd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkKdTree_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkKdTree * res= ( vtkKdTree * ) vtkKdTree::New();
    R_res=toRPointer(res,"vtkKdTree");
    return(R_res);
  }
#endif
}
