#include <vtkLinearExtrusionFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkLinearExtrusionFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    vtkLinearExtrusionFilter *  _res =( vtkLinearExtrusionFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLinearExtrusionFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    vtkLinearExtrusionFilter *  _res =( vtkLinearExtrusionFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLinearExtrusionFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetExtrusionTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtrusionTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetExtrusionTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtrusionTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetExtrusionType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtrusionType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionTypeToVectorExtrusion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionTypeToVectorExtrusion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionTypeToNormalExtrusion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionTypeToNormalExtrusion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionTypeToPointExtrusion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionTypeToPointExtrusion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetCapping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetCapping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetCapping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCapping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_CappingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->CappingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_CappingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->CappingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetScaleFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetScaleFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetScaleFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetScaleFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetVector( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetVector( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetVector_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetVector(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetVector();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetVector_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->GetVector(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionPoint( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionPoint( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_SetExtrusionPoint_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->SetExtrusionPoint(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetExtrusionPoint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetExtrusionPoint();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_GetExtrusionPoint_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLinearExtrusionFilter * _obj = (vtkLinearExtrusionFilter
 * ) SexpToVtk(obj);
    _obj->GetExtrusionPoint(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearExtrusionFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkLinearExtrusionFilter * res= ( vtkLinearExtrusionFilter * ) 
vtkLinearExtrusionFilter::New();
    R_res=toRPointer(res,"vtkLinearExtrusionFilter");
    return(R_res);
  }
#endif
}
