#include <vtkLinearTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkLinearTransform_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    vtkLinearTransform *  _res =( vtkLinearTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLinearTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    vtkLinearTransform *  _res =( vtkLinearTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLinearTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformNormal( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformNormal_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformNormal_v2( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformNormal( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformNormal_v3( SEXP obj, SEXP normal){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(normal,3);
     double  *  _normal =  SexpTodouble(normal);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformNormal(_normal);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformFloatNormal( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,1);
     float  *  _y =  SexpTofloat(y);
    SET_LENGTH(z,1);
     float  *  _z =  SexpTofloat(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatNormal( * _x,  * _y,  * _z);
    res=floatToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformFloatNormal_v1( SEXP obj, SEXP normal){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(normal,3);
     float  *  _normal =  SexpTofloat(normal);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatNormal(_normal);
    res=floatToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformDoubleNormal( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleNormal( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformDoubleNormal_v1( SEXP obj, SEXP normal){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(normal,3);
     double  *  _normal =  SexpTodouble(normal);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleNormal(_normal);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformVector( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformVector( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformVector_v1( SEXP obj, SEXP normal){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(normal,3);
     double  *  _normal =  SexpTodouble(normal);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformVector(_normal);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformVector_v2( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformVector_v3( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformFloatVector( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     float  *  _x =  SexpTofloat(x);
    SET_LENGTH(y,1);
     float  *  _y =  SexpTofloat(y);
    SET_LENGTH(z,1);
     float  *  _z =  SexpTofloat(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatVector( * _x,  * _y,  * _z);
    res=floatToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformFloatVector_v1( SEXP obj, SEXP vec){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(vec,3);
     float  *  _vec =  SexpTofloat(vec);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->TransformFloatVector(_vec);
    res=floatToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformDoubleVector( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleVector( * _x,  * _y,  * _z);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformDoubleVector_v1( SEXP obj, SEXP vec){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(vec,3);
     double  *  _vec =  SexpTodouble(vec);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->TransformDoubleVector(_vec);
    res=doubleToSexp(_res,33);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformPoints( SEXP obj, SEXP inPts, SEXP outPts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _inPts = (vtkPoints * )  SexpToVtk(inPts);
     vtkPoints  *  _outPts = (vtkPoints * )  SexpToVtk(outPts);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformPoints(_inPts, _outPts);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inPts",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outPts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformNormals( SEXP obj, SEXP inNms, SEXP outNms){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformNormals(_inNms, _outNms);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outNms",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformVectors( SEXP obj, SEXP inNms, SEXP outNms){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformVectors(_inNms, _outNms);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outNms",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_TransformPointsNormalsVectors( SEXP obj, SEXP inPts, SEXP outPts, SEXP inNms, SEXP outNms, SEXP inVrs, SEXP outVrs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _inPts = (vtkPoints * )  SexpToVtk(inPts);
     vtkPoints  *  _outPts = (vtkPoints * )  SexpToVtk(outPts);
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
     vtkDataArray  *  _inVrs = (vtkDataArray * )  SexpToVtk(inVrs);
     vtkDataArray  *  _outVrs = (vtkDataArray * )  SexpToVtk(outVrs);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->TransformPointsNormalsVectors(_inPts, _outPts, _inNms, _outNms, _inVrs, _outVrs);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inPts",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outPts",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".outNms",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inVrs",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outVrs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_GetLinearInverse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    vtkLinearTransform *  _res =( vtkLinearTransform * )_obj->GetLinearInverse();
    res=VtkToSexp(_res,"vtkLinearTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformPoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformPoint_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformNormal( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformNormal_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformVector( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLinearTransform_InternalTransformVector_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkLinearTransform * _obj = (vtkLinearTransform * ) SexpToVtk(obj);
    _obj->InternalTransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
