#include <vtkMCubesReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMCubesReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    vtkMCubesReader *  _res =( vtkMCubesReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMCubesReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    vtkMCubesReader *  _res =( vtkMCubesReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMCubesReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetLimitsFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetLimitsFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetLimitsFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLimitsFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetHeaderSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetHeaderSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetHeaderSizeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetHeaderSizeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetHeaderSizeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetHeaderSizeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetHeaderSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetHeaderSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetFlipNormals( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetFlipNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetFlipNormals( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetFlipNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_FlipNormalsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->FlipNormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_FlipNormalsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->FlipNormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetNormals( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetNormals( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetNormals( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetNormals();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_NormalsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->NormalsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_NormalsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->NormalsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetDataByteOrderToBigEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetDataByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetDataByteOrderToLittleEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetDataByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetDataByteOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetDataByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetDataByteOrder( SEXP obj, SEXP byteOrder){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(byteOrder,1);
     int  *  _byteOrder =  SexpToint(byteOrder);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetDataByteOrder( * _byteOrder);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetDataByteOrderAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDataByteOrderAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetSwapBytes( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetSwapBytes( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetSwapBytes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    int _res =_obj->GetSwapBytes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SwapBytesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SwapBytesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SwapBytesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SwapBytesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMCubesReader * _obj = (vtkMCubesReader * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMCubesReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMCubesReader * res= ( vtkMCubesReader * ) vtkMCubesReader::New();
    R_res=toRPointer(res,"vtkMCubesReader");
    return(R_res);
  }
#endif
}
