#include <vtkMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkMapper *  _res =( vtkMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkMapper *  _res =( vtkMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ShallowCopy( SEXP obj, SEXP mapper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractMapper  *  _mapper = (vtkAbstractMapper * )  SexpToVtk(mapper);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ShallowCopy(_mapper);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_mapper,"vtkAbstractMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_Render( SEXP obj, SEXP ren, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkActor  *  _a = (vtkActor * )  SexpToVtk(a);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->Render(_ren, _a);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_a,"vtkActor"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetLookupTable( SEXP obj, SEXP lut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkScalarsToColors  *  _lut = (vtkScalarsToColors * )  SexpToVtk(lut);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetLookupTable(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkScalarsToColors"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_CreateDefaultLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->CreateDefaultLookupTable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarVisibility( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarVisibility( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarVisibility( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetScalarVisibility();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ScalarVisibilityOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ScalarVisibilityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ScalarVisibilityOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ScalarVisibilityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetStatic( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetStatic( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetStatic( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetStatic();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_StaticOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->StaticOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_StaticOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->StaticOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetColorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetColorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetColorModeToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetColorModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetColorModeToMapScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetColorModeToMapScalars();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetColorModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetColorModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetInterpolateScalarsBeforeMapping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetInterpolateScalarsBeforeMapping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetInterpolateScalarsBeforeMapping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolateScalarsBeforeMapping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_InterpolateScalarsBeforeMappingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->InterpolateScalarsBeforeMappingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_InterpolateScalarsBeforeMappingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->InterpolateScalarsBeforeMappingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetUseLookupTableScalarRange( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetUseLookupTableScalarRange( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetUseLookupTableScalarRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetUseLookupTableScalarRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_UseLookupTableScalarRangeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->UseLookupTableScalarRangeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_UseLookupTableScalarRangeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->UseLookupTableScalarRangeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScalarRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarRange_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->GetScalarRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetImmediateModeRendering( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetImmediateModeRendering( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetImmediateModeRendering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetImmediateModeRendering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ImmediateModeRenderingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ImmediateModeRenderingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ImmediateModeRenderingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ImmediateModeRenderingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetGlobalImmediateModeRendering( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetGlobalImmediateModeRendering( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GlobalImmediateModeRenderingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->GlobalImmediateModeRenderingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GlobalImmediateModeRenderingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->GlobalImmediateModeRenderingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetGlobalImmediateModeRendering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetGlobalImmediateModeRendering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToUsePointData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToUseCellData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToUsePointFieldData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToUseCellFieldData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarModeToUseFieldData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SelectColorArray( SEXP obj, SEXP arrayNum){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(arrayNum,1);
     int  *  _arrayNum =  SexpToint(arrayNum);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SelectColorArray( * _arrayNum);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SelectColorArray_v1( SEXP obj, SEXP arrayName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SelectColorArray(_arrayName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ColorByArrayComponent( SEXP obj, SEXP arrayNum, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(arrayNum,1);
     int  *  _arrayNum =  SexpToint(arrayNum);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ColorByArrayComponent( * _arrayNum,  * _component);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_ColorByArrayComponent_v1( SEXP obj, SEXP arrayName, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->ColorByArrayComponent(_arrayName,  * _component);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetArrayId( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetArrayId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetArrayAccessMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetArrayAccessMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopology( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopology( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetResolveCoincidentTopology( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetResolveCoincidentTopology();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyToOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyToOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyToPolygonOffset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyToPolygonOffset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyToShiftZBuffer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyToShiftZBuffer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyPolygonOffsetParameters( SEXP obj, SEXP factor, SEXP units){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(factor,1);
     double  *  _factor =  SexpTodouble(factor);
    SET_LENGTH(units,1);
     double  *  _units =  SexpTodouble(units);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyPolygonOffsetParameters( * _factor,  * _units);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetResolveCoincidentTopologyPolygonOffsetParameters( SEXP obj, SEXP factor, SEXP units){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(factor,1);
     double  *  _factor =  SexpTodouble(factor);
    SET_LENGTH(units,1);
     double  *  _units =  SexpTodouble(units);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->GetResolveCoincidentTopologyPolygonOffsetParameters( * _factor,  * _units);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_factor,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".factor",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_units,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".units",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetResolveCoincidentTopologyZShift( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetResolveCoincidentTopologyZShift( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetResolveCoincidentTopologyZShift( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    double _res =_obj->GetResolveCoincidentTopologyZShift();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetBounds_v1( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetRenderTime( SEXP obj, SEXP time){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetRenderTime( * _time);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetRenderTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    double _res =_obj->GetRenderTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetInputAsDataSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetInputAsDataSet();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_MapScalars( SEXP obj, SEXP alpha){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(alpha,1);
     double  *  _alpha =  SexpTodouble(alpha);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->MapScalars( * _alpha);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMaterialMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMaterialMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarMaterialMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMaterialMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMaterialModeToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMaterialModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMaterialModeToAmbient( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMaterialModeToAmbient();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMaterialModeToDiffuse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMaterialModeToDiffuse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_SetScalarMaterialModeToAmbientAndDiffuse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    _obj->SetScalarMaterialModeToAmbientAndDiffuse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapper_GetScalarMaterialModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapper * _obj = (vtkMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarMaterialModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
