#include <vtkMedicalImageProperties.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMedicalImageProperties_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    vtkMedicalImageProperties *  _res =( vtkMedicalImageProperties * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMedicalImageProperties");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    vtkMedicalImageProperties *  _res =( vtkMedicalImageProperties * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMedicalImageProperties");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_Clear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->Clear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetPatientName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetPatientName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetPatientName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPatientName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetPatientID( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetPatientID(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetPatientID( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPatientID();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetImageDate( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetImageDate(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetImageDate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetImageDate();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetSeries( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetSeries(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetSeries( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSeries();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetStudy( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetStudy(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetStudy( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetStudy();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetImageNumber( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetImageNumber(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetImageNumber( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetImageNumber();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_SetModality( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->SetModality(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetModality( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetModality();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_DeepCopy( SEXP obj, SEXP p){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMedicalImageProperties  *  _p = (vtkMedicalImageProperties * )  
SexpToVtk(p);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->DeepCopy(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkMedicalImageProperties"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_AddWindowLevelPreset( SEXP obj, SEXP w, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(w,1);
     double  *  _w =  SexpTodouble(w);
    SET_LENGTH(l,1);
     double  *  _l =  SexpTodouble(l);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->AddWindowLevelPreset( * _w,  * _l);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_RemoveWindowLevelPreset( SEXP obj, SEXP w, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(w,1);
     double  *  _w =  SexpTodouble(w);
    SET_LENGTH(l,1);
     double  *  _l =  SexpTodouble(l);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->RemoveWindowLevelPreset( * _w,  * _l);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_RemoveAllWindowLevelPresets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    _obj->RemoveAllWindowLevelPresets();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetNumberOfWindowLevelPresets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfWindowLevelPresets();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_HasWindowLevelPreset( SEXP obj, SEXP w, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(w,1);
     double  *  _w =  SexpTodouble(w);
    SET_LENGTH(l,1);
     double  *  _l =  SexpTodouble(l);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    int _res =_obj->HasWindowLevelPreset( * _w,  * _l);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetNthWindowLevelPreset( SEXP obj, SEXP idx, SEXP w, SEXP l){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     double  *  _w =  SexpTodouble(w);
     double  *  _l =  SexpTodouble(l);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    int _res =_obj->GetNthWindowLevelPreset( * _idx, _w, _l);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_w,LENGTH(w)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".w",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_l,LENGTH(l)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".l",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_GetNthWindowLevelPreset_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkMedicalImageProperties * _obj = (vtkMedicalImageProperties
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNthWindowLevelPreset( * _idx);
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMedicalImageProperties_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMedicalImageProperties * res= ( vtkMedicalImageProperties * ) 
vtkMedicalImageProperties::New();
    R_res=toRPointer(res,"vtkMedicalImageProperties");
    return(R_res);
  }
#endif
}
