#include <vtkModelMetadata.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkModelMetadata_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    vtkModelMetadata *  _res =( vtkModelMetadata * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkModelMetadata");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    vtkModelMetadata *  _res =( vtkModelMetadata * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkModelMetadata");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_PrintGlobalInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->PrintGlobalInformation();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_PrintLocalInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->PrintLocalInformation();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetTitle( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetTitle(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetTitle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTitle();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AddInformationLine( SEXP obj, SEXP line){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _line =  SexpTochar(line);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->AddInformationLine(_line);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_line,LENGTH(line)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".line",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfInformationLines( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfInformationLines();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AddQARecord( SEXP obj, SEXP name, SEXP ver, SEXP recDate, SEXP recTime){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _ver =  SexpTochar(ver);
     char  *  _recDate =  SexpTochar(recDate);
     char  *  _recTime =  SexpTochar(recTime);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->AddQARecord(_name, _ver, _recDate, _recTime);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_name,LENGTH(name)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".name",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_ver,LENGTH(ver)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ver",0));
    SET_VECTOR_ELT(ans,3,charToSexp(_recDate,LENGTH(recDate)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".recDate",0));
    SET_VECTOR_ELT(ans,4,charToSexp(_recTime,LENGTH(recTime)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".recTime",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfQARecords( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfQARecords();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetTimeStepIndex( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetTimeStepIndex( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetTimeStepIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetTimeStepIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetTimeSteps( SEXP obj, SEXP num, SEXP steps){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
     float  *  _steps =  SexpTofloat(steps);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetTimeSteps( * _num, _steps);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_steps,LENGTH(steps)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".steps",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfTimeSteps( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTimeSteps();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetTimeStepValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetTimeStepValues();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetCoordinateNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCoordinateNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNumberOfBlocks( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNumberOfBlocks( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfBlocks( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfBlocks();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockIds( SEXP obj, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _b =  SexpToint(b);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetBlockIds(_b);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockIds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockIds();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockElementType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetBlockElementType();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockNumberOfElements( SEXP obj, SEXP nelts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _nelts =  SexpToint(nelts);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetBlockNumberOfElements(_nelts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_nelts,LENGTH(nelts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".nelts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockNumberOfElements( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockNumberOfElements();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockNodesPerElement( SEXP obj, SEXP e){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _e =  SexpToint(e);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetBlockNodesPerElement(_e);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_e,LENGTH(e)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".e",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockNodesPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockNodesPerElement();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockElementIdList( SEXP obj, SEXP e){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _e =  SexpToint(e);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetBlockElementIdList(_e);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_e,LENGTH(e)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".e",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockElementIdList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockElementIdList();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSumElementsPerBlock( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSumElementsPerBlock();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockElementIdListIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockElementIdListIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockNumberOfAttributesPerElement( SEXP obj, SEXP natts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _natts =  SexpToint(natts);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetBlockNumberOfAttributesPerElement(_natts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_natts,LENGTH(natts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".natts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockNumberOfAttributesPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockNumberOfAttributesPerElement();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockAttributes( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _a =  SexpTofloat(a);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetBlockAttributes(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockAttributes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetBlockAttributes();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSizeBlockAttributeArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSizeBlockAttributeArray();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockAttributesIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockAttributesIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNumberOfNodeSets( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNumberOfNodeSets( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfNodeSets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodeSets();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetIds( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _n =  SexpToint(n);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNodeSetIds(_n);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetIds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetIds();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetSize( SEXP obj, SEXP size){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _size =  SexpToint(size);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetNodeSetSize(_size);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_size,LENGTH(size)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetNodeIdList( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _n =  SexpToint(n);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNodeSetNodeIdList(_n);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetNodeIdList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetNodeIdList();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetNumberOfDistributionFactors( SEXP obj, SEXP df){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _df =  SexpToint(df);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetNodeSetNumberOfDistributionFactors(_df);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_df,LENGTH(df)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".df",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetNumberOfDistributionFactors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetNumberOfDistributionFactors();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetDistributionFactors( SEXP obj, SEXP d){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _d =  SexpTofloat(d);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNodeSetDistributionFactors(_d);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_d,LENGTH(d)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".d",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetDistributionFactors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetNodeSetDistributionFactors();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSumNodesPerNodeSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSumNodesPerNodeSet();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSumDistFactPerNodeSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSumDistFactPerNodeSet();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetNodeIdListIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetNodeIdListIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetDistributionFactorIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetDistributionFactorIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNumberOfSideSets( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNumberOfSideSets( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfSideSets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSideSets();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetIds( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _s =  SexpToint(s);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetIds(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetIds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetIds();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetSize( SEXP obj, SEXP size){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _size =  SexpToint(size);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetSideSetSize(_size);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_size,LENGTH(size)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetNumberOfDistributionFactors( SEXP obj, SEXP df){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _df =  SexpToint(df);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->SetSideSetNumberOfDistributionFactors(_df);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_df,LENGTH(df)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".df",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetNumberOfDistributionFactors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetNumberOfDistributionFactors();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetElementList( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _s =  SexpToint(s);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetElementList(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetElementList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetElementList();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetSideList( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _s =  SexpToint(s);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetSideList(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetSideList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetSideList();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetNumDFPerSide( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _s =  SexpToint(s);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetNumDFPerSide(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetNumDFPerSide( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetNumDFPerSide();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetDistributionFactors( SEXP obj, SEXP d){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _d =  SexpTofloat(d);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetDistributionFactors(_d);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_d,LENGTH(d)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".d",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetDistributionFactors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetSideSetDistributionFactors();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSumSidesPerSideSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSumSidesPerSideSet();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSumDistFactPerSideSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetSumDistFactPerSideSet();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetListIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetListIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetDistributionFactorIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetDistributionFactorIndex();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfBlockProperties( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfBlockProperties();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockPropertyNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetBlockPropertyNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetBlockPropertyValue( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _v =  SexpToint(v);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetBlockPropertyValue(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockPropertyValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetBlockPropertyValue();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfNodeSetProperties( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodeSetProperties();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetPropertyNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetNodeSetPropertyNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetNodeSetPropertyValue( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _v =  SexpToint(v);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetNodeSetPropertyValue(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeSetPropertyValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeSetPropertyValue();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfSideSetProperties( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSideSetProperties();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetPropertyNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSideSetPropertyNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetSideSetPropertyValue( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _v =  SexpToint(v);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetSideSetPropertyValue(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetSideSetPropertyValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSideSetPropertyValue();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfGlobalVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfGlobalVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetGlobalVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetGlobalVariableNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetGlobalVariableValue( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _f =  SexpTofloat(f);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetGlobalVariableValue(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_f,LENGTH(f)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetGlobalVariableValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGlobalVariableValue();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetElementVariableTruthTable( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _n =  SexpToint(n);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetElementVariableTruthTable(_n);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_n,LENGTH(n)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetElementVariableTruthTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetElementVariableTruthTable();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_SetAllVariablesDefinedInAllBlocks( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->SetAllVariablesDefinedInAllBlocks( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetAllVariablesDefinedInAllBlocks( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetAllVariablesDefinedInAllBlocks();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AllVariablesDefinedInAllBlocksOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->AllVariablesDefinedInAllBlocksOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AllVariablesDefinedInAllBlocksOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->AllVariablesDefinedInAllBlocksOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_ElementVariableIsDefinedInBlock( SEXP obj, SEXP varname, SEXP blockId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _varname =  SexpTochar(varname);
    SET_LENGTH(blockId,1);
     int  *  _blockId =  SexpToint(blockId);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->ElementVariableIsDefinedInBlock(_varname,  * _blockId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_varname,LENGTH(varname)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".varname",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetOriginalNumberOfElementVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetOriginalNumberOfElementVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetOriginalElementVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetOriginalElementVariableNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfElementVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfElementVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetElementVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetElementVariableNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetElementVariableNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetElementVariableNumberOfComponents();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetMapToOriginalElementVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetMapToOriginalElementVariableNames();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetOriginalNumberOfNodeVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetOriginalNumberOfNodeVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetOriginalNodeVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetOriginalNodeVariableNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNumberOfNodeVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodeVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetNodeVariableNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetNodeVariableNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetNodeVariableNumberOfComponents();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetMapToOriginalNodeVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetMapToOriginalNodeVariableNames();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FindOriginalElementVariableName( SEXP obj, SEXP name, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->FindOriginalElementVariableName(_name,  * _component);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FindOriginalNodeVariableName( SEXP obj, SEXP name, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->FindOriginalNodeVariableName(_name,  * _component);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_HasMetadata( SEXP obj, SEXP grid){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _grid = (vtkDataSet * )  SexpToVtk(grid);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->HasMetadata(_grid);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_grid,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".grid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_RemoveMetadata( SEXP obj, SEXP grid){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _grid = (vtkDataSet * )  SexpToVtk(grid);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->RemoveMetadata(_grid);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_grid,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".grid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_Pack( SEXP obj, SEXP grid){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _grid = (vtkDataSet * )  SexpToVtk(grid);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->Pack(_grid);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_grid,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".grid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_Unpack( SEXP obj, SEXP grid, SEXP deleteIt){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _grid = (vtkDataSet * )  SexpToVtk(grid);
    SET_LENGTH(deleteIt,1);
     int  *  _deleteIt =  SexpToint(deleteIt);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->Unpack(_grid,  * _deleteIt);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_grid,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".grid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AddUGridElementVariable( SEXP obj, SEXP ugridVarName, SEXP origName, SEXP numComponents){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _ugridVarName =  SexpTochar(ugridVarName);
     char  *  _origName =  SexpTochar(origName);
    SET_LENGTH(numComponents,1);
     int  *  _numComponents =  SexpToint(numComponents);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->AddUGridElementVariable(_ugridVarName, _origName,  * _numComponents);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_ugridVarName,LENGTH(ugridVarName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugridVarName",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_origName,LENGTH(origName)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".origName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_RemoveUGridElementVariable( SEXP obj, SEXP ugridVarName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _ugridVarName =  SexpTochar(ugridVarName);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->RemoveUGridElementVariable(_ugridVarName);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_ugridVarName,LENGTH(ugridVarName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugridVarName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_AddUGridNodeVariable( SEXP obj, SEXP ugridVarName, SEXP origName, SEXP numComponents){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _ugridVarName =  SexpTochar(ugridVarName);
     char  *  _origName =  SexpTochar(origName);
    SET_LENGTH(numComponents,1);
     int  *  _numComponents =  SexpToint(numComponents);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->AddUGridNodeVariable(_ugridVarName, _origName,  * _numComponents);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_ugridVarName,LENGTH(ugridVarName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugridVarName",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_origName,LENGTH(origName)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".origName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_RemoveUGridNodeVariable( SEXP obj, SEXP ugridVarName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _ugridVarName =  SexpTochar(ugridVarName);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->RemoveUGridNodeVariable(_ugridVarName);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_ugridVarName,LENGTH(ugridVarName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ugridVarName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_MergeModelMetadata( SEXP obj, SEXP em){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkModelMetadata  *  _em = (vtkModelMetadata * )  SexpToVtk(em);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->MergeModelMetadata(_em);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_MergeGlobalInformation( SEXP obj, SEXP em){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkModelMetadata  *  _em = (vtkModelMetadata * )  SexpToVtk(em);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->MergeGlobalInformation(_em);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_ExtractModelMetadata( SEXP obj, SEXP globalCellIdList, SEXP grid, SEXP globalCellIdArrayName, SEXP globalNodeIdArrayName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIntArray  *  _globalCellIdList = (vtkIntArray * )  
SexpToVtk(globalCellIdList);
     vtkDataSet  *  _grid = (vtkDataSet * )  SexpToVtk(grid);
     char  *  _globalCellIdArrayName =  SexpTochar(globalCellIdArrayName);
     char  *  _globalNodeIdArrayName =  SexpTochar(globalNodeIdArrayName);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    vtkModelMetadata *  _res =( vtkModelMetadata * )_obj->ExtractModelMetadata(_globalCellIdList, _grid, _globalCellIdArrayName, _globalNodeIdArrayName);
    res=VtkToSexp(_res,"vtkModelMetadata");
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_globalCellIdList,"vtkIntArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".globalCellIdList",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_grid,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".grid",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_ExtractGlobalMetadata( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    vtkModelMetadata *  _res =( vtkModelMetadata * )_obj->ExtractGlobalMetadata();
    res=VtkToSexp(_res,"vtkModelMetadata");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeAllGlobalData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeAllGlobalData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeAllLocalData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeAllLocalData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeBlockDependentData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeBlockDependentData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeOriginalElementVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeOriginalElementVariableNames();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeOriginalNodeVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeOriginalNodeVariableNames();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeUsedElementVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeUsedElementVariableNames();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeUsedNodeVariableNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeUsedNodeVariableNames();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeUsedElementVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeUsedElementVariables();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_FreeUsedNodeVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->FreeUsedNodeVariables();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_Reset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_GetBlockLocalIndex( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkModelMetadata * _obj = (vtkModelMetadata * ) SexpToVtk(obj);
    int _res =_obj->GetBlockLocalIndex( * _id);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkModelMetadata_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkModelMetadata * res= ( vtkModelMetadata * ) vtkModelMetadata::New();
    R_res=toRPointer(res,"vtkModelMetadata");
    return(R_res);
  }
#endif
}
