#include <vtkMultiBlockPLOT3DReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMultiBlockPLOT3DReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    vtkMultiBlockPLOT3DReader *  _res =( vtkMultiBlockPLOT3DReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMultiBlockPLOT3DReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    vtkMultiBlockPLOT3DReader *  _res =( vtkMultiBlockPLOT3DReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMultiBlockPLOT3DReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetFileName( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetFileName(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetXYZFileName( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetXYZFileName(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetXYZFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetXYZFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetQFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetQFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetQFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetQFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetNumberOfBlocks( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfBlocks();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetNumberOfGrids( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfGrids();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetBinaryFile( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetBinaryFile( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetBinaryFile( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetBinaryFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_BinaryFileOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->BinaryFileOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_BinaryFileOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->BinaryFileOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetMultiGrid( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetMultiGrid( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetMultiGrid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetMultiGrid();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_MultiGridOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->MultiGridOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_MultiGridOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->MultiGridOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetHasByteCount( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetHasByteCount( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetHasByteCount( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetHasByteCount();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_HasByteCountOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->HasByteCountOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_HasByteCountOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->HasByteCountOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetIBlanking( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetIBlanking( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetIBlanking( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetIBlanking();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_IBlankingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->IBlankingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_IBlankingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->IBlankingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetTwoDimensionalGeometry( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetTwoDimensionalGeometry( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetTwoDimensionalGeometry( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetTwoDimensionalGeometry();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->TwoDimensionalGeometryOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->TwoDimensionalGeometryOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetForceRead( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetForceRead( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetForceRead( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetForceRead();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_ForceReadOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->ForceReadOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_ForceReadOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->ForceReadOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetByteOrderToBigEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetByteOrderToLittleEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetByteOrder( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrder( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetByteOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetByteOrderAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetByteOrderAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetR( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetR( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetR( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    double _res =_obj->GetR();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetGamma( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetGamma( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetGamma( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    double _res =_obj->GetGamma();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetUvinf( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetUvinf( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetUvinf( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    double _res =_obj->GetUvinf();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetVvinf( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetVvinf( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetVvinf( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    double _res =_obj->GetVvinf();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetWvinf( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetWvinf( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetWvinf( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    double _res =_obj->GetWvinf();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetScalarFunctionNumber( SEXP obj, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetScalarFunctionNumber( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetScalarFunctionNumber( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarFunctionNumber();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_SetVectorFunctionNumber( SEXP obj, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->SetVectorFunctionNumber( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GetVectorFunctionNumber( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetVectorFunctionNumber();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_AddFunction( SEXP obj, SEXP functionNumber){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(functionNumber,1);
     int  *  _functionNumber =  SexpToint(functionNumber);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->AddFunction( * _functionNumber);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_RemoveFunction( SEXP obj, SEXP fnum){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(fnum,1);
     int  *  _fnum =  SexpToint(fnum);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->RemoveFunction( * _fnum);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_RemoveAllFunctions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    _obj->RemoveAllFunctions();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_CanReadBinaryFile( SEXP obj, SEXP fname){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fname =  SexpTochar(fname);
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->CanReadBinaryFile(_fname);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_GenerateDefaultConfiguration( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * _obj = (vtkMultiBlockPLOT3DReader
 * ) SexpToVtk(obj);
    int _res =_obj->GenerateDefaultConfiguration();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMultiBlockPLOT3DReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMultiBlockPLOT3DReader * res= ( vtkMultiBlockPLOT3DReader * ) 
vtkMultiBlockPLOT3DReader::New();
    R_res=toRPointer(res,"vtkMultiBlockPLOT3DReader");
    return(R_res);
  }
#endif
}
