#include <vtkOpenGLImageMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkOpenGLImageMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    vtkOpenGLImageMapper *  _res =( vtkOpenGLImageMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLImageMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    vtkOpenGLImageMapper *  _res =( vtkOpenGLImageMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLImageMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_RenderOverlay( SEXP obj, SEXP viewport, SEXP actor){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    _obj->RenderOverlay(_viewport, _actor);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_RenderData( SEXP obj, SEXP viewport, SEXP data, SEXP actor){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkImageData  *  _data = (vtkImageData * )  SexpToVtk(data);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkOpenGLImageMapper * _obj = (vtkOpenGLImageMapper * ) SexpToVtk(obj);
    _obj->RenderData(_viewport, _data, _actor);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_data,"vtkImageData"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".data",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLImageMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLImageMapper * res= ( vtkOpenGLImageMapper * ) vtkOpenGLImageMapper
::New();
    R_res=toRPointer(res,"vtkOpenGLImageMapper");
    return(R_res);
  }
#endif
}
