#include <vtkOpenGLVolumeTextureMapper2D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkOpenGLVolumeTextureMapper2D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    vtkOpenGLVolumeTextureMapper2D *  _res =( vtkOpenGLVolumeTextureMapper2D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLVolumeTextureMapper2D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    vtkOpenGLVolumeTextureMapper2D *  _res =( vtkOpenGLVolumeTextureMapper2D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLVolumeTextureMapper2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_Render( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_RenderQuads( SEXP obj, SEXP numQuads, SEXP v, SEXP t, SEXP texture, SEXP size, SEXP reverseFlag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numQuads,1);
     int  *  _numQuads =  SexpToint(numQuads);
     float  *  _v =  SexpTofloat(v);
     float  *  _t =  SexpTofloat(t);
     unsigned char  *  _texture =  SexpTounsigned_char(texture);
    SET_LENGTH(size,2);
     int  *  _size =  SexpToint(size);
    SET_LENGTH(reverseFlag,1);
     int  *  _reverseFlag =  SexpToint(reverseFlag);
    vtkOpenGLVolumeTextureMapper2D * _obj = (vtkOpenGLVolumeTextureMapper2D
 * ) SexpToVtk(obj);
    _obj->RenderQuads( * _numQuads, _v, _t, _texture, _size,  * _reverseFlag);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_t,LENGTH(t)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,3,unsigned_charToSexp(_texture,LENGTH(texture)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".texture",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_size,2));
    SET_VECTOR_ELT(res_names,4,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper2D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLVolumeTextureMapper2D * res= ( vtkOpenGLVolumeTextureMapper2D * ) 
vtkOpenGLVolumeTextureMapper2D::New();
    R_res=toRPointer(res,"vtkOpenGLVolumeTextureMapper2D");
    return(R_res);
  }
#endif
}
