#include <vtkOrientationMarkerWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_WIDGETS
  SEXP R_vtkOrientationMarkerWidget_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    vtkOrientationMarkerWidget *  _res =( vtkOrientationMarkerWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOrientationMarkerWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    vtkOrientationMarkerWidget *  _res =( vtkOrientationMarkerWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOrientationMarkerWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SetOrientationMarker( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  __arg = (vtkProp * )  SexpToVtk(_arg);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->SetOrientationMarker(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_GetOrientationMarker( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    vtkProp *  _res =( vtkProp * )_obj->GetOrientationMarker();
    res=VtkToSexp(_res,"vtkProp");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SetEnabled( SEXP obj, SEXP enabling){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SetInteractive( SEXP obj, SEXP interact){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(interact,1);
     int  *  _interact =  SexpToint(interact);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->SetInteractive( * _interact);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_GetInteractive( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    int _res =_obj->GetInteractive();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_InteractiveOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->InteractiveOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_InteractiveOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->InteractiveOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SetOutlineColor( SEXP obj, SEXP r, SEXP g, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     double  *  _r =  SexpTodouble(r);
    SET_LENGTH(g,1);
     double  *  _g =  SexpTodouble(g);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->SetOutlineColor( * _r,  * _g,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_GetOutlineColor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOutlineColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_SetViewport( SEXP obj, SEXP minX, SEXP minY, SEXP maxX, SEXP maxY){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(minX,1);
     double  *  _minX =  SexpTodouble(minX);
    SET_LENGTH(minY,1);
     double  *  _minY =  SexpTodouble(minY);
    SET_LENGTH(maxX,1);
     double  *  _maxX =  SexpTodouble(maxX);
    SET_LENGTH(maxY,1);
     double  *  _maxY =  SexpTodouble(maxY);
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    _obj->SetViewport( * _minX,  * _minY,  * _maxX,  * _maxY);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_GetViewport( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * _obj = (vtkOrientationMarkerWidget
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetViewport();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOrientationMarkerWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOrientationMarkerWidget * res= ( vtkOrientationMarkerWidget * ) 
vtkOrientationMarkerWidget::New();
    R_res=toRPointer(res,"vtkOrientationMarkerWidget");
    return(R_res);
  }
#endif
}
