#include <vtkPExodusReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkPExodusReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    vtkPExodusReader *  _res =( vtkPExodusReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPExodusReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    vtkPExodusReader *  _res =( vtkPExodusReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPExodusReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetFilePattern( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetFilePattern(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFilePattern( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFilePattern();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetFilePrefix( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetFilePrefix(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFilePrefix( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFilePrefix();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetFileRange( SEXP obj, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetFileRange( * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetFileRange_v1( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetFileRange(_r);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_r,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFileRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetFileRange();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFileRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->GetFileRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFileRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->GetFileRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetFileName( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetFileName(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetFileNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileNames();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetNumberOfFileNames( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFileNames();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetNumberOfFiles( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFiles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_SetGenerateFileIdArray( SEXP obj, SEXP flag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->SetGenerateFileIdArray( * _flag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetGenerateFileIdArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateFileIdArray();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GenerateFileIdArrayOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->GenerateFileIdArrayOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GenerateFileIdArrayOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->GenerateFileIdArrayOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetNumberOfVariableArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVariableArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_GetVariableArrayName( SEXP obj, SEXP a_which){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_which,1);
     int  *  _a_which =  SexpToint(a_which);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVariableArrayName( * _a_which);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_EnableDSPFiltering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->EnableDSPFiltering();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilter( SEXP obj, SEXP a_filter){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDSPFilterDefinition  *  _a_filter = (vtkDSPFilterDefinition * )  
SexpToVtk(a_filter);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilter(_a_filter);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a_filter,"vtkDSPFilterDefinition"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a_filter",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_StartAddingFilter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->StartAddingFilter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilterInputVar( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilterInputVar(_name);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_name,LENGTH(name)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".name",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilterOutputVar( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilterOutputVar(_name);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_name,LENGTH(name)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".name",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilterNumeratorWeight( SEXP obj, SEXP weight){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(weight,1);
     double  *  _weight =  SexpTodouble(weight);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilterNumeratorWeight( * _weight);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilterForwardNumeratorWeight( SEXP obj, SEXP weight){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(weight,1);
     double  *  _weight =  SexpTodouble(weight);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilterForwardNumeratorWeight( * _weight);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_AddFilterDenominatorWeight( SEXP obj, SEXP weight){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(weight,1);
     double  *  _weight =  SexpTodouble(weight);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->AddFilterDenominatorWeight( * _weight);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_FinishAddingFilter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->FinishAddingFilter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_RemoveFilter( SEXP obj, SEXP a_outputVariableName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _a_outputVariableName =  SexpTochar(a_outputVariableName);
    vtkPExodusReader * _obj = (vtkPExodusReader * ) SexpToVtk(obj);
    _obj->RemoveFilter(_a_outputVariableName);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_a_outputVariableName,
LENGTH(a_outputVariableName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a_outputVariableName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPExodusReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPExodusReader * res= ( vtkPExodusReader * ) vtkPExodusReader::New();
    R_res=toRPointer(res,"vtkPExodusReader");
    return(R_res);
  }
#endif
}
