#include <vtkParametricFunctionSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkParametricFunctionSource_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    vtkParametricFunctionSource *  _res =( vtkParametricFunctionSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkParametricFunctionSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    vtkParametricFunctionSource *  _res =( vtkParametricFunctionSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkParametricFunctionSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetParametricFunction( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkParametricFunction  *  __arg = (vtkParametricFunction * )  
SexpToVtk(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetParametricFunction(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkParametricFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetParametricFunction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    vtkParametricFunction *  _res =( vtkParametricFunction * )_obj->GetParametricFunction();
    res=VtkToSexp(_res,"vtkParametricFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetUResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetUResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetUResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetUResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetVResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetVResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetVResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetVResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetWResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetWResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetWResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetWResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GenerateTextureCoordinatesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->GenerateTextureCoordinatesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GenerateTextureCoordinatesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->GenerateTextureCoordinatesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetGenerateTextureCoordinates( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetGenerateTextureCoordinates( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetGenerateTextureCoordinates( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateTextureCoordinates();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetScalarModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetScalarModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetScalarMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToNone( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToNone();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToU( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToU();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToV( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToV();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToU0( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToU0();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToV0( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToV0();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToU0V0( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToU0V0();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToModulus( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToModulus();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToPhase( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToPhase();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToQuadrant( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToQuadrant();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToX( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToX();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToY( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToY();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToZ( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToZ();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToDistance();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_SetScalarModeToFunctionDefined( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToFunctionDefined();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * _obj = (vtkParametricFunctionSource
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunctionSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkParametricFunctionSource * res= ( vtkParametricFunctionSource * ) 
vtkParametricFunctionSource::New();
    R_res=toRPointer(res,"vtkParametricFunctionSource");
    return(R_res);
  }
#endif
}
