#include <vtkParametricSpline.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkParametricSpline_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkParametricSpline *  _res =( vtkParametricSpline * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkParametricSpline");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkParametricSpline *  _res =( vtkParametricSpline * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkParametricSpline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetXSpline( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSpline  *  _s = (vtkSpline * )  SexpToVtk(s);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetXSpline(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_s,"vtkSpline"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetYSpline( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSpline  *  _s = (vtkSpline * )  SexpToVtk(s);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetYSpline(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_s,"vtkSpline"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetZSpline( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSpline  *  _s = (vtkSpline * )  SexpToVtk(s);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetZSpline(_s);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_s,"vtkSpline"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetXSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkSpline *  _res =( vtkSpline * )_obj->GetXSpline();
    res=VtkToSexp(_res,"vtkSpline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetYSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkSpline *  _res =( vtkSpline * )_obj->GetYSpline();
    res=VtkToSexp(_res,"vtkSpline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetZSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkSpline *  _res =( vtkSpline * )_obj->GetZSpline();
    res=VtkToSexp(_res,"vtkSpline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetPoints( SEXP obj, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _pts = (vtkPoints * )  SexpToVtk(pts);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetPoints(_pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetPoints();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetClosed( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetClosed( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetClosed( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetClosed();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_ClosedOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->ClosedOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_ClosedOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->ClosedOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetParameterizeByLength( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetParameterizeByLength( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetParameterizeByLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetParameterizeByLength();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_ParameterizeByLengthOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->ParameterizeByLengthOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_ParameterizeByLengthOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->ParameterizeByLengthOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetLeftConstraint( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetLeftConstraint( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetLeftConstraintMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetLeftConstraintMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetLeftConstraintMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetLeftConstraintMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetLeftConstraint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetLeftConstraint();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetRightConstraint( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetRightConstraint( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetRightConstraintMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetRightConstraintMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetRightConstraintMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetRightConstraintMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetRightConstraint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    int _res =_obj->GetRightConstraint();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetLeftValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetLeftValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetLeftValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    double _res =_obj->GetLeftValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_SetRightValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    _obj->SetRightValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_GetRightValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSpline * _obj = (vtkParametricSpline * ) SexpToVtk(obj);
    double _res =_obj->GetRightValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSpline_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkParametricSpline * res= ( vtkParametricSpline * ) vtkParametricSpline
::New();
    R_res=toRPointer(res,"vtkParametricSpline");
    return(R_res);
  }
#endif
}
