#include <vtkParametricSuperToroid.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkParametricSuperToroid_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    vtkParametricSuperToroid *  _res =( vtkParametricSuperToroid * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkParametricSuperToroid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    vtkParametricSuperToroid *  _res =( vtkParametricSuperToroid * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkParametricSuperToroid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    int _res =_obj->GetDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetRingRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetRingRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetRingRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetRingRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetCrossSectionRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetCrossSectionRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetCrossSectionRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetCrossSectionRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetXRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetXRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetXRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetXRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetYRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetYRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetYRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetYRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetZRadius( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetZRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetZRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetZRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetN1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetN1( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetN1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetN1();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_SetN2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->SetN2( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_GetN2( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    double _res =_obj->GetN2();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_Evaluate( SEXP obj, SEXP uvw, SEXP Pt, SEXP Duvw){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(uvw,3);
     double  *  _uvw =  SexpTodouble(uvw);
    SET_LENGTH(Pt,3);
     double  *  _Pt =  SexpTodouble(Pt);
    SET_LENGTH(Duvw,9);
     double  *  _Duvw =  SexpTodouble(Duvw);
    vtkParametricSuperToroid * _obj = (vtkParametricSuperToroid
 * ) SexpToVtk(obj);
    _obj->Evaluate(_uvw, _Pt, _Duvw);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_uvw,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".uvw",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_Pt,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".Pt",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_Duvw,9));
    SET_VECTOR_ELT(res_names,3,charToSexp(".Duvw",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricSuperToroid_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkParametricSuperToroid * res= ( vtkParametricSuperToroid * ) 
vtkParametricSuperToroid::New();
    R_res=toRPointer(res,"vtkParametricSuperToroid");
    return(R_res);
  }
#endif
}
