#include <vtkPerspectiveTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPerspectiveTransform_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    vtkPerspectiveTransform *  _res =( vtkPerspectiveTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPerspectiveTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    vtkPerspectiveTransform *  _res =( vtkPerspectiveTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPerspectiveTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Identity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Identity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Inverse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_AdjustViewport( SEXP obj, SEXP oldXMin, SEXP oldXMax, SEXP oldYMin, SEXP oldYMax, SEXP newXMin, SEXP newXMax, SEXP newYMin, SEXP newYMax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(oldXMin,1);
     double  *  _oldXMin =  SexpTodouble(oldXMin);
    SET_LENGTH(oldXMax,1);
     double  *  _oldXMax =  SexpTodouble(oldXMax);
    SET_LENGTH(oldYMin,1);
     double  *  _oldYMin =  SexpTodouble(oldYMin);
    SET_LENGTH(oldYMax,1);
     double  *  _oldYMax =  SexpTodouble(oldYMax);
    SET_LENGTH(newXMin,1);
     double  *  _newXMin =  SexpTodouble(newXMin);
    SET_LENGTH(newXMax,1);
     double  *  _newXMax =  SexpTodouble(newXMax);
    SET_LENGTH(newYMin,1);
     double  *  _newYMin =  SexpTodouble(newYMin);
    SET_LENGTH(newYMax,1);
     double  *  _newYMax =  SexpTodouble(newYMax);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->AdjustViewport( * _oldXMin,  * _oldXMax,  * _oldYMin,  * _oldYMax,  * _newXMin,  * _newXMax,  * _newYMin,  * _newYMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_AdjustZBuffer( SEXP obj, SEXP oldZMin, SEXP oldZMax, SEXP newZMin, SEXP newZMax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(oldZMin,1);
     double  *  _oldZMin =  SexpTodouble(oldZMin);
    SET_LENGTH(oldZMax,1);
     double  *  _oldZMax =  SexpTodouble(oldZMax);
    SET_LENGTH(newZMin,1);
     double  *  _newZMin =  SexpTodouble(newZMin);
    SET_LENGTH(newZMax,1);
     double  *  _newZMax =  SexpTodouble(newZMax);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->AdjustZBuffer( * _oldZMin,  * _oldZMax,  * _newZMin,  * _newZMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Ortho( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP znear, SEXP zfar){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(znear,1);
     double  *  _znear =  SexpTodouble(znear);
    SET_LENGTH(zfar,1);
     double  *  _zfar =  SexpTodouble(zfar);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Ortho( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _znear,  * _zfar);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Frustum( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP znear, SEXP zfar){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(znear,1);
     double  *  _znear =  SexpTodouble(znear);
    SET_LENGTH(zfar,1);
     double  *  _zfar =  SexpTodouble(zfar);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Frustum( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _znear,  * _zfar);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Perspective( SEXP obj, SEXP angle, SEXP aspect, SEXP znear, SEXP zfar){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(aspect,1);
     double  *  _aspect =  SexpTodouble(aspect);
    SET_LENGTH(znear,1);
     double  *  _znear =  SexpTodouble(znear);
    SET_LENGTH(zfar,1);
     double  *  _zfar =  SexpTodouble(zfar);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Perspective( * _angle,  * _aspect,  * _znear,  * _zfar);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Shear( SEXP obj, SEXP dxdz, SEXP dydz, SEXP zplane){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dxdz,1);
     double  *  _dxdz =  SexpTodouble(dxdz);
    SET_LENGTH(dydz,1);
     double  *  _dydz =  SexpTodouble(dydz);
    SET_LENGTH(zplane,1);
     double  *  _zplane =  SexpTodouble(zplane);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Shear( * _dxdz,  * _dydz,  * _zplane);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Stereo( SEXP obj, SEXP angle, SEXP focaldistance){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(focaldistance,1);
     double  *  _focaldistance =  SexpTodouble(focaldistance);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Stereo( * _angle,  * _focaldistance);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SetupCamera( SEXP obj, SEXP position, SEXP focalPoint, SEXP viewUp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,3);
     double  *  _position =  SexpTodouble(position);
    SET_LENGTH(focalPoint,3);
     double  *  _focalPoint =  SexpTodouble(focalPoint);
    SET_LENGTH(viewUp,3);
     double  *  _viewUp =  SexpTodouble(viewUp);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->SetupCamera(_position, _focalPoint, _viewUp);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SetupCamera_v1( SEXP obj, SEXP p0, SEXP p1, SEXP p2, SEXP fp0, SEXP fp1, SEXP fp2, SEXP vup0, SEXP vup1, SEXP vup2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p0,1);
     double  *  _p0 =  SexpTodouble(p0);
    SET_LENGTH(p1,1);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,1);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(fp0,1);
     double  *  _fp0 =  SexpTodouble(fp0);
    SET_LENGTH(fp1,1);
     double  *  _fp1 =  SexpTodouble(fp1);
    SET_LENGTH(fp2,1);
     double  *  _fp2 =  SexpTodouble(fp2);
    SET_LENGTH(vup0,1);
     double  *  _vup0 =  SexpTodouble(vup0);
    SET_LENGTH(vup1,1);
     double  *  _vup1 =  SexpTodouble(vup1);
    SET_LENGTH(vup2,1);
     double  *  _vup2 =  SexpTodouble(vup2);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->SetupCamera( * _p0,  * _p1,  * _p2,  * _fp0,  * _fp1,  * _fp2,  * _vup0,  * _vup1,  * _vup2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Translate( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Translate( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Translate_v1( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Translate_v2( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     float  *  _x =  SexpTofloat(x);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Translate(_x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateWXYZ( SEXP obj, SEXP angle, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateWXYZ_v1( SEXP obj, SEXP angle, SEXP axis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     double  *  _axis =  SexpTodouble(axis);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateWXYZ_v2( SEXP obj, SEXP angle, SEXP axis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    SET_LENGTH(axis,3);
     float  *  _axis =  SexpTofloat(axis);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateWXYZ( * _angle, _axis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateX( SEXP obj, SEXP angle){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateX( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateY( SEXP obj, SEXP angle){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateY( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_RotateZ( SEXP obj, SEXP angle){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,1);
     double  *  _angle =  SexpTodouble(angle);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->RotateZ( * _angle);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Scale( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Scale( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Scale_v1( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     double  *  _s =  SexpTodouble(s);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Scale_v2( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,3);
     float  *  _s =  SexpTofloat(s);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Scale(_s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SetMatrix( SEXP obj, SEXP matrix){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->SetMatrix(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SetMatrix_v1( SEXP obj, SEXP elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elements,16);
     double  *  _elements =  SexpTodouble(elements);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->SetMatrix(_elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Concatenate( SEXP obj, SEXP matrix){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Concatenate(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Concatenate_v1( SEXP obj, SEXP elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elements,16);
     double  *  _elements =  SexpTodouble(elements);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Concatenate(_elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Concatenate_v2( SEXP obj, SEXP transform){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHomogeneousTransform  *  _transform = (vtkHomogeneousTransform * )  
SexpToVtk(transform);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Concatenate(_transform);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkHomogeneousTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_PreMultiply( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->PreMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_PostMultiply( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->PostMultiply();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_GetNumberOfConcatenatedTransforms( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConcatenatedTransforms();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_GetConcatenatedTransform( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    vtkHomogeneousTransform *  _res =( vtkHomogeneousTransform * )_obj->GetConcatenatedTransform( * _i);
    res=VtkToSexp(_res,"vtkHomogeneousTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkHomogeneousTransform  *  _input = (vtkHomogeneousTransform * )  
SexpToVtk(input);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkHomogeneousTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    vtkHomogeneousTransform *  _res =( vtkHomogeneousTransform * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkHomogeneousTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_GetInverseFlag( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    int _res =_obj->GetInverseFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Push( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Push();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_Pop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    _obj->Pop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_MakeTransform( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_CircuitCheck( SEXP obj, SEXP transform){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _transform = (vtkAbstractTransform * )  
SexpToVtk(transform);
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    int _res =_obj->CircuitCheck(_transform);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_transform,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".transform",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * _obj = (vtkPerspectiveTransform
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPerspectiveTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPerspectiveTransform * res= ( vtkPerspectiveTransform * ) 
vtkPerspectiveTransform::New();
    R_res=toRPointer(res,"vtkPerspectiveTransform");
    return(R_res);
  }
#endif
}
