#include <vtkPlaneWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_WIDGETS
  SEXP R_vtkPlaneWidget_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkPlaneWidget *  _res =( vtkPlaneWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPlaneWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkPlaneWidget *  _res =( vtkPlaneWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPlaneWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetEnabled( SEXP obj, SEXP enabling){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_PlaceWidget( SEXP obj, SEXP bds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_PlaceWidget_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetResolution( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetResolution( * _r);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetOrigin( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetOrigin_v1( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetOrigin_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetOrigin(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetPoint1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint1( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetPoint1_v1( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint1(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPoint1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint1();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPoint1_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPoint1(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetPoint2( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint2( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetPoint2_v1( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint2(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPoint2( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint2();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPoint2_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPoint2(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetCenter( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetCenter( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetCenter_v1( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,3);
     double  *  _c =  SexpTodouble(c);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetCenter(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_c,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetCenter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetCenter_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetCenter(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetNormal( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormal( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetNormal_v1( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormal(_n);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetNormal( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormal();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetNormal_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetNormal(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetRepresentation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetRepresentation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetRepresentationMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentationMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetRepresentationMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentationMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetRepresentation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetRepresentationToOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetRepresentationToOutline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToOutline();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetRepresentationToWireframe( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToWireframe();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetRepresentationToSurface( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToSurface();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetNormalToXAxis( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToXAxis( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetNormalToXAxis( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToXAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToXAxisOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToXAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToXAxisOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToXAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetNormalToYAxis( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToYAxis( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetNormalToYAxis( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToYAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToYAxisOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToYAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToYAxisOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToYAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetNormalToZAxis( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToZAxis( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetNormalToZAxis( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToZAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToZAxisOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToZAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_NormalToZAxisOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToZAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPolyData( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPlane( SEXP obj, SEXP plane){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlane  *  _plane = (vtkPlane * )  SexpToVtk(plane);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPlane(_plane);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_plane,"vtkPlane"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".plane",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPolyDataAlgorithm( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkPolyDataAlgorithm *  _res =( vtkPolyDataAlgorithm * )_obj->GetPolyDataAlgorithm();
    res=VtkToSexp(_res,"vtkPolyDataAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_UpdatePlacement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->UpdatePlacement();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetSelectedHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_SetPlaneProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetPlaneProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_GetSelectedPlaneProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlaneWidget * _obj = (vtkPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlaneWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPlaneWidget * res= ( vtkPlaneWidget * ) vtkPlaneWidget::New();
    R_res=toRPointer(res,"vtkPlaneWidget");
    return(R_res);
  }
#endif
}
