#include <vtkPlanesIntersection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPlanesIntersection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    vtkPlanesIntersection *  _res =( vtkPlanesIntersection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPlanesIntersection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    vtkPlanesIntersection *  _res =( vtkPlanesIntersection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPlanesIntersection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_SetRegionVertices( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _v = (vtkPoints * )  SexpToVtk(v);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    _obj->SetRegionVertices(_v);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_v,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_SetRegionVertices_v1( SEXP obj, SEXP v, SEXP nvertices){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    SET_LENGTH(nvertices,1);
     int  *  _nvertices =  SexpToint(nvertices);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    _obj->SetRegionVertices(_v,  * _nvertices);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_GetNumRegionVertices( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->GetNumRegionVertices();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_GetRegionVertices( SEXP obj, SEXP v, SEXP nvertices){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _v =  SexpTodouble(v);
    SET_LENGTH(nvertices,1);
     int  *  _nvertices =  SexpToint(nvertices);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->GetRegionVertices(_v,  * _nvertices);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v,LENGTH(v)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_IntersectsRegion( SEXP obj, SEXP R){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _R = (vtkPoints * )  SexpToVtk(R);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->IntersectsRegion(_R);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_R,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".R",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_PolygonIntersectsBBox( SEXP obj, SEXP bounds, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
     vtkPoints  *  _pts = (vtkPoints * )  SexpToVtk(pts);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    int _res =_obj->PolygonIntersectsBBox(_bounds, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_Convert3DCell( SEXP obj, SEXP cell){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    vtkPlanesIntersection * _obj = (vtkPlanesIntersection * ) SexpToVtk(obj);
    vtkPlanesIntersection *  _res =( vtkPlanesIntersection * )_obj->Convert3DCell(_cell);
    res=VtkToSexp(_res,"vtkPlanesIntersection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlanesIntersection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPlanesIntersection * res= ( vtkPlanesIntersection * ) 
vtkPlanesIntersection::New();
    R_res=toRPointer(res,"vtkPlanesIntersection");
    return(R_res);
  }
#endif
}
