#include <vtkPointLoad.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPointLoad_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    vtkPointLoad *  _res =( vtkPointLoad * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPointLoad");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    vtkPointLoad *  _res =( vtkPointLoad * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPointLoad");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetLoadValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetLoadValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetLoadValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    double _res =_obj->GetLoadValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetSampleDimensions( SEXP obj, SEXP i, SEXP j, SEXP k){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetSampleDimensions( * _i,  * _j,  * _k);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetSampleDimensions_v1( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetSampleDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetSampleDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSampleDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetSampleDimensions_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->GetSampleDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetModelBounds( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    SET_LENGTH(_arg5,1);
     double  *  __arg5 =  SexpTodouble(_arg5);
    SET_LENGTH(_arg6,1);
     double  *  __arg6 =  SexpTodouble(_arg6);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetModelBounds( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetModelBounds_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetModelBounds(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetModelBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetModelBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetModelBounds_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->GetModelBounds(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_SetPoissonsRatio( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->SetPoissonsRatio( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetPoissonsRatio( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    double _res =_obj->GetPoissonsRatio();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_GetComputeEffectiveStress( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    int _res =_obj->GetComputeEffectiveStress();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_ComputeEffectiveStressOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->ComputeEffectiveStressOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_ComputeEffectiveStressOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointLoad * _obj = (vtkPointLoad * ) SexpToVtk(obj);
    _obj->ComputeEffectiveStressOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointLoad_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPointLoad * res= ( vtkPointLoad * ) vtkPointLoad::New();
    R_res=toRPointer(res,"vtkPointLoad");
    return(R_res);
  }
#endif
}
