#include <vtkPointSetToPointSetFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPointSetToPointSetFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPointSetToPointSetFilter *  _res =( vtkPointSetToPointSetFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPointSetToPointSetFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPointSetToPointSetFilter *  _res =( vtkPointSetToPointSetFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPointSetToPointSetFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointSet  *  _input = (vtkPointSet * )  SexpToVtk(input);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetOutput_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetPolyDataOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetPolyDataOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetStructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetStructuredGridOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_GetUnstructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetUnstructuredGridOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointSetToPointSetFilter_ComputeInputUpdateExtents( SEXP obj, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _output = (vtkDataObject * )  SexpToVtk(output);
    vtkPointSetToPointSetFilter * _obj = (vtkPointSetToPointSetFilter
 * ) SexpToVtk(obj);
    _obj->ComputeInputUpdateExtents(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
