#include <vtkProcessObject.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkProcessObject_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    vtkProcessObject *  _res =( vtkProcessObject * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProcessObject");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    vtkProcessObject *  _res =( vtkProcessObject * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProcessObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_GetInputs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetInputs();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_GetNumberOfInputs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfInputs();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SqueezeInputArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->SqueezeInputArray();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_RemoveAllInputs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->RemoveAllInputs();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SetInputConnection( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->SetInputConnection(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SetInputConnection_v1( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->SetInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_AddInputConnection( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->AddInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_RemoveInputConnection( SEXP obj, SEXP port, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->RemoveInputConnection( * _port, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SetNthInputConnection( SEXP obj, SEXP port, SEXP index, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->SetNthInputConnection( * _port,  * _index, _input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcessObject_SetNumberOfInputConnections( SEXP obj, SEXP port, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkProcessObject * _obj = (vtkProcessObject * ) SexpToVtk(obj);
    _obj->SetNumberOfInputConnections( * _port,  * _n);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
