#include <vtkProgrammableAttributeDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkProgrammableAttributeDataFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    vtkProgrammableAttributeDataFilter *  _res =( vtkProgrammableAttributeDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProgrammableAttributeDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    vtkProgrammableAttributeDataFilter *  _res =( vtkProgrammableAttributeDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProgrammableAttributeDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_AddInput( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    _obj->AddInput(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_RemoveInput( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    _obj->RemoveInput(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_GetInputList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    vtkDataSetCollection *  _res =( vtkDataSetCollection * )_obj->GetInputList();
    res=VtkToSexp(_res,"vtkDataSetCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_SetExecuteMethod( SEXP obj, SEXP f, SEXP env){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     RVoidFuncArg * _arg=Calloc(1,RVoidFuncArg);
     _arg->env=env;
     _arg->func=f;
    vtkProgrammableAttributeDataFilter * _obj = (
vtkProgrammableAttributeDataFilter * ) SexpToVtk(obj);
    _obj->SetExecuteMethod(RVoidFunc, (void *) _arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableAttributeDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProgrammableAttributeDataFilter * res= ( 
vtkProgrammableAttributeDataFilter * ) vtkProgrammableAttributeDataFilter
::New();
    R_res=toRPointer(res,"vtkProgrammableAttributeDataFilter");
    return(R_res);
  }
#endif
}
