#include <vtkProjectedTerrainPath.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkProjectedTerrainPath_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    vtkProjectedTerrainPath *  _res =( vtkProjectedTerrainPath * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProjectedTerrainPath");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    vtkProjectedTerrainPath *  _res =( vtkProjectedTerrainPath * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProjectedTerrainPath");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetSource( SEXP obj, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _source = (vtkImageData * )  SexpToVtk(source);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetSource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetProjectionMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetProjectionMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetProjectionModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetProjectionModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetProjectionMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetProjectionModeToSimple( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetProjectionModeToSimple();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetProjectionModeToNonOccluded( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetProjectionModeToNonOccluded();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetProjectionModeToHug( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetProjectionModeToHug();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetHeightOffset( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetHeightOffset( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetHeightOffset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    double _res =_obj->GetHeightOffset();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetHeightTolerance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetHeightTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetHeightToleranceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    double _res =_obj->GetHeightToleranceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetHeightToleranceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    double _res =_obj->GetHeightToleranceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetHeightTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    double _res =_obj->GetHeightTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_SetMaximumNumberOfLines( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfLines( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetMaximumNumberOfLinesMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfLinesMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetMaximumNumberOfLinesMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfLinesMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_GetMaximumNumberOfLines( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * _obj = (vtkProjectedTerrainPath
 * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfLines();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTerrainPath_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProjectedTerrainPath * res= ( vtkProjectedTerrainPath * ) 
vtkProjectedTerrainPath::New();
    R_res=toRPointer(res,"vtkProjectedTerrainPath");
    return(R_res);
  }
#endif
}
