#include <vtkProjectedTetrahedraMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkProjectedTetrahedraMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    vtkProjectedTetrahedraMapper *  _res =( vtkProjectedTetrahedraMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProjectedTetrahedraMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    vtkProjectedTetrahedraMapper *  _res =( vtkProjectedTetrahedraMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProjectedTetrahedraMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetVisibilitySort( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVisibilitySort  *  __arg = (vtkVisibilitySort * )  SexpToVtk(_arg);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetVisibilitySort(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkVisibilitySort"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetVisibilitySort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    vtkVisibilitySort *  _res =( vtkVisibilitySort * )_obj->GetVisibilitySort();
    res=VtkToSexp(_res,"vtkVisibilitySort");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetScalarMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarModeToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarModeToUsePointData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarModeToUseCellData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarModeToUsePointFieldData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SetScalarModeToUseCellFieldData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SelectScalarArray( SEXP obj, SEXP arrayNum){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(arrayNum,1);
     int  *  _arrayNum =  SexpToint(arrayNum);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SelectScalarArray( * _arrayNum);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_SelectScalarArray_v1( SEXP obj, SEXP arrayName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->SelectScalarArray(_arrayName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetArrayId( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetArrayId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetArrayAccessMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetArrayAccessMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_GetScalarModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetScalarModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_Render( SEXP obj, SEXP renderer, SEXP volume){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
     vtkVolume  *  _volume = (vtkVolume * )  SexpToVtk(volume);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->Render(_renderer, _volume);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_volume,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".volume",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_ReleaseGraphicsResources( SEXP obj, SEXP win){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_MapScalarsToColors( SEXP obj, SEXP colors, SEXP volume, SEXP scalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _colors = (vtkDataArray * )  SexpToVtk(colors);
     vtkVolume  *  _volume = (vtkVolume * )  SexpToVtk(volume);
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    vtkProjectedTetrahedraMapper * _obj = (vtkProjectedTetrahedraMapper
 * ) SexpToVtk(obj);
    _obj->MapScalarsToColors(_colors, _volume, _scalars);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_colors,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".colors",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_volume,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".volume",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProjectedTetrahedraMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProjectedTetrahedraMapper * res= ( vtkProjectedTetrahedraMapper * ) 
vtkProjectedTetrahedraMapper::New();
    R_res=toRPointer(res,"vtkProjectedTetrahedraMapper");
    return(R_res);
  }
#endif
}
