#include <vtkProp.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkProp_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    vtkProp *  _res =( vtkProp * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProp");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    vtkProp *  _res =( vtkProp * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProp");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SetVisibility( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->SetVisibility( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetVisibility( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->GetVisibility();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_VisibilityOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->VisibilityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_VisibilityOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->VisibilityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SetPickable( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->SetPickable( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetPickable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->GetPickable();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_PickableOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->PickableOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_PickableOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->PickableOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_Pick( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->Pick();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SetDragable( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->SetDragable( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetDragable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->GetDragable();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_DragableOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->DragableOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_DragableOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->DragableOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetRedrawMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetRedrawMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_ShallowCopy( SEXP obj, SEXP prop){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_InitPathTraversal( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->InitPathTraversal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetNextPath( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    vtkAssemblyPath *  _res =( vtkAssemblyPath * )_obj->GetNextPath();
    res=VtkToSexp(_res,"vtkAssemblyPath");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetNumberOfPaths( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPaths();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetMatrix( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    vtkMatrix4x4 *  _res =( vtkMatrix4x4 * )_obj->GetMatrix();
    res=VtkToSexp(_res,"vtkMatrix4x4");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetEstimatedRenderTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    double _res =_obj->GetEstimatedRenderTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SetEstimatedRenderTime( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->SetEstimatedRenderTime( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_RestoreEstimatedRenderTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->RestoreEstimatedRenderTime();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetAllocatedRenderTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    double _res =_obj->GetAllocatedRenderTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_SetRenderTimeMultiplier( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->SetRenderTimeMultiplier( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetRenderTimeMultiplier( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    double _res =_obj->GetRenderTimeMultiplier();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_BuildPaths( SEXP obj, SEXP paths, SEXP path){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAssemblyPaths  *  _paths = (vtkAssemblyPaths * )  SexpToVtk(paths);
     vtkAssemblyPath  *  _path = (vtkAssemblyPath * )  SexpToVtk(path);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->BuildPaths(_paths, _path);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_paths,"vtkAssemblyPaths"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".paths",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_path,"vtkAssemblyPath"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".path",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetNumberOfConsumers( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfConsumers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_AddConsumer( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->AddConsumer(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_RemoveConsumer( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    _obj->RemoveConsumer(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_GetConsumer( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    vtkObject *  _res =( vtkObject * )_obj->GetConsumer( * _i);
    res=VtkToSexp(_res,"vtkObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp_IsConsumer( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObject  *  _c = (vtkObject * )  SexpToVtk(c);
    vtkProp * _obj = (vtkProp * ) SexpToVtk(obj);
    int _res =_obj->IsConsumer(_c);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
