#include <vtkQuadric.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkQuadric_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    vtkQuadric *  _res =( vtkQuadric * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuadric");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    vtkQuadric *  _res =( vtkQuadric * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuadric");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_EvaluateFunction( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    double _res =_obj->EvaluateFunction(_x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_EvaluateFunction_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    double _res =_obj->EvaluateFunction( * _x,  * _y,  * _z);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_EvaluateGradient( SEXP obj, SEXP x, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    _obj->EvaluateGradient(_x, _n);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_SetCoefficients( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,10);
     double  *  _a =  SexpTodouble(a);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    _obj->SetCoefficients(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a,10));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_SetCoefficients_v1( SEXP obj, SEXP a0, SEXP a1, SEXP a2, SEXP a3, SEXP a4, SEXP a5, SEXP a6, SEXP a7, SEXP a8, SEXP a9){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,1);
     double  *  _a0 =  SexpTodouble(a0);
    SET_LENGTH(a1,1);
     double  *  _a1 =  SexpTodouble(a1);
    SET_LENGTH(a2,1);
     double  *  _a2 =  SexpTodouble(a2);
    SET_LENGTH(a3,1);
     double  *  _a3 =  SexpTodouble(a3);
    SET_LENGTH(a4,1);
     double  *  _a4 =  SexpTodouble(a4);
    SET_LENGTH(a5,1);
     double  *  _a5 =  SexpTodouble(a5);
    SET_LENGTH(a6,1);
     double  *  _a6 =  SexpTodouble(a6);
    SET_LENGTH(a7,1);
     double  *  _a7 =  SexpTodouble(a7);
    SET_LENGTH(a8,1);
     double  *  _a8 =  SexpTodouble(a8);
    SET_LENGTH(a9,1);
     double  *  _a9 =  SexpTodouble(a9);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    _obj->SetCoefficients( * _a0,  * _a1,  * _a2,  * _a3,  * _a4,  * _a5,  * _a6,  * _a7,  * _a8,  * _a9);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_GetCoefficients( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCoefficients();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_GetCoefficients_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkQuadric * _obj = (vtkQuadric * ) SexpToVtk(obj);
    _obj->GetCoefficients(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadric_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuadric * res= ( vtkQuadric * ) vtkQuadric::New();
    R_res=toRPointer(res,"vtkQuadric");
    return(R_res);
  }
#endif
}
