#include <vtkQuadricDecimation.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkQuadricDecimation_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    vtkQuadricDecimation *  _res =( vtkQuadricDecimation * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuadricDecimation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    vtkQuadricDecimation *  _res =( vtkQuadricDecimation * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuadricDecimation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetTargetReduction( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetTargetReduction( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTargetReductionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetTargetReductionMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTargetReductionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetTargetReductionMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTargetReduction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetTargetReduction();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetAttributeErrorMetric( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetAttributeErrorMetric( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetAttributeErrorMetric( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeErrorMetric();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_AttributeErrorMetricOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->AttributeErrorMetricOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_AttributeErrorMetricOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->AttributeErrorMetricOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetScalarsAttribute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetScalarsAttribute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetScalarsAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetScalarsAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_ScalarsAttributeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->ScalarsAttributeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_ScalarsAttributeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->ScalarsAttributeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetVectorsAttribute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetVectorsAttribute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetVectorsAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetVectorsAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_VectorsAttributeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->VectorsAttributeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_VectorsAttributeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->VectorsAttributeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetNormalsAttribute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetNormalsAttribute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetNormalsAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetNormalsAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_NormalsAttributeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->NormalsAttributeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_NormalsAttributeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->NormalsAttributeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetTCoordsAttribute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetTCoordsAttribute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTCoordsAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetTCoordsAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_TCoordsAttributeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->TCoordsAttributeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_TCoordsAttributeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->TCoordsAttributeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetTensorsAttribute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetTensorsAttribute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTensorsAttribute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    int _res =_obj->GetTensorsAttribute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_TensorsAttributeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->TensorsAttributeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_TensorsAttributeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->TensorsAttributeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetScalarsWeight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetScalarsWeight( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetVectorsWeight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetVectorsWeight( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetNormalsWeight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetNormalsWeight( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetTCoordsWeight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetTCoordsWeight( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_SetTensorsWeight( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    _obj->SetTensorsWeight( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetScalarsWeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetScalarsWeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetVectorsWeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetVectorsWeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetNormalsWeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetNormalsWeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTCoordsWeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetTCoordsWeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetTensorsWeight( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetTensorsWeight();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_GetActualReduction( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuadricDecimation * _obj = (vtkQuadricDecimation * ) SexpToVtk(obj);
    double _res =_obj->GetActualReduction();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuadricDecimation_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuadricDecimation * res= ( vtkQuadricDecimation * ) vtkQuadricDecimation
::New();
    R_res=toRPointer(res,"vtkQuadricDecimation");
    return(R_res);
  }
#endif
}
