#include <vtkQuantizePolyDataPoints.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkQuantizePolyDataPoints_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    vtkQuantizePolyDataPoints *  _res =( vtkQuantizePolyDataPoints * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuantizePolyDataPoints");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    vtkQuantizePolyDataPoints *  _res =( vtkQuantizePolyDataPoints * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuantizePolyDataPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_SetQFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    _obj->SetQFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_GetQFactorMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    double _res =_obj->GetQFactorMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_GetQFactorMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    double _res =_obj->GetQFactorMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_GetQFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    double _res =_obj->GetQFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_OperateOnPoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    _obj->OperateOnPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_in,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_OperateOnBounds( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,6);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,6);
     double  *  _out =  SexpTodouble(out);
    vtkQuantizePolyDataPoints * _obj = (vtkQuantizePolyDataPoints
 * ) SexpToVtk(obj);
    _obj->OperateOnBounds(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_in,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_out,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuantizePolyDataPoints_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuantizePolyDataPoints * res= ( vtkQuantizePolyDataPoints * ) 
vtkQuantizePolyDataPoints::New();
    R_res=toRPointer(res,"vtkQuantizePolyDataPoints");
    return(R_res);
  }
#endif
}
