#include <vtkQuaternionInterpolator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkQuaternionInterpolator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    vtkQuaternionInterpolator *  _res =( vtkQuaternionInterpolator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuaternionInterpolator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    vtkQuaternionInterpolator *  _res =( vtkQuaternionInterpolator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuaternionInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetNumberOfQuaternions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfQuaternions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetMinimumT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumT();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetMaximumT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumT();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_AddQuaternion( SEXP obj, SEXP t, SEXP q){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(q,4);
     double  *  _q =  SexpTodouble(q);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->AddQuaternion( * _t, _q);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_q,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".q",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_RemoveQuaternion( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->RemoveQuaternion( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_InterpolateQuaternion( SEXP obj, SEXP t, SEXP q){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(q,4);
     double  *  _q =  SexpTodouble(q);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->InterpolateQuaternion( * _t, _q);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_q,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".q",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_SetInterpolationType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->SetInterpolationType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetInterpolationTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetInterpolationTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_GetInterpolationType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_SetInterpolationTypeToLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_SetInterpolationTypeToSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * _obj = (vtkQuaternionInterpolator
 * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToSpline();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuaternionInterpolator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuaternionInterpolator * res= ( vtkQuaternionInterpolator * ) 
vtkQuaternionInterpolator::New();
    R_res=toRPointer(res,"vtkQuaternionInterpolator");
    return(R_res);
  }
#endif
}
