#include <vtkRecursiveSphereDirectionEncoder.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkRecursiveSphereDirectionEncoder_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    vtkRecursiveSphereDirectionEncoder *  _res =( vtkRecursiveSphereDirectionEncoder * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRecursiveSphereDirectionEncoder");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    vtkRecursiveSphereDirectionEncoder *  _res =( vtkRecursiveSphereDirectionEncoder * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRecursiveSphereDirectionEncoder");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetEncodedDirection( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,3);
     float  *  _n =  SexpTofloat(n);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->GetEncodedDirection(_n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_n,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetDecodedGradient( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetDecodedGradient( * _value);
    res=floatToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetNumberOfEncodedDirections( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEncodedDirections();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetDecodedGradientTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetDecodedGradientTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_SetRecursionDepth( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    _obj->SetRecursionDepth( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->GetRecursionDepthMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->GetRecursionDepthMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepth( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * _obj = (
vtkRecursiveSphereDirectionEncoder * ) SexpToVtk(obj);
    int _res =_obj->GetRecursionDepth();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRecursiveSphereDirectionEncoder_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRecursiveSphereDirectionEncoder * res= ( 
vtkRecursiveSphereDirectionEncoder * ) vtkRecursiveSphereDirectionEncoder
::New();
    R_res=toRPointer(res,"vtkRecursiveSphereDirectionEncoder");
    return(R_res);
  }
#endif
}
