#include <vtkRendererCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkRendererCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    vtkRendererCollection *  _res =( vtkRendererCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRendererCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    vtkRendererCollection *  _res =( vtkRendererCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRendererCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_AddItem( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _a = (vtkRenderer * )  SexpToVtk(a);
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_GetNextItem( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_Render( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    _obj->Render();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_GetFirstRenderer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetFirstRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_GetNextRenderer( SEXP obj, SEXP cookie){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _cookie =  SexpTovoid(cookie);
    vtkRendererCollection * _obj = (vtkRendererCollection * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetNextRenderer(_cookie);
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_cookie,LENGTH(cookie)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cookie",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRendererCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRendererCollection * res= ( vtkRendererCollection * ) 
vtkRendererCollection::New();
    R_res=toRPointer(res,"vtkRendererCollection");
    return(R_res);
  }
#endif
}
