#include <vtkSmoothPolyDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSmoothPolyDataFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    vtkSmoothPolyDataFilter *  _res =( vtkSmoothPolyDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSmoothPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    vtkSmoothPolyDataFilter *  _res =( vtkSmoothPolyDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSmoothPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetConvergence( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetConvergence( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetConvergenceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetConvergenceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetConvergenceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetConvergenceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetConvergence( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetConvergence();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetNumberOfIterations( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfIterations( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetNumberOfIterationsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterationsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetNumberOfIterationsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterationsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetNumberOfIterations( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetRelaxationFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetRelaxationFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetRelaxationFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetRelaxationFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetFeatureEdgeSmoothing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetFeatureEdgeSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetFeatureEdgeSmoothing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetFeatureEdgeSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_FeatureEdgeSmoothingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->FeatureEdgeSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_FeatureEdgeSmoothingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->FeatureEdgeSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetFeatureAngle( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetFeatureAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetFeatureAngleMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetFeatureAngleMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetFeatureAngle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetEdgeAngle( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetEdgeAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetEdgeAngleMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetEdgeAngleMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetEdgeAngle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetBoundarySmoothing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetBoundarySmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetBoundarySmoothing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetBoundarySmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_BoundarySmoothingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->BoundarySmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_BoundarySmoothingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->BoundarySmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetGenerateErrorScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetGenerateErrorScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetGenerateErrorScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateErrorScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GenerateErrorScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GenerateErrorScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetGenerateErrorVectors( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetGenerateErrorVectors( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetGenerateErrorVectors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateErrorVectors();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GenerateErrorVectorsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorVectorsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GenerateErrorVectorsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorVectorsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_SetSource( SEXP obj, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _source = (vtkPolyData * )  SexpToVtk(source);
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_GetSource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * _obj = (vtkSmoothPolyDataFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSmoothPolyDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSmoothPolyDataFilter * res= ( vtkSmoothPolyDataFilter * ) 
vtkSmoothPolyDataFilter::New();
    R_res=toRPointer(res,"vtkSmoothPolyDataFilter");
    return(R_res);
  }
#endif
}
