#include <vtkSortDataArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSortDataArray_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    vtkSortDataArray *  _res =( vtkSortDataArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSortDataArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    vtkSortDataArray *  _res =( vtkSortDataArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSortDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort( SEXP obj, SEXP keys){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _keys = (vtkIdList * )  SexpToVtk(keys);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort_v1( SEXP obj, SEXP keys){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _keys = (vtkDataArray * )  SexpToVtk(keys);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort_v2( SEXP obj, SEXP keys, SEXP values){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _keys = (vtkIdList * )  SexpToVtk(keys);
     vtkIdList  *  _values = (vtkIdList * )  SexpToVtk(values);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys, _values);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_values,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort_v3( SEXP obj, SEXP keys, SEXP values){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _keys = (vtkIdList * )  SexpToVtk(keys);
     vtkDataArray  *  _values = (vtkDataArray * )  SexpToVtk(values);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys, _values);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_values,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort_v4( SEXP obj, SEXP keys, SEXP values){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _keys = (vtkDataArray * )  SexpToVtk(keys);
     vtkIdList  *  _values = (vtkIdList * )  SexpToVtk(values);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys, _values);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_values,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_Sort_v5( SEXP obj, SEXP keys, SEXP values){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _keys = (vtkDataArray * )  SexpToVtk(keys);
     vtkDataArray  *  _values = (vtkDataArray * )  SexpToVtk(values);
    vtkSortDataArray * _obj = (vtkSortDataArray * ) SexpToVtk(obj);
    _obj->Sort(_keys, _values);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_keys,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".keys",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_values,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSortDataArray_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSortDataArray * res= ( vtkSortDataArray * ) vtkSortDataArray::New();
    R_res=toRPointer(res,"vtkSortDataArray");
    return(R_res);
  }
#endif
}
