#include <vtkSpherePuzzle.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSpherePuzzle_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    vtkSpherePuzzle *  _res =( vtkSpherePuzzle * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSpherePuzzle");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    vtkSpherePuzzle *  _res =( vtkSpherePuzzle * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSpherePuzzle");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_Reset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_MoveHorizontal( SEXP obj, SEXP slab, SEXP percentage, SEXP rightFlag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(slab,1);
     int  *  _slab =  SexpToint(slab);
    SET_LENGTH(percentage,1);
     int  *  _percentage =  SexpToint(percentage);
    SET_LENGTH(rightFlag,1);
     int  *  _rightFlag =  SexpToint(rightFlag);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    _obj->MoveHorizontal( * _slab,  * _percentage,  * _rightFlag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_MoveVertical( SEXP obj, SEXP half, SEXP percentage, SEXP rightFlag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(half,1);
     int  *  _half =  SexpToint(half);
    SET_LENGTH(percentage,1);
     int  *  _percentage =  SexpToint(percentage);
    SET_LENGTH(rightFlag,1);
     int  *  _rightFlag =  SexpToint(rightFlag);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    _obj->MoveVertical( * _half,  * _percentage,  * _rightFlag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_SetPoint( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    int _res =_obj->SetPoint( * _x,  * _y,  * _z);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_MovePoint( SEXP obj, SEXP percentage){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(percentage,1);
     int  *  _percentage =  SexpToint(percentage);
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    _obj->MovePoint( * _percentage);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_GetState( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSpherePuzzle * _obj = (vtkSpherePuzzle * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetState();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSpherePuzzle_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSpherePuzzle * res= ( vtkSpherePuzzle * ) vtkSpherePuzzle::New();
    R_res=toRPointer(res,"vtkSpherePuzzle");
    return(R_res);
  }
#endif
}
