#include <vtkSphereWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_WIDGETS
  SEXP R_vtkSphereWidget_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkSphereWidget *  _res =( vtkSphereWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSphereWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkSphereWidget *  _res =( vtkSphereWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSphereWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetEnabled( SEXP obj, SEXP enabling){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_PlaceWidget( SEXP obj, SEXP bds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_PlaceWidget_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetRepresentation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetRepresentation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetRepresentationMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentationMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetRepresentationMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentationMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetRepresentation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRepresentation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetRepresentationToOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetRepresentationToWireframe( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToWireframe();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetRepresentationToSurface( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetRepresentationToSurface();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetThetaResolution( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetThetaResolution( * _r);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetThetaResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetThetaResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetPhiResolution( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     int  *  _r =  SexpToint(r);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetPhiResolution( * _r);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetPhiResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetPhiResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetRadius( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,1);
     double  *  _r =  SexpTodouble(r);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetRadius( * _r);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetRadius( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    double _res =_obj->GetRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetCenter( SEXP obj, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetCenter( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetCenter_v1( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetCenter(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetCenter( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetCenter_v1( SEXP obj, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _xyz =  SexpTodouble(xyz);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetCenter(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,LENGTH(xyz)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetTranslation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetTranslation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetTranslation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetTranslation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_TranslationOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->TranslationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_TranslationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->TranslationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetScale( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetScale();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_ScaleOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->ScaleOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_ScaleOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->ScaleOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetHandleVisibility( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetHandleVisibility( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandleVisibility( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    int _res =_obj->GetHandleVisibility();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_HandleVisibilityOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->HandleVisibilityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_HandleVisibilityOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->HandleVisibilityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetHandleDirection( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetHandleDirection( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_SetHandleDirection_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->SetHandleDirection(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandleDirection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHandleDirection();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandleDirection_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetHandleDirection( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandleDirection_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetHandleDirection(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandlePosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHandlePosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandlePosition_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetHandlePosition( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandlePosition_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetHandlePosition(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetPolyData( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetSphere( SEXP obj, SEXP sphere){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSphere  *  _sphere = (vtkSphere * )  SexpToVtk(sphere);
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    _obj->GetSphere(_sphere);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_sphere,"vtkSphere"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".sphere",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetSphereProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSphereProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetSelectedSphereProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedSphereProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_GetSelectedHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSphereWidget * _obj = (vtkSphereWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSphereWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSphereWidget * res= ( vtkSphereWidget * ) vtkSphereWidget::New();
    R_res=toRPointer(res,"vtkSphereWidget");
    return(R_res);
  }
#endif
}
