#include <vtkSplitField.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSplitField_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    vtkSplitField *  _res =( vtkSplitField * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSplitField");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    vtkSplitField *  _res =( vtkSplitField * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSplitField");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_SetInputField( SEXP obj, SEXP attributeType, SEXP fieldLoc){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(attributeType,1);
     int  *  _attributeType =  SexpToint(attributeType);
    SET_LENGTH(fieldLoc,1);
     int  *  _fieldLoc =  SexpToint(fieldLoc);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    _obj->SetInputField( * _attributeType,  * _fieldLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_SetInputField_v1( SEXP obj, SEXP name, SEXP fieldLoc){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(fieldLoc,1);
     int  *  _fieldLoc =  SexpToint(fieldLoc);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    _obj->SetInputField(_name,  * _fieldLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_SetInputField_v2( SEXP obj, SEXP name, SEXP fieldLoc){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _fieldLoc =  SexpTochar(fieldLoc);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    _obj->SetInputField(_name, _fieldLoc);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_Split( SEXP obj, SEXP component, SEXP arrayName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
     char  *  _arrayName =  SexpTochar(arrayName);
    vtkSplitField * _obj = (vtkSplitField * ) SexpToVtk(obj);
    _obj->Split( * _component, _arrayName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplitField_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSplitField * res= ( vtkSplitField * ) vtkSplitField::New();
    R_res=toRPointer(res,"vtkSplitField");
    return(R_res);
  }
#endif
}
