#include <vtkStructuredGrid.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkStructuredGrid_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetDataObjectType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_CopyStructure( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->CopyStructure(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetNumberOfPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint( * _ptId);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetPoint_v1( SEXP obj, SEXP ptId, SEXP p){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
     double  *  _p =  SexpTodouble(p);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetPoint( * _ptId, _p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p,LENGTH(p)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetCell( * _cellId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCell_v1( SEXP obj, SEXP cellId, SEXP cell){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetCell( * _cellId, _cell);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellBounds( SEXP obj, SEXP cellId, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetCellBounds( * _cellId, _bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellType( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetCellType( * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetNumberOfCells( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellPoints( SEXP obj, SEXP cellId, SEXP ptIds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetCellPoints( * _cellId, _ptIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetPointCells( SEXP obj, SEXP ptId, SEXP cellIds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetPointCells( * _ptId, _cellIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetMaxCellSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetMaxCellSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellNeighbors( SEXP obj, SEXP cellId, SEXP ptIds, SEXP cellIds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetCellNeighbors( * _cellId, _ptIds, _cellIds);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetScalarRange( SEXP obj, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetScalarRange(_range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetScalarRange_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScalarRange();
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetDimensions( SEXP obj, SEXP i, SEXP j, SEXP k){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(k,1);
     int  *  _k =  SexpToint(k);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetDimensions( * _i,  * _j,  * _k);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetDimensions_v1( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDimensions();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetDimensions_v1( SEXP obj, SEXP dim){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetDimensions(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetDataDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetDataDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetExtent( SEXP obj, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(extent,6);
     int  *  _extent =  SexpToint(extent);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetExtent_v1( SEXP obj, SEXP xMin, SEXP xMax, SEXP yMin, SEXP yMax, SEXP zMin, SEXP zMax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xMin,1);
     int  *  _xMin =  SexpToint(xMin);
    SET_LENGTH(xMax,1);
     int  *  _xMax =  SexpToint(xMax);
    SET_LENGTH(yMin,1);
     int  *  _yMin =  SexpToint(yMin);
    SET_LENGTH(yMax,1);
     int  *  _yMax =  SexpToint(yMax);
    SET_LENGTH(zMin,1);
     int  *  _zMin =  SexpToint(zMin);
    SET_LENGTH(zMax,1);
     int  *  _zMax =  SexpToint(zMax);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetExtent( * _xMin,  * _xMax,  * _yMin,  * _yMax,  * _zMin,  * _zMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetExtent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtent();
    res=intToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetExtent_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->GetExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetActualMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_ShallowCopy( SEXP obj, SEXP dataObject){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->ShallowCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_DeepCopy( SEXP obj, SEXP dataObject){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->DeepCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetExtentType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    int _res =_obj->GetExtentType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_BlankPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->BlankPoint( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_UnBlankPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->UnBlankPoint( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_BlankCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->BlankCell( * _cellId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_UnBlankCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->UnBlankCell( * _cellId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetPointVisibilityArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetPointVisibilityArray();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetPointVisibilityArray( SEXP obj, SEXP ptVis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _ptVis = (vtkUnsignedCharArray * )  
SexpToVtk(ptVis);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetPointVisibilityArray(_ptVis);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptVis,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptVis",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellVisibilityArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetCellVisibilityArray();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_SetCellVisibilityArray( SEXP obj, SEXP cellVis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _cellVis = (vtkUnsignedCharArray * )  
SexpToVtk(cellVis);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->SetCellVisibilityArray(_cellVis);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellVis,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellVis",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_IsPointVisible( SEXP obj, SEXP pointId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pointId,1);
     int  *  _pointId =  SexpToint(pointId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsPointVisible( * _pointId);
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_IsCellVisible( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsCellVisible( * _cellId);
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetPointBlanking( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetPointBlanking();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_GetCellBlanking( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetCellBlanking();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_Crop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGrid * _obj = (vtkStructuredGrid * ) SexpToVtk(obj);
    _obj->Crop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGrid_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStructuredGrid * res= ( vtkStructuredGrid * ) vtkStructuredGrid::New();
    R_res=toRPointer(res,"vtkStructuredGrid");
    return(R_res);
  }
#endif
}
