#include <vtkStructuredGridReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkStructuredGridReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    vtkStructuredGridReader *  _res =( vtkStructuredGridReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStructuredGridReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    vtkStructuredGridReader *  _res =( vtkStructuredGridReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStructuredGridReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_GetOutput_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_SetOutput( SEXP obj, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkStructuredGrid  *  _output = (vtkStructuredGrid * )  SexpToVtk(output);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    _obj->SetOutput(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkStructuredGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_ReadMetaData( SEXP obj, SEXP outInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _outInfo = (vtkInformation * )  SexpToVtk(outInfo);
    vtkStructuredGridReader * _obj = (vtkStructuredGridReader
 * ) SexpToVtk(obj);
    int _res =_obj->ReadMetaData(_outInfo);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_outInfo,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStructuredGridReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStructuredGridReader * res= ( vtkStructuredGridReader * ) 
vtkStructuredGridReader::New();
    R_res=toRPointer(res,"vtkStructuredGridReader");
    return(R_res);
  }
#endif
}
