#include <vtkSurfaceReconstructionFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSurfaceReconstructionFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    vtkSurfaceReconstructionFilter *  _res =( vtkSurfaceReconstructionFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSurfaceReconstructionFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    vtkSurfaceReconstructionFilter *  _res =( vtkSurfaceReconstructionFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSurfaceReconstructionFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_GetNeighborhoodSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNeighborhoodSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_SetNeighborhoodSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    _obj->SetNeighborhoodSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_GetSampleSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetSampleSpacing();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_SetSampleSpacing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkSurfaceReconstructionFilter * _obj = (vtkSurfaceReconstructionFilter
 * ) SexpToVtk(obj);
    _obj->SetSampleSpacing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSurfaceReconstructionFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSurfaceReconstructionFilter * res= ( vtkSurfaceReconstructionFilter * ) 
vtkSurfaceReconstructionFilter::New();
    R_res=toRPointer(res,"vtkSurfaceReconstructionFilter");
    return(R_res);
  }
#endif
}
