#include <vtkTensorGlyph.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkTensorGlyph_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    vtkTensorGlyph *  _res =( vtkTensorGlyph * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTensorGlyph");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    vtkTensorGlyph *  _res =( vtkTensorGlyph * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTensorGlyph");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetSource( SEXP obj, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _source = (vtkPolyData * )  SexpToVtk(source);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetSource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetScaling( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetScaling( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetScaling( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetScaling();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ScalingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ScalingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ScalingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ScalingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetScaleFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetScaleFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetScaleFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    double _res =_obj->GetScaleFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetThreeGlyphs( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetThreeGlyphs( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetThreeGlyphs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetThreeGlyphs();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ThreeGlyphsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ThreeGlyphsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ThreeGlyphsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ThreeGlyphsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetSymmetric( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetSymmetric( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetSymmetric( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetSymmetric();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SymmetricOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SymmetricOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SymmetricOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SymmetricOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetLength( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetLength( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    double _res =_obj->GetLength();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetExtractEigenvalues( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetExtractEigenvalues( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ExtractEigenvaluesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ExtractEigenvaluesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ExtractEigenvaluesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ExtractEigenvaluesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetExtractEigenvalues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetExtractEigenvalues();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetColorGlyphs( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetColorGlyphs( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetColorGlyphs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetColorGlyphs();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ColorGlyphsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ColorGlyphsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ColorGlyphsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ColorGlyphsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetColorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetColorModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetColorModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetColorModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetColorModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetColorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetColorModeToScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetColorModeToScalars();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetColorModeToEigenvalues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetColorModeToEigenvalues();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetClampScaling( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetClampScaling( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetClampScaling( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    int _res =_obj->GetClampScaling();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ClampScalingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ClampScalingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_ClampScalingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->ClampScalingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_SetMaxScaleFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    _obj->SetMaxScaleFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_GetMaxScaleFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTensorGlyph * _obj = (vtkTensorGlyph * ) SexpToVtk(obj);
    double _res =_obj->GetMaxScaleFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTensorGlyph_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTensorGlyph * res= ( vtkTensorGlyph * ) vtkTensorGlyph::New();
    R_res=toRPointer(res,"vtkTensorGlyph");
    return(R_res);
  }
#endif
}
