#include <vtkTesting.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkTesting_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    vtkTesting *  _res =( vtkTesting * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTesting");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    vtkTesting *  _res =( vtkTesting * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTesting");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetFrontBuffer( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetFrontBuffer( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetFrontBufferMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->GetFrontBufferMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetFrontBufferMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->GetFrontBufferMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_FrontBufferOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->FrontBufferOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_FrontBufferOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->FrontBufferOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetFrontBuffer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->GetFrontBuffer();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetRenderWindow( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindow  *  __arg = (vtkRenderWindow * )  SexpToVtk(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetRenderWindow(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkRenderWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetRenderWindow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetValidImageFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetValidImageFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetValidImageFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetValidImageFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetImageDifference( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    double _res =_obj->GetImageDifference();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_AddArgument( SEXP obj, SEXP arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arg =  SexpTochar(arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->AddArgument(_arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_CleanArguments( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->CleanArguments();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetDataRoot( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDataRoot();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetDataRoot( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetDataRoot(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetTempDirectory( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTempDirectory();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetTempDirectory( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetTempDirectory(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_IsValidImageSpecified( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->IsValidImageSpecified();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_IsInteractiveModeSpecified( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->IsInteractiveModeSpecified();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_SetBorderOffset( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    _obj->SetBorderOffset( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_GetBorderOffset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTesting * _obj = (vtkTesting * ) SexpToVtk(obj);
    int _res =_obj->GetBorderOffset();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTesting_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTesting * res= ( vtkTesting * ) vtkTesting::New();
    R_res=toRPointer(res,"vtkTesting");
    return(R_res);
  }
#endif
}
