#include <vtkTetra.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkTetra_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    vtkTetra *  _res =( vtkTetra * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTetra");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    vtkTetra *  _res =( vtkTetra * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTetra");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetEdgePoints( SEXP obj, SEXP edgeId, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
     int  *  _pts =  SexpToint(pts);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->GetEdgePoints( * _edgeId, _pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetFacePoints( SEXP obj, SEXP faceId, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
     int  *  _pts =  SexpToint(pts);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->GetFacePoints( * _faceId, _pts);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetCellType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetNumberOfEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetNumberOfFaces( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetEdge( SEXP obj, SEXP edgeId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetEdge( * _edgeId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetFace( SEXP obj, SEXP faceId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetFace( * _faceId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_Contour( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP verts, SEXP lines, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->Contour( * _value, _cellScalars, _locator, _verts, _lines, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd);
    PROTECT(ans = allocVector(VECSXP,10));
    PROTECT(res_names = allocVector(VECSXP,10));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,9,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,9,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD, SEXP insideOut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_EvaluatePosition( SEXP obj, SEXP x, SEXP closestPoint, SEXP subId, SEXP pcoords, SEXP minDist2, SEXP weights){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(minDist2,1);
     double  *  _minDist2 =  SexpTodouble(minDist2);
     double  *  _weights =  SexpTodouble(weights);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->EvaluatePosition(_x, _closestPoint,  * _subId, _pcoords,  * _minDist2, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,LENGTH(closestPoint)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_minDist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".minDist2",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetParametricCoords( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetParametricCoords();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetParametricCenter( SEXP obj, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->GetParametricCenter(_pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetParametricDistance( SEXP obj, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    double _res =_obj->GetParametricDistance(_pcoords);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_TetraCenter( SEXP obj, SEXP p1, SEXP p2, SEXP p3, SEXP p4, SEXP center){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    SET_LENGTH(p4,3);
     double  *  _p4 =  SexpTodouble(p4);
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->TetraCenter(_p1, _p2, _p3, _p4, _center);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p4,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p4",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_Circumsphere( SEXP obj, SEXP x1, SEXP x2, SEXP x3, SEXP x4, SEXP center){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,3);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,3);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,3);
     double  *  _x3 =  SexpTodouble(x3);
    SET_LENGTH(x4,3);
     double  *  _x4 =  SexpTodouble(x4);
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    double _res =_obj->Circumsphere(_x1, _x2, _x3, _x4, _center);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x4,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x4",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_Insphere( SEXP obj, SEXP p1, SEXP p2, SEXP p3, SEXP p4, SEXP center){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    SET_LENGTH(p4,3);
     double  *  _p4 =  SexpTodouble(p4);
    SET_LENGTH(center,3);
     double  *  _center =  SexpTodouble(center);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    double _res =_obj->Insphere(_p1, _p2, _p3, _p4, _center);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,6));
    PROTECT(res_names = allocVector(VECSXP,6));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p4,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p4",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_center,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".center",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_BarycentricCoords( SEXP obj, SEXP x, SEXP x1, SEXP x2, SEXP x3, SEXP x4, SEXP bcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(x1,3);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,3);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(x3,3);
     double  *  _x3 =  SexpTodouble(x3);
    SET_LENGTH(x4,3);
     double  *  _x4 =  SexpTodouble(x4);
    SET_LENGTH(bcoords,4);
     double  *  _bcoords =  SexpTodouble(bcoords);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int _res =_obj->BarycentricCoords(_x, _x1, _x2, _x3, _x4, _bcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x1,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x1",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x2,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x2",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x3,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x3",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_x4,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".x4",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_bcoords,4));
    SET_VECTOR_ELT(res_names,6,charToSexp(".bcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_ComputeVolume( SEXP obj, SEXP p1, SEXP p2, SEXP p3, SEXP p4){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(p3,3);
     double  *  _p3 =  SexpTodouble(p3);
    SET_LENGTH(p4,3);
     double  *  _p4 =  SexpTodouble(p4);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    double _res =_obj->ComputeVolume(_p1, _p2, _p3, _p4);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_p3,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".p3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_p4,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".p4",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_InterpolationFunctions( SEXP obj, SEXP pcoords, SEXP sf){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(sf,4);
     double  *  _sf =  SexpTodouble(sf);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->InterpolationFunctions(_pcoords, _sf);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_sf,4));
    SET_VECTOR_ELT(res_names,2,charToSexp(".sf",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_InterpolationDerivs( SEXP obj, SEXP derivs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(derivs,12);
     double  *  _derivs =  SexpTodouble(derivs);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    _obj->InterpolationDerivs(_derivs);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_derivs,12));
    SET_VECTOR_ELT(res_names,1,charToSexp(".derivs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetEdgeArray( SEXP obj, SEXP edgeId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetEdgeArray( * _edgeId);
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_GetFaceArray( SEXP obj, SEXP faceId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
    vtkTetra * _obj = (vtkTetra * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetFaceArray( * _faceId);
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTetra_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTetra * res= ( vtkTetra * ) vtkTetra::New();
    R_res=toRPointer(res,"vtkTetra");
    return(R_res);
  }
#endif
}
