#include <vtkTextActor3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkTextActor3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    vtkTextActor3D *  _res =( vtkTextActor3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTextActor3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    vtkTextActor3D *  _res =( vtkTextActor3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTextActor3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_SetInput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInput();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_SetTextProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTextProperty  *  __arg = (vtkTextProperty * )  SexpToVtk(_arg);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    _obj->SetTextProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkTextProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_GetTextProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    vtkTextProperty *  _res =( vtkTextProperty * )_obj->GetTextProperty();
    res=VtkToSexp(_res,"vtkTextProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_ShallowCopy( SEXP obj, SEXP prop){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_ReleaseGraphicsResources( SEXP obj, SEXP win){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_RenderOpaqueGeometry( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    int _res =_obj->RenderOpaqueGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_RenderTranslucentGeometry( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_RenderOverlay( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkTextActor3D * _obj = (vtkTextActor3D * ) SexpToVtk(obj);
    int _res =_obj->RenderOverlay(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextActor3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTextActor3D * res= ( vtkTextActor3D * ) vtkTextActor3D::New();
    R_res=toRPointer(res,"vtkTextActor3D");
    return(R_res);
  }
#endif
}
