#include <vtkTextMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkTextMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    vtkTextMapper *  _res =( vtkTextMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTextMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    vtkTextMapper *  _res =( vtkTextMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTextMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetWidth( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->GetWidth(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetHeight( SEXP obj, SEXP viewport){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->GetHeight(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _input =  SexpTochar(input);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInput();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_SetTextProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTextProperty  *  __arg = (vtkTextProperty * )  SexpToVtk(_arg);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    _obj->SetTextProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkTextProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetTextProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    vtkTextProperty *  _res =( vtkTextProperty * )_obj->GetTextProperty();
    res=VtkToSexp(_res,"vtkTextProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetNumberOfLines( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLines();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_ShallowCopy( SEXP obj, SEXP tm){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTextMapper  *  _tm = (vtkTextMapper * )  SexpToVtk(tm);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    _obj->ShallowCopy(_tm);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tm,"vtkTextMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tm",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetNumberOfLines_v1( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _input =  SexpTochar(input);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLines(_input);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_SetConstrainedFontSize( SEXP obj, SEXP viewport, SEXP targetWidth, SEXP targetHeight){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    SET_LENGTH(targetWidth,1);
     int  *  _targetWidth =  SexpToint(targetWidth);
    SET_LENGTH(targetHeight,1);
     int  *  _targetHeight =  SexpToint(targetHeight);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->SetConstrainedFontSize(_viewport,  * _targetWidth,  * _targetHeight);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_GetSystemFontSize( SEXP obj, SEXP size){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    vtkTextMapper * _obj = (vtkTextMapper * ) SexpToVtk(obj);
    int _res =_obj->GetSystemFontSize( * _size);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTextMapper * res= ( vtkTextMapper * ) vtkTextMapper::New();
    R_res=toRPointer(res,"vtkTextMapper");
    return(R_res);
  }
#endif
}
