#include <vtkTexture.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkTexture_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    vtkTexture *  _res =( vtkTexture * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTexture");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    vtkTexture *  _res =( vtkTexture * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTexture");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_Render( SEXP obj, SEXP ren){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->Render(_ren);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetRepeat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->GetRepeat();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetRepeat( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetRepeat( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_RepeatOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->RepeatOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_RepeatOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->RepeatOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetInterpolate( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolate();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetInterpolate( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetInterpolate( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_InterpolateOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->InterpolateOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_InterpolateOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->InterpolateOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetQuality( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetQuality( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetQuality( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->GetQuality();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetQualityToDefault( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetQualityToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetQualityTo16Bit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetQualityTo16Bit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetQualityTo32Bit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetQualityTo32Bit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetMapColorScalarsThroughLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    int _res =_obj->GetMapColorScalarsThroughLookupTable();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetMapColorScalarsThroughLookupTable( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetMapColorScalarsThroughLookupTable( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_MapColorScalarsThroughLookupTableOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->MapColorScalarsThroughLookupTableOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_MapColorScalarsThroughLookupTableOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->MapColorScalarsThroughLookupTableOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_SetLookupTable( SEXP obj, SEXP lut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLookupTable  *  _lut = (vtkLookupTable * )  SexpToVtk(lut);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    _obj->SetLookupTable(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkLookupTable"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_GetMappedScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetMappedScalars();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_MapScalarsToColors( SEXP obj, SEXP scalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    vtkTexture * _obj = (vtkTexture * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->MapScalarsToColors(_scalars);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTexture_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTexture * res= ( vtkTexture * ) vtkTexture::New();
    R_res=toRPointer(res,"vtkTexture");
    return(R_res);
  }
#endif
}
