#include <vtkTextureMapToCylinder.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkTextureMapToCylinder_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    vtkTextureMapToCylinder *  _res =( vtkTextureMapToCylinder * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTextureMapToCylinder");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    vtkTextureMapToCylinder *  _res =( vtkTextureMapToCylinder * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTextureMapToCylinder");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetPoint1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetPoint1( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetPoint1_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetPoint1(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetPoint1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint1();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetPoint1_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->GetPoint1(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetPoint2( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetPoint2( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetPoint2_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetPoint2(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetPoint2( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint2();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetPoint2_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->GetPoint2(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetAutomaticCylinderGeneration( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetAutomaticCylinderGeneration( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetAutomaticCylinderGeneration( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticCylinderGeneration();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_AutomaticCylinderGenerationOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->AutomaticCylinderGenerationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_AutomaticCylinderGenerationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->AutomaticCylinderGenerationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_SetPreventSeam( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->SetPreventSeam( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_GetPreventSeam( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    int _res =_obj->GetPreventSeam();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_PreventSeamOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->PreventSeamOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_PreventSeamOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * _obj = (vtkTextureMapToCylinder
 * ) SexpToVtk(obj);
    _obj->PreventSeamOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTextureMapToCylinder_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTextureMapToCylinder * res= ( vtkTextureMapToCylinder * ) 
vtkTextureMapToCylinder::New();
    R_res=toRPointer(res,"vtkTextureMapToCylinder");
    return(R_res);
  }
#endif
}
