#include <vtkTimerLog.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkTimerLog_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    vtkTimerLog *  _res =( vtkTimerLog * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTimerLog");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    vtkTimerLog *  _res =( vtkTimerLog * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTimerLog");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_SetLogging( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     int  *  _v =  SexpToint(v);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->SetLogging( * _v);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetLogging( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->GetLogging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_LoggingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->LoggingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_LoggingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->LoggingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_SetMaxEntries( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->SetMaxEntries( * _a);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetMaxEntries( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->GetMaxEntries();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_DumpLog( SEXP obj, SEXP filename){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _filename =  SexpTochar(filename);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->DumpLog(_filename);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_MarkStartEvent( SEXP obj, SEXP event){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _event =  SexpTochar(event);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->MarkStartEvent(_event);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_MarkEndEvent( SEXP obj, SEXP event){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _event =  SexpTochar(event);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->MarkEndEvent(_event);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetNumberOfEvents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEvents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetEventIndent( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    int _res =_obj->GetEventIndent( * _idx);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetEventWallTime( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    double _res =_obj->GetEventWallTime( * _idx);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetEventString( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetEventString( * _idx);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_MarkEvent( SEXP obj, SEXP event){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _event =  SexpTochar(event);
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->MarkEvent(_event);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_ResetLog( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->ResetLog();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_AllocateLog( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->AllocateLog();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_CleanupLog( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->CleanupLog();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetUniversalTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    double _res =_obj->GetUniversalTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetCPUTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    double _res =_obj->GetCPUTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_StartTimer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->StartTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_StopTimer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    _obj->StopTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetElapsedTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    double _res =_obj->GetElapsedTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_GetCurrentTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTimerLog * _obj = (vtkTimerLog * ) SexpToVtk(obj);
    double _res =_obj->GetCurrentTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTimerLog_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTimerLog * res= ( vtkTimerLog * ) vtkTimerLog::New();
    R_res=toRPointer(res,"vtkTimerLog");
    return(R_res);
  }
#endif
}
