#include <vtkTransformToGrid.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkTransformToGrid_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    vtkTransformToGrid *  _res =( vtkTransformToGrid * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkTransformToGrid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    vtkTransformToGrid *  _res =( vtkTransformToGrid * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkTransformToGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetInput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  __arg = (vtkAbstractTransform * )  
SexpToVtk(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridExtent( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridExtent_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridExtent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetGridExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridExtent_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridOrigin_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetGridOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridOrigin_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridOrigin_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridSpacing( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridSpacing_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetGridSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridSpacing_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridSpacing_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->GetGridSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetGridScalarType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    int _res =_obj->GetGridScalarType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarTypeToFloat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarTypeToShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarTypeToUnsignedShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarTypeToUnsignedChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_SetGridScalarTypeToChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    _obj->SetGridScalarTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetDisplacementScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    double _res =_obj->GetDisplacementScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetDisplacementShift( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    double _res =_obj->GetDisplacementShift();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkTransformToGrid * _obj = (vtkTransformToGrid * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkTransformToGrid_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkTransformToGrid * res= ( vtkTransformToGrid * ) vtkTransformToGrid
::New();
    R_res=toRPointer(res,"vtkTransformToGrid");
    return(R_res);
  }
#endif
}
