#include <vtkUGFacetReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkUGFacetReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    vtkUGFacetReader *  _res =( vtkUGFacetReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUGFacetReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    vtkUGFacetReader *  _res =( vtkUGFacetReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUGFacetReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_SetFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetNumberOfParts( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfParts();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetPartColorIndex( SEXP obj, SEXP partId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(partId,1);
     int  *  _partId =  SexpToint(partId);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    short int _res =_obj->GetPartColorIndex( * _partId);
    res=short_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_SetPartNumber( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->SetPartNumber( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetPartNumber( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    int _res =_obj->GetPartNumber();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_SetMerging( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->SetMerging( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetMerging( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    int _res =_obj->GetMerging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_MergingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->MergingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_MergingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->MergingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUGFacetReader * _obj = (vtkUGFacetReader * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUGFacetReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUGFacetReader * res= ( vtkUGFacetReader * ) vtkUGFacetReader::New();
    R_res=toRPointer(res,"vtkUGFacetReader");
    return(R_res);
  }
#endif
}
