#include <vtkUniformGrid.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkUniformGrid_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkUniformGrid *  _res =( vtkUniformGrid * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUniformGrid");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkUniformGrid *  _res =( vtkUniformGrid * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUniformGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_CopyStructure( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _ds = (vtkDataSet * )  SexpToVtk(ds);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->CopyStructure(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetDataObjectType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetCell( * _cellId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCell_v1( SEXP obj, SEXP cellId, SEXP cell){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->GetCell( * _cellId, _cell);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCellType( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    int _res =_obj->GetCellType( * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCellPoints( SEXP obj, SEXP cellId, SEXP ptIds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _ptIds = (vtkIdList * )  SexpToVtk(ptIds);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->GetCellPoints( * _cellId, _ptIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetPointCells( SEXP obj, SEXP ptId, SEXP cellIds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
     vtkIdList  *  _cellIds = (vtkIdList * )  SexpToVtk(cellIds);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->GetPointCells( * _ptId, _cellIds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellIds,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellIds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetMaxCellSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    int _res =_obj->GetMaxCellSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetScalarRange( SEXP obj, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->GetScalarRange(_range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_ShallowCopy( SEXP obj, SEXP dataObject){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->ShallowCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_DeepCopy( SEXP obj, SEXP dataObject){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _dataObject = (vtkDataObject * )  SexpToVtk(dataObject);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->DeepCopy(_dataObject);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataObject,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataObject",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_BlankPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->BlankPoint( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_UnBlankPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->UnBlankPoint( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_BlankCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->BlankCell( * _cellId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_UnBlankCell( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->UnBlankCell( * _cellId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetPointVisibilityArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetPointVisibilityArray();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_SetPointVisibilityArray( SEXP obj, SEXP ptVis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _ptVis = (vtkUnsignedCharArray * )  
SexpToVtk(ptVis);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->SetPointVisibilityArray(_ptVis);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ptVis,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptVis",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCellVisibilityArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetCellVisibilityArray();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_SetCellVisibilityArray( SEXP obj, SEXP cellVis){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _cellVis = (vtkUnsignedCharArray * )  
SexpToVtk(cellVis);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    _obj->SetCellVisibilityArray(_cellVis);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellVis,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellVis",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_IsPointVisible( SEXP obj, SEXP pointId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pointId,1);
     int  *  _pointId =  SexpToint(pointId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsPointVisible( * _pointId);
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_IsCellVisible( SEXP obj, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->IsCellVisible( * _cellId);
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetPointBlanking( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetPointBlanking();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_GetCellBlanking( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    unsigned char _res =_obj->GetCellBlanking();
    res=unsigned_charToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_NewImageDataCopy( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUniformGrid * _obj = (vtkUniformGrid * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->NewImageDataCopy();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUniformGrid_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUniformGrid * res= ( vtkUniformGrid * ) vtkUniformGrid::New();
    R_res=toRPointer(res,"vtkUniformGrid");
    return(R_res);
  }
#endif
}
