#include <vtkUnstructuredGridHomogeneousRayIntegrator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    vtkUnstructuredGridHomogeneousRayIntegrator *  _res =( vtkUnstructuredGridHomogeneousRayIntegrator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridHomogeneousRayIntegrator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    vtkUnstructuredGridHomogeneousRayIntegrator *  _res =( vtkUnstructuredGridHomogeneousRayIntegrator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridHomogeneousRayIntegrator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_Initialize( SEXP obj, SEXP volume, SEXP scalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _volume = (vtkVolume * )  SexpToVtk(volume);
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    _obj->Initialize(_volume, _scalars);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_volume,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".volume",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_SetTransferFunctionTableSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    _obj->SetTransferFunctionTableSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_GetTransferFunctionTableSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridHomogeneousRayIntegrator * _obj = (
vtkUnstructuredGridHomogeneousRayIntegrator * ) SexpToVtk(obj);
    int _res =_obj->GetTransferFunctionTableSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridHomogeneousRayIntegrator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUnstructuredGridHomogeneousRayIntegrator * res= ( 
vtkUnstructuredGridHomogeneousRayIntegrator * ) 
vtkUnstructuredGridHomogeneousRayIntegrator::New();
    R_res=toRPointer(res,"vtkUnstructuredGridHomogeneousRayIntegrator");
    return(R_res);
  }
#endif
}
