#include <vtkUnstructuredGridToUnstructuredGridFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    vtkUnstructuredGridToUnstructuredGridFilter *  _res =( vtkUnstructuredGridToUnstructuredGridFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridToUnstructuredGridFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    vtkUnstructuredGridToUnstructuredGridFilter *  _res =( vtkUnstructuredGridToUnstructuredGridFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridToUnstructuredGridFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnstructuredGrid  *  _input = (vtkUnstructuredGrid * )  
SexpToVtk(input);
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkUnstructuredGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridToUnstructuredGridFilter_FillInputPortInformation( SEXP obj, SEXP port, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkUnstructuredGridToUnstructuredGridFilter * _obj = (
vtkUnstructuredGridToUnstructuredGridFilter * ) SexpToVtk(obj);
    int _res =_obj->FillInputPortInformation( * _port, _info);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
