#include <vtkVolume16Reader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkVolume16Reader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    vtkVolume16Reader *  _res =( vtkVolume16Reader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolume16Reader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    vtkVolume16Reader *  _res =( vtkVolume16Reader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolume16Reader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataDimensions( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataDimensions( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataDimensions_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataDimensions(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetDataDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDataDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetDataDimensions_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->GetDataDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataMask( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     short unsigned int  *  __arg =  SexpToshort_unsigned_int(_arg);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataMask( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetDataMask( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    short unsigned int _res =_obj->GetDataMask();
    res=short_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetHeaderSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetHeaderSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetHeaderSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int _res =_obj->GetHeaderSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataByteOrderToBigEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataByteOrderToLittleEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetDataByteOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int _res =_obj->GetDataByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetDataByteOrder( SEXP obj, SEXP byteOrder){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(byteOrder,1);
     int  *  _byteOrder =  SexpToint(byteOrder);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetDataByteOrder( * _byteOrder);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetDataByteOrderAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDataByteOrderAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetSwapBytes( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetSwapBytes( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetSwapBytes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    int _res =_obj->GetSwapBytes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SwapBytesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SwapBytesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SwapBytesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SwapBytesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_SetTransform( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTransform  *  __arg = (vtkTransform * )  SexpToVtk(_arg);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    _obj->SetTransform(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetTransform( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    vtkTransform *  _res =( vtkTransform * )_obj->GetTransform();
    res=VtkToSexp(_res,"vtkTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_GetImage( SEXP obj, SEXP ImageNumber){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ImageNumber,1);
     int  *  _ImageNumber =  SexpToint(ImageNumber);
    vtkVolume16Reader * _obj = (vtkVolume16Reader * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetImage( * _ImageNumber);
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume16Reader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolume16Reader * res= ( vtkVolume16Reader * ) vtkVolume16Reader::New();
    R_res=toRPointer(res,"vtkVolume16Reader");
    return(R_res);
  }
#endif
}
