#include <vtkVolumeRayCastIsosurfaceFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    vtkVolumeRayCastIsosurfaceFunction *  _res =( vtkVolumeRayCastIsosurfaceFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeRayCastIsosurfaceFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    vtkVolumeRayCastIsosurfaceFunction *  _res =( vtkVolumeRayCastIsosurfaceFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeRayCastIsosurfaceFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_SetIsoValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    _obj->SetIsoValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_GetIsoValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    double _res =_obj->GetIsoValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_CastRay( SEXP obj, SEXP dynamicInfo, SEXP staticInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolumeRayCastDynamicInfo  *  _dynamicInfo = 
(vtkVolumeRayCastDynamicInfo * )  SexpToVtk(dynamicInfo);
     vtkVolumeRayCastStaticInfo  *  _staticInfo = 
(vtkVolumeRayCastStaticInfo * )  SexpToVtk(staticInfo);
    vtkVolumeRayCastIsosurfaceFunction * _obj = (
vtkVolumeRayCastIsosurfaceFunction * ) SexpToVtk(obj);
    _obj->CastRay(_dynamicInfo, _staticInfo);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dynamicInfo,"vtkVolumeRayCastDynamicInfo"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dynamicInfo",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_staticInfo,"vtkVolumeRayCastStaticInfo"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".staticInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastIsosurfaceFunction_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolumeRayCastIsosurfaceFunction * res= ( 
vtkVolumeRayCastIsosurfaceFunction * ) vtkVolumeRayCastIsosurfaceFunction
::New();
    R_res=toRPointer(res,"vtkVolumeRayCastIsosurfaceFunction");
    return(R_res);
  }
#endif
}
