#include <vtkWindowToImageFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkWindowToImageFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    vtkWindowToImageFilter *  _res =( vtkWindowToImageFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkWindowToImageFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    vtkWindowToImageFilter *  _res =( vtkWindowToImageFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkWindowToImageFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _input = (vtkWindow * )  SexpToVtk(input);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    vtkWindow *  _res =( vtkWindow * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetMagnification( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetMagnification( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetMagnificationMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetMagnificationMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetMagnificationMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetMagnificationMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetMagnification( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetMagnification();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_ReadFrontBufferOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->ReadFrontBufferOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_ReadFrontBufferOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->ReadFrontBufferOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetReadFrontBuffer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetReadFrontBuffer();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetReadFrontBuffer( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetReadFrontBuffer( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_ShouldRerenderOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->ShouldRerenderOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_ShouldRerenderOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->ShouldRerenderOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetShouldRerender( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetShouldRerender( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetShouldRerender( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetShouldRerender();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetViewport( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetViewport( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetViewport_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetViewport(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetViewport( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetViewport();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetViewport_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->GetViewport(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetInputBufferType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetInputBufferType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetInputBufferType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    int _res =_obj->GetInputBufferType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetInputBufferTypeToRGB( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetInputBufferTypeToRGB();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetInputBufferTypeToRGBA( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetInputBufferTypeToRGBA();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_SetInputBufferTypeToZBuffer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    _obj->SetInputBufferTypeToZBuffer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * _obj = (vtkWindowToImageFilter * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowToImageFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkWindowToImageFilter * res= ( vtkWindowToImageFilter * ) 
vtkWindowToImageFilter::New();
    R_res=toRPointer(res,"vtkWindowToImageFilter");
    return(R_res);
  }
#endif
}
