#include <vtkXMLDataElement.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLDataElement_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetId( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetId();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetId( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetId(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttribute( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetAttribute(_name);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _value =  SexpTochar(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetAttribute(_name, _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetScalarAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetScalarAttribute(_name,  * _value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_value,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetScalarAttribute_v1( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     float  *  _value =  SexpTofloat(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetScalarAttribute(_name,  * _value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_value,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetScalarAttribute_v2( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetScalarAttribute(_name,  * _value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_value,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetScalarAttribute_v3( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     long unsigned int  *  _value =  SexpTolong_unsigned_int(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetScalarAttribute(_name,  * _value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_unsigned_intToSexp(_value,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetIntAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetIntAttribute(_name,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetFloatAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     float  *  _value =  SexpTofloat(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetFloatAttribute(_name,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetDoubleAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetDoubleAttribute(_name,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetUnsignedLongAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     long unsigned int  *  _value =  SexpTolong_unsigned_int(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetUnsignedLongAttribute(_name,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetVectorAttribute( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     int  *  _data =  SexpToint(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetVectorAttribute(_name,  * _length, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetVectorAttribute_v1( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     float  *  _data =  SexpTofloat(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetVectorAttribute(_name,  * _length, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetVectorAttribute_v2( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     double  *  _data =  SexpTodouble(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetVectorAttribute(_name,  * _length, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetVectorAttribute_v3( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     long unsigned int  *  _data =  SexpTolong_unsigned_int(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetVectorAttribute(_name,  * _length, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_unsigned_intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetVectorAttribute( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     int  *  _data =  SexpToint(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetVectorAttribute(_name,  * _length, _data);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetVectorAttribute_v1( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     float  *  _data =  SexpTofloat(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetVectorAttribute(_name,  * _length, _data);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetVectorAttribute_v2( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     double  *  _data =  SexpTodouble(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetVectorAttribute(_name,  * _length, _data);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetVectorAttribute_v3( SEXP obj, SEXP name, SEXP length, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(length,1);
     int  *  _length =  SexpToint(length);
     long unsigned int  *  _data =  SexpTolong_unsigned_int(data);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetVectorAttribute(_name,  * _length, _data);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetWordTypeAttribute( SEXP obj, SEXP name, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetWordTypeAttribute(_name,  * _value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_value,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetNumberOfAttributes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfAttributes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttributeName( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetAttributeName( * _idx);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttributeValue( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetAttributeValue( * _idx);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_RemoveAllAttributes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->RemoveAllAttributes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetParent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->GetParent();
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetParent( SEXP obj, SEXP parent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _parent = (vtkXMLDataElement * )  SexpToVtk(parent);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetParent(_parent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_parent,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".parent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetRoot( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->GetRoot();
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetNumberOfNestedElements( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNestedElements();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetNestedElement( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->GetNestedElement( * _index);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_AddNestedElement( SEXP obj, SEXP element){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _element = (vtkXMLDataElement * )  
SexpToVtk(element);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->AddNestedElement(_element);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_element,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".element",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_RemoveNestedElement( SEXP obj, SEXP element){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _element = (vtkXMLDataElement * )  
SexpToVtk(element);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->RemoveNestedElement(_element);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_element,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".element",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_RemoveAllNestedElements( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->RemoveAllNestedElements();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_FindNestedElement( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _id =  SexpTochar(id);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->FindNestedElement(_id);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_FindNestedElementWithName( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->FindNestedElementWithName(_name);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_FindNestedElementWithNameAndId( SEXP obj, SEXP name, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _id =  SexpTochar(id);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->FindNestedElementWithNameAndId(_name, _id);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_FindNestedElementWithNameAndAttribute( SEXP obj, SEXP name, SEXP att_name, SEXP att_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
     char  *  _att_name =  SexpTochar(att_name);
     char  *  _att_value =  SexpTochar(att_value);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->FindNestedElementWithNameAndAttribute(_name, _att_name, _att_value);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_LookupElement( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _id =  SexpTochar(id);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->LookupElement(_id);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetXMLByteIndex( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetXMLByteIndex();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetXMLByteIndex( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     long unsigned int  *  __arg =  SexpTolong_unsigned_int(_arg);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetXMLByteIndex( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_IsEqualTo( SEXP obj, SEXP elem){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _elem = (vtkXMLDataElement * )  SexpToVtk(elem);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->IsEqualTo(_elem);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_elem,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".elem",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_DeepCopy( SEXP obj, SEXP elem){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _elem = (vtkXMLDataElement * )  SexpToVtk(elem);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->DeepCopy(_elem);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_elem,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".elem",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_SetAttributeEncoding( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    _obj->SetAttributeEncoding( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttributeEncodingMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeEncodingMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttributeEncodingMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeEncodingMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_GetAttributeEncoding( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataElement * _obj = (vtkXMLDataElement * ) SexpToVtk(obj);
    int _res =_obj->GetAttributeEncoding();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataElement_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLDataElement * res= ( vtkXMLDataElement * ) vtkXMLDataElement::New();
    R_res=toRPointer(res,"vtkXMLDataElement");
    return(R_res);
  }
#endif
}
