#include <vtkXMLDataParser.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLDataParser_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    vtkXMLDataParser *  _res =( vtkXMLDataParser * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLDataParser");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    vtkXMLDataParser *  _res =( vtkXMLDataParser * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLDataParser");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetRootElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->GetRootElement();
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadInlineData( SEXP obj, SEXP element, SEXP isAscii, SEXP buffer, SEXP startWord, SEXP numWords, SEXP wordType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _element = (vtkXMLDataElement * )  
SexpToVtk(element);
    SET_LENGTH(isAscii,1);
     int  *  _isAscii =  SexpToint(isAscii);
     void  *  _buffer =  SexpTovoid(buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    SET_LENGTH(wordType,1);
     int  *  _wordType =  SexpToint(wordType);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadInlineData(_element,  * _isAscii, _buffer,  * _startWord,  * _numWords,  * _wordType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_element,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".element",0));
    SET_VECTOR_ELT(ans,2,voidToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadInlineData_v1( SEXP obj, SEXP element, SEXP isAscii, SEXP buffer, SEXP startWord, SEXP numWords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _element = (vtkXMLDataElement * )  
SexpToVtk(element);
    SET_LENGTH(isAscii,1);
     int  *  _isAscii =  SexpToint(isAscii);
     char  *  _buffer =  SexpTochar(buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadInlineData(_element,  * _isAscii, _buffer,  * _startWord,  * _numWords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_element,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".element",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadAppendedData( SEXP obj, SEXP offset, SEXP buffer, SEXP startWord, SEXP numWords, SEXP wordType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(offset,1);
     int  *  _offset =  SexpToint(offset);
     void  *  _buffer =  SexpTovoid(buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    SET_LENGTH(wordType,1);
     int  *  _wordType =  SexpToint(wordType);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadAppendedData( * _offset, _buffer,  * _startWord,  * _numWords,  * _wordType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadAppendedData_v1( SEXP obj, SEXP offset, SEXP buffer, SEXP startWord, SEXP numWords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(offset,1);
     int  *  _offset =  SexpToint(offset);
     char  *  _buffer =  SexpTochar(buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadAppendedData( * _offset, _buffer,  * _startWord,  * _numWords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadAsciiData( SEXP obj, SEXP buffer, SEXP startWord, SEXP numWords, SEXP wordType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _buffer =  SexpTovoid(buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    SET_LENGTH(wordType,1);
     int  *  _wordType =  SexpToint(wordType);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadAsciiData(_buffer,  * _startWord,  * _numWords,  * _wordType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_ReadBinaryData( SEXP obj, SEXP in_buffer, SEXP startWord, SEXP numWords, SEXP wordType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _in_buffer =  SexpTovoid(in_buffer);
    SET_LENGTH(startWord,1);
     int  *  _startWord =  SexpToint(startWord);
    SET_LENGTH(numWords,1);
     int  *  _numWords =  SexpToint(numWords);
    SET_LENGTH(wordType,1);
     int  *  _wordType =  SexpToint(wordType);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->ReadBinaryData(_in_buffer,  * _startWord,  * _numWords,  * _wordType);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_in_buffer,LENGTH(in_buffer)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in_buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_SetCompressor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataCompressor  *  __arg = (vtkDataCompressor * )  SexpToVtk(_arg);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    _obj->SetCompressor(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkDataCompressor"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetCompressor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    vtkDataCompressor *  _res =( vtkDataCompressor * )_obj->GetCompressor();
    res=VtkToSexp(_res,"vtkDataCompressor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetWordTypeSize( SEXP obj, SEXP wordType){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(wordType,1);
     int  *  _wordType =  SexpToint(wordType);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetWordTypeSize( * _wordType);
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_Parse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->Parse();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetAbort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->GetAbort();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_SetAbort( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    _obj->SetAbort( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetProgress( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    float _res =_obj->GetProgress();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_SetProgress( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    _obj->SetProgress( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_SetAttributesEncoding( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    _obj->SetAttributesEncoding( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetAttributesEncodingMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->GetAttributesEncodingMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetAttributesEncodingMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->GetAttributesEncodingMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_GetAttributesEncoding( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLDataParser * _obj = (vtkXMLDataParser * ) SexpToVtk(obj);
    int _res =_obj->GetAttributesEncoding();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLDataParser_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLDataParser * res= ( vtkXMLDataParser * ) vtkXMLDataParser::New();
    R_res=toRPointer(res,"vtkXMLDataParser");
    return(R_res);
  }
#endif
}
