#include <vtkXMLPStructuredDataWriter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLPStructuredDataWriter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPStructuredDataWriter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPStructuredDataWriter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    vtkXMLPStructuredDataWriter *  _res =( vtkXMLPStructuredDataWriter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLPStructuredDataWriter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPStructuredDataWriter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    vtkXMLPStructuredDataWriter *  _res =( vtkXMLPStructuredDataWriter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLPStructuredDataWriter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPStructuredDataWriter_SetExtentTranslator( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkExtentTranslator  *  __arg = (vtkExtentTranslator * )  SexpToVtk(_arg);
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    _obj->SetExtentTranslator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkExtentTranslator"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLPStructuredDataWriter_GetExtentTranslator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLPStructuredDataWriter * _obj = (vtkXMLPStructuredDataWriter
 * ) SexpToVtk(obj);
    vtkExtentTranslator *  _res =( vtkExtentTranslator * )_obj->GetExtentTranslator();
    res=VtkToSexp(_res,"vtkExtentTranslator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
