#include <vtkXMLUnstructuredGridWriter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLUnstructuredGridWriter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    vtkXMLUnstructuredGridWriter *  _res =( vtkXMLUnstructuredGridWriter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLUnstructuredGridWriter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    vtkXMLUnstructuredGridWriter *  _res =( vtkXMLUnstructuredGridWriter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLUnstructuredGridWriter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_GetDefaultFileExtension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUnstructuredGridWriter * _obj = (vtkXMLUnstructuredGridWriter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDefaultFileExtension();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUnstructuredGridWriter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLUnstructuredGridWriter * res= ( vtkXMLUnstructuredGridWriter * ) 
vtkXMLUnstructuredGridWriter::New();
    R_res=toRPointer(res,"vtkXMLUnstructuredGridWriter");
    return(R_res);
  }
#endif
}
