#include <vtkXMLUtilities.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLUtilities_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    vtkXMLUtilities *  _res =( vtkXMLUtilities * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLUtilities");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    vtkXMLUtilities *  _res =( vtkXMLUtilities * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLUtilities");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_WriteElementToFile( SEXP obj, SEXP elem, SEXP filename, SEXP indent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _elem = (vtkXMLDataElement * )  SexpToVtk(elem);
     char  *  _filename =  SexpTochar(filename);
     vtkIndent  *  _indent = (vtkIndent * )  SexpToVtk(indent);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    int _res =_obj->WriteElementToFile(_elem, _filename, _indent);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_elem,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".elem",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_indent,"vtkIndent"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".indent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_ReadElementFromString( SEXP obj, SEXP str, SEXP encoding){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _str =  SexpTochar(str);
    SET_LENGTH(encoding,1);
     int  *  _encoding =  SexpToint(encoding);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->ReadElementFromString(_str,  * _encoding);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_ReadElementFromFile( SEXP obj, SEXP filename, SEXP encoding){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _filename =  SexpTochar(filename);
    SET_LENGTH(encoding,1);
     int  *  _encoding =  SexpToint(encoding);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    vtkXMLDataElement *  _res =( vtkXMLDataElement * )_obj->ReadElementFromFile(_filename,  * _encoding);
    res=VtkToSexp(_res,"vtkXMLDataElement");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_FactorElements( SEXP obj, SEXP tree){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _tree = (vtkXMLDataElement * )  SexpToVtk(tree);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    _obj->FactorElements(_tree);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tree,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tree",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_UnFactorElements( SEXP obj, SEXP tree){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkXMLDataElement  *  _tree = (vtkXMLDataElement * )  SexpToVtk(tree);
    vtkXMLUtilities * _obj = (vtkXMLUtilities * ) SexpToVtk(obj);
    _obj->UnFactorElements(_tree);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tree,"vtkXMLDataElement"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tree",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLUtilities_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLUtilities * res= ( vtkXMLUtilities * ) vtkXMLUtilities::New();
    R_res=toRPointer(res,"vtkXMLUtilities");
    return(R_res);
  }
#endif
}
