if (R.VTK.BASE==1){
vtkAlgorithm <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasExecutive <- function(){
    res<-.Call("R_vtkAlgorithm_HasExecutive",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExecutive <- function(){
    res<-.Call("R_vtkAlgorithm_GetExecutive",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExecutive(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExecutive <- function( .newExecutive=vtkExecutive()){
    check.VTK(.newExecutive,"vtkExecutive")
    res<-.Call("R_vtkAlgorithm_SetExecutive",.me$obj, .newExecutive$obj,PACKAGE="RVTK")
    res$.newExecutive <- vtkExecutive(wrapenv(res$.newExecutive))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputPortInformation <- function( .port){
    res<-.Call("R_vtkAlgorithm_GetInputPortInformation",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputPortInformation <- function( .port){
    res<-.Call("R_vtkAlgorithm_GetOutputPortInformation",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInformation <- function(){
    res<-.Call("R_vtkAlgorithm_GetInformation",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInformation <- function( ._arg=vtkInformation()){
    check.VTK(._arg,"vtkInformation")
    res<-.Call("R_vtkAlgorithm_SetInformation",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkInformation(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfInputPorts <- function(){
    res<-.Call("R_vtkAlgorithm_GetNumberOfInputPorts",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfOutputPorts <- function(){
    res<-.Call("R_vtkAlgorithm_GetNumberOfOutputPorts",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Register <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAlgorithm_Register",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAlgorithm_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAbortExecute <- function( ._arg){
    res<-.Call("R_vtkAlgorithm_SetAbortExecute",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAbortExecute <- function(){
    res<-.Call("R_vtkAlgorithm_GetAbortExecute",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AbortExecuteOn <- function(){
    res<-.Call("R_vtkAlgorithm_AbortExecuteOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AbortExecuteOff <- function(){
    res<-.Call("R_vtkAlgorithm_AbortExecuteOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProgress <- function( ._arg){
    res<-.Call("R_vtkAlgorithm_SetProgress",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProgressMinValue <- function(){
    res<-.Call("R_vtkAlgorithm_GetProgressMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProgressMaxValue <- function(){
    res<-.Call("R_vtkAlgorithm_GetProgressMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProgress <- function(){
    res<-.Call("R_vtkAlgorithm_GetProgress",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateProgress <- function( .amount){
    res<-.Call("R_vtkAlgorithm_UpdateProgress",.me$obj, .amount,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProgressText <- function( ._arg){
    res<-.Call("R_vtkAlgorithm_SetProgressText",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProgressText <- function(){
    res<-.Call("R_vtkAlgorithm_GetProgressText",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetErrorCode <- function(){
    res<-.Call("R_vtkAlgorithm_GetErrorCode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_IS_OPTIONAL <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_IS_OPTIONAL",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_IS_REPEATABLE <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_IS_REPEATABLE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_REQUIRED_FIELDS <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_REQUIRED_FIELDS",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationInformationVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_REQUIRED_DATA_TYPE <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_REQUIRED_DATA_TYPE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationStringKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_ARRAYS_TO_PROCESS <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_ARRAYS_TO_PROCESS",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationInformationVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_PORT <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_PORT",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$INPUT_CONNECTION <- function(){
    res<-.Call("R_vtkAlgorithm_INPUT_CONNECTION",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputArrayToProcess <- function( .idx, .port, .connection, .fieldAssociation, .name){
    res<-.Call("R_vtkAlgorithm_SetInputArrayToProcess",.me$obj, .idx, .port, .connection, .fieldAssociation, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputArrayToProcess_v1 <- function( .idx, .port, .connection, .fieldAssociation, .attributeType){
    res<-.Call("R_vtkAlgorithm_SetInputArrayToProcess_v1",.me$obj, .idx, .port, .connection, .fieldAssociation, .attributeType,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputArrayToProcess_v2 <- function( .idx, .inInfo=vtkInformation()){
    check.VTK(.inInfo,"vtkInformation")
    res<-.Call("R_vtkAlgorithm_SetInputArrayToProcess_v2",.me$obj, .idx, .inInfo$obj,PACKAGE="RVTK")
    res$.inInfo <- vtkInformation(wrapenv(res$.inInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputArrayInformation <- function( .idx){
    res<-.Call("R_vtkAlgorithm_GetInputArrayInformation",.me$obj, .idx,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllInputs <- function(){
    res<-.Call("R_vtkAlgorithm_RemoveAllInputs",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputDataObject <- function( .port){
    res<-.Call("R_vtkAlgorithm_GetOutputDataObject",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputConnection <- function( .port, .input=vtkAlgorithmOutput()){
    check.VTK(.input,"vtkAlgorithmOutput")
    res<-.Call("R_vtkAlgorithm_SetInputConnection",.me$obj, .port, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkAlgorithmOutput(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputConnection_v1 <- function( .input=vtkAlgorithmOutput()){
    check.VTK(.input,"vtkAlgorithmOutput")
    res<-.Call("R_vtkAlgorithm_SetInputConnection_v1",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkAlgorithmOutput(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInputConnection <- function( .port, .input=vtkAlgorithmOutput()){
    check.VTK(.input,"vtkAlgorithmOutput")
    res<-.Call("R_vtkAlgorithm_AddInputConnection",.me$obj, .port, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkAlgorithmOutput(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveInputConnection <- function( .port, .input=vtkAlgorithmOutput()){
    check.VTK(.input,"vtkAlgorithmOutput")
    res<-.Call("R_vtkAlgorithm_RemoveInputConnection",.me$obj, .port, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkAlgorithmOutput(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputPort <- function( .port){
    res<-.Call("R_vtkAlgorithm_GetOutputPort",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithmOutput(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputPort_v1 <- function(){
    res<-.Call("R_vtkAlgorithm_GetOutputPort_v1",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithmOutput(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfInputConnections <- function( .port){
    res<-.Call("R_vtkAlgorithm_GetNumberOfInputConnections",.me$obj, .port,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTotalNumberOfInputConnections <- function(){
    res<-.Call("R_vtkAlgorithm_GetTotalNumberOfInputConnections",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputConnection <- function( .port, .index){
    res<-.Call("R_vtkAlgorithm_GetInputConnection",.me$obj, .port, .index,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithmOutput(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkAlgorithm_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateInformation <- function(){
    res<-.Call("R_vtkAlgorithm_UpdateInformation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateWholeExtent <- function(){
    res<-.Call("R_vtkAlgorithm_UpdateWholeExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ConvertTotalInputToPortConnection <- function( .ind, .port=as.integer(rep.int(1,1)), .conn=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkAlgorithm_ConvertTotalInputToPortConnection",.me$obj, .ind, .port, .conn,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReleaseDataFlag <- function( .val){
    res<-.Call("R_vtkAlgorithm_SetReleaseDataFlag",.me$obj, .val,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReleaseDataFlag <- function(){
    res<-.Call("R_vtkAlgorithm_GetReleaseDataFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkAlgorithm_ReleaseDataFlagOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkAlgorithm_ReleaseDataFlagOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateExtentIsEmpty <- function( .output=vtkDataObject()){
    check.VTK(.output,"vtkDataObject")
    res<-.Call("R_vtkAlgorithm_UpdateExtentIsEmpty",.me$obj, .output$obj,PACKAGE="RVTK")
    res$.output <- vtkDataObject(wrapenv(res$.output))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateExtentIsEmpty_v1 <- function( .info=vtkInformation(), .extentType){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkAlgorithm_UpdateExtentIsEmpty_v1",.me$obj, .info$obj, .extentType,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAlgorithm_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAlgorithm",class(.me))
  return(.me)
}
}
