if (R.VTK.BASE==1){
vtkAppendPolyData <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAppendPolyData_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAppendPolyData_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAppendPolyData_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAppendPolyData(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAppendPolyData_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAppendPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUserManagedInputs <- function( ._arg){
    res<-.Call("R_vtkAppendPolyData_SetUserManagedInputs",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUserManagedInputs <- function(){
    res<-.Call("R_vtkAppendPolyData_GetUserManagedInputs",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UserManagedInputsOn <- function(){
    res<-.Call("R_vtkAppendPolyData_UserManagedInputsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UserManagedInputsOff <- function(){
    res<-.Call("R_vtkAppendPolyData_UserManagedInputsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .ds=vtkPolyData()){
    check.VTK(.ds,"vtkPolyData")
    res<-.Call("R_vtkAppendPolyData_AddInput",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkPolyData(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveInput <- function( .ds=vtkPolyData()){
    check.VTK(.ds,"vtkPolyData")
    res<-.Call("R_vtkAppendPolyData_RemoveInput",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkPolyData(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function( .idx){
    res<-.Call("R_vtkAppendPolyData_GetInput",.me$obj, .idx,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput_v1 <- function(){
    res<-.Call("R_vtkAppendPolyData_GetInput_v1",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfInputs <- function( .num){
    res<-.Call("R_vtkAppendPolyData_SetNumberOfInputs",.me$obj, .num,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputByNumber <- function( .num, .input=vtkPolyData()){
    check.VTK(.input,"vtkPolyData")
    res<-.Call("R_vtkAppendPolyData_SetInputByNumber",.me$obj, .num, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPolyData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParallelStreaming <- function( ._arg){
    res<-.Call("R_vtkAppendPolyData_SetParallelStreaming",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParallelStreaming <- function(){
    res<-.Call("R_vtkAppendPolyData_GetParallelStreaming",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ParallelStreamingOn <- function(){
    res<-.Call("R_vtkAppendPolyData_ParallelStreamingOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ParallelStreamingOff <- function(){
    res<-.Call("R_vtkAppendPolyData_ParallelStreamingOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAppendPolyData_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAppendPolyData",class(.me))
  return(.me)
}
}
