if (R.VTK.BASE==1){
vtkBSPIntersections <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBSPIntersections_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBSPIntersections_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBSPIntersections_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBSPIntersections(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBSPIntersections_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBSPIntersections(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCuts <- function( ._arg=vtkBSPCuts()){
    check.VTK(._arg,"vtkBSPCuts")
    res<-.Call("R_vtkBSPIntersections_SetCuts",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkBSPCuts(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCuts <- function(){
    res<-.Call("R_vtkBSPIntersections_GetCuts",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBSPCuts(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function( .bounds){
    res<-.Call("R_vtkBSPIntersections_GetBounds",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfRegions <- function(){
    res<-.Call("R_vtkBSPIntersections_GetNumberOfRegions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRegionBounds <- function( .regionID, .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkBSPIntersections_GetRegionBounds",.me$obj, .regionID, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRegionDataBounds <- function( .regionID, .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkBSPIntersections_GetRegionDataBounds",.me$obj, .regionID, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsBox <- function( .regionId, .x){
    res<-.Call("R_vtkBSPIntersections_IntersectsBox",.me$obj, .regionId, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsBox_v1 <- function( .regionId, .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkBSPIntersections_IntersectsBox_v1",.me$obj, .regionId, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsBox_v2 <- function( .ids, .len, .x){
    res<-.Call("R_vtkBSPIntersections_IntersectsBox_v2",.me$obj, .ids, .len, .x,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsBox_v3 <- function( .ids, .len, .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkBSPIntersections_IntersectsBox_v3",.me$obj, .ids, .len, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsSphere2 <- function( .regionId, .x, .y, .z, .rSquared){
    res<-.Call("R_vtkBSPIntersections_IntersectsSphere2",.me$obj, .regionId, .x, .y, .z, .rSquared,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsSphere2_v1 <- function( .ids, .len, .x, .y, .z, .rSquared){
    res<-.Call("R_vtkBSPIntersections_IntersectsSphere2_v1",.me$obj, .ids, .len, .x, .y, .z, .rSquared,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsCell <- function( .regionId, .cell=vtkCell(), .cellRegion){
    check.VTK(.cell,"vtkCell")
    res<-.Call("R_vtkBSPIntersections_IntersectsCell",.me$obj, .regionId, .cell$obj, .cellRegion,PACKAGE="RVTK")
    res$.cell <- vtkCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntersectsCell_v1 <- function( .ids, .len, .cell=vtkCell(), .cellRegion){
    check.VTK(.cell,"vtkCell")
    res<-.Call("R_vtkBSPIntersections_IntersectsCell_v1",.me$obj, .ids, .len, .cell$obj, .cellRegion,PACKAGE="RVTK")
    res$.cell <- vtkCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComputeIntersectionsUsingDataBounds <- function(){
    res<-.Call("R_vtkBSPIntersections_GetComputeIntersectionsUsingDataBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComputeIntersectionsUsingDataBounds <- function( .c){
    res<-.Call("R_vtkBSPIntersections_SetComputeIntersectionsUsingDataBounds",.me$obj, .c,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeIntersectionsUsingDataBoundsOn <- function(){
    res<-.Call("R_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeIntersectionsUsingDataBoundsOff <- function(){
    res<-.Call("R_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBSPIntersections_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBSPIntersections",class(.me))
  return(.me)
}
}
