if (R.VTK.BASE==1){
vtkBandedPolyDataContourFilter <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBandedPolyDataContourFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBandedPolyDataContourFilter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBandedPolyDataContourFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBandedPolyDataContourFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBandedPolyDataContourFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetValue <- function( .i, .value){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetValue",.me$obj, .i, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValue <- function( .i){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetValue",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetValues",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetValues_v1 <- function( .contourValues){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetValues_v1",.me$obj, .contourValues,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfContours <- function( .number){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetNumberOfContours",.me$obj, .number,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfContours <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetNumberOfContours",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues <- function( .numContours, .range){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GenerateValues",.me$obj, .numContours, .range,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateValues_v1 <- function( .numContours, .rangeStart, .rangeEnd){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GenerateValues_v1",.me$obj, .numContours, .rangeStart, .rangeEnd,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClipping <- function( ._arg){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetClipping",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClipping <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetClipping",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClippingOn <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_ClippingOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClippingOff <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_ClippingOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMode <- function( ._arg){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetScalarMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarModeMinValue <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetScalarModeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarModeMaxValue <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetScalarModeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMode <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetScalarMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToIndex <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetScalarModeToIndex",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToValue <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetScalarModeToValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGenerateContourEdges <- function( ._arg){
    res<-.Call("R_vtkBandedPolyDataContourFilter_SetGenerateContourEdges",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenerateContourEdges <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetGenerateContourEdges",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateContourEdgesOn <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GenerateContourEdgesOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateContourEdgesOff <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GenerateContourEdgesOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetContourEdgesOutput <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetContourEdgesOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkBandedPolyDataContourFilter_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBandedPolyDataContourFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBandedPolyDataContourFilter",class(.me))
  return(.me)
}
}
