if (R.VTK.BASE==1){
vtkBoxClipDataSet <- function(.me=environment()){
  .me <- vtkUnstructuredGridAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBoxClipDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBoxClipDataSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBoxClipDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBoxClipDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBoxClipDataSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkBoxClipDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoxClip <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkBoxClipDataSet_SetBoxClip",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoxClip_v1 <- function( .n0, .o0, .n1, .o1, .n2, .o2, .n3, .o3, .n4, .o4, .n5, .o5){
    res<-.Call("R_vtkBoxClipDataSet_SetBoxClip_v1",.me$obj, .n0, .o0, .n1, .o1, .n2, .o2, .n3, .o3, .n4, .o4, .n5, .o5,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGenerateClipScalars <- function( ._arg){
    res<-.Call("R_vtkBoxClipDataSet_SetGenerateClipScalars",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenerateClipScalars <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetGenerateClipScalars",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateClipScalarsOn <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GenerateClipScalarsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateClipScalarsOff <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GenerateClipScalarsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGenerateClippedOutput <- function( ._arg){
    res<-.Call("R_vtkBoxClipDataSet_SetGenerateClippedOutput",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenerateClippedOutput <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetGenerateClippedOutput",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateClippedOutputOn <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GenerateClippedOutputOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateClippedOutputOff <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GenerateClippedOutputOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClippedOutput <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetClippedOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfOutputs <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetNumberOfOutputs",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkPointLocator()){
    check.VTK(.locator,"vtkPointLocator")
    res<-.Call("R_vtkBoxClipDataSet_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK")
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetLocator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLocator <- function(){
    res<-.Call("R_vtkBoxClipDataSet_CreateDefaultLocator",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation <- function(){
    res<-.Call("R_vtkBoxClipDataSet_GetOrientation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrientation <- function( ._arg){
    res<-.Call("R_vtkBoxClipDataSet_SetOrientation",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MinEdgeF <- function( .id_v, .cellIds, .edgF){
    res<-.Call("R_vtkBoxClipDataSet_MinEdgeF",.me$obj, .id_v, .cellIds, .edgF,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PyramidToTetra <- function( .pyramId, .cellIds, .newCellArray=vtkCellArray()){
    check.VTK(.newCellArray,"vtkCellArray")
    res<-.Call("R_vtkBoxClipDataSet_PyramidToTetra",.me$obj, .pyramId, .cellIds, .newCellArray$obj,PACKAGE="RVTK")
    res$.newCellArray <- vtkCellArray(wrapenv(res$.newCellArray))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WedgeToTetra <- function( .wedgeId, .cellIds, .newCellArray=vtkCellArray()){
    check.VTK(.newCellArray,"vtkCellArray")
    res<-.Call("R_vtkBoxClipDataSet_WedgeToTetra",.me$obj, .wedgeId, .cellIds, .newCellArray$obj,PACKAGE="RVTK")
    res$.newCellArray <- vtkCellArray(wrapenv(res$.newCellArray))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CellGrid <- function( .typeobj, .npts, .cellIds, .newCellArray=vtkCellArray()){
    check.VTK(.newCellArray,"vtkCellArray")
    res<-.Call("R_vtkBoxClipDataSet_CellGrid",.me$obj, .typeobj, .npts, .cellIds, .newCellArray$obj,PACKAGE="RVTK")
    res$.newCellArray <- vtkCellArray(wrapenv(res$.newCellArray))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateTetra <- function( .npts, .cellIds, .newCellArray=vtkCellArray()){
    check.VTK(.newCellArray,"vtkCellArray")
    res<-.Call("R_vtkBoxClipDataSet_CreateTetra",.me$obj, .npts, .cellIds, .newCellArray$obj,PACKAGE="RVTK")
    res$.newCellArray <- vtkCellArray(wrapenv(res$.newCellArray))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipBox <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipBox",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipHexahedron <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipHexahedron",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipBox2D <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipBox2D",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipHexahedron2D <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .tets=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.tets,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipHexahedron2D",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .tets$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.tets <- vtkCellArray(wrapenv(res$.tets))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipBox1D <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .lines=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipBox1D",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .lines$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipHexahedron1D <- function( .newPoints=vtkPoints(), .cell=vtkGenericCell(), .locator=vtkPointLocator(), .lines=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.newPoints,"vtkPoints")
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.lines,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipHexahedron1D",.me$obj, .newPoints$obj, .cell$obj, .locator$obj, .lines$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.newPoints <- vtkPoints(wrapenv(res$.newPoints))
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.lines <- vtkCellArray(wrapenv(res$.lines))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipBox0D <- function( .cell=vtkGenericCell(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipBox0D",.me$obj, .cell$obj, .locator$obj, .verts$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClipHexahedron0D <- function( .cell=vtkGenericCell(), .locator=vtkPointLocator(), .verts=vtkCellArray(), .inPD=vtkPointData(), .outPD=vtkPointData(), .inCD=vtkCellData(), .cellId, .outCD=vtkCellData()){
    check.VTK(.cell,"vtkGenericCell")
    check.VTK(.locator,"vtkPointLocator")
    check.VTK(.verts,"vtkCellArray")
    check.VTK(.inPD,"vtkPointData")
    check.VTK(.outPD,"vtkPointData")
    check.VTK(.inCD,"vtkCellData")
    check.VTK(.outCD,"vtkCellData")
    res<-.Call("R_vtkBoxClipDataSet_ClipHexahedron0D",.me$obj, .cell$obj, .locator$obj, .verts$obj, .inPD$obj, .outPD$obj, .inCD$obj, .cellId, .outCD$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    res$.locator <- vtkPointLocator(wrapenv(res$.locator))
    res$.verts <- vtkCellArray(wrapenv(res$.verts))
    res$.inPD <- vtkPointData(wrapenv(res$.inPD))
    res$.outPD <- vtkPointData(wrapenv(res$.outPD))
    res$.inCD <- vtkCellData(wrapenv(res$.inCD))
    res$.outCD <- vtkCellData(wrapenv(res$.outCD))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBoxClipDataSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBoxClipDataSet",class(.me))
  return(.me)
}
}
