if (R.VTK.BASE==1){
vtkCollection <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCollection_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCollection_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkObject()){
    check.VTK(.a,"vtkObject")
    res<-.Call("R_vtkCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkObject(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReplaceItem <- function( .i, .a=vtkObject()){
    check.VTK(.a,"vtkObject")
    res<-.Call("R_vtkCollection_ReplaceItem",.me$obj, .i, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkObject(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveItem <- function( .i){
    res<-.Call("R_vtkCollection_RemoveItem",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveItem_v1 <- function( .a=vtkObject()){
    check.VTK(.a,"vtkObject")
    res<-.Call("R_vtkCollection_RemoveItem_v1",.me$obj, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkObject(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllItems <- function(){
    res<-.Call("R_vtkCollection_RemoveAllItems",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsItemPresent <- function( .a=vtkObject()){
    check.VTK(.a,"vtkObject")
    res<-.Call("R_vtkCollection_IsItemPresent",.me$obj, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkObject(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfItems <- function(){
    res<-.Call("R_vtkCollection_GetNumberOfItems",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal <- function(){
    res<-.Call("R_vtkCollection_InitTraversal",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitTraversal_v1 <- function( .cookie){
    res<-.Call("R_vtkCollection_InitTraversal_v1",.me$obj, .cookie,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItemAsObject <- function(){
    res<-.Call("R_vtkCollection_GetNextItemAsObject",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetItemAsObject <- function( .i){
    res<-.Call("R_vtkCollection_GetItemAsObject",.me$obj, .i,PACKAGE="RVTK")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItemAsObject_v1 <- function( .cookie){
    res<-.Call("R_vtkCollection_GetNextItemAsObject_v1",.me$obj, .cookie,PACKAGE="RVTK")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkCollection_NewIterator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCollectionIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Register <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCollection_Register",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCollection_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCollection",class(.me))
  return(.me)
}
}
