"[<-.vtkDataArray" <- function(object,i1=NULL,i2=NULL,value){
  value<-as.matrix(value)
  if(is.null(i1)&&is.null(i2)){
    object$Initialize()
    object$SetNumberOfComponents(dim(value)[2])

    object$Allocate(prod(dim(value)),1000)
    object$SetNumberOfTuples(dim(value)[1])
  }
  
  if(is.null(i1)){
    i1<-1:dim(value)[1]
  } else {
    if (length(i1)!=dim(value)[1]){
      stop("Nonmatching index and value dimension on x component!")
    }
    if(object$GetNumberOfTuples()<max(i1)){
      stop("x subscript out of bounds")
    }
  }
 
  if(is.null(i2)){
    i2<-1:dim(value)[2]
  } else {
    if (length(i2)!=dim(value)[2]){
      stop("Nonmatching index and value dimension on y component!")
    }
    if(object$GetNumberOfComponents()<max(i2)){
      stop("y subscript out of bounds")
    }
  }
  .Call("R_vtkDataArray_SetArrayData",object$obj,i1,i2,value,PACKAGE="RVTK")
#  for (i in seq(along=i1)){
#    for (j in seq(along=i2)){
#        object$SetComponent(i1[i]-1,i2[j]-1,value[i,j])
#      }
#  }
  return(object)
}

"[.vtkDataArray"<-function(object,i1=NULL,i2=NULL){
  i <- object$GetNumberOfTuples()
  j <- object$GetNumberOfComponents()
  if(is.null(i1)){
    i1<-1:i
  }
  if(is.null(i2)){
    i2<-1:j
  } 
  if((max(i1)>i) || (max(i2)>j)){
     stop("Subscript out of bounds")
  }
#  value<-matrix(nrow=length(i1),ncol=length(i2))
#  for (I in seq(along=i1)){
#    for (J in seq(along=i2)){
#        value[I,J] <- object$GetComponent(i1[I]-1,i2[J]-1)
#      }
#  }
   value <- .Call("R_vtkDataArray_GetArrayData",object$obj,i1,i2,PACKAGE="RVTK")
   dim(value) <- c(length(i1),length(i2))
   return(value)
}

DoubleArray<-function(z){
  vtkDoubleArray()->temp0
  temp0[]<-z
  return(temp0)
}

FloatArray<-function(z){
  vtkFloatArray()->temp0
  temp0[]<-z
  return(temp0)
}

IdTypeArray <- function(z){
  vtkIdTypeArray()->temp0
  temp0[]<-z
  return(temp0)
}
