if (R.VTK.BASE==1){
vtkDataArraySelection <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataArraySelection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataArraySelection_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataArraySelection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataArraySelection_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EnableArray <- function( .name){
    res<-.Call("R_vtkDataArraySelection_EnableArray",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableArray <- function( .name){
    res<-.Call("R_vtkDataArraySelection_DisableArray",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ArrayIsEnabled <- function( .name){
    res<-.Call("R_vtkDataArraySelection_ArrayIsEnabled",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ArrayExists <- function( .name){
    res<-.Call("R_vtkDataArraySelection_ArrayExists",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EnableAllArrays <- function(){
    res<-.Call("R_vtkDataArraySelection_EnableAllArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableAllArrays <- function(){
    res<-.Call("R_vtkDataArraySelection_DisableAllArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfArrays <- function(){
    res<-.Call("R_vtkDataArraySelection_GetNumberOfArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfArraysEnabled <- function(){
    res<-.Call("R_vtkDataArraySelection_GetNumberOfArraysEnabled",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayName <- function( .index){
    res<-.Call("R_vtkDataArraySelection_GetArrayName",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayIndex <- function( .name){
    res<-.Call("R_vtkDataArraySelection_GetArrayIndex",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEnabledArrayIndex <- function( .name){
    res<-.Call("R_vtkDataArraySelection_GetEnabledArrayIndex",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArraySetting <- function( .index){
    res<-.Call("R_vtkDataArraySelection_GetArraySetting",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllArrays <- function(){
    res<-.Call("R_vtkDataArraySelection_RemoveAllArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddArray <- function( .name){
    res<-.Call("R_vtkDataArraySelection_AddArray",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveArrayByIndex <- function( .index){
    res<-.Call("R_vtkDataArraySelection_RemoveArrayByIndex",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveArrayByName <- function( .name){
    res<-.Call("R_vtkDataArraySelection_RemoveArrayByName",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopySelections <- function( .selections=vtkDataArraySelection()){
    check.VTK(.selections,"vtkDataArraySelection")
    res<-.Call("R_vtkDataArraySelection_CopySelections",.me$obj, .selections$obj,PACKAGE="RVTK")
    res$.selections <- vtkDataArraySelection(wrapenv(res$.selections))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataArraySelection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataArraySelection",class(.me))
  return(.me)
}
}
