if (R.VTK.BASE==1){
vtkDataObject <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataObject_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataObject_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObject_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataObject_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkDataObject_GetSource",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .newSource=vtkSource()){
    check.VTK(.newSource,"vtkSource")
    res<-.Call("R_vtkDataObject_SetSource",.me$obj, .newSource$obj,PACKAGE="RVTK")
    res$.newSource <- vtkSource(wrapenv(res$.newSource))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInformation <- function(){
    res<-.Call("R_vtkDataObject_GetInformation",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInformation <- function( ._arg=vtkInformation()){
    check.VTK(._arg,"vtkInformation")
    res<-.Call("R_vtkDataObject_SetInformation",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkInformation(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPipelineInformation <- function(){
    res<-.Call("R_vtkDataObject_GetPipelineInformation",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPipelineInformation <- function( .newInfo=vtkInformation()){
    check.VTK(.newInfo,"vtkInformation")
    res<-.Call("R_vtkDataObject_SetPipelineInformation",.me$obj, .newInfo$obj,PACKAGE="RVTK")
    res$.newInfo <- vtkInformation(wrapenv(res$.newInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProducerPort <- function(){
    res<-.Call("R_vtkDataObject_GetProducerPort",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAlgorithmOutput(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkDataObject_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkDataObject_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseData <- function(){
    res<-.Call("R_vtkDataObject_ReleaseData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShouldIReleaseData <- function(){
    res<-.Call("R_vtkDataObject_ShouldIReleaseData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataReleased <- function(){
    res<-.Call("R_vtkDataObject_GetDataReleased",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReleaseDataFlag <- function( .value){
    res<-.Call("R_vtkDataObject_SetReleaseDataFlag",.me$obj, .value,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReleaseDataFlag <- function(){
    res<-.Call("R_vtkDataObject_GetReleaseDataFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkDataObject_ReleaseDataFlagOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkDataObject_ReleaseDataFlagOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlobalReleaseDataFlag <- function( .val){
    res<-.Call("R_vtkDataObject_SetGlobalReleaseDataFlag",.me$obj, .val,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalReleaseDataFlagOn <- function(){
    res<-.Call("R_vtkDataObject_GlobalReleaseDataFlagOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalReleaseDataFlagOff <- function(){
    res<-.Call("R_vtkDataObject_GlobalReleaseDataFlagOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlobalReleaseDataFlag <- function(){
    res<-.Call("R_vtkDataObject_GetGlobalReleaseDataFlag",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldData <- function( ._arg=vtkFieldData()){
    check.VTK(._arg,"vtkFieldData")
    res<-.Call("R_vtkDataObject_SetFieldData",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkFieldData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldData <- function(){
    res<-.Call("R_vtkDataObject_GetFieldData",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkFieldData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Register <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObject_Register",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataObject_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkDataObject_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateInformation <- function(){
    res<-.Call("R_vtkDataObject_UpdateInformation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PropagateUpdateExtent <- function(){
    res<-.Call("R_vtkDataObject_PropagateUpdateExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TriggerAsynchronousUpdate <- function(){
    res<-.Call("R_vtkDataObject_TriggerAsynchronousUpdate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateData <- function(){
    res<-.Call("R_vtkDataObject_UpdateData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEstimatedMemorySize <- function(){
    res<-.Call("R_vtkDataObject_GetEstimatedMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent <- function( .piece, .numPieces, .ghostLevel){
    res<-.Call("R_vtkDataObject_SetUpdateExtent",.me$obj, .piece, .numPieces, .ghostLevel,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v1 <- function( .piece, .numPieces){
    res<-.Call("R_vtkDataObject_SetUpdateExtent_v1",.me$obj, .piece, .numPieces,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v2 <- function( .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkDataObject_SetUpdateExtent_v2",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtent_v3 <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_SetUpdateExtent_v3",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v1 <- function( .x0=as.integer(rep.int(1,1)), .x1=as.integer(rep.int(1,1)), .y0=as.integer(rep.int(1,1)), .y1=as.integer(rep.int(1,1)), .z0=as.integer(rep.int(1,1)), .z1=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkDataObject_GetUpdateExtent_v1",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateExtent_v2 <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_GetUpdateExtent_v2",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkDataObject_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateTime <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateExtentToWholeExtent <- function(){
    res<-.Call("R_vtkDataObject_SetUpdateExtentToWholeExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPipelineMTime <- function(){
    res<-.Call("R_vtkDataObject_GetPipelineMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkDataObject_GetActualMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyInformation <- function( .data=vtkDataObject()){
    check.VTK(.data,"vtkDataObject")
    res<-.Call("R_vtkDataObject_CopyInformation",.me$obj, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkDataObject(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyTypeSpecificInformation <- function( .data=vtkDataObject()){
    check.VTK(.data,"vtkDataObject")
    res<-.Call("R_vtkDataObject_CopyTypeSpecificInformation",.me$obj, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkDataObject(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdatePiece <- function( .piece){
    res<-.Call("R_vtkDataObject_SetUpdatePiece",.me$obj, .piece,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateNumberOfPieces <- function( .n){
    res<-.Call("R_vtkDataObject_SetUpdateNumberOfPieces",.me$obj, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdatePiece <- function(){
    res<-.Call("R_vtkDataObject_GetUpdatePiece",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateNumberOfPieces <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateNumberOfPieces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUpdateGhostLevel <- function( .level){
    res<-.Call("R_vtkDataObject_SetUpdateGhostLevel",.me$obj, .level,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUpdateGhostLevel <- function(){
    res<-.Call("R_vtkDataObject_GetUpdateGhostLevel",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRequestExactExtent <- function( .flag){
    res<-.Call("R_vtkDataObject_SetRequestExactExtent",.me$obj, .flag,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRequestExactExtent <- function(){
    res<-.Call("R_vtkDataObject_GetRequestExactExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequestExactExtentOn <- function(){
    res<-.Call("R_vtkDataObject_RequestExactExtentOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RequestExactExtentOff <- function(){
    res<-.Call("R_vtkDataObject_RequestExactExtentOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent <- function( .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkDataObject_SetWholeExtent",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent_v1 <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_SetWholeExtent_v1",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent <- function(){
    res<-.Call("R_vtkDataObject_GetWholeExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v1 <- function( .x0=as.integer(rep.int(1,1)), .x1=as.integer(rep.int(1,1)), .y0=as.integer(rep.int(1,1)), .y1=as.integer(rep.int(1,1)), .z0=as.integer(rep.int(1,1)), .z1=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkDataObject_GetWholeExtent_v1",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeExtent_v2 <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_GetWholeExtent_v2",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeBoundingBox <- function( .x0, .x1, .y0, .y1, .z0, .z1){
    res<-.Call("R_vtkDataObject_SetWholeBoundingBox",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeBoundingBox_v1 <- function( .bb=as.double(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_SetWholeBoundingBox_v1",.me$obj, .bb,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeBoundingBox <- function(){
    res<-.Call("R_vtkDataObject_GetWholeBoundingBox",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeBoundingBox_v1 <- function( .x0=as.double(rep.int(1,1)), .x1=as.double(rep.int(1,1)), .y0=as.double(rep.int(1,1)), .y1=as.double(rep.int(1,1)), .z0=as.double(rep.int(1,1)), .z1=as.double(rep.int(1,1))){
    res<-.Call("R_vtkDataObject_GetWholeBoundingBox_v1",.me$obj, .x0, .x1, .y0, .y1, .z0, .z1,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeBoundingBox_v2 <- function( .extent=as.double(rep.int(1,6))){
    res<-.Call("R_vtkDataObject_GetWholeBoundingBox_v2",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfPieces <- function( .n){
    res<-.Call("R_vtkDataObject_SetMaximumNumberOfPieces",.me$obj, .n,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfPieces <- function(){
    res<-.Call("R_vtkDataObject_GetMaximumNumberOfPieces",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyInformationToPipeline <- function( .request=vtkInformation(), .input=vtkInformation()){
    check.VTK(.request,"vtkInformation")
    check.VTK(.input,"vtkInformation")
    res<-.Call("R_vtkDataObject_CopyInformationToPipeline",.me$obj, .request$obj, .input$obj,PACKAGE="RVTK")
    res$.request <- vtkInformation(wrapenv(res$.request))
    res$.input <- vtkInformation(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveFieldInformation <- function( .info=vtkInformation(), .fieldAssociation, .attributeType){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_GetActiveFieldInformation",.me$obj, .info$obj, .fieldAssociation, .attributeType,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNamedFieldInformation <- function( .info=vtkInformation(), .fieldAssociation, .name){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_GetNamedFieldInformation",.me$obj, .info$obj, .fieldAssociation, .name,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveNamedFieldInformation <- function( .info=vtkInformation(), .fieldAssociation, .name){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_RemoveNamedFieldInformation",.me$obj, .info$obj, .fieldAssociation, .name,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetActiveAttribute <- function( .info=vtkInformation(), .fieldAssociation, .attributeName, .attributeType){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_SetActiveAttribute",.me$obj, .info$obj, .fieldAssociation, .attributeName, .attributeType,PACKAGE="RVTK")
    res$ret.val <- vtkInformation(wrapenv(res$ret.val))
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetActiveAttributeInfo <- function( .info=vtkInformation(), .fieldAssociation, .attributeType, .name, .arrayType, .numComponents, .numTuples){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_SetActiveAttributeInfo",.me$obj, .info$obj, .fieldAssociation, .attributeType, .name, .arrayType, .numComponents, .numTuples,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointDataActiveScalarInfo <- function( .info=vtkInformation(), .arrayType, .numComponents){
    check.VTK(.info,"vtkInformation")
    res<-.Call("R_vtkDataObject_SetPointDataActiveScalarInfo",.me$obj, .info$obj, .arrayType, .numComponents,PACKAGE="RVTK")
    res$.info <- vtkInformation(wrapenv(res$.info))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DataHasBeenGenerated <- function(){
    res<-.Call("R_vtkDataObject_DataHasBeenGenerated",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PrepareForNewData <- function(){
    res<-.Call("R_vtkDataObject_PrepareForNewData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkDataObject_ShallowCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkDataObject_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtentTranslator <- function( .translator=vtkExtentTranslator()){
    check.VTK(.translator,"vtkExtentTranslator")
    res<-.Call("R_vtkDataObject_SetExtentTranslator",.me$obj, .translator$obj,PACKAGE="RVTK")
    res$.translator <- vtkExtentTranslator(wrapenv(res$.translator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentTranslator <- function(){
    res<-.Call("R_vtkDataObject_GetExtentTranslator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExtentTranslator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentType <- function(){
    res<-.Call("R_vtkDataObject_GetExtentType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Crop <- function(){
    res<-.Call("R_vtkDataObject_Crop",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_TYPE_NAME <- function(){
    res<-.Call("R_vtkDataObject_DATA_TYPE_NAME",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationStringKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_OBJECT <- function(){
    res<-.Call("R_vtkDataObject_DATA_OBJECT",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationDataObjectKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_EXTENT_TYPE <- function(){
    res<-.Call("R_vtkDataObject_DATA_EXTENT_TYPE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_EXTENT <- function(){
    res<-.Call("R_vtkDataObject_DATA_EXTENT",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerPointerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_PIECE_NUMBER <- function(){
    res<-.Call("R_vtkDataObject_DATA_PIECE_NUMBER",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_NUMBER_OF_PIECES <- function(){
    res<-.Call("R_vtkDataObject_DATA_NUMBER_OF_PIECES",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_NUMBER_OF_GHOST_LEVELS <- function(){
    res<-.Call("R_vtkDataObject_DATA_NUMBER_OF_GHOST_LEVELS",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_TIME_INDEX <- function(){
    res<-.Call("R_vtkDataObject_DATA_TIME_INDEX",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DATA_TIME <- function(){
    res<-.Call("R_vtkDataObject_DATA_TIME",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationDoubleKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$POINT_DATA_VECTOR <- function(){
    res<-.Call("R_vtkDataObject_POINT_DATA_VECTOR",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationInformationVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CELL_DATA_VECTOR <- function(){
    res<-.Call("R_vtkDataObject_CELL_DATA_VECTOR",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationInformationVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_ARRAY_TYPE <- function(){
    res<-.Call("R_vtkDataObject_FIELD_ARRAY_TYPE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_ASSOCIATION <- function(){
    res<-.Call("R_vtkDataObject_FIELD_ASSOCIATION",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_ATTRIBUTE_TYPE <- function(){
    res<-.Call("R_vtkDataObject_FIELD_ATTRIBUTE_TYPE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_ACTIVE_ATTRIBUTE <- function(){
    res<-.Call("R_vtkDataObject_FIELD_ACTIVE_ATTRIBUTE",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_NUMBER_OF_COMPONENTS <- function(){
    res<-.Call("R_vtkDataObject_FIELD_NUMBER_OF_COMPONENTS",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_NUMBER_OF_TUPLES <- function(){
    res<-.Call("R_vtkDataObject_FIELD_NUMBER_OF_TUPLES",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_OPERATION <- function(){
    res<-.Call("R_vtkDataObject_FIELD_OPERATION",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FIELD_NAME <- function(){
    res<-.Call("R_vtkDataObject_FIELD_NAME",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationStringKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ORIGIN <- function(){
    res<-.Call("R_vtkDataObject_ORIGIN",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationDoubleVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SPACING <- function(){
    res<-.Call("R_vtkDataObject_SPACING",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationDoubleVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataObject_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataObject",class(.me))
  return(.me)
}
}
