if (R.VTK.BASE==1){
vtkDataSetReader <- function(.me=environment()){
  .me <- vtkDataReader(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataSetReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataSetReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataSetReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSetReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataSetReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSetReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .idx){
    res<-.Call("R_vtkDataSetReader_GetOutput_v1",.me$obj, .idx,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetPolyDataOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredPointsOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetStructuredPointsOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStructuredGridOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetStructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUnstructuredGridOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetUnstructuredGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRectilinearGridOutput <- function(){
    res<-.Call("R_vtkDataSetReader_GetRectilinearGridOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRectilinearGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadOutputType <- function(){
    res<-.Call("R_vtkDataSetReader_ReadOutputType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataSetReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataSetReader",class(.me))
  return(.me)
}
}
