if (R.VTK.BASE==1){
vtkDelaunay2D <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDelaunay2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDelaunay2D_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDelaunay2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDelaunay2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDelaunay2D_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDelaunay2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .input=vtkPolyData()){
    check.VTK(.input,"vtkPolyData")
    res<-.Call("R_vtkDelaunay2D_SetSource",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkPolyData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkDelaunay2D_GetSource",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlpha <- function( ._arg){
    res<-.Call("R_vtkDelaunay2D_SetAlpha",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaMinValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetAlphaMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaMaxValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetAlphaMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlpha <- function(){
    res<-.Call("R_vtkDelaunay2D_GetAlpha",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTolerance <- function( ._arg){
    res<-.Call("R_vtkDelaunay2D_SetTolerance",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMinValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetToleranceMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetToleranceMaxValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetToleranceMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTolerance <- function(){
    res<-.Call("R_vtkDelaunay2D_GetTolerance",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffset <- function( ._arg){
    res<-.Call("R_vtkDelaunay2D_SetOffset",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffsetMinValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetOffsetMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffsetMaxValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetOffsetMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffset <- function(){
    res<-.Call("R_vtkDelaunay2D_GetOffset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBoundingTriangulation <- function( ._arg){
    res<-.Call("R_vtkDelaunay2D_SetBoundingTriangulation",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBoundingTriangulation <- function(){
    res<-.Call("R_vtkDelaunay2D_GetBoundingTriangulation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoundingTriangulationOn <- function(){
    res<-.Call("R_vtkDelaunay2D_BoundingTriangulationOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoundingTriangulationOff <- function(){
    res<-.Call("R_vtkDelaunay2D_BoundingTriangulationOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransform <- function( ._arg=vtkAbstractTransform()){
    check.VTK(._arg,"vtkAbstractTransform")
    res<-.Call("R_vtkDelaunay2D_SetTransform",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkAbstractTransform(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransform <- function(){
    res<-.Call("R_vtkDelaunay2D_GetTransform",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionPlaneMode <- function( ._arg){
    res<-.Call("R_vtkDelaunay2D_SetProjectionPlaneMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionPlaneModeMinValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetProjectionPlaneModeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionPlaneModeMaxValue <- function(){
    res<-.Call("R_vtkDelaunay2D_GetProjectionPlaneModeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionPlaneMode <- function(){
    res<-.Call("R_vtkDelaunay2D_GetProjectionPlaneMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDelaunay2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDelaunay2D",class(.me))
  return(.me)
}
}
