if (R.VTK.BASE==1){
vtkExtractGeometry <- function(.me=environment()){
  .me <- vtkUnstructuredGridAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkExtractGeometry_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkExtractGeometry_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkExtractGeometry_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExtractGeometry(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkExtractGeometry_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkExtractGeometry(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkExtractGeometry_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImplicitFunction <- function( ._arg=vtkImplicitFunction()){
    check.VTK(._arg,"vtkImplicitFunction")
    res<-.Call("R_vtkExtractGeometry_SetImplicitFunction",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkImplicitFunction(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImplicitFunction <- function(){
    res<-.Call("R_vtkExtractGeometry_GetImplicitFunction",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImplicitFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractInside <- function( ._arg){
    res<-.Call("R_vtkExtractGeometry_SetExtractInside",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractInside <- function(){
    res<-.Call("R_vtkExtractGeometry_GetExtractInside",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractInsideOn <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractInsideOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractInsideOff <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractInsideOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractBoundaryCells <- function( ._arg){
    res<-.Call("R_vtkExtractGeometry_SetExtractBoundaryCells",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractBoundaryCells <- function(){
    res<-.Call("R_vtkExtractGeometry_GetExtractBoundaryCells",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractBoundaryCellsOn <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractBoundaryCellsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractBoundaryCellsOff <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractBoundaryCellsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtractOnlyBoundaryCells <- function( ._arg){
    res<-.Call("R_vtkExtractGeometry_SetExtractOnlyBoundaryCells",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtractOnlyBoundaryCells <- function(){
    res<-.Call("R_vtkExtractGeometry_GetExtractOnlyBoundaryCells",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractOnlyBoundaryCellsOn <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractOnlyBoundaryCellsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExtractOnlyBoundaryCellsOff <- function(){
    res<-.Call("R_vtkExtractGeometry_ExtractOnlyBoundaryCellsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkExtractGeometry_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkExtractGeometry",class(.me))
  return(.me)
}
}
