if (R.VTK.BASE==1){
vtkGenericAttributeCollection <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGenericAttributeCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGenericAttributeCollection_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGenericAttributeCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericAttributeCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericAttributeCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfAttributes <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetNumberOfAttributes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfComponents <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetNumberOfComponents",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointCenteredComponents <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetNumberOfPointCenteredComponents",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxNumberOfComponents <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetMaxNumberOfComponents",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetActualMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsEmpty <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_IsEmpty",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttribute <- function( .i){
    res<-.Call("R_vtkGenericAttributeCollection_GetAttribute",.me$obj, .i,PACKAGE="RVTK")
    res$ret.val <- vtkGenericAttribute(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindAttribute <- function( .name){
    res<-.Call("R_vtkGenericAttributeCollection_FindAttribute",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributeIndex <- function( .i){
    res<-.Call("R_vtkGenericAttributeCollection_GetAttributeIndex",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertNextAttribute <- function( .a=vtkGenericAttribute()){
    check.VTK(.a,"vtkGenericAttribute")
    res<-.Call("R_vtkGenericAttributeCollection_InsertNextAttribute",.me$obj, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkGenericAttribute(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsertAttribute <- function( .i, .a=vtkGenericAttribute()){
    check.VTK(.a,"vtkGenericAttribute")
    res<-.Call("R_vtkGenericAttributeCollection_InsertAttribute",.me$obj, .i, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkGenericAttribute(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAttribute <- function( .i){
    res<-.Call("R_vtkGenericAttributeCollection_RemoveAttribute",.me$obj, .i,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .other=vtkGenericAttributeCollection()){
    check.VTK(.other,"vtkGenericAttributeCollection")
    res<-.Call("R_vtkGenericAttributeCollection_DeepCopy",.me$obj, .other$obj,PACKAGE="RVTK")
    res$.other <- vtkGenericAttributeCollection(wrapenv(res$.other))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .other=vtkGenericAttributeCollection()){
    check.VTK(.other,"vtkGenericAttributeCollection")
    res<-.Call("R_vtkGenericAttributeCollection_ShallowCopy",.me$obj, .other$obj,PACKAGE="RVTK")
    res$.other <- vtkGenericAttributeCollection(wrapenv(res$.other))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveAttribute <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetActiveAttribute",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveComponent <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetActiveComponent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetActiveAttribute <- function( .attribute, .component){
    res<-.Call("R_vtkGenericAttributeCollection_SetActiveAttribute",.me$obj, .attribute, .component,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfAttributesToInterpolate <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetNumberOfAttributesToInterpolate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttributesToInterpolate <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_GetAttributesToInterpolate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasAttribute <- function( .size, .attributes, .attribute){
    res<-.Call("R_vtkGenericAttributeCollection_HasAttribute",.me$obj, .size, .attributes, .attribute,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributesToInterpolate <- function( .size, .attributes){
    res<-.Call("R_vtkGenericAttributeCollection_SetAttributesToInterpolate",.me$obj, .size, .attributes,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttributesToInterpolateToAll <- function(){
    res<-.Call("R_vtkGenericAttributeCollection_SetAttributesToInterpolateToAll",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGenericAttributeCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGenericAttributeCollection",class(.me))
  return(.me)
}
}
