if (R.VTK.BASE==1){
vtkGenericDataSetAlgorithm <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGenericDataSetAlgorithm_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGenericDataSetAlgorithm_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGenericDataSetAlgorithm_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericDataSetAlgorithm(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGenericDataSetAlgorithm_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericDataSetAlgorithm(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function(){
    res<-.Call("R_vtkGenericDataSetAlgorithm_GetOutput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput_v1 <- function( .port){
    res<-.Call("R_vtkGenericDataSetAlgorithm_GetOutput_v1",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkGenericDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutput <- function( .d=vtkDataObject()){
    check.VTK(.d,"vtkDataObject")
    res<-.Call("R_vtkGenericDataSetAlgorithm_SetOutput",.me$obj, .d$obj,PACKAGE="RVTK")
    res$.d <- vtkDataObject(wrapenv(res$.d))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkGenericDataSetAlgorithm_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput_v1 <- function( .port){
    res<-.Call("R_vtkGenericDataSetAlgorithm_GetInput_v1",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDataSetInput <- function( .port){
    res<-.Call("R_vtkGenericDataSetAlgorithm_GetGenericDataSetInput",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkGenericDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkGenericDataSetAlgorithm_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkGenericDataSetAlgorithm_SetInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkGenericDataSetAlgorithm_AddInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkGenericDataSetAlgorithm_AddInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkGenericDataSetAlgorithm",class(.me))
  return(.me)
}
}
