if (R.VTK.BASE==1){
vtkHierarchicalBoxDataSet <- function(.me=environment()){
  .me <- vtkHierarchicalDataSet(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalBoxDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalBoxDataSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalBoxDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalBoxDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalBoxDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( .level, .id, .box=vtkAMRBox(), .dataSet=vtkUniformGrid()){
    check.VTK(.box,"vtkAMRBox")
    check.VTK(.dataSet,"vtkUniformGrid")
    res<-.Call("R_vtkHierarchicalBoxDataSet_SetDataSet",.me$obj, .level, .id, .box$obj, .dataSet$obj,PACKAGE="RVTK")
    res$.box <- vtkAMRBox(wrapenv(res$.box))
    res$.dataSet <- vtkUniformGrid(wrapenv(res$.dataSet))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet_v1 <- function( .level, .id, .dataSet=vtkDataObject()){
    check.VTK(.dataSet,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalBoxDataSet_SetDataSet_v1",.me$obj, .level, .id, .dataSet$obj,PACKAGE="RVTK")
    res$.dataSet <- vtkDataObject(wrapenv(res$.dataSet))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function( .level, .id, .box=vtkAMRBox()){
    check.VTK(.box,"vtkAMRBox")
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetDataSet",.me$obj, .level, .id, .box$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUniformGrid(wrapenv(res$ret.val))
    res$.box <- vtkAMRBox(wrapenv(res$.box))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet_v1 <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetDataSet_v1",.me$obj, .level, .id,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet_v2 <- function( .index=vtkInformation()){
    check.VTK(.index,"vtkInformation")
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetDataSet_v2",.me$obj, .index$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.index <- vtkInformation(wrapenv(res$.index))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRefinementRatio <- function( .level, .ratio){
    res<-.Call("R_vtkHierarchicalBoxDataSet_SetRefinementRatio",.me$obj, .level, .ratio,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRefinementRatio <- function( .level){
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetRefinementRatio",.me$obj, .level,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GenerateVisibilityArrays <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_GenerateVisibilityArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalBoxDataSet_ShallowCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalBoxDataSet_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BOX <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_BOX",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerVectorKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NUMBER_OF_BLANKED_POINTS <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIdTypeKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkHierarchicalBoxDataSet_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalBoxDataSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalBoxDataSet",class(.me))
  return(.me)
}
}
