if (R.VTK.BASE==1){
vtkHierarchicalDataIterator <- function(.me=environment()){
  .me <- vtkCompositeDataIterator(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalDataIterator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalDataIterator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalDataIterator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataIterator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GoToFirstItem <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_GoToFirstItem",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GoToNextItem <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_GoToNextItem",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsDoneWithTraversal <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_IsDoneWithTraversal",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentDataObject <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_GetCurrentDataObject",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( .dataset=vtkHierarchicalDataSet()){
    check.VTK(.dataset,"vtkHierarchicalDataSet")
    res<-.Call("R_vtkHierarchicalDataIterator_SetDataSet",.me$obj, .dataset$obj,PACKAGE="RVTK")
    res$.dataset <- vtkHierarchicalDataSet(wrapenv(res$.dataset))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function(){
    res<-.Call("R_vtkHierarchicalDataIterator_GetDataSet",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalDataIterator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalDataIterator",class(.me))
  return(.me)
}
}
