if (R.VTK.BASE==1){
vtkHierarchicalDataSet <- function(.me=environment()){
  .me <- vtkCompositeDataSet(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSet_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalDataSet_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalDataSet_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewIterator <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_NewIterator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkCompositeDataIterator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfLevels <- function( .numLevels){
    res<-.Call("R_vtkHierarchicalDataSet_SetNumberOfLevels",.me$obj, .numLevels,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLevels <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetNumberOfLevels",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfDataSets <- function( .level, .numDataSets){
    res<-.Call("R_vtkHierarchicalDataSet_SetNumberOfDataSets",.me$obj, .level, .numDataSets,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfDataSets <- function( .level){
    res<-.Call("R_vtkHierarchicalDataSet_GetNumberOfDataSets",.me$obj, .level,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeNode <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalDataSet_InitializeNode",.me$obj, .level, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataSet <- function( .level, .id, .ds=vtkDataObject()){
    check.VTK(.ds,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_SetDataSet",.me$obj, .level, .id, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkDataObject(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataSet <- function( .index=vtkInformation(), .dobj=vtkDataObject()){
    check.VTK(.index,"vtkInformation")
    check.VTK(.dobj,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_AddDataSet",.me$obj, .index$obj, .dobj$obj,PACKAGE="RVTK")
    res$.index <- vtkInformation(wrapenv(res$.index))
    res$.dobj <- vtkDataObject(wrapenv(res$.dobj))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet <- function( .level, .id){
    res<-.Call("R_vtkHierarchicalDataSet_GetDataSet",.me$obj, .level, .id,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSet_v1 <- function( .index=vtkInformation()){
    check.VTK(.index,"vtkInformation")
    res<-.Call("R_vtkHierarchicalDataSet_GetDataSet_v1",.me$obj, .index$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    res$.index <- vtkInformation(wrapenv(res$.index))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_ShallowCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .src=vtkDataObject()){
    check.VTK(.src,"vtkDataObject")
    res<-.Call("R_vtkHierarchicalDataSet_DeepCopy",.me$obj, .src$obj,PACKAGE="RVTK")
    res$.src <- vtkDataObject(wrapenv(res$.src))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHierarchicalDataInformation <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetHierarchicalDataInformation",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalDataInformation(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHierarchicalDataInformation <- function( ._arg=vtkHierarchicalDataInformation()){
    check.VTK(._arg,"vtkHierarchicalDataInformation")
    res<-.Call("R_vtkHierarchicalDataSet_SetHierarchicalDataInformation",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkHierarchicalDataInformation(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LEVEL <- function(){
    res<-.Call("R_vtkHierarchicalDataSet_LEVEL",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInformationIntegerKey(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalDataSet_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalDataSet",class(.me))
  return(.me)
}
}
