if (R.VTK.RENDERING==1){
vtkHierarchicalPolyDataMapper <- function(.me=environment()){
  .me <- vtkMapper(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkHierarchicalPolyDataMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkHierarchicalPolyDataMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkHierarchicalPolyDataMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalPolyDataMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkHierarchicalPolyDataMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkHierarchicalPolyDataMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .a=vtkActor()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.a,"vtkActor")
    res<-.Call("R_vtkHierarchicalPolyDataMapper_Render",.me$obj, .ren$obj, .a$obj,PACKAGE="RVTK")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.a <- vtkActor(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkHierarchicalPolyDataMapper_GetBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkHierarchicalPolyDataMapper_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkHierarchicalPolyDataMapper_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkHierarchicalPolyDataMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkHierarchicalPolyDataMapper",class(.me))
  return(.me)
}
}
