if (R.VTK.BASE==1){
vtkIdentityTransform <- function(.me=environment()){
  .me <- vtkLinearTransform(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkIdentityTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkIdentityTransform_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkIdentityTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkIdentityTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkIdentityTransform_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkIdentityTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPoints <- function( .inPts=vtkPoints(), .outPts=vtkPoints()){
    check.VTK(.inPts,"vtkPoints")
    check.VTK(.outPts,"vtkPoints")
    res<-.Call("R_vtkIdentityTransform_TransformPoints",.me$obj, .inPts$obj, .outPts$obj,PACKAGE="RVTK")
    res$.inPts <- vtkPoints(wrapenv(res$.inPts))
    res$.outPts <- vtkPoints(wrapenv(res$.outPts))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformNormals <- function( .inNms=vtkDataArray(), .outNms=vtkDataArray()){
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    res<-.Call("R_vtkIdentityTransform_TransformNormals",.me$obj, .inNms$obj, .outNms$obj,PACKAGE="RVTK")
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformVectors <- function( .inNms=vtkDataArray(), .outNms=vtkDataArray()){
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    res<-.Call("R_vtkIdentityTransform_TransformVectors",.me$obj, .inNms$obj, .outNms$obj,PACKAGE="RVTK")
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TransformPointsNormalsVectors <- function( .inPts=vtkPoints(), .outPts=vtkPoints(), .inNms=vtkDataArray(), .outNms=vtkDataArray(), .inVrs=vtkDataArray(), .outVrs=vtkDataArray()){
    check.VTK(.inPts,"vtkPoints")
    check.VTK(.outPts,"vtkPoints")
    check.VTK(.inNms,"vtkDataArray")
    check.VTK(.outNms,"vtkDataArray")
    check.VTK(.inVrs,"vtkDataArray")
    check.VTK(.outVrs,"vtkDataArray")
    res<-.Call("R_vtkIdentityTransform_TransformPointsNormalsVectors",.me$obj, .inPts$obj, .outPts$obj, .inNms$obj, .outNms$obj, .inVrs$obj, .outVrs$obj,PACKAGE="RVTK")
    res$.inPts <- vtkPoints(wrapenv(res$.inPts))
    res$.outPts <- vtkPoints(wrapenv(res$.outPts))
    res$.inNms <- vtkDataArray(wrapenv(res$.inNms))
    res$.outNms <- vtkDataArray(wrapenv(res$.outNms))
    res$.inVrs <- vtkDataArray(wrapenv(res$.inVrs))
    res$.outVrs <- vtkDataArray(wrapenv(res$.outVrs))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkIdentityTransform_Inverse",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformPoint",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformPoint_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformPoint_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformNormal <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformNormal",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformNormal_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformNormal_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformVector <- function( .in, .out=as.single(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformVector",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InternalTransformVector_v1 <- function( .in, .out=as.double(rep.int(1,3))){
    res<-.Call("R_vtkIdentityTransform_InternalTransformVector_v1",.me$obj, .in, .out,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkIdentityTransform_MakeTransform",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkIdentityTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkIdentityTransform",class(.me))
  return(.me)
}
}
