if (R.VTK.BASE==1){
vtkImageDataGeometryFilter <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageDataGeometryFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageDataGeometryFilter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageDataGeometryFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageDataGeometryFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageDataGeometryFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .extent){
    res<-.Call("R_vtkImageDataGeometryFilter_SetExtent",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .iMin, .iMax, .jMin, .jMax, .kMin, .kMax){
    res<-.Call("R_vtkImageDataGeometryFilter_SetExtent_v1",.me$obj, .iMin, .iMax, .jMin, .jMax, .kMin, .kMax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetThresholdCells <- function( ._arg){
    res<-.Call("R_vtkImageDataGeometryFilter_SetThresholdCells",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThresholdCells <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetThresholdCells",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdCellsOn <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_ThresholdCellsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdCellsOff <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_ThresholdCellsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetThresholdValue <- function( ._arg){
    res<-.Call("R_vtkImageDataGeometryFilter_SetThresholdValue",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThresholdValue <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetThresholdValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdValueOn <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_ThresholdValueOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ThresholdValueOff <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_ThresholdValueOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutputTriangles <- function( ._arg){
    res<-.Call("R_vtkImageDataGeometryFilter_SetOutputTriangles",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputTriangles <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_GetOutputTriangles",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutputTrianglesOn <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_OutputTrianglesOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutputTrianglesOff <- function(){
    res<-.Call("R_vtkImageDataGeometryFilter_OutputTrianglesOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageDataGeometryFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageDataGeometryFilter",class(.me))
  return(.me)
}
}
