if (R.VTK.BASE==1){
vtkImageGaussianSource <- function(.me=environment()){
  .me <- vtkImageAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageGaussianSource_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageGaussianSource_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageGaussianSource_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageGaussianSource(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageGaussianSource_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageGaussianSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeExtent <- function( .xMin, .xMax, .yMin, .yMax, .zMin, .zMax){
    res<-.Call("R_vtkImageGaussianSource_SetWholeExtent",.me$obj, .xMin, .xMax, .yMin, .yMax, .zMin, .zMax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkImageGaussianSource_SetCenter",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( ._arg){
    res<-.Call("R_vtkImageGaussianSource_SetCenter_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkImageGaussianSource_GetCenter",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkImageGaussianSource_GetCenter_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v2 <- function( ._arg){
    res<-.Call("R_vtkImageGaussianSource_GetCenter_v2",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximum <- function( ._arg){
    res<-.Call("R_vtkImageGaussianSource_SetMaximum",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximum <- function(){
    res<-.Call("R_vtkImageGaussianSource_GetMaximum",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStandardDeviation <- function( ._arg){
    res<-.Call("R_vtkImageGaussianSource_SetStandardDeviation",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStandardDeviation <- function(){
    res<-.Call("R_vtkImageGaussianSource_GetStandardDeviation",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageGaussianSource_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageGaussianSource",class(.me))
  return(.me)
}
}
