if (R.VTK.BASE==1){
vtkImageToImageFilter <- function(.me=environment()){
  .me <- vtkImageSource(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageToImageFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageToImageFilter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageToImageFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageToImageFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageToImageFilter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageToImageFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkImageToImageFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetInput",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BypassOn <- function(){
    res<-.Call("R_vtkImageToImageFilter_BypassOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BypassOff <- function(){
    res<-.Call("R_vtkImageToImageFilter_BypassOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBypass <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetBypass",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfThreads <- function( ._arg){
    res<-.Call("R_vtkImageToImageFilter_SetNumberOfThreads",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMinValue <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetNumberOfThreadsMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreadsMaxValue <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetNumberOfThreadsMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreads <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetNumberOfThreads",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputMemoryLimit <- function(){
    res<-.Call("R_vtkImageToImageFilter_GetInputMemoryLimit",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SplitExtent <- function( .splitExt, .startExt, .num, .total){
    res<-.Call("R_vtkImageToImageFilter_SplitExtent",.me$obj, .splitExt, .startExt, .num, .total,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkImageToImageFilter",class(.me))
  return(.me)
}
}
