if (R.VTK.BASE==1){
vtkInitialValueProblemSolver <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInitialValueProblemSolver_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInitialValueProblemSolver_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInitialValueProblemSolver_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInitialValueProblemSolver(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInitialValueProblemSolver_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkInitialValueProblemSolver(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkInitialValueProblemSolver_ComputeNextStep",.me$obj, .xprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v1 <- function( .xprev, .dxprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkInitialValueProblemSolver_ComputeNextStep_v1",.me$obj, .xprev, .dxprev, .xnext, .t, .delT, .maxError, .error,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v2 <- function( .xprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .delTActual=as.double(rep.int(1,1)), .minStep, .maxStep, .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkInitialValueProblemSolver_ComputeNextStep_v2",.me$obj, .xprev, .xnext, .t, .delT, .delTActual, .minStep, .maxStep, .maxError, .error,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeNextStep_v3 <- function( .xprev, .dxprev, .xnext, .t, .delT=as.double(rep.int(1,1)), .delTActual=as.double(rep.int(1,1)), .minStep, .maxStep, .maxError, .error=as.double(rep.int(1,1))){
    res<-.Call("R_vtkInitialValueProblemSolver_ComputeNextStep_v3",.me$obj, .xprev, .dxprev, .xnext, .t, .delT, .delTActual, .minStep, .maxStep, .maxError, .error,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFunctionSet <- function( .fset=vtkFunctionSet()){
    check.VTK(.fset,"vtkFunctionSet")
    res<-.Call("R_vtkInitialValueProblemSolver_SetFunctionSet",.me$obj, .fset$obj,PACKAGE="RVTK")
    res$.fset <- vtkFunctionSet(wrapenv(res$.fset))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFunctionSet <- function(){
    res<-.Call("R_vtkInitialValueProblemSolver_GetFunctionSet",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkFunctionSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsAdaptive <- function(){
    res<-.Call("R_vtkInitialValueProblemSolver_IsAdaptive",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkInitialValueProblemSolver",class(.me))
  return(.me)
}
}
