if (R.VTK.HYBRID==1){
vtkLandmarkTransform <- function(.me=environment()){
  .me <- vtkLinearTransform(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLandmarkTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLandmarkTransform_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLandmarkTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkLandmarkTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLandmarkTransform_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkLandmarkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSourceLandmarks <- function( .source=vtkPoints()){
    check.VTK(.source,"vtkPoints")
    res<-.Call("R_vtkLandmarkTransform_SetSourceLandmarks",.me$obj, .source$obj,PACKAGE="RVTK")
    res$.source <- vtkPoints(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTargetLandmarks <- function( .target=vtkPoints()){
    check.VTK(.target,"vtkPoints")
    res<-.Call("R_vtkLandmarkTransform_SetTargetLandmarks",.me$obj, .target$obj,PACKAGE="RVTK")
    res$.target <- vtkPoints(wrapenv(res$.target))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSourceLandmarks <- function(){
    res<-.Call("R_vtkLandmarkTransform_GetSourceLandmarks",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTargetLandmarks <- function(){
    res<-.Call("R_vtkLandmarkTransform_GetTargetLandmarks",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMode <- function( ._arg){
    res<-.Call("R_vtkLandmarkTransform_SetMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModeToRigidBody <- function(){
    res<-.Call("R_vtkLandmarkTransform_SetModeToRigidBody",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModeToSimilarity <- function(){
    res<-.Call("R_vtkLandmarkTransform_SetModeToSimilarity",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetModeToAffine <- function(){
    res<-.Call("R_vtkLandmarkTransform_SetModeToAffine",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMode <- function(){
    res<-.Call("R_vtkLandmarkTransform_GetMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModeAsString <- function(){
    res<-.Call("R_vtkLandmarkTransform_GetModeAsString",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkLandmarkTransform_Inverse",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkLandmarkTransform_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkLandmarkTransform_MakeTransform",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLandmarkTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLandmarkTransform",class(.me))
  return(.me)
}
}
