if (R.VTK.RENDERING==1){
vtkOpenGLImageMapper <- function(.me=environment()){
  .me <- vtkImageMapper(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLImageMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLImageMapper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLImageMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLImageMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLImageMapper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLImageMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport(), .actor=vtkActor2D()){
    check.VTK(.viewport,"vtkViewport")
    check.VTK(.actor,"vtkActor2D")
    res<-.Call("R_vtkOpenGLImageMapper_RenderOverlay",.me$obj, .viewport$obj, .actor$obj,PACKAGE="RVTK")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    res$.actor <- vtkActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderData <- function( .viewport=vtkViewport(), .data=vtkImageData(), .actor=vtkActor2D()){
    check.VTK(.viewport,"vtkViewport")
    check.VTK(.data,"vtkImageData")
    check.VTK(.actor,"vtkActor2D")
    res<-.Call("R_vtkOpenGLImageMapper_RenderData",.me$obj, .viewport$obj, .data$obj, .actor$obj,PACKAGE="RVTK")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    res$.data <- vtkImageData(wrapenv(res$.data))
    res$.actor <- vtkActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOpenGLImageMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOpenGLImageMapper",class(.me))
  return(.me)
}
}
