if (R.VTK.RENDERING==1){
vtkOpenGLRenderWindow <- function(.me=environment()){
  .me <- vtkRenderWindow(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLRenderWindow_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLRenderWindow_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLRenderWindow_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLRenderWindow(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkOpenGLRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlobalMaximumNumberOfMultiSamples <- function( .val){
    res<-.Call("R_vtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples",.me$obj, .val,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlobalMaximumNumberOfMultiSamples <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMultiSamples <- function( ._arg){
    res<-.Call("R_vtkOpenGLRenderWindow_SetMultiSamples",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMultiSamples <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_GetMultiSamples",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoUpdate <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_StereoUpdate",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelData <- function( .x1, .y1, .x2, .y2, .front){
    res<-.Call("R_vtkOpenGLRenderWindow_GetPixelData",.me$obj, .x1, .y1, .x2, .y2, .front,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelData_v1 <- function( .x1, .y1, .x2, .y2, .front, .data=vtkUnsignedCharArray()){
    check.VTK(.data,"vtkUnsignedCharArray")
    res<-.Call("R_vtkOpenGLRenderWindow_GetPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .front, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkUnsignedCharArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPixelData <- function( .x1, .y1, .x2, .y2, .data, .front){
    res<-.Call("R_vtkOpenGLRenderWindow_SetPixelData",.me$obj, .x1, .y1, .x2, .y2, .data, .front,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPixelData_v1 <- function( .x1, .y1, .x2, .y2, .data=vtkUnsignedCharArray(), .front){
    check.VTK(.data,"vtkUnsignedCharArray")
    res<-.Call("R_vtkOpenGLRenderWindow_SetPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .data$obj, .front,PACKAGE="RVTK")
    res$.data <- vtkUnsignedCharArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBAPixelData <- function( .x1, .y1, .x2, .y2, .front){
    res<-.Call("R_vtkOpenGLRenderWindow_GetRGBAPixelData",.me$obj, .x1, .y1, .x2, .y2, .front,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBAPixelData_v1 <- function( .x1, .y1, .x2, .y2, .front, .data=vtkFloatArray()){
    check.VTK(.data,"vtkFloatArray")
    res<-.Call("R_vtkOpenGLRenderWindow_GetRGBAPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .front, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkFloatArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRGBAPixelData <- function( .x1, .y1, .x2, .y2, .data, .front, .blend){
    res<-.Call("R_vtkOpenGLRenderWindow_SetRGBAPixelData",.me$obj, .x1, .y1, .x2, .y2, .data, .front, .blend,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRGBAPixelData_v1 <- function( .x1, .y1, .x2, .y2, .data=vtkFloatArray(), .front, .blend){
    check.VTK(.data,"vtkFloatArray")
    res<-.Call("R_vtkOpenGLRenderWindow_SetRGBAPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .data$obj, .front, .blend,PACKAGE="RVTK")
    res$.data <- vtkFloatArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseRGBAPixelData <- function( .data){
    res<-.Call("R_vtkOpenGLRenderWindow_ReleaseRGBAPixelData",.me$obj, .data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBACharPixelData <- function( .x1, .y1, .x2, .y2, .front){
    res<-.Call("R_vtkOpenGLRenderWindow_GetRGBACharPixelData",.me$obj, .x1, .y1, .x2, .y2, .front,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBACharPixelData_v1 <- function( .x1, .y1, .x2, .y2, .front, .data=vtkUnsignedCharArray()){
    check.VTK(.data,"vtkUnsignedCharArray")
    res<-.Call("R_vtkOpenGLRenderWindow_GetRGBACharPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .front, .data$obj,PACKAGE="RVTK")
    res$.data <- vtkUnsignedCharArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRGBACharPixelData <- function( .x1, .y1, .x2, .y2, .data, .front, .blend){
    res<-.Call("R_vtkOpenGLRenderWindow_SetRGBACharPixelData",.me$obj, .x1, .y1, .x2, .y2, .data, .front, .blend,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRGBACharPixelData_v1 <- function( .x1, .y1, .x2, .y2, .data=vtkUnsignedCharArray(), .front, .blend){
    check.VTK(.data,"vtkUnsignedCharArray")
    res<-.Call("R_vtkOpenGLRenderWindow_SetRGBACharPixelData_v1",.me$obj, .x1, .y1, .x2, .y2, .data$obj, .front, .blend,PACKAGE="RVTK")
    res$.data <- vtkUnsignedCharArray(wrapenv(res$.data))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZbufferData <- function( .x1, .y1, .x2, .y2){
    res<-.Call("R_vtkOpenGLRenderWindow_GetZbufferData",.me$obj, .x1, .y1, .x2, .y2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZbufferData_v1 <- function( .x1, .y1, .x2, .y2, .z_data){
    res<-.Call("R_vtkOpenGLRenderWindow_GetZbufferData_v1",.me$obj, .x1, .y1, .x2, .y2, .z_data,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZbufferData_v2 <- function( .x1, .y1, .x2, .y2, .buffer=vtkFloatArray()){
    check.VTK(.buffer,"vtkFloatArray")
    res<-.Call("R_vtkOpenGLRenderWindow_GetZbufferData_v2",.me$obj, .x1, .y1, .x2, .y2, .buffer$obj,PACKAGE="RVTK")
    res$.buffer <- vtkFloatArray(wrapenv(res$.buffer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZbufferData <- function( .x1, .y1, .x2, .y2, .buffer){
    res<-.Call("R_vtkOpenGLRenderWindow_SetZbufferData",.me$obj, .x1, .y1, .x2, .y2, .buffer,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZbufferData_v1 <- function( .x1, .y1, .x2, .y2, .buffer=vtkFloatArray()){
    check.VTK(.buffer,"vtkFloatArray")
    res<-.Call("R_vtkOpenGLRenderWindow_SetZbufferData_v1",.me$obj, .x1, .y1, .x2, .y2, .buffer$obj,PACKAGE="RVTK")
    res$.buffer <- vtkFloatArray(wrapenv(res$.buffer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeCurrent <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_MakeCurrent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RegisterTextureResource <- function( .id){
    res<-.Call("R_vtkOpenGLRenderWindow_RegisterTextureResource",.me$obj, .id,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDepthBufferSize <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_GetDepthBufferSize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OpenGLInit <- function(){
    res<-.Call("R_vtkOpenGLRenderWindow_OpenGLInit",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkOpenGLRenderWindow",class(.me))
  return(.me)
}
}
