if (R.VTK.BASE==1){
vtkParametricFunction <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkParametricFunction_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkParametricFunction_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkParametricFunction_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricFunction(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkParametricFunction_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimension <- function(){
    res<-.Call("R_vtkParametricFunction_GetDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .uvw=as.double(rep.int(1,3)), .Pt=as.double(rep.int(1,3)), .Duvw=as.double(rep.int(1,9))){
    res<-.Call("R_vtkParametricFunction_Evaluate",.me$obj, .uvw, .Pt, .Duvw,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EvaluateScalar <- function( .uvw=as.double(rep.int(1,3)), .Pt=as.double(rep.int(1,3)), .Duvw=as.double(rep.int(1,9))){
    res<-.Call("R_vtkParametricFunction_EvaluateScalar",.me$obj, .uvw, .Pt, .Duvw,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumU <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMinimumU",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumU <- function(){
    res<-.Call("R_vtkParametricFunction_GetMinimumU",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumU <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMaximumU",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumU <- function(){
    res<-.Call("R_vtkParametricFunction_GetMaximumU",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumV <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMinimumV",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumV <- function(){
    res<-.Call("R_vtkParametricFunction_GetMinimumV",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumV <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMaximumV",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumV <- function(){
    res<-.Call("R_vtkParametricFunction_GetMaximumV",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumW <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMinimumW",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumW <- function(){
    res<-.Call("R_vtkParametricFunction_GetMinimumW",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumW <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetMaximumW",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumW <- function(){
    res<-.Call("R_vtkParametricFunction_GetMaximumW",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetJoinU <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetJoinU",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetJoinU <- function(){
    res<-.Call("R_vtkParametricFunction_GetJoinU",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$JoinUOn <- function(){
    res<-.Call("R_vtkParametricFunction_JoinUOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$JoinUOff <- function(){
    res<-.Call("R_vtkParametricFunction_JoinUOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetJoinV <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetJoinV",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetJoinV <- function(){
    res<-.Call("R_vtkParametricFunction_GetJoinV",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$JoinVOn <- function(){
    res<-.Call("R_vtkParametricFunction_JoinVOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$JoinVOff <- function(){
    res<-.Call("R_vtkParametricFunction_JoinVOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTwistU <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetTwistU",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTwistU <- function(){
    res<-.Call("R_vtkParametricFunction_GetTwistU",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwistUOn <- function(){
    res<-.Call("R_vtkParametricFunction_TwistUOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwistUOff <- function(){
    res<-.Call("R_vtkParametricFunction_TwistUOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTwistV <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetTwistV",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTwistV <- function(){
    res<-.Call("R_vtkParametricFunction_GetTwistV",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwistVOn <- function(){
    res<-.Call("R_vtkParametricFunction_TwistVOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwistVOff <- function(){
    res<-.Call("R_vtkParametricFunction_TwistVOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClockwiseOrdering <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetClockwiseOrdering",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClockwiseOrdering <- function(){
    res<-.Call("R_vtkParametricFunction_GetClockwiseOrdering",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClockwiseOrderingOn <- function(){
    res<-.Call("R_vtkParametricFunction_ClockwiseOrderingOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClockwiseOrderingOff <- function(){
    res<-.Call("R_vtkParametricFunction_ClockwiseOrderingOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDerivativesAvailable <- function( ._arg){
    res<-.Call("R_vtkParametricFunction_SetDerivativesAvailable",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDerivativesAvailable <- function(){
    res<-.Call("R_vtkParametricFunction_GetDerivativesAvailable",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DerivativesAvailableOn <- function(){
    res<-.Call("R_vtkParametricFunction_DerivativesAvailableOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DerivativesAvailableOff <- function(){
    res<-.Call("R_vtkParametricFunction_DerivativesAvailableOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkParametricFunction",class(.me))
  return(.me)
}
}
