if (R.VTK.BASE==1){
vtkParametricTorus <- function(.me=environment()){
  .me <- vtkParametricFunction(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkParametricTorus_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkParametricTorus_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkParametricTorus_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricTorus(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkParametricTorus_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricTorus(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRingRadius <- function( ._arg){
    res<-.Call("R_vtkParametricTorus_SetRingRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRingRadius <- function(){
    res<-.Call("R_vtkParametricTorus_GetRingRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCrossSectionRadius <- function( ._arg){
    res<-.Call("R_vtkParametricTorus_SetCrossSectionRadius",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCrossSectionRadius <- function(){
    res<-.Call("R_vtkParametricTorus_GetCrossSectionRadius",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimension <- function(){
    res<-.Call("R_vtkParametricTorus_GetDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Evaluate <- function( .uvw=as.double(rep.int(1,3)), .Pt=as.double(rep.int(1,3)), .Duvw=as.double(rep.int(1,9))){
    res<-.Call("R_vtkParametricTorus_Evaluate",.me$obj, .uvw, .Pt, .Duvw,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkParametricTorus_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkParametricTorus",class(.me))
  return(.me)
}
}
