if (R.VTK.BASE==1){
vtkParticleReader <- function(.me=environment()){
  .me <- vtkPolyDataAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkParticleReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkParticleReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkParticleReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParticleReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkParticleReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParticleReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkParticleReader_SetFileName",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkParticleReader_GetFileName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrderToBigEndian <- function(){
    res<-.Call("R_vtkParticleReader_SetDataByteOrderToBigEndian",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrderToLittleEndian <- function(){
    res<-.Call("R_vtkParticleReader_SetDataByteOrderToLittleEndian",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataByteOrder <- function(){
    res<-.Call("R_vtkParticleReader_GetDataByteOrder",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataByteOrder <- function( .byteOrder){
    res<-.Call("R_vtkParticleReader_SetDataByteOrder",.me$obj, .byteOrder,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataByteOrderAsString <- function(){
    res<-.Call("R_vtkParticleReader_GetDataByteOrderAsString",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSwapBytes <- function( ._arg){
    res<-.Call("R_vtkParticleReader_SetSwapBytes",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSwapBytes <- function(){
    res<-.Call("R_vtkParticleReader_GetSwapBytes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwapBytesOn <- function(){
    res<-.Call("R_vtkParticleReader_SwapBytesOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwapBytesOff <- function(){
    res<-.Call("R_vtkParticleReader_SwapBytesOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHasScalar <- function( ._arg){
    res<-.Call("R_vtkParticleReader_SetHasScalar",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHasScalar <- function(){
    res<-.Call("R_vtkParticleReader_GetHasScalar",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasScalarOn <- function(){
    res<-.Call("R_vtkParticleReader_HasScalarOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HasScalarOff <- function(){
    res<-.Call("R_vtkParticleReader_HasScalarOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileType <- function( ._arg){
    res<-.Call("R_vtkParticleReader_SetFileType",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileTypeMinValue <- function(){
    res<-.Call("R_vtkParticleReader_GetFileTypeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileTypeMaxValue <- function(){
    res<-.Call("R_vtkParticleReader_GetFileTypeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileType <- function(){
    res<-.Call("R_vtkParticleReader_GetFileType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileTypeToUnknown <- function(){
    res<-.Call("R_vtkParticleReader_SetFileTypeToUnknown",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileTypeToText <- function(){
    res<-.Call("R_vtkParticleReader_SetFileTypeToText",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileTypeToBinary <- function(){
    res<-.Call("R_vtkParticleReader_SetFileTypeToBinary",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataType <- function( ._arg){
    res<-.Call("R_vtkParticleReader_SetDataType",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataTypeMinValue <- function(){
    res<-.Call("R_vtkParticleReader_GetDataTypeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataTypeMaxValue <- function(){
    res<-.Call("R_vtkParticleReader_GetDataTypeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataType <- function(){
    res<-.Call("R_vtkParticleReader_GetDataType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataTypeToFloat <- function(){
    res<-.Call("R_vtkParticleReader_SetDataTypeToFloat",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataTypeToDouble <- function(){
    res<-.Call("R_vtkParticleReader_SetDataTypeToDouble",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkParticleReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkParticleReader",class(.me))
  return(.me)
}
}
