if (R.VTK.BASE==1){
vtkPointsProjectedHull <- function(.me=environment()){
  .me <- vtkPoints(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPointsProjectedHull_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPointsProjectedHull_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPointsProjectedHull_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointsProjectedHull(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPointsProjectedHull_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPointsProjectedHull(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionX <- function( .R=vtkPoints()){
    check.VTK(.R,"vtkPoints")
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionX",.me$obj, .R$obj,PACKAGE="RVTK")
    res$.R <- vtkPoints(wrapenv(res$.R))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionX_v1 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionX_v1",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionX_v2 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionX_v2",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionY <- function( .R=vtkPoints()){
    check.VTK(.R,"vtkPoints")
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionY",.me$obj, .R$obj,PACKAGE="RVTK")
    res$.R <- vtkPoints(wrapenv(res$.R))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionY_v1 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionY_v1",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionY_v2 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionY_v2",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionZ <- function( .R=vtkPoints()){
    check.VTK(.R,"vtkPoints")
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionZ",.me$obj, .R$obj,PACKAGE="RVTK")
    res$.R <- vtkPoints(wrapenv(res$.R))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionZ_v1 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionZ_v1",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RectangleIntersectionZ_v2 <- function( .hmin, .hmax, .vmin, .vmax){
    res<-.Call("R_vtkPointsProjectedHull_RectangleIntersectionZ_v2",.me$obj, .hmin, .hmax, .vmin, .vmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullX <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullX",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullX_v1 <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullX_v1",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullY <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullY",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullY_v1 <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullY_v1",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullZ <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullZ",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCCWHullZ_v1 <- function( .pts, .len){
    res<-.Call("R_vtkPointsProjectedHull_GetCCWHullZ_v1",.me$obj, .pts, .len,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSizeCCWHullX <- function(){
    res<-.Call("R_vtkPointsProjectedHull_GetSizeCCWHullX",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSizeCCWHullY <- function(){
    res<-.Call("R_vtkPointsProjectedHull_GetSizeCCWHullY",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSizeCCWHullZ <- function(){
    res<-.Call("R_vtkPointsProjectedHull_GetSizeCCWHullZ",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkPointsProjectedHull_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkPointsProjectedHull_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkPointsProjectedHull_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPointsProjectedHull_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPointsProjectedHull",class(.me))
  return(.me)
}
}
