if (R.VTK.BASE==1){
vtkPropAssembly <- function(.me=environment()){
  .me <- vtkProp(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPropAssembly_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPropAssembly_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPropAssembly_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPropAssembly(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPropAssembly_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPropAssembly(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPart <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkPropAssembly_AddPart",.me$obj, .prop$obj,PACKAGE="RVTK")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemovePart <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkPropAssembly_RemovePart",.me$obj, .prop$obj,PACKAGE="RVTK")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParts <- function(){
    res<-.Call("R_vtkPropAssembly_GetParts",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkPropCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .ren=vtkViewport()){
    check.VTK(.ren,"vtkViewport")
    res<-.Call("R_vtkPropAssembly_RenderOpaqueGeometry",.me$obj, .ren$obj,PACKAGE="RVTK")
    res$.ren <- vtkViewport(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .ren=vtkViewport()){
    check.VTK(.ren,"vtkViewport")
    res<-.Call("R_vtkPropAssembly_RenderTranslucentGeometry",.me$obj, .ren$obj,PACKAGE="RVTK")
    res$.ren <- vtkViewport(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .ren=vtkViewport()){
    check.VTK(.ren,"vtkViewport")
    res<-.Call("R_vtkPropAssembly_RenderOverlay",.me$obj, .ren$obj,PACKAGE="RVTK")
    res$.ren <- vtkViewport(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .renWin=vtkWindow()){
    check.VTK(.renWin,"vtkWindow")
    res<-.Call("R_vtkPropAssembly_ReleaseGraphicsResources",.me$obj, .renWin$obj,PACKAGE="RVTK")
    res$.renWin <- vtkWindow(wrapenv(res$.renWin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkPropAssembly_GetBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkPropAssembly_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkPropAssembly_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPathTraversal <- function(){
    res<-.Call("R_vtkPropAssembly_InitPathTraversal",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextPath <- function(){
    res<-.Call("R_vtkPropAssembly_GetNextPath",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPaths <- function(){
    res<-.Call("R_vtkPropAssembly_GetNumberOfPaths",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildPaths <- function( .paths=vtkAssemblyPaths(), .path=vtkAssemblyPath()){
    check.VTK(.paths,"vtkAssemblyPaths")
    check.VTK(.path,"vtkAssemblyPath")
    res<-.Call("R_vtkPropAssembly_BuildPaths",.me$obj, .paths$obj, .path$obj,PACKAGE="RVTK")
    res$.paths <- vtkAssemblyPaths(wrapenv(res$.paths))
    res$.path <- vtkAssemblyPath(wrapenv(res$.path))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPropAssembly_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPropAssembly",class(.me))
  return(.me)
}
}
