if (R.VTK.RENDERING==1){
vtkQuaternionInterpolator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkQuaternionInterpolator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkQuaternionInterpolator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkQuaternionInterpolator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkQuaternionInterpolator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkQuaternionInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfQuaternions <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetNumberOfQuaternions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumT <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetMinimumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumT <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetMaximumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddQuaternion <- function( .t, .q=as.double(rep.int(1,4))){
    res<-.Call("R_vtkQuaternionInterpolator_AddQuaternion",.me$obj, .t, .q,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveQuaternion <- function( .t){
    res<-.Call("R_vtkQuaternionInterpolator_RemoveQuaternion",.me$obj, .t,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateQuaternion <- function( .t, .q=as.double(rep.int(1,4))){
    res<-.Call("R_vtkQuaternionInterpolator_InterpolateQuaternion",.me$obj, .t, .q,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationType <- function( ._arg){
    res<-.Call("R_vtkQuaternionInterpolator_SetInterpolationType",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMinValue <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetInterpolationTypeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMaxValue <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetInterpolationTypeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationType <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_GetInterpolationType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToLinear <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_SetInterpolationTypeToLinear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToSpline <- function(){
    res<-.Call("R_vtkQuaternionInterpolator_SetInterpolationTypeToSpline",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkQuaternionInterpolator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkQuaternionInterpolator",class(.me))
  return(.me)
}
}
