if (R.VTK.RENDERING==1){
vtkRayCastImageDisplayHelper <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRayCastImageDisplayHelper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRayCastImageDisplayHelper_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRayCastImageDisplayHelper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRayCastImageDisplayHelper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkRayCastImageDisplayHelper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTexture <- function( .vol=vtkVolume(), .ren=vtkRenderer(), .imageMemorySize=as.integer(rep.int(1,2)), .imageViewportSize=as.integer(rep.int(1,2)), .imageInUseSize=as.integer(rep.int(1,2)), .imageOrigin=as.integer(rep.int(1,2)), .requestedDepth, .image){
    check.VTK(.vol,"vtkVolume")
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRayCastImageDisplayHelper_RenderTexture",.me$obj, .vol$obj, .ren$obj, .imageMemorySize, .imageViewportSize, .imageInUseSize, .imageOrigin, .requestedDepth, .image,PACKAGE="RVTK")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTexture_v1 <- function( .vol=vtkVolume(), .ren=vtkRenderer(), .imageMemorySize=as.integer(rep.int(1,2)), .imageViewportSize=as.integer(rep.int(1,2)), .imageInUseSize=as.integer(rep.int(1,2)), .imageOrigin=as.integer(rep.int(1,2)), .requestedDepth, .image){
    check.VTK(.vol,"vtkVolume")
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRayCastImageDisplayHelper_RenderTexture_v1",.me$obj, .vol$obj, .ren$obj, .imageMemorySize, .imageViewportSize, .imageInUseSize, .imageOrigin, .requestedDepth, .image,PACKAGE="RVTK")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTexture_v2 <- function( .vol=vtkVolume(), .ren=vtkRenderer(), .image=vtkFixedPointRayCastImage(), .requestedDepth){
    check.VTK(.vol,"vtkVolume")
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.image,"vtkFixedPointRayCastImage")
    res<-.Call("R_vtkRayCastImageDisplayHelper_RenderTexture_v2",.me$obj, .vol$obj, .ren$obj, .image$obj, .requestedDepth,PACKAGE="RVTK")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.image <- vtkFixedPointRayCastImage(wrapenv(res$.image))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPreMultipliedColors <- function( ._arg){
    res<-.Call("R_vtkRayCastImageDisplayHelper_SetPreMultipliedColors",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPreMultipliedColorsMinValue <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_GetPreMultipliedColorsMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPreMultipliedColorsMaxValue <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_GetPreMultipliedColorsMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPreMultipliedColors <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_GetPreMultipliedColors",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreMultipliedColorsOn <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_PreMultipliedColorsOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PreMultipliedColorsOff <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_PreMultipliedColorsOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPixelScale <- function( ._arg){
    res<-.Call("R_vtkRayCastImageDisplayHelper_SetPixelScale",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPixelScale <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_GetPixelScale",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRayCastImageDisplayHelper_New")
  .me<-wrapvtkclass(.me$obj,.me$GetClassName())
  reg.finalizer(.me, .me$Delete)
  return(.me)
  }
  class(.me) <- c("vtkRayCastImageDisplayHelper",class(.me))
  return(.me)
}
}
