if (R.VTK.BASE==1){
vtkSimpleCellTessellator <- function(.me=environment()){
  .me <- vtkGenericCellTessellator(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSimpleCellTessellator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSimpleCellTessellator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSimpleCellTessellator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSimpleCellTessellator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSimpleCellTessellator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericCell <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_GetGenericCell",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkGenericAdaptorCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TessellateFace <- function( .cell=vtkGenericAdaptorCell(), .att=vtkGenericAttributeCollection(), .index, .points=vtkDoubleArray(), .cellArray=vtkCellArray(), .internalPd=vtkPointData()){
    check.VTK(.cell,"vtkGenericAdaptorCell")
    check.VTK(.att,"vtkGenericAttributeCollection")
    check.VTK(.points,"vtkDoubleArray")
    check.VTK(.cellArray,"vtkCellArray")
    check.VTK(.internalPd,"vtkPointData")
    res<-.Call("R_vtkSimpleCellTessellator_TessellateFace",.me$obj, .cell$obj, .att$obj, .index, .points$obj, .cellArray$obj, .internalPd$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericAdaptorCell(wrapenv(res$.cell))
    res$.att <- vtkGenericAttributeCollection(wrapenv(res$.att))
    res$.points <- vtkDoubleArray(wrapenv(res$.points))
    res$.cellArray <- vtkCellArray(wrapenv(res$.cellArray))
    res$.internalPd <- vtkPointData(wrapenv(res$.internalPd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Tessellate <- function( .cell=vtkGenericAdaptorCell(), .att=vtkGenericAttributeCollection(), .points=vtkDoubleArray(), .cellArray=vtkCellArray(), .internalPd=vtkPointData()){
    check.VTK(.cell,"vtkGenericAdaptorCell")
    check.VTK(.att,"vtkGenericAttributeCollection")
    check.VTK(.points,"vtkDoubleArray")
    check.VTK(.cellArray,"vtkCellArray")
    check.VTK(.internalPd,"vtkPointData")
    res<-.Call("R_vtkSimpleCellTessellator_Tessellate",.me$obj, .cell$obj, .att$obj, .points$obj, .cellArray$obj, .internalPd$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericAdaptorCell(wrapenv(res$.cell))
    res$.att <- vtkGenericAttributeCollection(wrapenv(res$.att))
    res$.points <- vtkDoubleArray(wrapenv(res$.points))
    res$.cellArray <- vtkCellArray(wrapenv(res$.cellArray))
    res$.internalPd <- vtkPointData(wrapenv(res$.internalPd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Triangulate <- function( .cell=vtkGenericAdaptorCell(), .att=vtkGenericAttributeCollection(), .points=vtkDoubleArray(), .cellArray=vtkCellArray(), .internalPd=vtkPointData()){
    check.VTK(.cell,"vtkGenericAdaptorCell")
    check.VTK(.att,"vtkGenericAttributeCollection")
    check.VTK(.points,"vtkDoubleArray")
    check.VTK(.cellArray,"vtkCellArray")
    check.VTK(.internalPd,"vtkPointData")
    res<-.Call("R_vtkSimpleCellTessellator_Triangulate",.me$obj, .cell$obj, .att$obj, .points$obj, .cellArray$obj, .internalPd$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericAdaptorCell(wrapenv(res$.cell))
    res$.att <- vtkGenericAttributeCollection(wrapenv(res$.att))
    res$.points <- vtkDoubleArray(wrapenv(res$.points))
    res$.cellArray <- vtkCellArray(wrapenv(res$.cellArray))
    res$.internalPd <- vtkPointData(wrapenv(res$.internalPd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Reset <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_Reset",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function( .ds=vtkGenericDataSet()){
    check.VTK(.ds,"vtkGenericDataSet")
    res<-.Call("R_vtkSimpleCellTessellator_Initialize",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkGenericDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFixedSubdivisions <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_GetFixedSubdivisions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxSubdivisionLevel <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_GetMaxSubdivisionLevel",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxAdaptiveSubdivisions <- function(){
    res<-.Call("R_vtkSimpleCellTessellator_GetMaxAdaptiveSubdivisions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFixedSubdivisions <- function( .level){
    res<-.Call("R_vtkSimpleCellTessellator_SetFixedSubdivisions",.me$obj, .level,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaxSubdivisionLevel <- function( .level){
    res<-.Call("R_vtkSimpleCellTessellator_SetMaxSubdivisionLevel",.me$obj, .level,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSubdivisionLevels <- function( .fixed, .maxLevel){
    res<-.Call("R_vtkSimpleCellTessellator_SetSubdivisionLevels",.me$obj, .fixed, .maxLevel,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSimpleCellTessellator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSimpleCellTessellator",class(.me))
  return(.me)
}
}
