if (R.VTK.BASE==1){
vtkSortDataArray <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSortDataArray_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSortDataArray_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSortDataArray_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSortDataArray(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSortDataArray_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSortDataArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort <- function( .keys=vtkIdList()){
    check.VTK(.keys,"vtkIdList")
    res<-.Call("R_vtkSortDataArray_Sort",.me$obj, .keys$obj,PACKAGE="RVTK")
    res$.keys <- vtkIdList(wrapenv(res$.keys))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort_v1 <- function( .keys=vtkDataArray()){
    check.VTK(.keys,"vtkDataArray")
    res<-.Call("R_vtkSortDataArray_Sort_v1",.me$obj, .keys$obj,PACKAGE="RVTK")
    res$.keys <- vtkDataArray(wrapenv(res$.keys))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort_v2 <- function( .keys=vtkIdList(), .values=vtkIdList()){
    check.VTK(.keys,"vtkIdList")
    check.VTK(.values,"vtkIdList")
    res<-.Call("R_vtkSortDataArray_Sort_v2",.me$obj, .keys$obj, .values$obj,PACKAGE="RVTK")
    res$.keys <- vtkIdList(wrapenv(res$.keys))
    res$.values <- vtkIdList(wrapenv(res$.values))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort_v3 <- function( .keys=vtkIdList(), .values=vtkDataArray()){
    check.VTK(.keys,"vtkIdList")
    check.VTK(.values,"vtkDataArray")
    res<-.Call("R_vtkSortDataArray_Sort_v3",.me$obj, .keys$obj, .values$obj,PACKAGE="RVTK")
    res$.keys <- vtkIdList(wrapenv(res$.keys))
    res$.values <- vtkDataArray(wrapenv(res$.values))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort_v4 <- function( .keys=vtkDataArray(), .values=vtkIdList()){
    check.VTK(.keys,"vtkDataArray")
    check.VTK(.values,"vtkIdList")
    res<-.Call("R_vtkSortDataArray_Sort_v4",.me$obj, .keys$obj, .values$obj,PACKAGE="RVTK")
    res$.keys <- vtkDataArray(wrapenv(res$.keys))
    res$.values <- vtkIdList(wrapenv(res$.values))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Sort_v5 <- function( .keys=vtkDataArray(), .values=vtkDataArray()){
    check.VTK(.keys,"vtkDataArray")
    check.VTK(.values,"vtkDataArray")
    res<-.Call("R_vtkSortDataArray_Sort_v5",.me$obj, .keys$obj, .values$obj,PACKAGE="RVTK")
    res$.keys <- vtkDataArray(wrapenv(res$.keys))
    res$.values <- vtkDataArray(wrapenv(res$.values))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSortDataArray_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSortDataArray",class(.me))
  return(.me)
}
}
