if (R.VTK.WIDGETS==1){
vtkSplineWidget <- function(.me=environment()){
  .me <- vtk3DWidget(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSplineWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSplineWidget_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSplineWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSplineWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSplineWidget_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkSplineWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkSplineWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkSplineWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkSplineWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkSplineWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectToPlane <- function( ._arg){
    res<-.Call("R_vtkSplineWidget_SetProjectToPlane",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectToPlane <- function(){
    res<-.Call("R_vtkSplineWidget_GetProjectToPlane",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ProjectToPlaneOn <- function(){
    res<-.Call("R_vtkSplineWidget_ProjectToPlaneOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ProjectToPlaneOff <- function(){
    res<-.Call("R_vtkSplineWidget_ProjectToPlaneOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneSource <- function( .plane=vtkPlaneSource()){
    check.VTK(.plane,"vtkPlaneSource")
    res<-.Call("R_vtkSplineWidget_SetPlaneSource",.me$obj, .plane$obj,PACKAGE="RVTK")
    res$.plane <- vtkPlaneSource(wrapenv(res$.plane))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionNormal <- function( ._arg){
    res<-.Call("R_vtkSplineWidget_SetProjectionNormal",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionNormalMinValue <- function(){
    res<-.Call("R_vtkSplineWidget_GetProjectionNormalMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionNormalMaxValue <- function(){
    res<-.Call("R_vtkSplineWidget_GetProjectionNormalMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionNormal <- function(){
    res<-.Call("R_vtkSplineWidget_GetProjectionNormal",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionNormalToXAxes <- function(){
    res<-.Call("R_vtkSplineWidget_SetProjectionNormalToXAxes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionNormalToYAxes <- function(){
    res<-.Call("R_vtkSplineWidget_SetProjectionNormalToYAxes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionNormalToZAxes <- function(){
    res<-.Call("R_vtkSplineWidget_SetProjectionNormalToZAxes",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionNormalToOblique <- function(){
    res<-.Call("R_vtkSplineWidget_SetProjectionNormalToOblique",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProjectionPosition <- function( .position){
    res<-.Call("R_vtkSplineWidget_SetProjectionPosition",.me$obj, .position,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProjectionPosition <- function(){
    res<-.Call("R_vtkSplineWidget_GetProjectionPosition",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkSplineWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkSplineWidget_SetHandleProperty",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleProperty <- function(){
    res<-.Call("R_vtkSplineWidget_GetHandleProperty",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSelectedHandleProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkSplineWidget_SetSelectedHandleProperty",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedHandleProperty <- function(){
    res<-.Call("R_vtkSplineWidget_GetSelectedHandleProperty",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLineProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkSplineWidget_SetLineProperty",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineProperty <- function(){
    res<-.Call("R_vtkSplineWidget_GetLineProperty",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSelectedLineProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkSplineWidget_SetSelectedLineProperty",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedLineProperty <- function(){
    res<-.Call("R_vtkSplineWidget_GetSelectedLineProperty",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfHandles <- function( .npts){
    res<-.Call("R_vtkSplineWidget_SetNumberOfHandles",.me$obj, .npts,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfHandles <- function(){
    res<-.Call("R_vtkSplineWidget_GetNumberOfHandles",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( .resolution){
    res<-.Call("R_vtkSplineWidget_SetResolution",.me$obj, .resolution,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function(){
    res<-.Call("R_vtkSplineWidget_GetResolution",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParametricSpline <- function( .spline=vtkParametricSpline()){
    check.VTK(.spline,"vtkParametricSpline")
    res<-.Call("R_vtkSplineWidget_SetParametricSpline",.me$obj, .spline$obj,PACKAGE="RVTK")
    res$.spline <- vtkParametricSpline(wrapenv(res$.spline))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParametricSpline <- function(){
    res<-.Call("R_vtkSplineWidget_GetParametricSpline",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkParametricSpline(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandlePosition <- function( .handle, .x, .y, .z){
    res<-.Call("R_vtkSplineWidget_SetHandlePosition",.me$obj, .handle, .x, .y, .z,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandlePosition_v1 <- function( .handle, .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkSplineWidget_SetHandlePosition_v1",.me$obj, .handle, .xyz,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandlePosition <- function( .handle, .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkSplineWidget_GetHandlePosition",.me$obj, .handle, .xyz,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandlePosition_v1 <- function( .handle){
    res<-.Call("R_vtkSplineWidget_GetHandlePosition_v1",.me$obj, .handle,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClosed <- function( .closed){
    res<-.Call("R_vtkSplineWidget_SetClosed",.me$obj, .closed,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClosed <- function(){
    res<-.Call("R_vtkSplineWidget_GetClosed",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClosedOn <- function(){
    res<-.Call("R_vtkSplineWidget_ClosedOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClosedOff <- function(){
    res<-.Call("R_vtkSplineWidget_ClosedOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsClosed <- function(){
    res<-.Call("R_vtkSplineWidget_IsClosed",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSummedLength <- function(){
    res<-.Call("R_vtkSplineWidget_GetSummedLength",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializeHandles <- function( .points=vtkPoints()){
    check.VTK(.points,"vtkPoints")
    res<-.Call("R_vtkSplineWidget_InitializeHandles",.me$obj, .points$obj,PACKAGE="RVTK")
    res$.points <- vtkPoints(wrapenv(res$.points))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSplineWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSplineWidget",class(.me))
  return(.me)
}
}
