if (R.VTK.BASE==1){
vtkStructuredGrid <- function(.me=environment()){
  .me <- vtkPointSet(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkStructuredGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkStructuredGrid_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkStructuredGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkStructuredGrid_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkStructuredGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkStructuredGrid_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .ds=vtkDataSet()){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkStructuredGrid_CopyStructure",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkStructuredGrid_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint <- function( .ptId){
    res<-.Call("R_vtkStructuredGrid_GetPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint_v1 <- function( .ptId, .p){
    res<-.Call("R_vtkStructuredGrid_GetPoint_v1",.me$obj, .ptId, .p,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell <- function( .cellId){
    res<-.Call("R_vtkStructuredGrid_GetCell",.me$obj, .cellId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell_v1 <- function( .cellId, .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkStructuredGrid_GetCell_v1",.me$obj, .cellId, .cell$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBounds <- function( .cellId, .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkStructuredGrid_GetCellBounds",.me$obj, .cellId, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function( .cellId){
    res<-.Call("R_vtkStructuredGrid_GetCellType",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkStructuredGrid_GetNumberOfCells",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellPoints <- function( .cellId, .ptIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    res<-.Call("R_vtkStructuredGrid_GetCellPoints",.me$obj, .cellId, .ptIds$obj,PACKAGE="RVTK")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointCells <- function( .ptId, .cellIds=vtkIdList()){
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkStructuredGrid_GetPointCells",.me$obj, .ptId, .cellIds$obj,PACKAGE="RVTK")
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkStructuredGrid_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxCellSize <- function(){
    res<-.Call("R_vtkStructuredGrid_GetMaxCellSize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellNeighbors <- function( .cellId, .ptIds=vtkIdList(), .cellIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkStructuredGrid_GetCellNeighbors",.me$obj, .cellId, .ptIds$obj, .cellIds$obj,PACKAGE="RVTK")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function( .range=as.double(rep.int(1,2))){
    res<-.Call("R_vtkStructuredGrid_GetScalarRange",.me$obj, .range,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange_v1 <- function(){
    res<-.Call("R_vtkStructuredGrid_GetScalarRange_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions <- function( .i, .j, .k){
    res<-.Call("R_vtkStructuredGrid_SetDimensions",.me$obj, .i, .j, .k,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDimensions_v1 <- function( .dim=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkStructuredGrid_SetDimensions_v1",.me$obj, .dim,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions <- function(){
    res<-.Call("R_vtkStructuredGrid_GetDimensions",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDimensions_v1 <- function( .dim=as.integer(rep.int(1,3))){
    res<-.Call("R_vtkStructuredGrid_GetDimensions_v1",.me$obj, .dim,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataDimension <- function(){
    res<-.Call("R_vtkStructuredGrid_GetDataDimension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent <- function( .extent=as.integer(rep.int(1,6))){
    res<-.Call("R_vtkStructuredGrid_SetExtent",.me$obj, .extent,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExtent_v1 <- function( .xMin, .xMax, .yMin, .yMax, .zMin, .zMax){
    res<-.Call("R_vtkStructuredGrid_SetExtent_v1",.me$obj, .xMin, .xMax, .yMin, .yMax, .zMin, .zMax,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent <- function(){
    res<-.Call("R_vtkStructuredGrid_GetExtent",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkStructuredGrid_GetExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkStructuredGrid_GetExtent_v2",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualMemorySize <- function(){
    res<-.Call("R_vtkStructuredGrid_GetActualMemorySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkStructuredGrid_ShallowCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkStructuredGrid_DeepCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExtentType <- function(){
    res<-.Call("R_vtkStructuredGrid_GetExtentType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankPoint <- function( .ptId){
    res<-.Call("R_vtkStructuredGrid_BlankPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankPoint <- function( .ptId){
    res<-.Call("R_vtkStructuredGrid_UnBlankPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankCell <- function( .cellId){
    res<-.Call("R_vtkStructuredGrid_BlankCell",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankCell <- function( .cellId){
    res<-.Call("R_vtkStructuredGrid_UnBlankCell",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointVisibilityArray <- function(){
    res<-.Call("R_vtkStructuredGrid_GetPointVisibilityArray",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointVisibilityArray <- function( .ptVis=vtkUnsignedCharArray()){
    check.VTK(.ptVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkStructuredGrid_SetPointVisibilityArray",.me$obj, .ptVis$obj,PACKAGE="RVTK")
    res$.ptVis <- vtkUnsignedCharArray(wrapenv(res$.ptVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellVisibilityArray <- function(){
    res<-.Call("R_vtkStructuredGrid_GetCellVisibilityArray",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellVisibilityArray <- function( .cellVis=vtkUnsignedCharArray()){
    check.VTK(.cellVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkStructuredGrid_SetCellVisibilityArray",.me$obj, .cellVis$obj,PACKAGE="RVTK")
    res$.cellVis <- vtkUnsignedCharArray(wrapenv(res$.cellVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPointVisible <- function( .pointId){
    res<-.Call("R_vtkStructuredGrid_IsPointVisible",.me$obj, .pointId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsCellVisible <- function( .cellId){
    res<-.Call("R_vtkStructuredGrid_IsCellVisible",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointBlanking <- function(){
    res<-.Call("R_vtkStructuredGrid_GetPointBlanking",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBlanking <- function(){
    res<-.Call("R_vtkStructuredGrid_GetCellBlanking",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Crop <- function(){
    res<-.Call("R_vtkStructuredGrid_Crop",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkStructuredGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkStructuredGrid",class(.me))
  return(.me)
}
}
