if (R.VTK.RENDERING==1){
vtkTransformInterpolator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTransformInterpolator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTransformInterpolator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTransformInterpolator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTransformInterpolator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTransformInterpolator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTransformInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTransforms <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetNumberOfTransforms",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumT <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetMinimumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumT <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetMaximumT",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkTransformInterpolator_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTransform <- function( .t, .xform=vtkTransform()){
    check.VTK(.xform,"vtkTransform")
    res<-.Call("R_vtkTransformInterpolator_AddTransform",.me$obj, .t, .xform$obj,PACKAGE="RVTK")
    res$.xform <- vtkTransform(wrapenv(res$.xform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTransform_v1 <- function( .t, .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkTransformInterpolator_AddTransform_v1",.me$obj, .t, .matrix$obj,PACKAGE="RVTK")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddTransform_v2 <- function( .t, .prop3D=vtkProp3D()){
    check.VTK(.prop3D,"vtkProp3D")
    res<-.Call("R_vtkTransformInterpolator_AddTransform_v2",.me$obj, .t, .prop3D$obj,PACKAGE="RVTK")
    res$.prop3D <- vtkProp3D(wrapenv(res$.prop3D))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveTransform <- function( .t){
    res<-.Call("R_vtkTransformInterpolator_RemoveTransform",.me$obj, .t,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateTransform <- function( .t, .xform=vtkTransform()){
    check.VTK(.xform,"vtkTransform")
    res<-.Call("R_vtkTransformInterpolator_InterpolateTransform",.me$obj, .t, .xform$obj,PACKAGE="RVTK")
    res$.xform <- vtkTransform(wrapenv(res$.xform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationType <- function( ._arg){
    res<-.Call("R_vtkTransformInterpolator_SetInterpolationType",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMinValue <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetInterpolationTypeMinValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMaxValue <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetInterpolationTypeMaxValue",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationType <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetInterpolationType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToLinear <- function(){
    res<-.Call("R_vtkTransformInterpolator_SetInterpolationTypeToLinear",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToSpline <- function(){
    res<-.Call("R_vtkTransformInterpolator_SetInterpolationTypeToSpline",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToManual <- function(){
    res<-.Call("R_vtkTransformInterpolator_SetInterpolationTypeToManual",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPositionInterpolator <- function( .pi=vtkTupleInterpolator()){
    check.VTK(.pi,"vtkTupleInterpolator")
    res<-.Call("R_vtkTransformInterpolator_SetPositionInterpolator",.me$obj, .pi$obj,PACKAGE="RVTK")
    res$.pi <- vtkTupleInterpolator(wrapenv(res$.pi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPositionInterpolator <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetPositionInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaleInterpolator <- function( .si=vtkTupleInterpolator()){
    check.VTK(.si,"vtkTupleInterpolator")
    res<-.Call("R_vtkTransformInterpolator_SetScaleInterpolator",.me$obj, .si$obj,PACKAGE="RVTK")
    res$.si <- vtkTupleInterpolator(wrapenv(res$.si))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaleInterpolator <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetScaleInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkTupleInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRotationInterpolator <- function( .ri=vtkQuaternionInterpolator()){
    check.VTK(.ri,"vtkQuaternionInterpolator")
    res<-.Call("R_vtkTransformInterpolator_SetRotationInterpolator",.me$obj, .ri$obj,PACKAGE="RVTK")
    res$.ri <- vtkQuaternionInterpolator(wrapenv(res$.ri))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRotationInterpolator <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetRotationInterpolator",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkQuaternionInterpolator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkTransformInterpolator_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTransformInterpolator_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTransformInterpolator",class(.me))
  return(.me)
}
}
