if (R.VTK.BASE==1){
vtkUniformGrid <- function(.me=environment()){
  .me <- vtkImageData(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUniformGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUniformGrid_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUniformGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUniformGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUniformGrid_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUniformGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyStructure <- function( .ds=vtkDataSet()){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkUniformGrid_CopyStructure",.me$obj, .ds$obj,PACKAGE="RVTK")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectType <- function(){
    res<-.Call("R_vtkUniformGrid_GetDataObjectType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_GetCell",.me$obj, .cellId,PACKAGE="RVTK")
    res$ret.val <- vtkCell(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCell_v1 <- function( .cellId, .cell=vtkGenericCell()){
    check.VTK(.cell,"vtkGenericCell")
    res<-.Call("R_vtkUniformGrid_GetCell_v1",.me$obj, .cellId, .cell$obj,PACKAGE="RVTK")
    res$.cell <- vtkGenericCell(wrapenv(res$.cell))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellType <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_GetCellType",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellPoints <- function( .cellId, .ptIds=vtkIdList()){
    check.VTK(.ptIds,"vtkIdList")
    res<-.Call("R_vtkUniformGrid_GetCellPoints",.me$obj, .cellId, .ptIds$obj,PACKAGE="RVTK")
    res$.ptIds <- vtkIdList(wrapenv(res$.ptIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointCells <- function( .ptId, .cellIds=vtkIdList()){
    check.VTK(.cellIds,"vtkIdList")
    res<-.Call("R_vtkUniformGrid_GetPointCells",.me$obj, .ptId, .cellIds$obj,PACKAGE="RVTK")
    res$.cellIds <- vtkIdList(wrapenv(res$.cellIds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkUniformGrid_Initialize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxCellSize <- function(){
    res<-.Call("R_vtkUniformGrid_GetMaxCellSize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function( .range=as.double(rep.int(1,2))){
    res<-.Call("R_vtkUniformGrid_GetScalarRange",.me$obj, .range,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUniformGrid_ShallowCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .dataObject=vtkDataObject()){
    check.VTK(.dataObject,"vtkDataObject")
    res<-.Call("R_vtkUniformGrid_DeepCopy",.me$obj, .dataObject$obj,PACKAGE="RVTK")
    res$.dataObject <- vtkDataObject(wrapenv(res$.dataObject))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankPoint <- function( .ptId){
    res<-.Call("R_vtkUniformGrid_BlankPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankPoint <- function( .ptId){
    res<-.Call("R_vtkUniformGrid_UnBlankPoint",.me$obj, .ptId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BlankCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_BlankCell",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnBlankCell <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_UnBlankCell",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointVisibilityArray <- function(){
    res<-.Call("R_vtkUniformGrid_GetPointVisibilityArray",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointVisibilityArray <- function( .ptVis=vtkUnsignedCharArray()){
    check.VTK(.ptVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkUniformGrid_SetPointVisibilityArray",.me$obj, .ptVis$obj,PACKAGE="RVTK")
    res$.ptVis <- vtkUnsignedCharArray(wrapenv(res$.ptVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellVisibilityArray <- function(){
    res<-.Call("R_vtkUniformGrid_GetCellVisibilityArray",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellVisibilityArray <- function( .cellVis=vtkUnsignedCharArray()){
    check.VTK(.cellVis,"vtkUnsignedCharArray")
    res<-.Call("R_vtkUniformGrid_SetCellVisibilityArray",.me$obj, .cellVis$obj,PACKAGE="RVTK")
    res$.cellVis <- vtkUnsignedCharArray(wrapenv(res$.cellVis))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPointVisible <- function( .pointId){
    res<-.Call("R_vtkUniformGrid_IsPointVisible",.me$obj, .pointId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsCellVisible <- function( .cellId){
    res<-.Call("R_vtkUniformGrid_IsCellVisible",.me$obj, .cellId,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointBlanking <- function(){
    res<-.Call("R_vtkUniformGrid_GetPointBlanking",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellBlanking <- function(){
    res<-.Call("R_vtkUniformGrid_GetCellBlanking",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewImageDataCopy <- function(){
    res<-.Call("R_vtkUniformGrid_NewImageDataCopy",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkUniformGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkUniformGrid",class(.me))
  return(.me)
}
}
