if (R.VTK.RENDERING==1){
vtkUnstructuredGridPartialPreIntegration <- function(.me=environment()){
  .me <- vtkUnstructuredGridVolumeRayIntegrator(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridPartialPreIntegration
(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridPartialPreIntegration
(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function( .volume=vtkVolume(), .scalars=vtkDataArray()){
    check.VTK(.volume,"vtkVolume")
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_Initialize",.me$obj, .volume$obj, .scalars$obj,PACKAGE="RVTK")
    res$.volume <- vtkVolume(wrapenv(res$.volume))
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Integrate <- function( .intersectionLengths=vtkDoubleArray(), .nearIntersections=vtkDataArray(), .farIntersections=vtkDataArray(), .color=as.single(rep.int(1,4))){
    check.VTK(.intersectionLengths,"vtkDoubleArray")
    check.VTK(.nearIntersections,"vtkDataArray")
    check.VTK(.farIntersections,"vtkDataArray")
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_Integrate",.me$obj, .intersectionLengths$obj, .nearIntersections$obj, .farIntersections$obj, .color,PACKAGE="RVTK")
    res$.intersectionLengths <- vtkDoubleArray(wrapenv(res$.intersectionLengths
))
    res$.nearIntersections <- vtkDataArray(wrapenv(res$.nearIntersections))
    res$.farIntersections <- vtkDataArray(wrapenv(res$.farIntersections))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntegrateRay <- function( .length, .intensity_front, .attenuation_front, .intensity_back, .attenuation_back, .color=as.single(rep.int(1,4))){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_IntegrateRay",.me$obj, .length, .intensity_front, .attenuation_front, .intensity_back, .attenuation_back, .color,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntegrateRay_v1 <- function( .length, .color_front, .attenuation_front, .color_back, .attenuation_back, .color=as.single(rep.int(1,4))){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_IntegrateRay_v1",.me$obj, .length, .color_front, .attenuation_front, .color_back, .attenuation_back, .color,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Psi <- function( .taufD, .taubD){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_Psi",.me$obj, .taufD, .taubD,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildPsiTable <- function(){
    res<-.Call("R_vtkUnstructuredGridPartialPreIntegration_BuildPsiTable",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkUnstructuredGridPartialPreIntegration_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkUnstructuredGridPartialPreIntegration",class(.me))
  return(.me)
}
}
