if (R.VTK.RENDERING==1){
vtkUnstructuredGridVolumeRayIntegrator <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridVolumeRayIntegrator(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkUnstructuredGridVolumeRayIntegrator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function( .volume=vtkVolume(), .scalars=vtkDataArray()){
    check.VTK(.volume,"vtkVolume")
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_Initialize",.me$obj, .volume$obj, .scalars$obj,PACKAGE="RVTK")
    res$.volume <- vtkVolume(wrapenv(res$.volume))
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Integrate <- function( .intersectionLengths=vtkDoubleArray(), .nearIntersections=vtkDataArray(), .farIntersections=vtkDataArray(), .color=as.single(rep.int(1,4))){
    check.VTK(.intersectionLengths,"vtkDoubleArray")
    check.VTK(.nearIntersections,"vtkDataArray")
    check.VTK(.farIntersections,"vtkDataArray")
    res<-.Call("R_vtkUnstructuredGridVolumeRayIntegrator_Integrate",.me$obj, .intersectionLengths$obj, .nearIntersections$obj, .farIntersections$obj, .color,PACKAGE="RVTK")
    res$.intersectionLengths <- vtkDoubleArray(wrapenv(res$.intersectionLengths
))
    res$.nearIntersections <- vtkDataArray(wrapenv(res$.nearIntersections))
    res$.farIntersections <- vtkDataArray(wrapenv(res$.farIntersections))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkUnstructuredGridVolumeRayIntegrator",class(.me))
  return(.me)
}
}
