if (R.VTK.RENDERING==1){
vtkVolume <- function(.me=environment()){
  .me <- vtkProp3D(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolume_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolume_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolume_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolume(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolume_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolume(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMapper <- function( .mapper=vtkAbstractVolumeMapper()){
    check.VTK(.mapper,"vtkAbstractVolumeMapper")
    res<-.Call("R_vtkVolume_SetMapper",.me$obj, .mapper$obj,PACKAGE="RVTK")
    res$.mapper <- vtkAbstractVolumeMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapper <- function(){
    res<-.Call("R_vtkVolume_GetMapper",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkAbstractVolumeMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProperty <- function( .property=vtkVolumeProperty()){
    check.VTK(.property,"vtkVolumeProperty")
    res<-.Call("R_vtkVolume_SetProperty",.me$obj, .property$obj,PACKAGE="RVTK")
    res$.property <- vtkVolumeProperty(wrapenv(res$.property))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProperty <- function(){
    res<-.Call("R_vtkVolume_GetProperty",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumes <- function( .vc=vtkPropCollection()){
    check.VTK(.vc,"vtkPropCollection")
    res<-.Call("R_vtkVolume_GetVolumes",.me$obj, .vc$obj,PACKAGE="RVTK")
    res$.vc <- vtkPropCollection(wrapenv(res$.vc))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkVolume_Update",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkVolume_GetBounds",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkVolume_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinXBound <- function(){
    res<-.Call("R_vtkVolume_GetMinXBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxXBound <- function(){
    res<-.Call("R_vtkVolume_GetMaxXBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinYBound <- function(){
    res<-.Call("R_vtkVolume_GetMinYBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxYBound <- function(){
    res<-.Call("R_vtkVolume_GetMaxYBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinZBound <- function(){
    res<-.Call("R_vtkVolume_GetMinZBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaxZBound <- function(){
    res<-.Call("R_vtkVolume_GetMaxZBound",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkVolume_GetMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRedrawMTime <- function(){
    res<-.Call("R_vtkVolume_GetRedrawMTime",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkVolume_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .vp=vtkViewport()){
    check.VTK(.vp,"vtkViewport")
    res<-.Call("R_vtkVolume_RenderTranslucentGeometry",.me$obj, .vp$obj,PACKAGE="RVTK")
    res$.vp <- vtkViewport(wrapenv(res$.vp))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkVolume_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCorrectedScalarOpacityArray <- function( .index){
    res<-.Call("R_vtkVolume_GetCorrectedScalarOpacityArray",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCorrectedScalarOpacityArray_v1 <- function(){
    res<-.Call("R_vtkVolume_GetCorrectedScalarOpacityArray_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacityArray <- function( .index){
    res<-.Call("R_vtkVolume_GetScalarOpacityArray",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacityArray_v1 <- function(){
    res<-.Call("R_vtkVolume_GetScalarOpacityArray_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacityArray <- function( .index){
    res<-.Call("R_vtkVolume_GetGradientOpacityArray",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacityArray_v1 <- function(){
    res<-.Call("R_vtkVolume_GetGradientOpacityArray_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGrayArray <- function( .index){
    res<-.Call("R_vtkVolume_GetGrayArray",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGrayArray_v1 <- function(){
    res<-.Call("R_vtkVolume_GetGrayArray_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBArray <- function( .index){
    res<-.Call("R_vtkVolume_GetRGBArray",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBArray_v1 <- function(){
    res<-.Call("R_vtkVolume_GetRGBArray_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacityConstant <- function( .index){
    res<-.Call("R_vtkVolume_GetGradientOpacityConstant",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacityConstant_v1 <- function(){
    res<-.Call("R_vtkVolume_GetGradientOpacityConstant_v1",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArraySize <- function(){
    res<-.Call("R_vtkVolume_GetArraySize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVolume_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVolume",class(.me))
  return(.me)
}
}
