if (R.VTK.RENDERING==1){
vtkVolumeCollection <- function(.me=environment()){
  .me <- vtkPropCollection(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeCollection_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeCollection_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolumeCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkVolume()){
    check.VTK(.a,"vtkVolume")
    res<-.Call("R_vtkVolumeCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK")
    res$.a <- vtkVolume(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextVolume <- function(){
    res<-.Call("R_vtkVolumeCollection_GetNextVolume",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolume(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkVolumeCollection_GetNextItem",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkVolume(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextVolume_v1 <- function( .cookie){
    res<-.Call("R_vtkVolumeCollection_GetNextVolume_v1",.me$obj, .cookie,PACKAGE="RVTK")
    res$ret.val <- vtkVolume(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVolumeCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVolumeCollection",class(.me))
  return(.me)
}
}
