if (R.VTK.BASE==1){
vtkXMLReader <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkXMLReader_SetFileName",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkXMLReader_GetFileName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CanReadFile <- function( .name){
    res<-.Call("R_vtkXMLReader_CanReadFile",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputAsDataSet <- function(){
    res<-.Call("R_vtkXMLReader_GetOutputAsDataSet",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutputAsDataSet_v1 <- function( .index){
    res<-.Call("R_vtkXMLReader_GetOutputAsDataSet_v1",.me$obj, .index,PACKAGE="RVTK")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointDataArraySelection <- function(){
    res<-.Call("R_vtkXMLReader_GetPointDataArraySelection",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellDataArraySelection <- function(){
    res<-.Call("R_vtkXMLReader_GetCellDataArraySelection",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataArraySelection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPointArrays <- function(){
    res<-.Call("R_vtkXMLReader_GetNumberOfPointArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCellArrays <- function(){
    res<-.Call("R_vtkXMLReader_GetNumberOfCellArrays",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointArrayName <- function( .index){
    res<-.Call("R_vtkXMLReader_GetPointArrayName",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellArrayName <- function( .index){
    res<-.Call("R_vtkXMLReader_GetCellArrayName",.me$obj, .index,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointArrayStatus <- function( .name){
    res<-.Call("R_vtkXMLReader_GetPointArrayStatus",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCellArrayStatus <- function( .name){
    res<-.Call("R_vtkXMLReader_GetCellArrayStatus",.me$obj, .name,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointArrayStatus <- function( .name, .status){
    res<-.Call("R_vtkXMLReader_SetPointArrayStatus",.me$obj, .name, .status,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCellArrayStatus <- function( .name, .status){
    res<-.Call("R_vtkXMLReader_SetCellArrayStatus",.me$obj, .name, .status,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStep <- function( ._arg){
    res<-.Call("R_vtkXMLReader_SetTimeStep",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStep <- function(){
    res<-.Call("R_vtkXMLReader_GetTimeStep",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTimeSteps <- function(){
    res<-.Call("R_vtkXMLReader_GetNumberOfTimeSteps",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange <- function(){
    res<-.Call("R_vtkXMLReader_GetTimeStepRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLReader_GetTimeStepRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange_v2 <- function( ._arg){
    res<-.Call("R_vtkXMLReader_GetTimeStepRange_v2",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStepRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXMLReader_SetTimeStepRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStepRange_v1 <- function( ._arg){
    res<-.Call("R_vtkXMLReader_SetTimeStepRange_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLReader",class(.me))
  return(.me)
}
}
