if (R.VTK.BASE==1){
vtkXMLStructuredDataReader <- function(.me=environment()){
  .me <- vtkXMLDataReader(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLStructuredDataReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLStructuredDataReader_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLStructuredDataReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLStructuredDataReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLStructuredDataReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPoints <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_GetNumberOfPoints",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfCells <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_GetNumberOfCells",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWholeSlices <- function( ._arg){
    res<-.Call("R_vtkXMLStructuredDataReader_SetWholeSlices",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeSlices <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_GetWholeSlices",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WholeSlicesOn <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_WholeSlicesOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WholeSlicesOff <- function(){
    res<-.Call("R_vtkXMLStructuredDataReader_WholeSlicesOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyOutputInformation <- function( .outInfo=vtkInformation(), .port){
    check.VTK(.outInfo,"vtkInformation")
    res<-.Call("R_vtkXMLStructuredDataReader_CopyOutputInformation",.me$obj, .outInfo$obj, .port,PACKAGE="RVTK")
    res$.outInfo <- vtkInformation(wrapenv(res$.outInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLStructuredDataReader",class(.me))
  return(.me)
}
}
