if (R.VTK.BASE==1){
vtkXMLWriter <- function(.me=environment()){
  .me <- vtkAlgorithm(.me)
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXMLWriter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXMLWriter_IsA",.me$obj, .type,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXMLWriter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLWriter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXMLWriter_NewInstance",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkXMLWriter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrder <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetByteOrder",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetByteOrder <- function(){
    res<-.Call("R_vtkXMLWriter_GetByteOrder",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrderToBigEndian <- function(){
    res<-.Call("R_vtkXMLWriter_SetByteOrderToBigEndian",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetByteOrderToLittleEndian <- function(){
    res<-.Call("R_vtkXMLWriter_SetByteOrderToLittleEndian",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdType <- function( .t){
    res<-.Call("R_vtkXMLWriter_SetIdType",.me$obj, .t,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIdType <- function(){
    res<-.Call("R_vtkXMLWriter_GetIdType",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdTypeToInt32 <- function(){
    res<-.Call("R_vtkXMLWriter_SetIdTypeToInt32",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIdTypeToInt64 <- function(){
    res<-.Call("R_vtkXMLWriter_SetIdTypeToInt64",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetFileName",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkXMLWriter_GetFileName",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompressor <- function( ._arg=vtkDataCompressor()){
    check.VTK(._arg,"vtkDataCompressor")
    res<-.Call("R_vtkXMLWriter_SetCompressor",.me$obj, ._arg$obj,PACKAGE="RVTK")
    res$._arg <- vtkDataCompressor(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompressor <- function(){
    res<-.Call("R_vtkXMLWriter_GetCompressor",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataCompressor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBlockSize <- function( .blockSize){
    res<-.Call("R_vtkXMLWriter_SetBlockSize",.me$obj, .blockSize,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlockSize <- function(){
    res<-.Call("R_vtkXMLWriter_GetBlockSize",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataMode <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetDataMode",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataMode <- function(){
    res<-.Call("R_vtkXMLWriter_GetDataMode",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToAscii <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToAscii",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToBinary <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToBinary",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataModeToAppended <- function(){
    res<-.Call("R_vtkXMLWriter_SetDataModeToAppended",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEncodeAppendedData <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetEncodeAppendedData",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEncodeAppendedData <- function(){
    res<-.Call("R_vtkXMLWriter_GetEncodeAppendedData",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeAppendedDataOn <- function(){
    res<-.Call("R_vtkXMLWriter_EncodeAppendedDataOn",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EncodeAppendedDataOff <- function(){
    res<-.Call("R_vtkXMLWriter_EncodeAppendedDataOff",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkXMLWriter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput_v1 <- function( .index, .input=vtkDataObject()){
    check.VTK(.input,"vtkDataObject")
    res<-.Call("R_vtkXMLWriter_SetInput_v1",.me$obj, .index, .input$obj,PACKAGE="RVTK")
    res$.input <- vtkDataObject(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function( .port){
    res<-.Call("R_vtkXMLWriter_GetInput",.me$obj, .port,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput_v1 <- function(){
    res<-.Call("R_vtkXMLWriter_GetInput_v1",.me$obj,PACKAGE="RVTK")
    res$ret.val <- vtkDataObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultFileExtension <- function(){
    res<-.Call("R_vtkXMLWriter_GetDefaultFileExtension",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Write <- function(){
    res<-.Call("R_vtkXMLWriter_Write",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStep <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetTimeStep",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStep <- function(){
    res<-.Call("R_vtkXMLWriter_GetTimeStep",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange <- function(){
    res<-.Call("R_vtkXMLWriter_GetTimeStepRange",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkXMLWriter_GetTimeStepRange_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeStepRange_v2 <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_GetTimeStepRange_v2",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStepRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXMLWriter_SetTimeStepRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTimeStepRange_v1 <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetTimeStepRange_v1",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfTimeSteps <- function(){
    res<-.Call("R_vtkXMLWriter_GetNumberOfTimeSteps",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfTimeSteps <- function( ._arg){
    res<-.Call("R_vtkXMLWriter_SetNumberOfTimeSteps",.me$obj, ._arg,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Start <- function(){
    res<-.Call("R_vtkXMLWriter_Start",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Stop <- function(){
    res<-.Call("R_vtkXMLWriter_Stop",.me$obj,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WriteNextTime <- function( .time){
    res<-.Call("R_vtkXMLWriter_WriteNextTime",.me$obj, .time,PACKAGE="RVTK")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkXMLWriter",class(.me))
  return(.me)
}
}
