#include <vtkAVSucdReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAVSucdReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    vtkAVSucdReader *  _res =( vtkAVSucdReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAVSucdReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    vtkAVSucdReader *  _res =( vtkAVSucdReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAVSucdReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetBinaryFile( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetBinaryFile( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetBinaryFile( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetBinaryFile();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_BinaryFileOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->BinaryFileOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_BinaryFileOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->BinaryFileOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfCells( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfNodes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfNodeFields( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodeFields();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfCellFields( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellFields();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfFields( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFields();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfNodeComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfNodeComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfCellComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetByteOrderToBigEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetByteOrderToLittleEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetByteOrderAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetByteOrderAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetByteOrder( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetByteOrder( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetByteOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfPointArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNumberOfCellArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetPointArrayName( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPointArrayName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetCellArrayName( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellArrayName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetPointArrayStatus( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetPointArrayStatus(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetCellArrayStatus( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    int _res =_obj->GetCellArrayStatus(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetPointArrayStatus( SEXP obj, SEXP name, SEXP status){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(status,1);
     int  *  _status =  SexpToint(status);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetPointArrayStatus(_name,  * _status);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_SetCellArrayStatus( SEXP obj, SEXP name, SEXP status){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(status,1);
     int  *  _status =  SexpToint(status);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->SetCellArrayStatus(_name,  * _status);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_DisableAllCellArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->DisableAllCellArrays();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_EnableAllCellArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->EnableAllCellArrays();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_DisableAllPointArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->DisableAllPointArrays();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_EnableAllPointArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->EnableAllPointArrays();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetCellDataRange( SEXP obj, SEXP cellComp, SEXP index, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellComp,1);
     int  *  _cellComp =  SexpToint(cellComp);
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     float  *  _min =  SexpTofloat(min);
     float  *  _max =  SexpTofloat(max);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->GetCellDataRange( * _cellComp,  * _index, _min, _max);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_min,LENGTH(min)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".min",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_max,LENGTH(max)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".max",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_GetNodeDataRange( SEXP obj, SEXP nodeComp, SEXP index, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(nodeComp,1);
     int  *  _nodeComp =  SexpToint(nodeComp);
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     float  *  _min =  SexpTofloat(min);
     float  *  _max =  SexpTofloat(max);
    vtkAVSucdReader * _obj = (vtkAVSucdReader * ) SexpToVtk(obj);
    _obj->GetNodeDataRange( * _nodeComp,  * _index, _min, _max);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_min,LENGTH(min)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".min",0));
    SET_VECTOR_ELT(ans,2,floatToSexp(_max,LENGTH(max)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".max",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAVSucdReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAVSucdReader * res= ( vtkAVSucdReader * ) vtkAVSucdReader::New();
    R_res=toRPointer(res,"vtkAVSucdReader");
    return(R_res);
  }
#endif
}
