#include <vtkAbstractMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAbstractMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    vtkAbstractMapper *  _res =( vtkAbstractMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAbstractMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    vtkAbstractMapper *  _res =( vtkAbstractMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAbstractMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_GetTimeToDraw( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    double _res =_obj->GetTimeToDraw();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_AddClippingPlane( SEXP obj, SEXP plane){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlane  *  _plane = (vtkPlane * )  SexpToVtk(plane);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->AddClippingPlane(_plane);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_plane,"vtkPlane"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".plane",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_RemoveClippingPlane( SEXP obj, SEXP plane){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlane  *  _plane = (vtkPlane * )  SexpToVtk(plane);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->RemoveClippingPlane(_plane);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_plane,"vtkPlane"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".plane",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_RemoveAllClippingPlanes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->RemoveAllClippingPlanes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_SetClippingPlanes( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlaneCollection  *  __arg = (vtkPlaneCollection * )  SexpToVtk(_arg);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->SetClippingPlanes(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkPlaneCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_GetClippingPlanes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    vtkPlaneCollection *  _res =( vtkPlaneCollection * )_obj->GetClippingPlanes();
    res=VtkToSexp(_res,"vtkPlaneCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_SetClippingPlanes_v1( SEXP obj, SEXP planes){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlanes  *  _planes = (vtkPlanes * )  SexpToVtk(planes);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->SetClippingPlanes(_planes);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_planes,"vtkPlanes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".planes",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_ShallowCopy( SEXP obj, SEXP mapper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractMapper  *  _mapper = (vtkAbstractMapper * )  SexpToVtk(mapper);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    _obj->ShallowCopy(_mapper);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_mapper,"vtkAbstractMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractMapper_GetScalars( SEXP obj, SEXP input, SEXP scalarMode, SEXP arrayAccessMode, SEXP arrayId, SEXP arrayName, SEXP cellFlag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    SET_LENGTH(scalarMode,1);
     int  *  _scalarMode =  SexpToint(scalarMode);
    SET_LENGTH(arrayAccessMode,1);
     int  *  _arrayAccessMode =  SexpToint(arrayAccessMode);
    SET_LENGTH(arrayId,1);
     int  *  _arrayId =  SexpToint(arrayId);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(cellFlag,1);
     int  *  _cellFlag =  SexpToint(cellFlag);
    vtkAbstractMapper * _obj = (vtkAbstractMapper * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetScalars(_input,  * _scalarMode,  * _arrayAccessMode,  * _arrayId, _arrayName,  * _cellFlag);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_cellFlag,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellFlag",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
