#include <vtkAttributeDataToFieldDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkAttributeDataToFieldDataFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    vtkAttributeDataToFieldDataFilter *  _res =( vtkAttributeDataToFieldDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAttributeDataToFieldDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    vtkAttributeDataToFieldDataFilter *  _res =( vtkAttributeDataToFieldDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAttributeDataToFieldDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_SetPassAttributeData( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    _obj->SetPassAttributeData( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_GetPassAttributeData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    int _res =_obj->GetPassAttributeData();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_PassAttributeDataOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    _obj->PassAttributeDataOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_PassAttributeDataOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAttributeDataToFieldDataFilter * _obj = (
vtkAttributeDataToFieldDataFilter * ) SexpToVtk(obj);
    _obj->PassAttributeDataOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAttributeDataToFieldDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkAttributeDataToFieldDataFilter * res= ( vtkAttributeDataToFieldDataFilter
 * ) vtkAttributeDataToFieldDataFilter::New();
    R_res=toRPointer(res,"vtkAttributeDataToFieldDataFilter");
    return(R_res);
  }
#endif
}
