#include <vtkBSPIntersections.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkBSPIntersections_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    vtkBSPIntersections *  _res =( vtkBSPIntersections * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBSPIntersections");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    vtkBSPIntersections *  _res =( vtkBSPIntersections * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBSPIntersections");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_SetCuts( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkBSPCuts  *  __arg = (vtkBSPCuts * )  SexpToVtk(_arg);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    _obj->SetCuts(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkBSPCuts"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetCuts( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    vtkBSPCuts *  _res =( vtkBSPCuts * )_obj->GetCuts();
    res=VtkToSexp(_res,"vtkBSPCuts");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetBounds( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _bounds =  SexpTodouble(bounds);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->GetBounds(_bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,LENGTH(bounds)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetNumberOfRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfRegions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetRegionBounds( SEXP obj, SEXP regionID, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->GetRegionBounds( * _regionID, _bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetRegionDataBounds( SEXP obj, SEXP regionID, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionID,1);
     int  *  _regionID =  SexpToint(regionID);
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->GetRegionDataBounds( * _regionID, _bounds);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsBox( SEXP obj, SEXP regionId, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
     double  *  _x =  SexpTodouble(x);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsBox( * _regionId, _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsBox_v1( SEXP obj, SEXP regionId, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
    SET_LENGTH(x0,1);
     double  *  _x0 =  SexpTodouble(x0);
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y0,1);
     double  *  _y0 =  SexpTodouble(y0);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z0,1);
     double  *  _z0 =  SexpTodouble(z0);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsBox( * _regionId,  * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsBox_v2( SEXP obj, SEXP ids, SEXP len, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ids =  SexpToint(ids);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
     double  *  _x =  SexpTodouble(x);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsBox(_ids,  * _len, _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ids,LENGTH(ids)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ids",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsBox_v3( SEXP obj, SEXP ids, SEXP len, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ids =  SexpToint(ids);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    SET_LENGTH(x0,1);
     double  *  _x0 =  SexpTodouble(x0);
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y0,1);
     double  *  _y0 =  SexpTodouble(y0);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z0,1);
     double  *  _z0 =  SexpTodouble(z0);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsBox(_ids,  * _len,  * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ids,LENGTH(ids)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ids",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsSphere2( SEXP obj, SEXP regionId, SEXP x, SEXP y, SEXP z, SEXP rSquared){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(rSquared,1);
     double  *  _rSquared =  SexpTodouble(rSquared);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsSphere2( * _regionId,  * _x,  * _y,  * _z,  * _rSquared);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsSphere2_v1( SEXP obj, SEXP ids, SEXP len, SEXP x, SEXP y, SEXP z, SEXP rSquared){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ids =  SexpToint(ids);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    SET_LENGTH(rSquared,1);
     double  *  _rSquared =  SexpTodouble(rSquared);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsSphere2(_ids,  * _len,  * _x,  * _y,  * _z,  * _rSquared);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ids,LENGTH(ids)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ids",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsCell( SEXP obj, SEXP regionId, SEXP cell, SEXP cellRegion){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(regionId,1);
     int  *  _regionId =  SexpToint(regionId);
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    SET_LENGTH(cellRegion,1);
     int  *  _cellRegion =  SexpToint(cellRegion);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsCell( * _regionId, _cell,  * _cellRegion);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_IntersectsCell_v1( SEXP obj, SEXP ids, SEXP len, SEXP cell, SEXP cellRegion){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ids =  SexpToint(ids);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
     vtkCell  *  _cell = (vtkCell * )  SexpToVtk(cell);
    SET_LENGTH(cellRegion,1);
     int  *  _cellRegion =  SexpToint(cellRegion);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->IntersectsCell(_ids,  * _len, _cell,  * _cellRegion);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ids,LENGTH(ids)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ids",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_GetComputeIntersectionsUsingDataBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    int _res =_obj->GetComputeIntersectionsUsingDataBounds();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_SetComputeIntersectionsUsingDataBounds( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c,1);
     int  *  _c =  SexpToint(c);
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    _obj->SetComputeIntersectionsUsingDataBounds( * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    _obj->ComputeIntersectionsUsingDataBoundsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBSPIntersections * _obj = (vtkBSPIntersections * ) SexpToVtk(obj);
    _obj->ComputeIntersectionsUsingDataBoundsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBSPIntersections_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBSPIntersections * res= ( vtkBSPIntersections * ) vtkBSPIntersections
::New();
    R_res=toRPointer(res,"vtkBSPIntersections");
    return(R_res);
  }
#endif
}
