#include <vtkBoxClipDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkBoxClipDataSet_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    vtkBoxClipDataSet *  _res =( vtkBoxClipDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBoxClipDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    vtkBoxClipDataSet *  _res =( vtkBoxClipDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBoxClipDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetBoxClip( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetBoxClip( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetBoxClip_v1( SEXP obj, SEXP n0, SEXP o0, SEXP n1, SEXP o1, SEXP n2, SEXP o2, SEXP n3, SEXP o3, SEXP n4, SEXP o4, SEXP n5, SEXP o5){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _n0 =  SexpTodouble(n0);
     double  *  _o0 =  SexpTodouble(o0);
     double  *  _n1 =  SexpTodouble(n1);
     double  *  _o1 =  SexpTodouble(o1);
     double  *  _n2 =  SexpTodouble(n2);
     double  *  _o2 =  SexpTodouble(o2);
     double  *  _n3 =  SexpTodouble(n3);
     double  *  _o3 =  SexpTodouble(o3);
     double  *  _n4 =  SexpTodouble(n4);
     double  *  _o4 =  SexpTodouble(o4);
     double  *  _n5 =  SexpTodouble(n5);
     double  *  _o5 =  SexpTodouble(o5);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetBoxClip(_n0, _o0, _n1, _o1, _n2, _o2, _n3, _o3, _n4, _o4, _n5, _o5);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetGenerateClipScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetGenerateClipScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetGenerateClipScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateClipScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GenerateClipScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->GenerateClipScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GenerateClipScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->GenerateClipScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetGenerateClippedOutput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetGenerateClippedOutput( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetGenerateClippedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateClippedOutput();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GenerateClippedOutputOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->GenerateClippedOutputOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GenerateClippedOutputOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->GenerateClippedOutputOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetClippedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetClippedOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetNumberOfOutputs( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfOutputs();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_GetOrientation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    unsigned int _res =_obj->GetOrientation();
    res=unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_SetOrientation( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     unsigned int  *  __arg =  SexpTounsigned_int(_arg);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->SetOrientation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_MinEdgeF( SEXP obj, SEXP id_v, SEXP cellIds, SEXP edgF){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned int  *  _id_v =  SexpTounsigned_int(id_v);
     int  *  _cellIds =  SexpToint(cellIds);
     unsigned int  *  _edgF =  SexpTounsigned_int(edgF);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->MinEdgeF(_id_v, _cellIds, _edgF);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_intToSexp(_edgF,LENGTH(edgF)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".edgF",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_PyramidToTetra( SEXP obj, SEXP pyramId, SEXP cellIds, SEXP newCellArray){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _pyramId =  SexpToint(pyramId);
     int  *  _cellIds =  SexpToint(cellIds);
     vtkCellArray  *  _newCellArray = (vtkCellArray * )  
SexpToVtk(newCellArray);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->PyramidToTetra(_pyramId, _cellIds, _newCellArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newCellArray,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newCellArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_WedgeToTetra( SEXP obj, SEXP wedgeId, SEXP cellIds, SEXP newCellArray){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _wedgeId =  SexpToint(wedgeId);
     int  *  _cellIds =  SexpToint(cellIds);
     vtkCellArray  *  _newCellArray = (vtkCellArray * )  
SexpToVtk(newCellArray);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->WedgeToTetra(_wedgeId, _cellIds, _newCellArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newCellArray,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newCellArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_CellGrid( SEXP obj, SEXP typeobj, SEXP npts, SEXP cellIds, SEXP newCellArray){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(typeobj,1);
     int  *  _typeobj =  SexpToint(typeobj);
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _cellIds =  SexpToint(cellIds);
     vtkCellArray  *  _newCellArray = (vtkCellArray * )  
SexpToVtk(newCellArray);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->CellGrid( * _typeobj,  * _npts, _cellIds, _newCellArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newCellArray,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newCellArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_CreateTetra( SEXP obj, SEXP npts, SEXP cellIds, SEXP newCellArray){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
     int  *  _cellIds =  SexpToint(cellIds);
     vtkCellArray  *  _newCellArray = (vtkCellArray * )  
SexpToVtk(newCellArray);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->CreateTetra( * _npts, _cellIds, _newCellArray);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newCellArray,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newCellArray",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipBox( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipBox(_newPoints, _cell, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipHexahedron( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipHexahedron(_newPoints, _cell, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipBox2D( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipBox2D(_newPoints, _cell, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipHexahedron2D( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipHexahedron2D(_newPoints, _cell, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipBox1D( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP lines, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipBox1D(_newPoints, _cell, _locator, _lines, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipHexahedron1D( SEXP obj, SEXP newPoints, SEXP cell, SEXP locator, SEXP lines, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _newPoints = (vtkPoints * )  SexpToVtk(newPoints);
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipHexahedron1D(_newPoints, _cell, _locator, _lines, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,9));
    PROTECT(res_names = allocVector(VECSXP,9));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newPoints,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newPoints",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipBox0D( SEXP obj, SEXP cell, SEXP locator, SEXP verts, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipBox0D(_cell, _locator, _verts, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_ClipHexahedron0D( SEXP obj, SEXP cell, SEXP locator, SEXP verts, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericCell  *  _cell = (vtkGenericCell * )  SexpToVtk(cell);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    vtkBoxClipDataSet * _obj = (vtkBoxClipDataSet * ) SexpToVtk(obj);
    _obj->ClipHexahedron0D(_cell, _locator, _verts, _inPD, _outPD, _inCD,  * _cellId, _outCD);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cell,"vtkGenericCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cell",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxClipDataSet_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBoxClipDataSet * res= ( vtkBoxClipDataSet * ) vtkBoxClipDataSet::New();
    R_res=toRPointer(res,"vtkBoxClipDataSet");
    return(R_res);
  }
#endif
}
