#include <vtkCameraInterpolator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkCameraInterpolator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkCameraInterpolator *  _res =( vtkCameraInterpolator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCameraInterpolator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkCameraInterpolator *  _res =( vtkCameraInterpolator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCameraInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetNumberOfCameras( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCameras();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetMinimumT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumT();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetMaximumT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumT();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_AddCamera( SEXP obj, SEXP t, SEXP camera){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
     vtkCamera  *  _camera = (vtkCamera * )  SexpToVtk(camera);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->AddCamera( * _t, _camera);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_camera,"vtkCamera"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".camera",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_RemoveCamera( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->RemoveCamera( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_InterpolateCamera( SEXP obj, SEXP t, SEXP camera){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
     vtkCamera  *  _camera = (vtkCamera * )  SexpToVtk(camera);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->InterpolateCamera( * _t, _camera);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_camera,"vtkCamera"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".camera",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetInterpolationType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetInterpolationType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetInterpolationTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetInterpolationTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetInterpolationType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetInterpolationTypeToLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetInterpolationTypeToSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToSpline();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetInterpolationTypeToManual( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToManual();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetPositionInterpolator( SEXP obj, SEXP pi){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _pi = (vtkTupleInterpolator * )  SexpToVtk(pi);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetPositionInterpolator(_pi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pi,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetPositionInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetPositionInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetFocalPointInterpolator( SEXP obj, SEXP fpi){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _fpi = (vtkTupleInterpolator * )  SexpToVtk(fpi);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetFocalPointInterpolator(_fpi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_fpi,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fpi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetFocalPointInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetFocalPointInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetViewUpInterpolator( SEXP obj, SEXP vupi){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _vupi = (vtkTupleInterpolator * )  
SexpToVtk(vupi);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetViewUpInterpolator(_vupi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vupi,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vupi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetViewUpInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetViewUpInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetViewAngleInterpolator( SEXP obj, SEXP vai){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _vai = (vtkTupleInterpolator * )  SexpToVtk(vai);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetViewAngleInterpolator(_vai);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vai,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vai",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetViewAngleInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetViewAngleInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetParallelScaleInterpolator( SEXP obj, SEXP psi){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _psi = (vtkTupleInterpolator * )  SexpToVtk(psi);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetParallelScaleInterpolator(_psi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_psi,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".psi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetParallelScaleInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetParallelScaleInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_SetClippingRangeInterpolator( SEXP obj, SEXP cri){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTupleInterpolator  *  _cri = (vtkTupleInterpolator * )  SexpToVtk(cri);
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    _obj->SetClippingRangeInterpolator(_cri);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cri,"vtkTupleInterpolator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cri",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetClippingRangeInterpolator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    vtkTupleInterpolator *  _res =( vtkTupleInterpolator * )_obj->GetClippingRangeInterpolator();
    res=VtkToSexp(_res,"vtkTupleInterpolator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCameraInterpolator * _obj = (vtkCameraInterpolator * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCameraInterpolator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCameraInterpolator * res= ( vtkCameraInterpolator * ) 
vtkCameraInterpolator::New();
    R_res=toRPointer(res,"vtkCameraInterpolator");
    return(R_res);
  }
#endif
}
