#include <vtkCleanPolyData.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCleanPolyData_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    vtkCleanPolyData *  _res =( vtkCleanPolyData * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCleanPolyData");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    vtkCleanPolyData *  _res =( vtkCleanPolyData * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCleanPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetToleranceIsAbsolute( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetToleranceIsAbsolute( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ToleranceIsAbsoluteOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ToleranceIsAbsoluteOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ToleranceIsAbsoluteOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ToleranceIsAbsoluteOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetToleranceIsAbsolute( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetToleranceIsAbsolute();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetTolerance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetToleranceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetToleranceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetToleranceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetToleranceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetAbsoluteTolerance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetAbsoluteTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetAbsoluteToleranceMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetAbsoluteToleranceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetAbsoluteToleranceMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetAbsoluteToleranceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetAbsoluteTolerance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    double _res =_obj->GetAbsoluteTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetConvertLinesToPoints( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetConvertLinesToPoints( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertLinesToPointsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertLinesToPointsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertLinesToPointsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertLinesToPointsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetConvertLinesToPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetConvertLinesToPoints();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetConvertPolysToLines( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetConvertPolysToLines( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertPolysToLinesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertPolysToLinesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertPolysToLinesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertPolysToLinesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetConvertPolysToLines( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetConvertPolysToLines();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetConvertStripsToPolys( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetConvertStripsToPolys( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertStripsToPolysOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertStripsToPolysOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ConvertStripsToPolysOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ConvertStripsToPolysOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetConvertStripsToPolys( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetConvertStripsToPolys();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetPointMerging( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetPointMerging( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetPointMerging( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetPointMerging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_PointMergingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->PointMergingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_PointMergingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->PointMergingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_CreateDefaultLocator( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _input = (vtkPolyData * )  SexpToVtk(input);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_ReleaseLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->ReleaseLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_OperateOnPoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->OperateOnPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_in,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_OperateOnBounds( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,6);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,6);
     double  *  _out =  SexpTodouble(out);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->OperateOnBounds(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_in,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_out,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_SetPieceInvariant( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->SetPieceInvariant( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_GetPieceInvariant( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetPieceInvariant();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_PieceInvariantOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->PieceInvariantOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_PieceInvariantOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCleanPolyData * _obj = (vtkCleanPolyData * ) SexpToVtk(obj);
    _obj->PieceInvariantOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCleanPolyData_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCleanPolyData * res= ( vtkCleanPolyData * ) vtkCleanPolyData::New();
    R_res=toRPointer(res,"vtkCleanPolyData");
    return(R_res);
  }
#endif
}
