#include <vtkCompositeDataPipeline.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCompositeDataPipeline_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkCompositeDataPipeline *  _res =( vtkCompositeDataPipeline * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCompositeDataPipeline");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkCompositeDataPipeline *  _res =( vtkCompositeDataPipeline * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCompositeDataPipeline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_GetCompositeOutputData( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetCompositeOutputData( * _port);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_BEGIN_LOOP( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->BEGIN_LOOP();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_END_LOOP( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->END_LOOP();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_COMPOSITE_DATA_TYPE_NAME( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationStringKey *  _res =( vtkInformationStringKey * )_obj->COMPOSITE_DATA_TYPE_NAME();
    res=VtkToSexp(_res,"vtkInformationStringKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_COMPOSITE_DATA_INFORMATION( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationObjectBaseKey *  _res =( vtkInformationObjectBaseKey * )_obj->COMPOSITE_DATA_INFORMATION();
    res=VtkToSexp(_res,"vtkInformationObjectBaseKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_MARKED_FOR_UPDATE( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->MARKED_FOR_UPDATE();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_INPUT_REQUIRED_COMPOSITE_DATA_TYPE( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationStringKey *  _res =( vtkInformationStringKey * )_obj->INPUT_REQUIRED_COMPOSITE_DATA_TYPE();
    res=VtkToSexp(_res,"vtkInformationStringKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_UPDATE_BLOCKS( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * _obj = (vtkCompositeDataPipeline
 * ) SexpToVtk(obj);
    vtkInformationObjectBaseKey *  _res =( vtkInformationObjectBaseKey * )_obj->UPDATE_BLOCKS();
    res=VtkToSexp(_res,"vtkInformationObjectBaseKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataPipeline_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkCompositeDataPipeline * res= ( vtkCompositeDataPipeline * ) 
vtkCompositeDataPipeline::New();
    R_res=toRPointer(res,"vtkCompositeDataPipeline");
    return(R_res);
  }
#endif
}
