#include <vtkCompositeDataSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkCompositeDataSet_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataSet *  _res =( vtkCompositeDataSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkCompositeDataSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataSet *  _res =( vtkCompositeDataSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkCompositeDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_NewIterator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkCompositeDataIterator *  _res =( vtkCompositeDataIterator * )_obj->NewIterator();
    res=VtkToSexp(_res,"vtkCompositeDataIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetDataObjectType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_AddDataSet( SEXP obj, SEXP index, SEXP dobj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _index = (vtkInformation * )  SexpToVtk(index);
     vtkDataObject  *  _dobj = (vtkDataObject * )  SexpToVtk(dobj);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->AddDataSet(_index, _dobj);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_index,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".index",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_dobj,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".dobj",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetDataSet( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _index = (vtkInformation * )  SexpToVtk(index);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetDataSet(_index);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_index,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".index",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_SetPipelineInformation( SEXP obj, SEXP newInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _newInfo = (vtkInformation * )  SexpToVtk(newInfo);
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    _obj->SetPipelineInformation(_newInfo);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newInfo,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_GetProducerPort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkAlgorithmOutput *  _res =( vtkAlgorithmOutput * )_obj->GetProducerPort();
    res=VtkToSexp(_res,"vtkAlgorithmOutput");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_INDEX( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->INDEX();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkCompositeDataSet_COMPOSITE_DATA_SET( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkCompositeDataSet * _obj = (vtkCompositeDataSet * ) SexpToVtk(obj);
    vtkInformationDataObjectKey *  _res =( vtkInformationDataObjectKey * )_obj->COMPOSITE_DATA_SET();
    res=VtkToSexp(_res,"vtkInformationDataObjectKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
