#include <vtkContourValues.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkContourValues_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    vtkContourValues *  _res =( vtkContourValues * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkContourValues");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    vtkContourValues *  _res =( vtkContourValues * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkContourValues");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_SetValue( SEXP obj, SEXP i, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    _obj->SetValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GetValue( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GetValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValues();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GetValues_v1( SEXP obj, SEXP contourValues){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _contourValues =  SexpTodouble(contourValues);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    _obj->GetValues(_contourValues);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_contourValues,LENGTH(contourValues)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".contourValues",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_SetNumberOfContours( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    _obj->SetNumberOfContours( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GetNumberOfContours( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfContours();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GenerateValues( SEXP obj, SEXP numContours, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_GenerateValues_v1( SEXP obj, SEXP numContours, SEXP rangeStart, SEXP rangeEnd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(rangeStart,1);
     double  *  _rangeStart =  SexpTodouble(rangeStart);
    SET_LENGTH(rangeEnd,1);
     double  *  _rangeEnd =  SexpTodouble(rangeEnd);
    vtkContourValues * _obj = (vtkContourValues * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours,  * _rangeStart,  * _rangeEnd);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkContourValues_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkContourValues * res= ( vtkContourValues * ) vtkContourValues::New();
    R_res=toRPointer(res,"vtkContourValues");
    return(R_res);
  }
#endif
}
