#include <vtkConvexPointSet.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkConvexPointSet_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    vtkConvexPointSet *  _res =( vtkConvexPointSet * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkConvexPointSet");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    vtkConvexPointSet *  _res =( vtkConvexPointSet * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkConvexPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_HasFixedTopology( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->HasFixedTopology();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetParametricCoords( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetParametricCoords();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetCellType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_RequiresInitialization( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->RequiresInitialization();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetNumberOfEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetNumberOfFaces( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetFace( SEXP obj, SEXP faceId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(faceId,1);
     int  *  _faceId =  SexpToint(faceId);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetFace( * _faceId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_Contour( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP verts, SEXP lines, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _verts = (vtkCellArray * )  SexpToVtk(verts);
     vtkCellArray  *  _lines = (vtkCellArray * )  SexpToVtk(lines);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    _obj->Contour( * _value, _cellScalars, _locator, _verts, _lines, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd);
    PROTECT(ans = allocVector(VECSXP,10));
    PROTECT(res_names = allocVector(VECSXP,10));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_verts,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".verts",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_lines,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".lines",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,8,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,8,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,9,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,9,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP tets, SEXP inPD, SEXP outPD, SEXP inCD, SEXP cellId, SEXP outCD, SEXP insideOut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _tets = (vtkCellArray * )  SexpToVtk(tets);
     vtkPointData  *  _inPD = (vtkPointData * )  SexpToVtk(inPD);
     vtkPointData  *  _outPD = (vtkPointData * )  SexpToVtk(outPD);
     vtkCellData  *  _inCD = (vtkCellData * )  SexpToVtk(inCD);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCD = (vtkCellData * )  SexpToVtk(outCD);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _tets, _inPD, _outPD, _inCD,  * _cellId, _outCD,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_tets,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".tets",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPD",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPD,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPD",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCD",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCD,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCD",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_EvaluateLocation( SEXP obj, SEXP subId, SEXP pcoords, SEXP x, SEXP weights){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _weights =  SexpTodouble(weights);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    _obj->EvaluateLocation( * _subId, _pcoords, _x, _weights);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,3,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,4,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP minT, SEXP x, SEXP pcoords, SEXP subId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(minT,1);
     double  *  _minT =  SexpTodouble(minT);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _minT, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_minT,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".minT",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_Derivatives( SEXP obj, SEXP subId, SEXP pcoords, SEXP values, SEXP dim, SEXP derivs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     double  *  _values =  SexpTodouble(values);
    SET_LENGTH(dim,1);
     int  *  _dim =  SexpToint(dim);
     double  *  _derivs =  SexpTodouble(derivs);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    _obj->Derivatives( * _subId, _pcoords, _values,  * _dim, _derivs);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_values,LENGTH(values)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".values",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_derivs,LENGTH(derivs)));
    SET_VECTOR_ELT(res_names,3,charToSexp(".derivs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_CellBoundary( SEXP obj, SEXP subId, SEXP pcoords, SEXP pts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
     vtkIdList  *  _pts = (vtkIdList * )  SexpToVtk(pts);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->CellBoundary( * _subId, _pcoords, _pts);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_pts,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_GetParametricCenter( SEXP obj, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->GetParametricCenter(_pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_IsPrimaryCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkConvexPointSet * _obj = (vtkConvexPointSet * ) SexpToVtk(obj);
    int _res =_obj->IsPrimaryCell();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkConvexPointSet_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkConvexPointSet * res= ( vtkConvexPointSet * ) vtkConvexPointSet::New();
    R_res=toRPointer(res,"vtkConvexPointSet");
    return(R_res);
  }
#endif
}
