#include <vtkDSPFilterDefinition.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkDSPFilterDefinition_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    vtkDSPFilterDefinition *  _res =( vtkDSPFilterDefinition * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDSPFilterDefinition");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    vtkDSPFilterDefinition *  _res =( vtkDSPFilterDefinition * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDSPFilterDefinition");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_Copy( SEXP obj, SEXP other){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDSPFilterDefinition  *  _other = (vtkDSPFilterDefinition * )  
SexpToVtk(other);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->Copy(_other);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_other,"vtkDSPFilterDefinition"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".other",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_Clear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->Clear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_PushBackNumeratorWeight( SEXP obj, SEXP a_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_value,1);
     double  *  _a_value =  SexpTodouble(a_value);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->PushBackNumeratorWeight( * _a_value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_PushBackDenominatorWeight( SEXP obj, SEXP a_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_value,1);
     double  *  _a_value =  SexpTodouble(a_value);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->PushBackDenominatorWeight( * _a_value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_PushBackForwardNumeratorWeight( SEXP obj, SEXP a_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_value,1);
     double  *  _a_value =  SexpTodouble(a_value);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->PushBackForwardNumeratorWeight( * _a_value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_SetInputVariableName( SEXP obj, SEXP a_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _a_value =  SexpTochar(a_value);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->SetInputVariableName(_a_value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_a_value,LENGTH(a_value)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a_value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_SetOutputVariableName( SEXP obj, SEXP a_value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _a_value =  SexpTochar(a_value);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    _obj->SetOutputVariableName(_a_value);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_a_value,LENGTH(a_value)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a_value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetInputVariableName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInputVariableName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetOutputVariableName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetOutputVariableName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetNumNumeratorWeights( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    int _res =_obj->GetNumNumeratorWeights();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetNumDenominatorWeights( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    int _res =_obj->GetNumDenominatorWeights();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetNumForwardNumeratorWeights( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    int _res =_obj->GetNumForwardNumeratorWeights();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetNumeratorWeight( SEXP obj, SEXP a_which){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_which,1);
     int  *  _a_which =  SexpToint(a_which);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    double _res =_obj->GetNumeratorWeight( * _a_which);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetDenominatorWeight( SEXP obj, SEXP a_which){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_which,1);
     int  *  _a_which =  SexpToint(a_which);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    double _res =_obj->GetDenominatorWeight( * _a_which);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_GetForwardNumeratorWeight( SEXP obj, SEXP a_which){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a_which,1);
     int  *  _a_which =  SexpToint(a_which);
    vtkDSPFilterDefinition * _obj = (vtkDSPFilterDefinition * ) SexpToVtk(obj);
    double _res =_obj->GetForwardNumeratorWeight( * _a_which);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDSPFilterDefinition_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDSPFilterDefinition * res= ( vtkDSPFilterDefinition * ) 
vtkDSPFilterDefinition::New();
    R_res=toRPointer(res,"vtkDSPFilterDefinition");
    return(R_res);
  }
#endif
}
