#include <vtkDataArrayCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDataArrayCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    vtkDataArrayCollection *  _res =( vtkDataArrayCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataArrayCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    vtkDataArrayCollection *  _res =( vtkDataArrayCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataArrayCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_AddItem( SEXP obj, SEXP ds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _ds = (vtkDataArray * )  SexpToVtk(ds);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    _obj->AddItem(_ds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ds,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_GetNextItem( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_GetItem( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetItem( * _i);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_GetNextDataArray( SEXP obj, SEXP cookie){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _cookie =  SexpTovoid(cookie);
    vtkDataArrayCollection * _obj = (vtkDataArrayCollection * ) SexpToVtk(obj);
    vtkDataArray *  _res =( vtkDataArray * )_obj->GetNextDataArray(_cookie);
    res=VtkToSexp(_res,"vtkDataArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_cookie,LENGTH(cookie)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cookie",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataArrayCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataArrayCollection * res= ( vtkDataArrayCollection * ) 
vtkDataArrayCollection::New();
    R_res=toRPointer(res,"vtkDataArrayCollection");
    return(R_res);
  }
#endif
}
