#include <vtkDataObjectToDataSetFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDataObjectToDataSetFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataObjectToDataSetFilter *  _res =( vtkDataObjectToDataSetFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDataObjectToDataSetFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataObjectToDataSetFilter *  _res =( vtkDataObjectToDataSetFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDataObjectToDataSetFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetType( SEXP obj, SEXP dt){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dt,1);
     int  *  _dt =  SexpToint(dt);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetType( * _dt);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetDataSetType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetDataSetType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetTypeToPolyData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetTypeToPolyData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetTypeToStructuredPoints();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredGrid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetTypeToStructuredGrid();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetTypeToRectilinearGrid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetTypeToRectilinearGrid();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDataSetTypeToUnstructuredGrid( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDataSetTypeToUnstructuredGrid();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetOutput_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPolyDataOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetPolyDataOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStructuredPointsOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkStructuredPoints *  _res =( vtkStructuredPoints * )_obj->GetStructuredPointsOutput();
    res=VtkToSexp(_res,"vtkStructuredPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkStructuredGrid *  _res =( vtkStructuredGrid * )_obj->GetStructuredGridOutput();
    res=VtkToSexp(_res,"vtkStructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetUnstructuredGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetUnstructuredGridOutput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetRectilinearGridOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetRectilinearGridOutput();
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetPointComponent( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max, SEXP normalize){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    SET_LENGTH(normalize,1);
     int  *  _normalize =  SexpToint(normalize);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetPointComponent( * _comp, _arrayName,  * _arrayComp,  * _min,  * _max,  * _normalize);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetPointComponent_v1( SEXP obj, SEXP comp, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetPointComponent( * _comp, _arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPointComponentArrayName( SEXP obj, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPointComponentArrayName( * _comp);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPointComponentArrayComponent( SEXP obj, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointComponentArrayComponent( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPointComponentMinRange( SEXP obj, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointComponentMinRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPointComponentMaxRange( SEXP obj, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointComponentMaxRange( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPointComponentNormailzeFlag( SEXP obj, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointComponentNormailzeFlag( * _comp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetVertsComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetVertsComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetVertsComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetVertsComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetVertsComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVertsComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetVertsComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetVertsComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetVertsComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetVertsComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetVertsComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetVertsComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetLinesComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetLinesComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetLinesComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetLinesComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetLinesComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLinesComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetLinesComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetLinesComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetLinesComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetLinesComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetLinesComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetLinesComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetPolysComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetPolysComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetPolysComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetPolysComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPolysComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPolysComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPolysComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPolysComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPolysComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPolysComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetPolysComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPolysComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetStripsComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetStripsComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetStripsComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetStripsComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStripsComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetStripsComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStripsComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetStripsComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStripsComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetStripsComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetStripsComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetStripsComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetCellTypeComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetCellTypeComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetCellTypeComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetCellTypeComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellTypeComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellTypeComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellTypeComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellTypeComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellTypeComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellTypeComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetCellConnectivityComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetCellConnectivityComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellConnectivityComponentArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellConnectivityComponentArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMinRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellConnectivityComponentMinRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMaxRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellConnectivityComponentMaxRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDefaultNormalize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDefaultNormalize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetDefaultNormalize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetDefaultNormalize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_DefaultNormalizeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->DefaultNormalizeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_DefaultNormalizeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->DefaultNormalizeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDimensions( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDimensions( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDimensions_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDimensions(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetDimensions_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->GetDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetOrigin_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetOrigin_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->GetOrigin(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetSpacing( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetSpacing_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_GetSpacing_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->GetSpacing(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDimensionsComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDimensionsComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetDimensionsComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetDimensionsComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetSpacingComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetSpacingComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetSpacingComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetSpacingComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetOriginComponent( SEXP obj, SEXP arrayName, SEXP arrayComp, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    SET_LENGTH(min,1);
     int  *  _min =  SexpToint(min);
    SET_LENGTH(max,1);
     int  *  _max =  SexpToint(max);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetOriginComponent(_arrayName,  * _arrayComp,  * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_SetOriginComponent_v1( SEXP obj, SEXP arrayName, SEXP arrayComp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(arrayComp,1);
     int  *  _arrayComp =  SexpToint(arrayComp);
    vtkDataObjectToDataSetFilter * _obj = (vtkDataObjectToDataSetFilter
 * ) SexpToVtk(obj);
    _obj->SetOriginComponent(_arrayName,  * _arrayComp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDataObjectToDataSetFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDataObjectToDataSetFilter * res= ( vtkDataObjectToDataSetFilter * ) 
vtkDataObjectToDataSetFilter::New();
    R_res=toRPointer(res,"vtkDataObjectToDataSetFilter");
    return(R_res);
  }
#endif
}
