#include <vtkDebugLeaks.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDebugLeaks_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    vtkDebugLeaks *  _res =( vtkDebugLeaks * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDebugLeaks");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    vtkDebugLeaks *  _res =( vtkDebugLeaks * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDebugLeaks");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_PrintCurrentLeaks( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    int _res =_obj->PrintCurrentLeaks();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_PromptUserOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    _obj->PromptUserOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_PromptUserOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    _obj->PromptUserOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_GetExitError( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    int _res =_obj->GetExitError();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_SetExitError( SEXP obj, SEXP flag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
    vtkDebugLeaks * _obj = (vtkDebugLeaks * ) SexpToVtk(obj);
    _obj->SetExitError( * _flag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDebugLeaks_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDebugLeaks * res= ( vtkDebugLeaks * ) vtkDebugLeaks::New();
    R_res=toRPointer(res,"vtkDebugLeaks");
    return(R_res);
  }
#endif
}
