#include <vtkDemandDrivenPipeline.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkDemandDrivenPipeline_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkDemandDrivenPipeline *  _res =( vtkDemandDrivenPipeline * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkDemandDrivenPipeline");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkDemandDrivenPipeline *  _res =( vtkDemandDrivenPipeline * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkDemandDrivenPipeline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->Update();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_Update_v1( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->Update( * _port);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_GetPipelineMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetPipelineMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_SetReleaseDataFlag( SEXP obj, SEXP port, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->SetReleaseDataFlag( * _port,  * _n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_GetReleaseDataFlag( SEXP obj, SEXP port){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(port,1);
     int  *  _port =  SexpToint(port);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->GetReleaseDataFlag( * _port);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_UpdatePipelineMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->UpdatePipelineMTime();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_UpdateDataObject( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->UpdateDataObject();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_UpdateInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->UpdateInformation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_UpdateData( SEXP obj, SEXP outputPort){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(outputPort,1);
     int  *  _outputPort =  SexpToint(outputPort);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    int _res =_obj->UpdateData( * _outputPort);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_REQUEST_DATA_OBJECT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationRequestKey *  _res =( vtkInformationRequestKey * )_obj->REQUEST_DATA_OBJECT();
    res=VtkToSexp(_res,"vtkInformationRequestKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_REQUEST_INFORMATION( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationRequestKey *  _res =( vtkInformationRequestKey * )_obj->REQUEST_INFORMATION();
    res=VtkToSexp(_res,"vtkInformationRequestKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_REQUEST_DATA( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationRequestKey *  _res =( vtkInformationRequestKey * )_obj->REQUEST_DATA();
    res=VtkToSexp(_res,"vtkInformationRequestKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_REQUEST_DATA_NOT_GENERATED( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationRequestKey *  _res =( vtkInformationRequestKey * )_obj->REQUEST_DATA_NOT_GENERATED();
    res=VtkToSexp(_res,"vtkInformationRequestKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_RELEASE_DATA( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->RELEASE_DATA();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_DATA_NOT_GENERATED( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkInformationIntegerKey *  _res =( vtkInformationIntegerKey * )_obj->DATA_NOT_GENERATED();
    res=VtkToSexp(_res,"vtkInformationIntegerKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_NewDataObject( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkDemandDrivenPipeline * _obj = (vtkDemandDrivenPipeline
 * ) SexpToVtk(obj);
    vtkDataObject *  _res =( vtkDataObject * )_obj->NewDataObject(_type);
    res=VtkToSexp(_res,"vtkDataObject");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkDemandDrivenPipeline_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkDemandDrivenPipeline * res= ( vtkDemandDrivenPipeline * ) 
vtkDemandDrivenPipeline::New();
    R_res=toRPointer(res,"vtkDemandDrivenPipeline");
    return(R_res);
  }
#endif
}
