#include <vtkEnSightMasterServerReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkEnSightMasterServerReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    vtkEnSightMasterServerReader *  _res =( vtkEnSightMasterServerReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkEnSightMasterServerReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    vtkEnSightMasterServerReader *  _res =( vtkEnSightMasterServerReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkEnSightMasterServerReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_DetermineFileName( SEXP obj, SEXP piece){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(piece,1);
     int  *  _piece =  SexpToint(piece);
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    int _res =_obj->DetermineFileName( * _piece);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_GetPieceCaseFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPieceCaseFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_SetCurrentPiece( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    _obj->SetCurrentPiece( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_GetCurrentPiece( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEnSightMasterServerReader * _obj = (vtkEnSightMasterServerReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetCurrentPiece();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEnSightMasterServerReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkEnSightMasterServerReader * res= ( vtkEnSightMasterServerReader * ) 
vtkEnSightMasterServerReader::New();
    R_res=toRPointer(res,"vtkEnSightMasterServerReader");
    return(R_res);
  }
#endif
}
