#include <vtkEncodedGradientShader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkEncodedGradientShader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    vtkEncodedGradientShader *  _res =( vtkEncodedGradientShader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkEncodedGradientShader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    vtkEncodedGradientShader *  _res =( vtkEncodedGradientShader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkEncodedGradientShader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_SetZeroNormalDiffuseIntensity( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    _obj->SetZeroNormalDiffuseIntensity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalDiffuseIntensityMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalDiffuseIntensityMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalDiffuseIntensity();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_SetZeroNormalSpecularIntensity( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    _obj->SetZeroNormalSpecularIntensity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensityMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalSpecularIntensityMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensityMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalSpecularIntensityMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroNormalSpecularIntensity();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_UpdateShadingTable( SEXP obj, SEXP ren, SEXP vol, SEXP gradest){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
     vtkEncodedGradientEstimator  *  _gradest = 
(vtkEncodedGradientEstimator * )  SexpToVtk(gradest);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    _obj->UpdateShadingTable(_ren, _vol, _gradest);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_gradest,"vtkEncodedGradientEstimator"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".gradest",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetRedDiffuseShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRedDiffuseShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetGreenDiffuseShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGreenDiffuseShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetBlueDiffuseShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetBlueDiffuseShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetRedSpecularShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRedSpecularShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetGreenSpecularShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGreenSpecularShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetBlueSpecularShadingTable( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetBlueSpecularShadingTable(_vol);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_SetActiveComponent( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    _obj->SetActiveComponent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetActiveComponentMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    int _res =_obj->GetActiveComponentMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetActiveComponentMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    int _res =_obj->GetActiveComponentMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_GetActiveComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * _obj = (vtkEncodedGradientShader
 * ) SexpToVtk(obj);
    int _res =_obj->GetActiveComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkEncodedGradientShader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkEncodedGradientShader * res= ( vtkEncodedGradientShader * ) 
vtkEncodedGradientShader::New();
    R_res=toRPointer(res,"vtkEncodedGradientShader");
    return(R_res);
  }
#endif
}
