#include <vtkExtentSplitter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkExtentSplitter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    vtkExtentSplitter *  _res =( vtkExtentSplitter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkExtentSplitter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    vtkExtentSplitter *  _res =( vtkExtentSplitter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkExtentSplitter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_AddExtentSource( SEXP obj, SEXP id, SEXP priority, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(priority,1);
     int  *  _priority =  SexpToint(priority);
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(z0,1);
     int  *  _z0 =  SexpToint(z0);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->AddExtentSource( * _id,  * _priority,  * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_AddExtentSource_v1( SEXP obj, SEXP id, SEXP priority, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(priority,1);
     int  *  _priority =  SexpToint(priority);
     int  *  _extent =  SexpToint(extent);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->AddExtentSource( * _id,  * _priority, _extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_RemoveExtentSource( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->RemoveExtentSource( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_RemoveAllExtentSources( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->RemoveAllExtentSources();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_AddExtent( SEXP obj, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(z0,1);
     int  *  _z0 =  SexpToint(z0);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->AddExtent( * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_AddExtent_v1( SEXP obj, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _extent =  SexpToint(extent);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->AddExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_ComputeSubExtents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->ComputeSubExtents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_GetNumberOfSubExtents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSubExtents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_GetSubExtent( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSubExtent( * _index);
    res=intToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_GetSubExtent_v1( SEXP obj, SEXP index, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     int  *  _extent =  SexpToint(extent);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->GetSubExtent( * _index, _extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_GetSubExtentSource( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->GetSubExtentSource( * _index);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_GetPointMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    int _res =_obj->GetPointMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_SetPointMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->SetPointMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_PointModeOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->PointModeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_PointModeOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkExtentSplitter * _obj = (vtkExtentSplitter * ) SexpToVtk(obj);
    _obj->PointModeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkExtentSplitter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkExtentSplitter * res= ( vtkExtentSplitter * ) vtkExtentSplitter::New();
    R_res=toRPointer(res,"vtkExtentSplitter");
    return(R_res);
  }
#endif
}
