#include <vtkFastNumericConversion.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkFastNumericConversion_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    vtkFastNumericConversion *  _res =( vtkFastNumericConversion * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFastNumericConversion");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    vtkFastNumericConversion *  _res =( vtkFastNumericConversion * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFastNumericConversion");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_TestQuickFloor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->TestQuickFloor( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_TestSafeFloor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->TestSafeFloor( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_TestRound( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->TestRound( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_TestConvertFixedPointIntPart( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->TestConvertFixedPointIntPart( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_TestConvertFixedPointFracPart( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->TestConvertFixedPointFracPart( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_RoundingTieBreaker( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    double _res =_obj->RoundingTieBreaker();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_SetReservedFracBits( SEXP obj, SEXP bits){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bits,1);
     int  *  _bits =  SexpToint(bits);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    _obj->SetReservedFracBits( * _bits);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_PerformanceTests( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    _obj->PerformanceTests();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_QuickFloor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->QuickFloor( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_SafeFloor( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->SafeFloor( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_Round( SEXP obj, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->Round( * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_ConvertFixedPoint( SEXP obj, SEXP val, SEXP fracPart){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    SET_LENGTH(fracPart,1);
     int  *  _fracPart =  SexpToint(fracPart);
    vtkFastNumericConversion * _obj = (vtkFastNumericConversion
 * ) SexpToVtk(obj);
    int _res =_obj->ConvertFixedPoint( * _val,  * _fracPart);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_fracPart,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".fracPart",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFastNumericConversion_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFastNumericConversion * res= ( vtkFastNumericConversion * ) 
vtkFastNumericConversion::New();
    R_res=toRPointer(res,"vtkFastNumericConversion");
    return(R_res);
  }
#endif
}
