#include <vtkGarbageCollector.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGarbageCollector_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    vtkGarbageCollector *  _res =( vtkGarbageCollector * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGarbageCollector");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    vtkGarbageCollector *  _res =( vtkGarbageCollector * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGarbageCollector");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_Collect( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    _obj->Collect();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_Collect_v1( SEXP obj, SEXP root){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _root = (vtkObjectBase * )  SexpToVtk(root);
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    _obj->Collect(_root);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_root,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".root",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_DeferredCollectionPush( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    _obj->DeferredCollectionPush();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_DeferredCollectionPop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    _obj->DeferredCollectionPop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_SetGlobalDebugFlag( SEXP obj, SEXP flag){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(flag,1);
     int  *  _flag =  SexpToint(flag);
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    _obj->SetGlobalDebugFlag( * _flag);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_GetGlobalDebugFlag( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGarbageCollector * _obj = (vtkGarbageCollector * ) SexpToVtk(obj);
    int _res =_obj->GetGlobalDebugFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGarbageCollector_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGarbageCollector * res= ( vtkGarbageCollector * ) vtkGarbageCollector
::New();
    R_res=toRPointer(res,"vtkGarbageCollector");
    return(R_res);
  }
#endif
}
