#include <vtkGenericCellIterator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericCellIterator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    vtkGenericCellIterator *  _res =( vtkGenericCellIterator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericCellIterator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    vtkGenericCellIterator *  _res =( vtkGenericCellIterator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericCellIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_Begin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    _obj->Begin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_IsAtEnd( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    int _res =_obj->IsAtEnd();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_NewCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    vtkGenericAdaptorCell *  _res =( vtkGenericAdaptorCell * )_obj->NewCell();
    res=VtkToSexp(_res,"vtkGenericAdaptorCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_GetCell( SEXP obj, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericAdaptorCell  *  _c = (vtkGenericAdaptorCell * )  SexpToVtk(c);
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    _obj->GetCell(_c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_c,"vtkGenericAdaptorCell"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_GetCell_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    vtkGenericAdaptorCell *  _res =( vtkGenericAdaptorCell * )_obj->GetCell();
    res=VtkToSexp(_res,"vtkGenericAdaptorCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericCellIterator_Next( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericCellIterator * _obj = (vtkGenericCellIterator * ) SexpToVtk(obj);
    _obj->Next();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
