#include <vtkGenericEdgeTable.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericEdgeTable_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    vtkGenericEdgeTable *  _res =( vtkGenericEdgeTable * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericEdgeTable");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    vtkGenericEdgeTable *  _res =( vtkGenericEdgeTable * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericEdgeTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_InsertEdge( SEXP obj, SEXP e1, SEXP e2, SEXP cellId, SEXP ref, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(ref,1);
     int  *  _ref =  SexpToint(ref);
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->InsertEdge( * _e1,  * _e2,  * _cellId,  * _ref,  * _ptId);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ptId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_InsertEdge_v1( SEXP obj, SEXP e1, SEXP e2, SEXP cellId, SEXP ref){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    SET_LENGTH(ref,1);
     int  *  _ref =  SexpToint(ref);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->InsertEdge( * _e1,  * _e2,  * _cellId,  * _ref);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_RemoveEdge( SEXP obj, SEXP e1, SEXP e2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->RemoveEdge( * _e1,  * _e2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_CheckEdge( SEXP obj, SEXP e1, SEXP e2, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->CheckEdge( * _e1,  * _e2,  * _ptId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ptId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_IncrementEdgeReferenceCount( SEXP obj, SEXP e1, SEXP e2, SEXP cellId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->IncrementEdgeReferenceCount( * _e1,  * _e2,  * _cellId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_CheckEdgeReferenceCount( SEXP obj, SEXP e1, SEXP e2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(e1,1);
     int  *  _e1 =  SexpToint(e1);
    SET_LENGTH(e2,1);
     int  *  _e2 =  SexpToint(e2);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->CheckEdgeReferenceCount( * _e1,  * _e2);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_Initialize( SEXP obj, SEXP start){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(start,1);
     int  *  _start =  SexpToint(start);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->Initialize( * _start);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_GetNumberOfComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_SetNumberOfComponents( SEXP obj, SEXP count){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(count,1);
     int  *  _count =  SexpToint(count);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->SetNumberOfComponents( * _count);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_CheckPoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->CheckPoint( * _ptId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_CheckPoint_v1( SEXP obj, SEXP ptId, SEXP point, SEXP scalar){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
     double  *  _scalar =  SexpTodouble(scalar);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    int _res =_obj->CheckPoint( * _ptId, _point, _scalar);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_point,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".point",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_scalar,LENGTH(scalar)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalar",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_InsertPoint( SEXP obj, SEXP ptId, SEXP point){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    SET_LENGTH(point,3);
     double  *  _point =  SexpTodouble(point);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->InsertPoint( * _ptId, _point);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_point,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".point",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_InsertPointAndScalar( SEXP obj, SEXP ptId, SEXP pt, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    SET_LENGTH(pt,3);
     double  *  _pt =  SexpTodouble(pt);
     double  *  _s =  SexpTodouble(s);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->InsertPointAndScalar( * _ptId, _pt, _s);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pt,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pt",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_s,LENGTH(s)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".s",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_RemovePoint( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->RemovePoint( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_IncrementPointReferenceCount( SEXP obj, SEXP ptId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ptId,1);
     int  *  _ptId =  SexpToint(ptId);
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->IncrementPointReferenceCount( * _ptId);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_DumpTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->DumpTable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_LoadFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEdgeTable * _obj = (vtkGenericEdgeTable * ) SexpToVtk(obj);
    _obj->LoadFactor();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEdgeTable_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericEdgeTable * res= ( vtkGenericEdgeTable * ) vtkGenericEdgeTable
::New();
    R_res=toRPointer(res,"vtkGenericEdgeTable");
    return(R_res);
  }
#endif
}
