#include <vtkGenericEnSightReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericEnSightReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    vtkGenericEnSightReader *  _res =( vtkGenericEnSightReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericEnSightReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    vtkGenericEnSightReader *  _res =( vtkGenericEnSightReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericEnSightReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetCaseFileName( SEXP obj, SEXP fileName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fileName =  SexpTochar(fileName);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetCaseFileName(_fileName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetCaseFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCaseFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetFilePath( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetFilePath(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetFilePath( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFilePath();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_ExecuteInformation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->ExecuteInformation();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfComplexVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComplexVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfVariables_v1( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVariables( * _type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfScalarsPerNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarsPerNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfVectorsPerNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVectorsPerNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTensorsSymmPerNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfScalarsPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarsPerElement();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfVectorsPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVectorsPerElement();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTensorsSymmPerElement();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfScalarsPerMeasuredNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfScalarsPerMeasuredNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfVectorsPerMeasuredNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfVectorsPerMeasuredNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComplexScalarsPerNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerNode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComplexVectorsPerNode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComplexScalarsPerElement();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerElement( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfComplexVectorsPerElement();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetDescription( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDescription( * _n);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetComplexDescription( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetComplexDescription( * _n);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetDescription_v1( SEXP obj, SEXP n, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    SET_LENGTH(type,1);
     int  *  _type =  SexpToint(type);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDescription( * _n,  * _type);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetVariableType( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetVariableType( * _n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetComplexVariableType( SEXP obj, SEXP n){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetComplexVariableType( * _n);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetTimeValue( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     float  *  _value =  SexpTofloat(value);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetTimeValue( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetTimeValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    float _res =_obj->GetTimeValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetMinimumTimeValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumTimeValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetMaximumTimeValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumTimeValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetTimeSets( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    vtkDataArrayCollection *  _res =( vtkDataArrayCollection * )_obj->GetTimeSets();
    res=VtkToSexp(_res,"vtkDataArrayCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_DetermineEnSightVersion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->DetermineEnSightVersion();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_ReadAllVariablesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->ReadAllVariablesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_ReadAllVariablesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->ReadAllVariablesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetReadAllVariables( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetReadAllVariables( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetReadAllVariables( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetReadAllVariables();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetPointDataArraySelection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    vtkDataArraySelection *  _res =( vtkDataArraySelection * )_obj->GetPointDataArraySelection();
    res=VtkToSexp(_res,"vtkDataArraySelection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetCellDataArraySelection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    vtkDataArraySelection *  _res =( vtkDataArraySelection * )_obj->GetCellDataArraySelection();
    res=VtkToSexp(_res,"vtkDataArraySelection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfPointArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPointArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetNumberOfCellArrays( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfCellArrays();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetPointArrayName( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetPointArrayName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetCellArrayName( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellArrayName( * _index);
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetPointArrayStatus( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointArrayStatus(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetCellArrayStatus( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetCellArrayStatus(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetPointArrayStatus( SEXP obj, SEXP name, SEXP status){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(status,1);
     int  *  _status =  SexpToint(status);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetPointArrayStatus(_name,  * _status);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetCellArrayStatus( SEXP obj, SEXP name, SEXP status){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    SET_LENGTH(status,1);
     int  *  _status =  SexpToint(status);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetCellArrayStatus(_name,  * _status);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetByteOrderToBigEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrderToBigEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetByteOrderToLittleEndian( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrderToLittleEndian();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_SetByteOrder( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    _obj->SetByteOrder( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetByteOrder( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    int _res =_obj->GetByteOrder();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_GetByteOrderAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * _obj = (vtkGenericEnSightReader
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetByteOrderAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericEnSightReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericEnSightReader * res= ( vtkGenericEnSightReader * ) 
vtkGenericEnSightReader::New();
    R_res=toRPointer(res,"vtkGenericEnSightReader");
    return(R_res);
  }
#endif
}
