#include <vtkGenericInterpolatedVelocityField.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkGenericInterpolatedVelocityField_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    vtkGenericInterpolatedVelocityField *  _res =( vtkGenericInterpolatedVelocityField * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGenericInterpolatedVelocityField");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    vtkGenericInterpolatedVelocityField *  _res =( vtkGenericInterpolatedVelocityField * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGenericInterpolatedVelocityField");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_FunctionValues( SEXP obj, SEXP x, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _x =  SexpTodouble(x);
     double  *  _f =  SexpTodouble(f);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->FunctionValues(_x, _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_f,LENGTH(f)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_AddDataSet( SEXP obj, SEXP dataset){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericDataSet  *  _dataset = (vtkGenericDataSet * )  
SexpToVtk(dataset);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->AddDataSet(_dataset);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dataset,"vtkGenericDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dataset",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_ClearLastCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->ClearLastCell();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetLastCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    vtkGenericAdaptorCell *  _res =( vtkGenericAdaptorCell * )_obj->GetLastCell();
    res=VtkToSexp(_res,"vtkGenericAdaptorCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetLastLocalCoordinates( SEXP obj, SEXP pcoords){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->GetLastLocalCoordinates(_pcoords);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetCaching( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->GetCaching();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_SetCaching( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->SetCaching( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_CachingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->CachingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_CachingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->CachingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetCacheHit( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->GetCacheHit();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetCacheMiss( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    int _res =_obj->GetCacheMiss();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetVectorsSelection( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetVectorsSelection();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_SelectVectors( SEXP obj, SEXP fieldName){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _fieldName =  SexpTochar(fieldName);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->SelectVectors(_fieldName);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_GetLastDataSet( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    vtkGenericDataSet *  _res =( vtkGenericDataSet * )_obj->GetLastDataSet();
    res=VtkToSexp(_res,"vtkGenericDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_CopyParameters( SEXP obj, SEXP from){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkGenericInterpolatedVelocityField  *  _from = 
(vtkGenericInterpolatedVelocityField * )  SexpToVtk(from);
    vtkGenericInterpolatedVelocityField * _obj = (
vtkGenericInterpolatedVelocityField * ) SexpToVtk(obj);
    _obj->CopyParameters(_from);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkGenericInterpolatedVelocityField"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGenericInterpolatedVelocityField_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGenericInterpolatedVelocityField * res= ( 
vtkGenericInterpolatedVelocityField * ) vtkGenericInterpolatedVelocityField
::New();
    R_res=toRPointer(res,"vtkGenericInterpolatedVelocityField");
    return(R_res);
  }
#endif
}
