#include <vtkHierarchicalDataExtractDataSets.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkHierarchicalDataExtractDataSets_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    vtkHierarchicalDataExtractDataSets *  _res =( vtkHierarchicalDataExtractDataSets * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkHierarchicalDataExtractDataSets");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    vtkHierarchicalDataExtractDataSets *  _res =( vtkHierarchicalDataExtractDataSets * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkHierarchicalDataExtractDataSets");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_AddDataSet( SEXP obj, SEXP level, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(level,1);
     unsigned int  *  _level =  SexpTounsigned_int(level);
    SET_LENGTH(idx,1);
     unsigned int  *  _idx =  SexpTounsigned_int(idx);
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    _obj->AddDataSet( * _level,  * _idx);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_ClearDataSetList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractDataSets * _obj = (
vtkHierarchicalDataExtractDataSets * ) SexpToVtk(obj);
    _obj->ClearDataSetList();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkHierarchicalDataExtractDataSets_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkHierarchicalDataExtractDataSets * res= ( 
vtkHierarchicalDataExtractDataSets * ) vtkHierarchicalDataExtractDataSets
::New();
    R_res=toRPointer(res,"vtkHierarchicalDataExtractDataSets");
    return(R_res);
  }
#endif
}
