#include <vtkIdentityTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkIdentityTransform_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    vtkIdentityTransform *  _res =( vtkIdentityTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkIdentityTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    vtkIdentityTransform *  _res =( vtkIdentityTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkIdentityTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_TransformPoints( SEXP obj, SEXP inPts, SEXP outPts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _inPts = (vtkPoints * )  SexpToVtk(inPts);
     vtkPoints  *  _outPts = (vtkPoints * )  SexpToVtk(outPts);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->TransformPoints(_inPts, _outPts);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inPts",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outPts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_TransformNormals( SEXP obj, SEXP inNms, SEXP outNms){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->TransformNormals(_inNms, _outNms);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outNms",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_TransformVectors( SEXP obj, SEXP inNms, SEXP outNms){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->TransformVectors(_inNms, _outNms);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outNms",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_TransformPointsNormalsVectors( SEXP obj, SEXP inPts, SEXP outPts, SEXP inNms, SEXP outNms, SEXP inVrs, SEXP outVrs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _inPts = (vtkPoints * )  SexpToVtk(inPts);
     vtkPoints  *  _outPts = (vtkPoints * )  SexpToVtk(outPts);
     vtkDataArray  *  _inNms = (vtkDataArray * )  SexpToVtk(inNms);
     vtkDataArray  *  _outNms = (vtkDataArray * )  SexpToVtk(outNms);
     vtkDataArray  *  _inVrs = (vtkDataArray * )  SexpToVtk(inVrs);
     vtkDataArray  *  _outVrs = (vtkDataArray * )  SexpToVtk(outVrs);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->TransformPointsNormalsVectors(_inPts, _outPts, _inNms, _outNms, _inVrs, _outVrs);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_inPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".inPts",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_outPts,"vtkPoints"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".outPts",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_inNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".inNms",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_outNms,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".outNms",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_inVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".inVrs",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_outVrs,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".outVrs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_Inverse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformPoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformPoint_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformNormal( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformNormal_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformNormal(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformVector( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(out,3);
     float  *  _out =  SexpTofloat(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_InternalTransformVector_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,3);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(out,3);
     double  *  _out =  SexpTodouble(out);
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    _obj->InternalTransformVector(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_MakeTransform( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIdentityTransform * _obj = (vtkIdentityTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIdentityTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkIdentityTransform * res= ( vtkIdentityTransform * ) vtkIdentityTransform
::New();
    R_res=toRPointer(res,"vtkIdentityTransform");
    return(R_res);
  }
#endif
}
