#include <vtkImageCanvasSource2D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageCanvasSource2D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    vtkImageCanvasSource2D *  _res =( vtkImageCanvasSource2D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageCanvasSource2D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    vtkImageCanvasSource2D *  _res =( vtkImageCanvasSource2D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageCanvasSource2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDrawColor( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDrawColor( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDrawColor_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDrawColor(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetDrawColor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDrawColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetDrawColor_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    SET_LENGTH(_arg4,1);
     double  *  __arg4 =  SexpTodouble(_arg4);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->GetDrawColor( * __arg1,  * __arg2,  * __arg3,  * __arg4);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetDrawColor_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->GetDrawColor(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDrawColor_v2( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDrawColor( * _a);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDrawColor_v3( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDrawColor( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDrawColor_v4( SEXP obj, SEXP a, SEXP b, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    SET_LENGTH(c,1);
     double  *  _c =  SexpTodouble(c);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDrawColor( * _a,  * _b,  * _c);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_FillBox( SEXP obj, SEXP min0, SEXP max0, SEXP min1, SEXP max1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min0,1);
     int  *  _min0 =  SexpToint(min0);
    SET_LENGTH(max0,1);
     int  *  _max0 =  SexpToint(max0);
    SET_LENGTH(min1,1);
     int  *  _min1 =  SexpToint(min1);
    SET_LENGTH(max1,1);
     int  *  _max1 =  SexpToint(max1);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->FillBox( * _min0,  * _max0,  * _min1,  * _max1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_FillTube( SEXP obj, SEXP a0, SEXP a1, SEXP b0, SEXP b1, SEXP radius){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,1);
     int  *  _a0 =  SexpToint(a0);
    SET_LENGTH(a1,1);
     int  *  _a1 =  SexpToint(a1);
    SET_LENGTH(b0,1);
     int  *  _b0 =  SexpToint(b0);
    SET_LENGTH(b1,1);
     int  *  _b1 =  SexpToint(b1);
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->FillTube( * _a0,  * _a1,  * _b0,  * _b1,  * _radius);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_FillTriangle( SEXP obj, SEXP a0, SEXP a1, SEXP b0, SEXP b1, SEXP c0, SEXP c1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,1);
     int  *  _a0 =  SexpToint(a0);
    SET_LENGTH(a1,1);
     int  *  _a1 =  SexpToint(a1);
    SET_LENGTH(b0,1);
     int  *  _b0 =  SexpToint(b0);
    SET_LENGTH(b1,1);
     int  *  _b1 =  SexpToint(b1);
    SET_LENGTH(c0,1);
     int  *  _c0 =  SexpToint(c0);
    SET_LENGTH(c1,1);
     int  *  _c1 =  SexpToint(c1);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->FillTriangle( * _a0,  * _a1,  * _b0,  * _b1,  * _c0,  * _c1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawCircle( SEXP obj, SEXP c0, SEXP c1, SEXP radius){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(c0,1);
     int  *  _c0 =  SexpToint(c0);
    SET_LENGTH(c1,1);
     int  *  _c1 =  SexpToint(c1);
    SET_LENGTH(radius,1);
     double  *  _radius =  SexpTodouble(radius);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawCircle( * _c0,  * _c1,  * _radius);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawPoint( SEXP obj, SEXP p0, SEXP p1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p0,1);
     int  *  _p0 =  SexpToint(p0);
    SET_LENGTH(p1,1);
     int  *  _p1 =  SexpToint(p1);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawPoint( * _p0,  * _p1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawSegment( SEXP obj, SEXP a0, SEXP a1, SEXP b0, SEXP b1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a0,1);
     int  *  _a0 =  SexpToint(a0);
    SET_LENGTH(a1,1);
     int  *  _a1 =  SexpToint(a1);
    SET_LENGTH(b0,1);
     int  *  _b0 =  SexpToint(b0);
    SET_LENGTH(b1,1);
     int  *  _b1 =  SexpToint(b1);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawSegment( * _a0,  * _a1,  * _b0,  * _b1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawSegment3D( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _a =  SexpTodouble(a);
     double  *  _b =  SexpTodouble(b);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawSegment3D(_a, _b);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_b,LENGTH(b)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawSegment3D_v1( SEXP obj, SEXP x1, SEXP y1, SEXP z1, SEXP x2, SEXP y2, SEXP z2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(y1,1);
     double  *  _y1 =  SexpTodouble(y1);
    SET_LENGTH(z1,1);
     double  *  _z1 =  SexpTodouble(z1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(y2,1);
     double  *  _y2 =  SexpTodouble(y2);
    SET_LENGTH(z2,1);
     double  *  _z2 =  SexpTodouble(z2);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawSegment3D( * _x1,  * _y1,  * _z1,  * _x2,  * _y2,  * _z2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawImage( SEXP obj, SEXP x0, SEXP y0, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
     vtkImageData  *  _i = (vtkImageData * )  SexpToVtk(i);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawImage( * _x0,  * _y0, _i);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_i,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".i",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_DrawImage_v1( SEXP obj, SEXP x0, SEXP y0, SEXP image, SEXP sx, SEXP sy, SEXP width, SEXP height){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
     vtkImageData  *  _image = (vtkImageData * )  SexpToVtk(image);
    SET_LENGTH(sx,1);
     int  *  _sx =  SexpToint(sx);
    SET_LENGTH(sy,1);
     int  *  _sy =  SexpToint(sy);
    SET_LENGTH(width,1);
     int  *  _width =  SexpToint(width);
    SET_LENGTH(height,1);
     int  *  _height =  SexpToint(height);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->DrawImage( * _x0,  * _y0, _image,  * _sx,  * _sy,  * _width,  * _height);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_image,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".image",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_FillPixel( SEXP obj, SEXP x, SEXP y){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->FillPixel( * _x,  * _y);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetExtent( SEXP obj, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _extent =  SexpToint(extent);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetExtent_v1( SEXP obj, SEXP xMin, SEXP xMax, SEXP yMin, SEXP yMax, SEXP zMin, SEXP zMax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xMin,1);
     int  *  _xMin =  SexpToint(xMin);
    SET_LENGTH(xMax,1);
     int  *  _xMax =  SexpToint(xMax);
    SET_LENGTH(yMin,1);
     int  *  _yMin =  SexpToint(yMin);
    SET_LENGTH(yMax,1);
     int  *  _yMax =  SexpToint(yMax);
    SET_LENGTH(zMin,1);
     int  *  _zMin =  SexpToint(zMin);
    SET_LENGTH(zMax,1);
     int  *  _zMax =  SexpToint(zMax);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetExtent( * _xMin,  * _xMax,  * _yMin,  * _yMax,  * _zMin,  * _zMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetDefaultZ( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetDefaultZ( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetDefaultZ( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    int _res =_obj->GetDefaultZ();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetRatio( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetRatio( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetRatio_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetRatio(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetRatio( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRatio();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetRatio_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->GetRatio( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_GetRatio_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->GetRatio(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetNumberOfScalarComponents( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     int  *  _t =  SexpToint(t);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetNumberOfScalarComponents( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToFloat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToFloat();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToDouble( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToDouble();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToUnsignedInt( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedInt();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToUnsignedLong( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedLong();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToUnsignedShort( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedShort();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToUnsignedChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToUnsignedChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarTypeToChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarTypeToChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_SetScalarType( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     int  *  _t =  SexpToint(t);
    vtkImageCanvasSource2D * _obj = (vtkImageCanvasSource2D * ) SexpToVtk(obj);
    _obj->SetScalarType( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageCanvasSource2D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageCanvasSource2D * res= ( vtkImageCanvasSource2D * ) 
vtkImageCanvasSource2D::New();
    R_res=toRPointer(res,"vtkImageCanvasSource2D");
    return(R_res);
  }
#endif
}
