#include <vtkImageDataGeometryFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageDataGeometryFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    vtkImageDataGeometryFilter *  _res =( vtkImageDataGeometryFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageDataGeometryFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    vtkImageDataGeometryFilter *  _res =( vtkImageDataGeometryFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageDataGeometryFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SetExtent( SEXP obj, SEXP extent){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _extent =  SexpToint(extent);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetExtent(_extent);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_extent,LENGTH(extent)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".extent",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SetExtent_v1( SEXP obj, SEXP iMin, SEXP iMax, SEXP jMin, SEXP jMax, SEXP kMin, SEXP kMax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(iMin,1);
     int  *  _iMin =  SexpToint(iMin);
    SET_LENGTH(iMax,1);
     int  *  _iMax =  SexpToint(iMax);
    SET_LENGTH(jMin,1);
     int  *  _jMin =  SexpToint(jMin);
    SET_LENGTH(jMax,1);
     int  *  _jMax =  SexpToint(jMax);
    SET_LENGTH(kMin,1);
     int  *  _kMin =  SexpToint(kMin);
    SET_LENGTH(kMax,1);
     int  *  _kMax =  SexpToint(kMax);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetExtent( * _iMin,  * _iMax,  * _jMin,  * _jMax,  * _kMin,  * _kMax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_GetExtent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SetThresholdCells( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetThresholdCells( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_GetThresholdCells( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetThresholdCells();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_ThresholdCellsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->ThresholdCellsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_ThresholdCellsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->ThresholdCellsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SetThresholdValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetThresholdValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_GetThresholdValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetThresholdValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_ThresholdValueOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->ThresholdValueOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_ThresholdValueOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->ThresholdValueOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_SetOutputTriangles( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputTriangles( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_GetOutputTriangles( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputTriangles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_OutputTrianglesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->OutputTrianglesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_OutputTrianglesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * _obj = (vtkImageDataGeometryFilter
 * ) SexpToVtk(obj);
    _obj->OutputTrianglesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDataGeometryFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageDataGeometryFilter * res= ( vtkImageDataGeometryFilter * ) 
vtkImageDataGeometryFilter::New();
    R_res=toRPointer(res,"vtkImageDataGeometryFilter");
    return(R_res);
  }
#endif
}
