#include <vtkImageDifference.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageDifference_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    vtkImageDifference *  _res =( vtkImageDifference * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageDifference");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    vtkImageDifference *  _res =( vtkImageDifference * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageDifference");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_SetImage( SEXP obj, SEXP image){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _image = (vtkDataObject * )  SexpToVtk(image);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->SetImage(_image);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_image,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".image",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetImage( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetImage();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetError( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    double _res =_obj->GetError();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetError_v1( SEXP obj, SEXP e){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _e =  SexpTodouble(e);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->GetError(_e);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_e,LENGTH(e)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".e",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetThresholdedError( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    double _res =_obj->GetThresholdedError();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetThresholdedError_v1( SEXP obj, SEXP e){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _e =  SexpTodouble(e);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->GetThresholdedError(_e);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_e,LENGTH(e)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".e",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_SetThreshold( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->SetThreshold( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    int _res =_obj->GetThreshold();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_SetAllowShift( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->SetAllowShift( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetAllowShift( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    int _res =_obj->GetAllowShift();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_AllowShiftOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->AllowShiftOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_AllowShiftOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->AllowShiftOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_SetAveraging( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->SetAveraging( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_GetAveraging( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    int _res =_obj->GetAveraging();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_AveragingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->AveragingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_AveragingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageDifference * _obj = (vtkImageDifference * ) SexpToVtk(obj);
    _obj->AveragingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageDifference_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageDifference * res= ( vtkImageDifference * ) vtkImageDifference
::New();
    R_res=toRPointer(res,"vtkImageDifference");
    return(R_res);
  }
#endif
}
