#include <vtkImageExport.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageExport_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    vtkImageExport *  _res =( vtkImageExport * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageExport");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    vtkImageExport *  _res =( vtkImageExport * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageExport");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->GetDataMemorySize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataDimensions( SEXP obj, SEXP dims){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _dims =  SexpToint(dims);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->GetDataDimensions(_dims);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dims,LENGTH(dims)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dims",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataDimensions_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDataDimensions();
    res=intToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataNumberOfScalarComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->GetDataNumberOfScalarComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataScalarType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->GetDataScalarType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataScalarTypeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDataScalarTypeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataExtent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetDataExtent();
    res=intToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataExtent_v1( SEXP obj, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _ptr =  SexpToint(ptr);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->GetDataExtent(_ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataSpacing();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataSpacing_v1( SEXP obj, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _ptr =  SexpTodouble(ptr);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->GetDataSpacing(_ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataOrigin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataOrigin();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetDataOrigin_v1( SEXP obj, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _ptr =  SexpTodouble(ptr);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->GetDataOrigin(_ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_ImageLowerLeftOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->ImageLowerLeftOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_ImageLowerLeftOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->ImageLowerLeftOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetImageLowerLeft( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    int _res =_obj->GetImageLowerLeft();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_SetImageLowerLeft( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->SetImageLowerLeft( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_SetExportVoidPointer( SEXP obj, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _ptr =  SexpTovoid(ptr);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->SetExportVoidPointer(_ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetExportVoidPointer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    void *  _res =_obj->GetExportVoidPointer();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_Export( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->Export();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_Export_v1( SEXP obj, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _output =  SexpTovoid(output);
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    _obj->Export(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_GetPointerToData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageExport * _obj = (vtkImageExport * ) SexpToVtk(obj);
    void *  _res =_obj->GetPointerToData();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageExport_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageExport * res= ( vtkImageExport * ) vtkImageExport::New();
    R_res=toRPointer(res,"vtkImageExport");
    return(R_res);
  }
#endif
}
