#include <vtkImageMapToColors.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageMapToColors_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    vtkImageMapToColors *  _res =( vtkImageMapToColors * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageMapToColors");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    vtkImageMapToColors *  _res =( vtkImageMapToColors * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageMapToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetLookupTable( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkScalarsToColors  *  __arg = (vtkScalarsToColors * )  SexpToVtk(_arg);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetLookupTable(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkScalarsToColors"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_GetLookupTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetOutputFormat( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetOutputFormat( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_GetOutputFormat( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    int _res =_obj->GetOutputFormat();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetOutputFormatToRGBA( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetOutputFormatToRGBA();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetOutputFormatToRGB( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetOutputFormatToRGB();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetOutputFormatToLuminanceAlpha( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetOutputFormatToLuminanceAlpha();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetOutputFormatToLuminance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetOutputFormatToLuminance();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetActiveComponent( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetActiveComponent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_GetActiveComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    int _res =_obj->GetActiveComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_SetPassAlphaToOutput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->SetPassAlphaToOutput( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_PassAlphaToOutputOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->PassAlphaToOutputOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_PassAlphaToOutputOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    _obj->PassAlphaToOutputOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_GetPassAlphaToOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    int _res =_obj->GetPassAlphaToOutput();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageMapToColors * _obj = (vtkImageMapToColors * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageMapToColors_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageMapToColors * res= ( vtkImageMapToColors * ) vtkImageMapToColors
::New();
    R_res=toRPointer(res,"vtkImageMapToColors");
    return(R_res);
  }
#endif
}
