#include <vtkImageSeedConnectivity.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageSeedConnectivity_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    vtkImageSeedConnectivity *  _res =( vtkImageSeedConnectivity * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageSeedConnectivity");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    vtkImageSeedConnectivity *  _res =( vtkImageSeedConnectivity * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageSeedConnectivity");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_RemoveAllSeeds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->RemoveAllSeeds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_AddSeed( SEXP obj, SEXP num, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
     int  *  _index =  SexpToint(index);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->AddSeed( * _num, _index);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_index,LENGTH(index)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".index",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_AddSeed_v1( SEXP obj, SEXP i0, SEXP i1, SEXP i2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     int  *  _i0 =  SexpToint(i0);
    SET_LENGTH(i1,1);
     int  *  _i1 =  SexpToint(i1);
    SET_LENGTH(i2,1);
     int  *  _i2 =  SexpToint(i2);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->AddSeed( * _i0,  * _i1,  * _i2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_AddSeed_v2( SEXP obj, SEXP i0, SEXP i1){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i0,1);
     int  *  _i0 =  SexpToint(i0);
    SET_LENGTH(i1,1);
     int  *  _i1 =  SexpToint(i1);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->AddSeed( * _i0,  * _i1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_SetInputConnectValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->SetInputConnectValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_GetInputConnectValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->GetInputConnectValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_SetOutputConnectedValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->SetOutputConnectedValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_GetOutputConnectedValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputConnectedValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_SetOutputUnconnectedValue( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->SetOutputUnconnectedValue( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_GetOutputUnconnectedValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputUnconnectedValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_GetConnector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    vtkImageConnector *  _res =( vtkImageConnector * )_obj->GetConnector();
    res=VtkToSexp(_res,"vtkImageConnector");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_SetDimensionality( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    _obj->SetDimensionality( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_GetDimensionality( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * _obj = (vtkImageSeedConnectivity
 * ) SexpToVtk(obj);
    int _res =_obj->GetDimensionality();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageSeedConnectivity_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageSeedConnectivity * res= ( vtkImageSeedConnectivity * ) 
vtkImageSeedConnectivity::New();
    R_res=toRPointer(res,"vtkImageSeedConnectivity");
    return(R_res);
  }
#endif
}
