#include <vtkImageToImageStencil.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkImageToImageStencil_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    vtkImageToImageStencil *  _res =( vtkImageToImageStencil * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageToImageStencil");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    vtkImageToImageStencil *  _res =( vtkImageToImageStencil * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageToImageStencil");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_SetInput( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _input = (vtkImageData * )  SexpToVtk(input);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_ThresholdByUpper( SEXP obj, SEXP thresh){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(thresh,1);
     double  *  _thresh =  SexpTodouble(thresh);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->ThresholdByUpper( * _thresh);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_ThresholdByLower( SEXP obj, SEXP thresh){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(thresh,1);
     double  *  _thresh =  SexpTodouble(thresh);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->ThresholdByLower( * _thresh);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_ThresholdBetween( SEXP obj, SEXP lower, SEXP upper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->ThresholdBetween( * _lower,  * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_SetUpperThreshold( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->SetUpperThreshold( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_GetUpperThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    double _res =_obj->GetUpperThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_SetLowerThreshold( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    _obj->SetLowerThreshold( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_GetLowerThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToImageStencil * _obj = (vtkImageToImageStencil * ) SexpToVtk(obj);
    double _res =_obj->GetLowerThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToImageStencil_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageToImageStencil * res= ( vtkImageToImageStencil * ) 
vtkImageToImageStencil::New();
    R_res=toRPointer(res,"vtkImageToImageStencil");
    return(R_res);
  }
#endif
}
