#include <vtkImageViewer.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkImageViewer_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkImageViewer *  _res =( vtkImageViewer * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageViewer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkImageViewer *  _res =( vtkImageViewer * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageViewer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetWindowName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetWindowName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_Render( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->Render();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetInput( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _in = (vtkImageData * )  SexpToVtk(in);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetInput(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetInputConnection( SEXP obj, SEXP input){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAlgorithmOutput  *  _input = (vtkAlgorithmOutput * )  SexpToVtk(input);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetInputConnection(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkAlgorithmOutput"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetWholeZMin( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->GetWholeZMin();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetWholeZMax( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->GetWholeZMax();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetZSlice( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->GetZSlice();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetZSlice( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     int  *  _s =  SexpToint(s);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetZSlice( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetColorWindow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    double _res =_obj->GetColorWindow();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetColorLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    double _res =_obj->GetColorLevel();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetColorWindow( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetColorWindow( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetColorLevel( SEXP obj, SEXP s){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetColorLevel( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetDisplayId( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetDisplayId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetWindowId( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetWindowId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetParentId( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetParentId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetGrayScaleHint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->GetGrayScaleHint();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GrayScaleHintOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->GrayScaleHintOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GrayScaleHintOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->GrayScaleHintOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPosition();
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetPosition( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetPosition( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetPosition_v1( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,2);
     int  *  _a =  SexpToint(a);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetPosition(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_a,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSize();
    res=intToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetSize( SEXP obj, SEXP a, SEXP b){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetSize( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetSize_v1( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,2);
     int  *  _a =  SexpToint(a);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetSize(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_a,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetRenderWindow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetRenderer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetImageMapper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkImageMapper *  _res =( vtkImageMapper * )_obj->GetImageMapper();
    res=VtkToSexp(_res,"vtkImageMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetActor2D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    vtkActor2D *  _res =( vtkActor2D * )_obj->GetActor2D();
    res=VtkToSexp(_res,"vtkActor2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetupInteractor( SEXP obj, SEXP rwi){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _rwi = (vtkRenderWindowInteractor * )  
SexpToVtk(rwi);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetupInteractor(_rwi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_rwi,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rwi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_SetOffScreenRendering( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->SetOffScreenRendering( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_GetOffScreenRendering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    int _res =_obj->GetOffScreenRendering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_OffScreenRenderingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->OffScreenRenderingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_OffScreenRenderingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer * _obj = (vtkImageViewer * ) SexpToVtk(obj);
    _obj->OffScreenRenderingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageViewer * res= ( vtkImageViewer * ) vtkImageViewer::New();
    R_res=toRPointer(res,"vtkImageViewer");
    return(R_res);
  }
#endif
}
