#include <vtkInformationKey.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkInformationKey_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    vtkInformationKey *  _res =( vtkInformationKey * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInformationKey");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_GetName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_GetLocation( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLocation();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_ShallowCopy( SEXP obj, SEXP from, SEXP to){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _from = (vtkInformation * )  SexpToVtk(from);
     vtkInformation  *  _to = (vtkInformation * )  SexpToVtk(to);
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    _obj->ShallowCopy(_from, _to);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_to,"vtkInformation"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".to",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationKey_Remove( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationKey * _obj = (vtkInformationKey * ) SexpToVtk(obj);
    _obj->Remove(_info);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
