#include <vtkInformationVector.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkInformationVector_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    vtkInformationVector *  _res =( vtkInformationVector * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInformationVector");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    vtkInformationVector *  _res =( vtkInformationVector * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInformationVector");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_GetNumberOfInformationObjects( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfInformationObjects();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_SetNumberOfInformationObjects( SEXP obj, SEXP newNumber){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(newNumber,1);
     int  *  _newNumber =  SexpToint(newNumber);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->SetNumberOfInformationObjects( * _newNumber);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_SetInformationObject( SEXP obj, SEXP index, SEXP newInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkInformation  *  _newInfo = (vtkInformation * )  SexpToVtk(newInfo);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->SetInformationObject( * _index, _newInfo);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_newInfo,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".newInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_GetInformationObject( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    vtkInformation *  _res =( vtkInformation * )_obj->GetInformationObject( * _index);
    res=VtkToSexp(_res,"vtkInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_Append( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->Append(_info);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_Remove( SEXP obj, SEXP info){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformation  *  _info = (vtkInformation * )  SexpToVtk(info);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->Remove(_info);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_info,"vtkInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".info",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_Register( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->Register(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_UnRegister( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_Copy( SEXP obj, SEXP from, SEXP deep){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkInformationVector  *  _from = (vtkInformationVector * )  
SexpToVtk(from);
    SET_LENGTH(deep,1);
     int  *  _deep =  SexpToint(deep);
    vtkInformationVector * _obj = (vtkInformationVector * ) SexpToVtk(obj);
    _obj->Copy(_from,  * _deep);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_from,"vtkInformationVector"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".from",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInformationVector_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInformationVector * res= ( vtkInformationVector * ) vtkInformationVector
::New();
    R_res=toRPointer(res,"vtkInformationVector");
    return(R_res);
  }
#endif
}
