#include <vtkInteractorStyleFlight.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkInteractorStyleFlight_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    vtkInteractorStyleFlight *  _res =( vtkInteractorStyleFlight * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorStyleFlight");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    vtkInteractorStyleFlight *  _res =( vtkInteractorStyleFlight * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorStyleFlight");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_JumpTo( SEXP obj, SEXP campos, SEXP focpos){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(campos,3);
     double  *  _campos =  SexpTodouble(campos);
    SET_LENGTH(focpos,3);
     double  *  _focpos =  SexpTodouble(focpos);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->JumpTo(_campos, _focpos);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_campos,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".campos",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_focpos,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".focpos",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetMotionStepSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetMotionStepSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetMotionStepSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    double _res =_obj->GetMotionStepSize();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetMotionAccelerationFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetMotionAccelerationFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetMotionAccelerationFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    double _res =_obj->GetMotionAccelerationFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetAngleStepSize( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetAngleStepSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetAngleStepSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    double _res =_obj->GetAngleStepSize();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetAngleAccelerationFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetAngleAccelerationFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetAngleAccelerationFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    double _res =_obj->GetAngleAccelerationFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetDisableMotion( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetDisableMotion( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetDisableMotion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    int _res =_obj->GetDisableMotion();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_DisableMotionOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->DisableMotionOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_DisableMotionOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->DisableMotionOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetRestoreUpVector( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetRestoreUpVector( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetRestoreUpVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    int _res =_obj->GetRestoreUpVector();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_RestoreUpVectorOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->RestoreUpVectorOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_RestoreUpVectorOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->RestoreUpVectorOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetDefaultUpVector( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDefaultUpVector();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_GetDefaultUpVector_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->GetDefaultUpVector(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_SetDefaultUpVector( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->SetDefaultUpVector(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnMouseMove( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnMouseMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnLeftButtonDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnLeftButtonUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnMiddleButtonDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnMiddleButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnMiddleButtonUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnMiddleButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnRightButtonDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnRightButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnRightButtonUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnRightButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnChar( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnKeyDown( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnKeyDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnKeyUp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnKeyUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_OnTimer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->OnTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_ForwardFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->ForwardFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_ReverseFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->ReverseFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_StartForwardFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->StartForwardFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_EndForwardFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->EndForwardFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_StartReverseFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->StartReverseFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_EndReverseFly( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * _obj = (vtkInteractorStyleFlight
 * ) SexpToVtk(obj);
    _obj->EndReverseFly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleFlight_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorStyleFlight * res= ( vtkInteractorStyleFlight * ) 
vtkInteractorStyleFlight::New();
    R_res=toRPointer(res,"vtkInteractorStyleFlight");
    return(R_res);
  }
#endif
}
