#include <vtkLookupTable.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkLookupTable_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_Allocate( SEXP obj, SEXP sz, SEXP ext){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    SET_LENGTH(ext,1);
     int  *  _ext =  SexpToint(ext);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->Allocate( * _sz,  * _ext);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_Build( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->Build();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_ForceBuild( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->ForceBuild();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRamp( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRamp( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRampToLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRampToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRampToSCurve( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRampToSCurve();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRampToSQRT( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRampToSQRT();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetRamp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetRamp();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetScale( SEXP obj, SEXP scale){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scale,1);
     int  *  _scale =  SexpToint(scale);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetScale( * _scale);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetScaleToLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetScaleToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetScaleToLog10( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetScaleToLog10();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetScale();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetTableRange( SEXP obj, SEXP r){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,2);
     double  *  _r =  SexpTodouble(r);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetTableRange(_r);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_r,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetTableRange_v1( SEXP obj, SEXP rmin, SEXP rmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rmin,1);
     double  *  _rmin =  SexpTodouble(rmin);
    SET_LENGTH(rmax,1);
     double  *  _rmax =  SexpTodouble(rmax);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetTableRange( * _rmin,  * _rmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetTableRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTableRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetTableRange_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetTableRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetHueRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetHueRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetHueRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetHueRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetHueRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHueRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetHueRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetHueRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetHueRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetHueRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetSaturationRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetSaturationRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetSaturationRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetSaturationRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetSaturationRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetSaturationRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetSaturationRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetSaturationRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetSaturationRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetSaturationRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetValueRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetValueRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetValueRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetValueRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetValueRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValueRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetValueRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetValueRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetValueRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetValueRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetAlphaRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetAlphaRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetAlphaRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetAlphaRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetAlphaRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetAlphaRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetAlphaRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetAlphaRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetAlphaRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetAlphaRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_MapValue( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->MapValue( * _v);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetColor( SEXP obj, SEXP v, SEXP rgb){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    SET_LENGTH(rgb,3);
     double  *  _rgb =  SexpTodouble(rgb);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetColor( * _v, _rgb);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgb",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetOpacity( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double _res =_obj->GetOpacity( * _v);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetIndex( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetIndex( * _v);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetNumberOfTableValues( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetNumberOfTableValues( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetNumberOfTableValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTableValues();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetTableValue( SEXP obj, SEXP indx, SEXP rgba){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(indx,1);
     int  *  _indx =  SexpToint(indx);
    SET_LENGTH(rgba,4);
     double  *  _rgba =  SexpTodouble(rgba);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetTableValue( * _indx, _rgba);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgba,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgba",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetTableValue_v1( SEXP obj, SEXP indx, SEXP r, SEXP g, SEXP b, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(indx,1);
     int  *  _indx =  SexpToint(indx);
    SET_LENGTH(r,1);
     double  *  _r =  SexpTodouble(r);
    SET_LENGTH(g,1);
     double  *  _g =  SexpTodouble(g);
    SET_LENGTH(b,1);
     double  *  _b =  SexpTodouble(b);
    SET_LENGTH(a,1);
     double  *  _a =  SexpTodouble(a);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetTableValue( * _indx,  * _r,  * _g,  * _b,  * _a);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetTableValue( SEXP obj, SEXP indx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(indx,1);
     int  *  _indx =  SexpToint(indx);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetTableValue( * _indx);
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetTableValue_v1( SEXP obj, SEXP indx, SEXP rgba){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(indx,1);
     int  *  _indx =  SexpToint(indx);
    SET_LENGTH(rgba,4);
     double  *  _rgba =  SexpTodouble(rgba);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->GetTableValue( * _indx, _rgba);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgba,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgba",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetPointer( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetPointer( * _id);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_WritePointer( SEXP obj, SEXP id, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->WritePointer( * _id,  * _number);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRange( SEXP obj, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min,1);
     double  *  _min =  SexpTodouble(min);
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRange( * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetRange_v1( SEXP obj, SEXP rng){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rng,2);
     double  *  _rng =  SexpTodouble(rng);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetRange(_rng);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rng,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rng",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetNumberOfColors( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetNumberOfColors( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetNumberOfColorsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfColorsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetNumberOfColorsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfColorsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetNumberOfColors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfColors();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_SetTable( SEXP obj, SEXP table){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _table = (vtkUnsignedCharArray * )  
SexpToVtk(table);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->SetTable(_table);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_table,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_GetTable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->GetTable();
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_MapScalarsThroughTable2( SEXP obj, SEXP input, SEXP output, SEXP inputDataType, SEXP numberOfValues, SEXP inputIncrement, SEXP outputFormat){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _input =  SexpTovoid(input);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(inputDataType,1);
     int  *  _inputDataType =  SexpToint(inputDataType);
    SET_LENGTH(numberOfValues,1);
     int  *  _numberOfValues =  SexpToint(numberOfValues);
    SET_LENGTH(inputIncrement,1);
     int  *  _inputIncrement =  SexpToint(inputIncrement);
    SET_LENGTH(outputFormat,1);
     int  *  _outputFormat =  SexpToint(outputFormat);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->MapScalarsThroughTable2(_input, _output,  * _inputDataType,  * _numberOfValues,  * _inputIncrement,  * _outputFormat);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_input,LENGTH(input)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_DeepCopy( SEXP obj, SEXP lut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLookupTable  *  _lut = (vtkLookupTable * )  SexpToVtk(lut);
    vtkLookupTable * _obj = (vtkLookupTable * ) SexpToVtk(obj);
    _obj->DeepCopy(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkLookupTable"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLookupTable_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkLookupTable * res= ( vtkLookupTable * ) vtkLookupTable::New();
    R_res=toRPointer(res,"vtkLookupTable");
    return(R_res);
  }
#endif
}
