#include <vtkMarchingSquares.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMarchingSquares_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    vtkMarchingSquares *  _res =( vtkMarchingSquares * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMarchingSquares");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    vtkMarchingSquares *  _res =( vtkMarchingSquares * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMarchingSquares");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SetImageRange( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->SetImageRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetImageRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetImageRange();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetImageRange_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->GetImageRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SetImageRange_v1( SEXP obj, SEXP imin, SEXP imax, SEXP jmin, SEXP jmax, SEXP kmin, SEXP kmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(imin,1);
     int  *  _imin =  SexpToint(imin);
    SET_LENGTH(imax,1);
     int  *  _imax =  SexpToint(imax);
    SET_LENGTH(jmin,1);
     int  *  _jmin =  SexpToint(jmin);
    SET_LENGTH(jmax,1);
     int  *  _jmax =  SexpToint(jmax);
    SET_LENGTH(kmin,1);
     int  *  _kmin =  SexpToint(kmin);
    SET_LENGTH(kmax,1);
     int  *  _kmax =  SexpToint(kmax);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->SetImageRange( * _imin,  * _imax,  * _jmin,  * _jmax,  * _kmin,  * _kmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SetValue( SEXP obj, SEXP i, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->SetValue( * _i,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetValue( SEXP obj, SEXP i){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _i);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetValues();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetValues_v1( SEXP obj, SEXP contourValues){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _contourValues =  SexpTodouble(contourValues);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->GetValues(_contourValues);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_contourValues,LENGTH(contourValues)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".contourValues",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SetNumberOfContours( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->SetNumberOfContours( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetNumberOfContours( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfContours();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GenerateValues( SEXP obj, SEXP numContours, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
     double  *  _range =  SexpTodouble(range);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours, _range);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,LENGTH(range)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GenerateValues_v1( SEXP obj, SEXP numContours, SEXP rangeStart, SEXP rangeEnd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(numContours,1);
     int  *  _numContours =  SexpToint(numContours);
    SET_LENGTH(rangeStart,1);
     double  *  _rangeStart =  SexpTodouble(rangeStart);
    SET_LENGTH(rangeEnd,1);
     double  *  _rangeEnd =  SexpTodouble(rangeEnd);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->GenerateValues( * _numContours,  * _rangeStart,  * _rangeEnd);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_SetLocator( SEXP obj, SEXP locator){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_GetLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    vtkPointLocator *  _res =( vtkPointLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkPointLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_CreateDefaultLocator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMarchingSquares * _obj = (vtkMarchingSquares * ) SexpToVtk(obj);
    _obj->CreateDefaultLocator();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMarchingSquares_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMarchingSquares * res= ( vtkMarchingSquares * ) vtkMarchingSquares
::New();
    R_res=toRPointer(res,"vtkMarchingSquares");
    return(R_res);
  }
#endif
}
