#include <vtkMatrix4x4.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMatrix4x4_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    vtkMatrix4x4 *  _res =( vtkMatrix4x4 * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMatrix4x4");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    vtkMatrix4x4 *  _res =( vtkMatrix4x4 * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMatrix4x4");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_DeepCopy( SEXP obj, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _source = (vtkMatrix4x4 * )  SexpToVtk(source);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->DeepCopy(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_DeepCopy_v1( SEXP obj, SEXP Elements, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _Elements =  SexpTodouble(Elements);
     vtkMatrix4x4  *  _source = (vtkMatrix4x4 * )  SexpToVtk(source);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->DeepCopy(_Elements, _source);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_Elements,LENGTH(Elements)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Elements",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_source,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_DeepCopy_v2( SEXP obj, SEXP Elements, SEXP newElements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    SET_LENGTH(newElements,16);
     double  *  _newElements =  SexpTodouble(newElements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->DeepCopy(_Elements, _newElements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_Elements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Elements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_DeepCopy_v3( SEXP obj, SEXP Elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _Elements =  SexpTodouble(Elements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->DeepCopy(_Elements);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Zero( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Zero();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Zero_v1( SEXP obj, SEXP Elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Zero(_Elements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_Elements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Elements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Identity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Identity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Identity_v1( SEXP obj, SEXP Elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Identity(_Elements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_Elements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Elements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Invert( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Invert(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Invert_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Invert();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Invert_v2( SEXP obj, SEXP inElements, SEXP outElements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(inElements,16);
     double  *  _inElements =  SexpTodouble(inElements);
    SET_LENGTH(outElements,16);
     double  *  _outElements =  SexpTodouble(outElements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Invert(_inElements, _outElements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_outElements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outElements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Transpose( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Transpose(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Transpose_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Transpose();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Transpose_v2( SEXP obj, SEXP inElements, SEXP outElements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(inElements,16);
     double  *  _inElements =  SexpTodouble(inElements);
    SET_LENGTH(outElements,16);
     double  *  _outElements =  SexpTodouble(outElements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Transpose(_inElements, _outElements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_outElements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outElements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyPoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _in =  SexpTofloat(in);
     float  *  _out =  SexpTofloat(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyPoint_v1( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _in =  SexpTodouble(in);
     double  *  _out =  SexpTodouble(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_out,LENGTH(out)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyPoint_v2( SEXP obj, SEXP Elements, SEXP in, SEXP result){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    SET_LENGTH(in,4);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(result,4);
     float  *  _result =  SexpTofloat(result);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_Elements, _in, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_result,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyPoint_v3( SEXP obj, SEXP Elements, SEXP in, SEXP result){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    SET_LENGTH(in,4);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(result,4);
     double  *  _result =  SexpTodouble(result);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->MultiplyPoint(_Elements, _in, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_result,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyPoint_v4( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _in =  SexpTofloat(in);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->MultiplyPoint(_in);
    res=floatToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyFloatPoint( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _in =  SexpTofloat(in);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->MultiplyFloatPoint(_in);
    res=floatToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_MultiplyDoublePoint( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _in =  SexpTodouble(in);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->MultiplyDoublePoint(_in);
    res=doubleToSexp(_res,4);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Multiply4x4( SEXP obj, SEXP a, SEXP b, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _a = (vtkMatrix4x4 * )  SexpToVtk(a);
     vtkMatrix4x4  *  _b = (vtkMatrix4x4 * )  SexpToVtk(b);
     vtkMatrix4x4  *  _c = (vtkMatrix4x4 * )  SexpToVtk(c);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Multiply4x4(_a, _b, _c);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_b,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".b",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_c,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Multiply4x4_v1( SEXP obj, SEXP a, SEXP b, SEXP c){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,16);
     double  *  _a =  SexpTodouble(a);
    SET_LENGTH(b,16);
     double  *  _b =  SexpTodouble(b);
    SET_LENGTH(c,16);
     double  *  _c =  SexpTodouble(c);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Multiply4x4(_a, _b, _c);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_c,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".c",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Adjoint( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Adjoint(_in, _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Adjoint_v1( SEXP obj, SEXP inElements, SEXP outElements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(inElements,16);
     double  *  _inElements =  SexpTodouble(inElements);
    SET_LENGTH(outElements,16);
     double  *  _outElements =  SexpTodouble(outElements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Adjoint(_inElements, _outElements);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_outElements,16));
    SET_VECTOR_ELT(res_names,1,charToSexp(".outElements",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Determinant( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double _res =_obj->Determinant();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Determinant_v1( SEXP obj, SEXP Elements){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double _res =_obj->Determinant(_Elements);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_SetElement( SEXP obj, SEXP i, SEXP j, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->SetElement( * _i,  * _j,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_GetElement( SEXP obj, SEXP i, SEXP j){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    SET_LENGTH(j,1);
     int  *  _j =  SexpToint(j);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double _res =_obj->GetElement( * _i,  * _j);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Adjoint_v2( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,1);
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
    SET_LENGTH(out,1);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Adjoint( * _in,  * _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Determinant_v2( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,1);
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double _res =_obj->Determinant( * _in);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Determinant_v3( SEXP obj, SEXP in){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    double _res =_obj->Determinant(_in);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Invert_v3( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,1);
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
    SET_LENGTH(out,1);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Invert( * _in,  * _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_Transpose_v3( SEXP obj, SEXP in, SEXP out){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(in,1);
     vtkMatrix4x4  *  _in = (vtkMatrix4x4 * )  SexpToVtk(in);
    SET_LENGTH(out,1);
     vtkMatrix4x4  *  _out = (vtkMatrix4x4 * )  SexpToVtk(out);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->Transpose( * _in,  * _out);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_out,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".out",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_PointMultiply( SEXP obj, SEXP Elements, SEXP in, SEXP result){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    SET_LENGTH(in,4);
     float  *  _in =  SexpTofloat(in);
    SET_LENGTH(result,4);
     float  *  _result =  SexpTofloat(result);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->PointMultiply(_Elements, _in, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_result,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_PointMultiply_v1( SEXP obj, SEXP Elements, SEXP in, SEXP result){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Elements,16);
     double  *  _Elements =  SexpTodouble(Elements);
    SET_LENGTH(in,4);
     double  *  _in =  SexpTodouble(in);
    SET_LENGTH(result,4);
     double  *  _result =  SexpTodouble(result);
    vtkMatrix4x4 * _obj = (vtkMatrix4x4 * ) SexpToVtk(obj);
    _obj->PointMultiply(_Elements, _in, _result);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_result,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".result",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrix4x4_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMatrix4x4 * res= ( vtkMatrix4x4 * ) vtkMatrix4x4::New();
    R_res=toRPointer(res,"vtkMatrix4x4");
    return(R_res);
  }
#endif
}
