#include <vtkMatrixToLinearTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkMatrixToLinearTransform_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    vtkMatrixToLinearTransform *  _res =( vtkMatrixToLinearTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMatrixToLinearTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    vtkMatrixToLinearTransform *  _res =( vtkMatrixToLinearTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMatrixToLinearTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_SetInput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  __arg = (vtkMatrix4x4 * )  SexpToVtk(_arg);
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_GetInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    vtkMatrix4x4 *  _res =( vtkMatrix4x4 * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkMatrix4x4");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_Inverse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_MakeTransform( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_SetMatrix( SEXP obj, SEXP matrix){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMatrix4x4  *  _matrix = (vtkMatrix4x4 * )  SexpToVtk(matrix);
    vtkMatrixToLinearTransform * _obj = (vtkMatrixToLinearTransform
 * ) SexpToVtk(obj);
    _obj->SetMatrix(_matrix);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_matrix,"vtkMatrix4x4"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".matrix",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMatrixToLinearTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMatrixToLinearTransform * res= ( vtkMatrixToLinearTransform * ) 
vtkMatrixToLinearTransform::New();
    R_res=toRPointer(res,"vtkMatrixToLinearTransform");
    return(R_res);
  }
#endif
}
