#include <vtkObjectFactoryCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkObjectFactoryCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    vtkObjectFactoryCollection *  _res =( vtkObjectFactoryCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkObjectFactoryCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    vtkObjectFactoryCollection *  _res =( vtkObjectFactoryCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkObjectFactoryCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_AddItem( SEXP obj, SEXP t){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectFactory  *  _t = (vtkObjectFactory * )  SexpToVtk(t);
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    _obj->AddItem(_t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkObjectFactory"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_GetNextItem( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    vtkObjectFactory *  _res =( vtkObjectFactory * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkObjectFactory");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_GetNextObjectFactory( SEXP obj, SEXP cookie){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _cookie =  SexpTovoid(cookie);
    vtkObjectFactoryCollection * _obj = (vtkObjectFactoryCollection
 * ) SexpToVtk(obj);
    vtkObjectFactory *  _res =( vtkObjectFactory * )_obj->GetNextObjectFactory(_cookie);
    res=VtkToSexp(_res,"vtkObjectFactory");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_cookie,LENGTH(cookie)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cookie",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkObjectFactoryCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkObjectFactoryCollection * res= ( vtkObjectFactoryCollection * ) 
vtkObjectFactoryCollection::New();
    R_res=toRPointer(res,"vtkObjectFactoryCollection");
    return(R_res);
  }
#endif
}
