#include <vtkOpenGLExtensionManager.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkOpenGLExtensionManager_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    vtkOpenGLExtensionManager *  _res =( vtkOpenGLExtensionManager * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLExtensionManager");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    vtkOpenGLExtensionManager *  _res =( vtkOpenGLExtensionManager * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLExtensionManager");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_GetRenderWindow( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_SetRenderWindow( SEXP obj, SEXP renwin){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindow  *  _renwin = (vtkRenderWindow * )  SexpToVtk(renwin);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    _obj->SetRenderWindow(_renwin);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renwin,"vtkRenderWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renwin",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_GetExtensionsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetExtensionsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_ExtensionSupported( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    int _res =_obj->ExtensionSupported(_name);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_LoadExtension( SEXP obj, SEXP name){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _name =  SexpTochar(name);
    vtkOpenGLExtensionManager * _obj = (vtkOpenGLExtensionManager
 * ) SexpToVtk(obj);
    _obj->LoadExtension(_name);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLExtensionManager_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLExtensionManager * res= ( vtkOpenGLExtensionManager * ) 
vtkOpenGLExtensionManager::New();
    R_res=toRPointer(res,"vtkOpenGLExtensionManager");
    return(R_res);
  }
#endif
}
