#include <vtkOpenGLFreeTypeTextMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkOpenGLFreeTypeTextMapper_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    vtkOpenGLFreeTypeTextMapper *  _res =( vtkOpenGLFreeTypeTextMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLFreeTypeTextMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    vtkOpenGLFreeTypeTextMapper *  _res =( vtkOpenGLFreeTypeTextMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLFreeTypeTextMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_RenderOverlay( SEXP obj, SEXP viewport, SEXP actor){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    _obj->RenderOverlay(_viewport, _actor);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_GetSize( SEXP obj, SEXP viewport, SEXP size){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     int  *  _size =  SexpToint(size);
    vtkOpenGLFreeTypeTextMapper * _obj = (vtkOpenGLFreeTypeTextMapper
 * ) SexpToVtk(obj);
    _obj->GetSize(_viewport, _size);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_size,LENGTH(size)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".size",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLFreeTypeTextMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLFreeTypeTextMapper * res= ( vtkOpenGLFreeTypeTextMapper * ) 
vtkOpenGLFreeTypeTextMapper::New();
    R_res=toRPointer(res,"vtkOpenGLFreeTypeTextMapper");
    return(R_res);
  }
#endif
}
