#include <vtkOpenGLVolumeTextureMapper3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkOpenGLVolumeTextureMapper3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    vtkOpenGLVolumeTextureMapper3D *  _res =( vtkOpenGLVolumeTextureMapper3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLVolumeTextureMapper3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    vtkOpenGLVolumeTextureMapper3D *  _res =( vtkOpenGLVolumeTextureMapper3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLVolumeTextureMapper3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_IsRenderSupported( SEXP obj, SEXP property){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolumeProperty  *  _property = (vtkVolumeProperty * )  
SexpToVtk(property);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->IsRenderSupported(_property);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_property,"vtkVolumeProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".property",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_Render( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_GetInitialized( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->GetInitialized();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_ReleaseGraphicsResources( SEXP obj, SEXP renWin){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _renWin = (vtkWindow * )  SexpToVtk(renWin);
    vtkOpenGLVolumeTextureMapper3D * _obj = (vtkOpenGLVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_renWin);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renWin,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renWin",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLVolumeTextureMapper3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLVolumeTextureMapper3D * res= ( vtkOpenGLVolumeTextureMapper3D * ) 
vtkOpenGLVolumeTextureMapper3D::New();
    R_res=toRPointer(res,"vtkOpenGLVolumeTextureMapper3D");
    return(R_res);
  }
#endif
}
