#include <vtkOutputStream.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkOutputStream_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    vtkOutputStream *  _res =( vtkOutputStream * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOutputStream");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    vtkOutputStream *  _res =( vtkOutputStream * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOutputStream");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_StartWriting( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->StartWriting();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_Write( SEXP obj, SEXP data, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     unsigned char  *  _data =  SexpTounsigned_char(data);
    SET_LENGTH(length,1);
     long unsigned int  *  _length =  SexpTolong_unsigned_int(length);
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->Write(_data,  * _length);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_Write_v1( SEXP obj, SEXP data, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _data =  SexpTochar(data);
    SET_LENGTH(length,1);
     long unsigned int  *  _length =  SexpTolong_unsigned_int(length);
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->Write(_data,  * _length);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_EndWriting( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOutputStream * _obj = (vtkOutputStream * ) SexpToVtk(obj);
    int _res =_obj->EndWriting();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOutputStream_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOutputStream * res= ( vtkOutputStream * ) vtkOutputStream::New();
    R_res=toRPointer(res,"vtkOutputStream");
    return(R_res);
  }
#endif
}
