#include <vtkOverrideInformationCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkOverrideInformationCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    vtkOverrideInformationCollection *  _res =( vtkOverrideInformationCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOverrideInformationCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    vtkOverrideInformationCollection *  _res =( vtkOverrideInformationCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOverrideInformationCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_AddItem( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkOverrideInformation  *  _f = (vtkOverrideInformation * )  SexpToVtk(f);
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    _obj->AddItem(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkOverrideInformation"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_GetNextItem( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    vtkOverrideInformation *  _res =( vtkOverrideInformation * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkOverrideInformation");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_GetNextOverrideInformation( SEXP obj, SEXP cookie){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _cookie =  SexpTovoid(cookie);
    vtkOverrideInformationCollection * _obj = (vtkOverrideInformationCollection
 * ) SexpToVtk(obj);
    vtkOverrideInformation *  _res =( vtkOverrideInformation * )_obj->GetNextOverrideInformation(_cookie);
    res=VtkToSexp(_res,"vtkOverrideInformation");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_cookie,LENGTH(cookie)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cookie",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOverrideInformationCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOverrideInformationCollection * res= ( vtkOverrideInformationCollection
 * ) vtkOverrideInformationCollection::New();
    R_res=toRPointer(res,"vtkOverrideInformationCollection");
    return(R_res);
  }
#endif
}
