#include <vtkParametricFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkParametricFunction_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    vtkParametricFunction *  _res =( vtkParametricFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkParametricFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    vtkParametricFunction *  _res =( vtkParametricFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkParametricFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_Evaluate( SEXP obj, SEXP uvw, SEXP Pt, SEXP Duvw){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(uvw,3);
     double  *  _uvw =  SexpTodouble(uvw);
    SET_LENGTH(Pt,3);
     double  *  _Pt =  SexpTodouble(Pt);
    SET_LENGTH(Duvw,9);
     double  *  _Duvw =  SexpTodouble(Duvw);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->Evaluate(_uvw, _Pt, _Duvw);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_uvw,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".uvw",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_Pt,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".Pt",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_Duvw,9));
    SET_VECTOR_ELT(res_names,3,charToSexp(".Duvw",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_EvaluateScalar( SEXP obj, SEXP uvw, SEXP Pt, SEXP Duvw){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(uvw,3);
     double  *  _uvw =  SexpTodouble(uvw);
    SET_LENGTH(Pt,3);
     double  *  _Pt =  SexpTodouble(Pt);
    SET_LENGTH(Duvw,9);
     double  *  _Duvw =  SexpTodouble(Duvw);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->EvaluateScalar(_uvw, _Pt, _Duvw);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_uvw,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".uvw",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_Pt,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".Pt",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_Duvw,9));
    SET_VECTOR_ELT(res_names,3,charToSexp(".Duvw",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMinimumU( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMinimumU( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMinimumU( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumU();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMaximumU( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMaximumU( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMaximumU( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumU();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMinimumV( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMinimumV( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMinimumV( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumV();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMaximumV( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMaximumV( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMaximumV( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumV();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMinimumW( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMinimumW( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMinimumW( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumW();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetMaximumW( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetMaximumW( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetMaximumW( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumW();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetJoinU( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetJoinU( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetJoinU( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetJoinU();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_JoinUOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->JoinUOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_JoinUOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->JoinUOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetJoinV( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetJoinV( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetJoinV( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetJoinV();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_JoinVOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->JoinVOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_JoinVOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->JoinVOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetTwistU( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetTwistU( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetTwistU( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetTwistU();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_TwistUOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->TwistUOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_TwistUOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->TwistUOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetTwistV( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetTwistV( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetTwistV( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetTwistV();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_TwistVOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->TwistVOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_TwistVOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->TwistVOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetClockwiseOrdering( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetClockwiseOrdering( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetClockwiseOrdering( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetClockwiseOrdering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_ClockwiseOrderingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->ClockwiseOrderingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_ClockwiseOrderingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->ClockwiseOrderingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_SetDerivativesAvailable( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->SetDerivativesAvailable( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_GetDerivativesAvailable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    int _res =_obj->GetDerivativesAvailable();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_DerivativesAvailableOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->DerivativesAvailableOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkParametricFunction_DerivativesAvailableOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkParametricFunction * _obj = (vtkParametricFunction * ) SexpToVtk(obj);
    _obj->DerivativesAvailableOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
