#include <vtkPiecewiseFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPiecewiseFunction_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_DeepCopy( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _o = (vtkDataObject * )  SexpToVtk(o);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->DeepCopy(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_ShallowCopy( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataObject  *  _o = (vtkDataObject * )  SexpToVtk(o);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->ShallowCopy(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkDataObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetDataObjectType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->GetDataObjectType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->GetSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_AddPoint( SEXP obj, SEXP x, SEXP val){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(val,1);
     double  *  _val =  SexpTodouble(val);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->AddPoint( * _x,  * _val);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_RemovePoint( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->RemovePoint( * _x);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_RemoveAllPoints( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->RemoveAllPoints();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_AddSegment( SEXP obj, SEXP x1, SEXP val1, SEXP x2, SEXP val2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(val1,1);
     double  *  _val1 =  SexpTodouble(val1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(val2,1);
     double  *  _val2 =  SexpTodouble(val2);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->AddSegment( * _x1,  * _val1,  * _x2,  * _val2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetValue( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    double _res =_obj->GetValue( * _x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetDataPointer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataPointer();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_FillFromDataPointer( SEXP obj, SEXP nb, SEXP ptr){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(nb,1);
     int  *  _nb =  SexpToint(nb);
     double  *  _ptr =  SexpTodouble(ptr);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->FillFromDataPointer( * _nb, _ptr);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_ptr,LENGTH(ptr)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ptr",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_AdjustRange( SEXP obj, SEXP range){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(range,2);
     double  *  _range =  SexpTodouble(range);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->AdjustRange(_range);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_range,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".range",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetTable( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table, SEXP stride){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     float  *  _table =  SexpTofloat(table);
    SET_LENGTH(stride,1);
     int  *  _stride =  SexpToint(stride);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->GetTable( * _x1,  * _x2,  * _size, _table,  * _stride);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetTable_v1( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table, SEXP stride){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     double  *  _table =  SexpTodouble(table);
    SET_LENGTH(stride,1);
     int  *  _stride =  SexpToint(stride);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->GetTable( * _x1,  * _x2,  * _size, _table,  * _stride);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_BuildFunctionFromTable( SEXP obj, SEXP x1, SEXP x2, SEXP size, SEXP table, SEXP stride){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     double  *  _x1 =  SexpTodouble(x1);
    SET_LENGTH(x2,1);
     double  *  _x2 =  SexpTodouble(x2);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
     double  *  _table =  SexpTodouble(table);
    SET_LENGTH(stride,1);
     int  *  _stride =  SexpToint(stride);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->BuildFunctionFromTable( * _x1,  * _x2,  * _size, _table,  * _stride);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_table,LENGTH(table)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_SetClamping( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->SetClamping( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetClamping( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    int _res =_obj->GetClamping();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_ClampingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->ClampingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_ClampingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    _obj->ClampingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetType();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_GetFirstNonZeroValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * _obj = (vtkPiecewiseFunction * ) SexpToVtk(obj);
    double _res =_obj->GetFirstNonZeroValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPiecewiseFunction_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPiecewiseFunction * res= ( vtkPiecewiseFunction * ) vtkPiecewiseFunction
::New();
    R_res=toRPointer(res,"vtkPiecewiseFunction");
    return(R_res);
  }
#endif
}
