#include <vtkPlatonicSolidSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPlatonicSolidSource_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    vtkPlatonicSolidSource *  _res =( vtkPlatonicSolidSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPlatonicSolidSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    vtkPlatonicSolidSource *  _res =( vtkPlatonicSolidSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPlatonicSolidSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_GetSolidTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    int _res =_obj->GetSolidTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_GetSolidTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    int _res =_obj->GetSolidTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_GetSolidType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    int _res =_obj->GetSolidType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidTypeToTetrahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidTypeToTetrahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidTypeToCube( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidTypeToCube();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidTypeToOctahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidTypeToOctahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidTypeToIcosahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidTypeToIcosahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_SetSolidTypeToDodecahedron( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * _obj = (vtkPlatonicSolidSource * ) SexpToVtk(obj);
    _obj->SetSolidTypeToDodecahedron();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPlatonicSolidSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPlatonicSolidSource * res= ( vtkPlatonicSolidSource * ) 
vtkPlatonicSolidSource::New();
    R_res=toRPointer(res,"vtkPlatonicSolidSource");
    return(R_res);
  }
#endif
}
