#include <vtkPointsProjectedHull.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPointsProjectedHull_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    vtkPointsProjectedHull *  _res =( vtkPointsProjectedHull * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPointsProjectedHull");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    vtkPointsProjectedHull *  _res =( vtkPointsProjectedHull * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPointsProjectedHull");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionX( SEXP obj, SEXP R){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _R = (vtkPoints * )  SexpToVtk(R);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionX(_R);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_R,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".R",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionX_v1( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     float  *  _hmin =  SexpTofloat(hmin);
    SET_LENGTH(hmax,1);
     float  *  _hmax =  SexpTofloat(hmax);
    SET_LENGTH(vmin,1);
     float  *  _vmin =  SexpTofloat(vmin);
    SET_LENGTH(vmax,1);
     float  *  _vmax =  SexpTofloat(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionX( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionX_v2( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     double  *  _hmin =  SexpTodouble(hmin);
    SET_LENGTH(hmax,1);
     double  *  _hmax =  SexpTodouble(hmax);
    SET_LENGTH(vmin,1);
     double  *  _vmin =  SexpTodouble(vmin);
    SET_LENGTH(vmax,1);
     double  *  _vmax =  SexpTodouble(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionX( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionY( SEXP obj, SEXP R){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _R = (vtkPoints * )  SexpToVtk(R);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionY(_R);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_R,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".R",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionY_v1( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     float  *  _hmin =  SexpTofloat(hmin);
    SET_LENGTH(hmax,1);
     float  *  _hmax =  SexpTofloat(hmax);
    SET_LENGTH(vmin,1);
     float  *  _vmin =  SexpTofloat(vmin);
    SET_LENGTH(vmax,1);
     float  *  _vmax =  SexpTofloat(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionY( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionY_v2( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     double  *  _hmin =  SexpTodouble(hmin);
    SET_LENGTH(hmax,1);
     double  *  _hmax =  SexpTodouble(hmax);
    SET_LENGTH(vmin,1);
     double  *  _vmin =  SexpTodouble(vmin);
    SET_LENGTH(vmax,1);
     double  *  _vmax =  SexpTodouble(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionY( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionZ( SEXP obj, SEXP R){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _R = (vtkPoints * )  SexpToVtk(R);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionZ(_R);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_R,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".R",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionZ_v1( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     float  *  _hmin =  SexpTofloat(hmin);
    SET_LENGTH(hmax,1);
     float  *  _hmax =  SexpTofloat(hmax);
    SET_LENGTH(vmin,1);
     float  *  _vmin =  SexpTofloat(vmin);
    SET_LENGTH(vmax,1);
     float  *  _vmax =  SexpTofloat(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionZ( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_RectangleIntersectionZ_v2( SEXP obj, SEXP hmin, SEXP hmax, SEXP vmin, SEXP vmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(hmin,1);
     double  *  _hmin =  SexpTodouble(hmin);
    SET_LENGTH(hmax,1);
     double  *  _hmax =  SexpTodouble(hmax);
    SET_LENGTH(vmin,1);
     double  *  _vmin =  SexpTodouble(vmin);
    SET_LENGTH(vmax,1);
     double  *  _vmax =  SexpTodouble(vmax);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->RectangleIntersectionZ( * _hmin,  * _hmax,  * _vmin,  * _vmax);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullX( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _pts =  SexpTofloat(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullX(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullX_v1( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullX(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullY( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _pts =  SexpTofloat(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullY(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullY_v1( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullY(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullZ( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _pts =  SexpTofloat(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullZ(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetCCWHullZ_v1( SEXP obj, SEXP pts, SEXP len){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _pts =  SexpTodouble(pts);
    SET_LENGTH(len,1);
     int  *  _len =  SexpToint(len);
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetCCWHullZ(_pts,  * _len);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pts,LENGTH(pts)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pts",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetSizeCCWHullX( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetSizeCCWHullX();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetSizeCCWHullY( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetSizeCCWHullY();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_GetSizeCCWHullZ( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    int _res =_obj->GetSizeCCWHullZ();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_Reset( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    _obj->Reset();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * _obj = (vtkPointsProjectedHull * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPointsProjectedHull_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPointsProjectedHull * res= ( vtkPointsProjectedHull * ) 
vtkPointsProjectedHull::New();
    R_res=toRPointer(res,"vtkPointsProjectedHull");
    return(R_res);
  }
#endif
}
