#include <vtkPolyDataConnectivityFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkPolyDataConnectivityFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    vtkPolyDataConnectivityFilter *  _res =( vtkPolyDataConnectivityFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPolyDataConnectivityFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    vtkPolyDataConnectivityFilter *  _res =( vtkPolyDataConnectivityFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPolyDataConnectivityFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetScalarConnectivity( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarConnectivity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetScalarConnectivity( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetScalarConnectivity();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_ScalarConnectivityOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->ScalarConnectivityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_ScalarConnectivityOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->ScalarConnectivityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetScalarRange( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetScalarRange_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetScalarRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetScalarRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScalarRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetScalarRange_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->GetScalarRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetScalarRange_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->GetScalarRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetExtractionModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtractionModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetExtractionModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtractionModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetExtractionMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetExtractionMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToPointSeededRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToPointSeededRegions();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToCellSeededRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToCellSeededRegions();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToLargestRegion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToLargestRegion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToSpecifiedRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToSpecifiedRegions();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToClosestPointRegion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToClosestPointRegion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetExtractionModeToAllRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetExtractionModeToAllRegions();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetExtractionModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetExtractionModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_InitializeSeedList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->InitializeSeedList();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_AddSeed( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->AddSeed( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_DeleteSeed( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->DeleteSeed( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_InitializeSpecifiedRegionList( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->InitializeSpecifiedRegionList();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_AddSpecifiedRegion( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->AddSpecifiedRegion( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_DeleteSpecifiedRegion( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->DeleteSpecifiedRegion( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetClosestPoint( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetClosestPoint( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetClosestPoint_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetClosestPoint(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetClosestPoint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetClosestPoint();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetClosestPoint_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->GetClosestPoint(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetNumberOfExtractedRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfExtractedRegions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_SetColorRegions( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->SetColorRegions( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_GetColorRegions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorRegions();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_ColorRegionsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->ColorRegionsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_ColorRegionsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * _obj = (vtkPolyDataConnectivityFilter
 * ) SexpToVtk(obj);
    _obj->ColorRegionsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataConnectivityFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPolyDataConnectivityFilter * res= ( vtkPolyDataConnectivityFilter * ) 
vtkPolyDataConnectivityFilter::New();
    R_res=toRPointer(res,"vtkPolyDataConnectivityFilter");
    return(R_res);
  }
#endif
}
