#include <vtkProgrammableGlyphFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkProgrammableGlyphFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    vtkProgrammableGlyphFilter *  _res =( vtkProgrammableGlyphFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProgrammableGlyphFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    vtkProgrammableGlyphFilter *  _res =( vtkProgrammableGlyphFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProgrammableGlyphFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SetSource( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->SetSource(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetSource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SetGlyphMethod( SEXP obj, SEXP f, SEXP env){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     RVoidFuncArg * _arg=Calloc(1,RVoidFuncArg);
     _arg->env=env;
     _arg->func=f;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->SetGlyphMethod(RVoidFunc, (void *) _arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetPointId( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetPointId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetPoint( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetPoint_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->GetPoint( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetPoint_v2( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->GetPoint(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetPointData( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    vtkPointData *  _res =( vtkPointData * )_obj->GetPointData();
    res=VtkToSexp(_res,"vtkPointData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SetColorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetColorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SetColorModeToColorByInput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->SetColorModeToColorByInput();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_SetColorModeToColorBySource( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    _obj->SetColorModeToColorBySource();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_GetColorModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * _obj = (vtkProgrammableGlyphFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetColorModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProgrammableGlyphFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProgrammableGlyphFilter * res= ( vtkProgrammableGlyphFilter * ) 
vtkProgrammableGlyphFilter::New();
    R_res=toRPointer(res,"vtkProgrammableGlyphFilter");
    return(R_res);
  }
#endif
}
