#include <vtkProp3DCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkProp3DCollection_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    vtkProp3DCollection *  _res =( vtkProp3DCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProp3DCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    vtkProp3DCollection *  _res =( vtkProp3DCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProp3DCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_AddItem( SEXP obj, SEXP a){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp3D  *  _a = (vtkProp3D * )  SexpToVtk(a);
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkProp3D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_GetNextProp3D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    vtkProp3D *  _res =( vtkProp3D * )_obj->GetNextProp3D();
    res=VtkToSexp(_res,"vtkProp3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_GetLastProp3D( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    vtkProp3D *  _res =( vtkProp3D * )_obj->GetLastProp3D();
    res=VtkToSexp(_res,"vtkProp3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_GetNextProp3D_v1( SEXP obj, SEXP cookie){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _cookie =  SexpTovoid(cookie);
    vtkProp3DCollection * _obj = (vtkProp3DCollection * ) SexpToVtk(obj);
    vtkProp3D *  _res =( vtkProp3D * )_obj->GetNextProp3D(_cookie);
    res=VtkToSexp(_res,"vtkProp3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_cookie,LENGTH(cookie)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cookie",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProp3DCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProp3DCollection * res= ( vtkProp3DCollection * ) vtkProp3DCollection
::New();
    R_res=toRPointer(res,"vtkProp3DCollection");
    return(R_res);
  }
#endif
}
