#include <vtkQuad.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkQuad_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    vtkQuad *  _res =( vtkQuad * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkQuad");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    vtkQuad *  _res =( vtkQuad * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkQuad");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetCellType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->GetCellType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetCellDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->GetCellDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetNumberOfEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfEdges();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetNumberOfFaces( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfFaces();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetEdge( SEXP obj, SEXP edgeId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(edgeId,1);
     int  *  _edgeId =  SexpToint(edgeId);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetEdge( * _edgeId);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_EvaluatePosition( SEXP obj, SEXP x, SEXP closestPoint, SEXP subId, SEXP pcoords, SEXP dist2, SEXP weights){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
     double  *  _closestPoint =  SexpTodouble(closestPoint);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(dist2,1);
     double  *  _dist2 =  SexpTodouble(dist2);
     double  *  _weights =  SexpTodouble(weights);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->EvaluatePosition(_x, _closestPoint,  * _subId, _pcoords,  * _dist2, _weights);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_closestPoint,LENGTH(closestPoint)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".closestPoint",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".subId",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_dist2,1));
    SET_VECTOR_ELT(res_names,5,charToSexp(".dist2",0));
    SET_VECTOR_ELT(ans,6,doubleToSexp(_weights,LENGTH(weights)));
    SET_VECTOR_ELT(res_names,6,charToSexp(".weights",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_IntersectWithLine( SEXP obj, SEXP p1, SEXP p2, SEXP tol, SEXP t, SEXP x, SEXP pcoords, SEXP subId){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(p1,3);
     double  *  _p1 =  SexpTodouble(p1);
    SET_LENGTH(p2,3);
     double  *  _p2 =  SexpTodouble(p2);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(subId,1);
     int  *  _subId =  SexpToint(subId);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    int _res =_obj->IntersectWithLine(_p1, _p2,  * _tol,  * _t, _x, _pcoords,  * _subId);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_p1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_p2,3));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_t,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    SET_VECTOR_ELT(ans,4,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,4,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,5,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,5,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_subId,1));
    SET_VECTOR_ELT(res_names,6,charToSexp(".subId",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_GetParametricCoords( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetParametricCoords();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_Clip( SEXP obj, SEXP value, SEXP cellScalars, SEXP locator, SEXP polys, SEXP inPd, SEXP outPd, SEXP inCd, SEXP cellId, SEXP outCd, SEXP insideOut){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
     vtkPointLocator  *  _locator = (vtkPointLocator * )  SexpToVtk(locator);
     vtkCellArray  *  _polys = (vtkCellArray * )  SexpToVtk(polys);
     vtkPointData  *  _inPd = (vtkPointData * )  SexpToVtk(inPd);
     vtkPointData  *  _outPd = (vtkPointData * )  SexpToVtk(outPd);
     vtkCellData  *  _inCd = (vtkCellData * )  SexpToVtk(inCd);
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkCellData  *  _outCd = (vtkCellData * )  SexpToVtk(outCd);
    SET_LENGTH(insideOut,1);
     int  *  _insideOut =  SexpToint(insideOut);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    _obj->Clip( * _value, _cellScalars, _locator, _polys, _inPd, _outPd, _inCd,  * _cellId, _outCd,  * _insideOut);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellScalars",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_locator,"vtkPointLocator"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".locator",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_polys,"vtkCellArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".polys",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_inPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".inPd",0));
    SET_VECTOR_ELT(ans,5,VtkToSexp(_outPd,"vtkPointData"));
    SET_VECTOR_ELT(res_names,5,charToSexp(".outPd",0));
    SET_VECTOR_ELT(ans,6,VtkToSexp(_inCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,6,charToSexp(".inCd",0));
    SET_VECTOR_ELT(ans,7,VtkToSexp(_outCd,"vtkCellData"));
    SET_VECTOR_ELT(res_names,7,charToSexp(".outCd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_InterpolationFunctions( SEXP obj, SEXP pcoords, SEXP sf){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(sf,4);
     double  *  _sf =  SexpTodouble(sf);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    _obj->InterpolationFunctions(_pcoords, _sf);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_sf,4));
    SET_VECTOR_ELT(res_names,2,charToSexp(".sf",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_InterpolationDerivs( SEXP obj, SEXP pcoords, SEXP derivs){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(pcoords,3);
     double  *  _pcoords =  SexpTodouble(pcoords);
    SET_LENGTH(derivs,8);
     double  *  _derivs =  SexpTodouble(derivs);
    vtkQuad * _obj = (vtkQuad * ) SexpToVtk(obj);
    _obj->InterpolationDerivs(_pcoords, _derivs);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_pcoords,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pcoords",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_derivs,8));
    SET_VECTOR_ELT(res_names,2,charToSexp(".derivs",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkQuad_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkQuad * res= ( vtkQuad * ) vtkQuad::New();
    R_res=toRPointer(res,"vtkQuad");
    return(R_res);
  }
#endif
}
