#include <vtkRectilinearGridToTetrahedra.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkRectilinearGridToTetrahedra_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    vtkRectilinearGridToTetrahedra *  _res =( vtkRectilinearGridToTetrahedra * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRectilinearGridToTetrahedra");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    vtkRectilinearGridToTetrahedra *  _res =( vtkRectilinearGridToTetrahedra * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRectilinearGridToTetrahedra");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo5( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetTetraPerCellTo5();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo6( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetTetraPerCellTo6();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo12( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetTetraPerCellTo12();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetTetraPerCellTo5And12( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetTetraPerCellTo5And12();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetTetraPerCell( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetTetraPerCell( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_GetTetraPerCell( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    int _res =_obj->GetTetraPerCell();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetRememberVoxelId( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetRememberVoxelId( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_GetRememberVoxelId( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    int _res =_obj->GetRememberVoxelId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_RememberVoxelIdOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->RememberVoxelIdOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_RememberVoxelIdOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->RememberVoxelIdOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetInput( SEXP obj, SEXP Extent, SEXP Spacing, SEXP tol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(Extent,3);
     double  *  _Extent =  SexpTodouble(Extent);
    SET_LENGTH(Spacing,3);
     double  *  _Spacing =  SexpTodouble(Spacing);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetInput(_Extent, _Spacing,  * _tol);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_SetInput_v1( SEXP obj, SEXP ExtentX, SEXP ExtentY, SEXP ExtentZ, SEXP SpacingX, SEXP SpacingY, SEXP SpacingZ, SEXP tol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(ExtentX,1);
     double  *  _ExtentX =  SexpTodouble(ExtentX);
    SET_LENGTH(ExtentY,1);
     double  *  _ExtentY =  SexpTodouble(ExtentY);
    SET_LENGTH(ExtentZ,1);
     double  *  _ExtentZ =  SexpTodouble(ExtentZ);
    SET_LENGTH(SpacingX,1);
     double  *  _SpacingX =  SexpTodouble(SpacingX);
    SET_LENGTH(SpacingY,1);
     double  *  _SpacingY =  SexpTodouble(SpacingY);
    SET_LENGTH(SpacingZ,1);
     double  *  _SpacingZ =  SexpTodouble(SpacingZ);
    SET_LENGTH(tol,1);
     double  *  _tol =  SexpTodouble(tol);
    vtkRectilinearGridToTetrahedra * _obj = (vtkRectilinearGridToTetrahedra
 * ) SexpToVtk(obj);
    _obj->SetInput( * _ExtentX,  * _ExtentY,  * _ExtentZ,  * _SpacingX,  * _SpacingY,  * _SpacingZ,  * _tol);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRectilinearGridToTetrahedra_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRectilinearGridToTetrahedra * res= ( vtkRectilinearGridToTetrahedra * ) 
vtkRectilinearGridToTetrahedra::New();
    R_res=toRPointer(res,"vtkRectilinearGridToTetrahedra");
    return(R_res);
  }
#endif
}
