#include <vtkScalarsToColors.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkScalarsToColors_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_Build( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->Build();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetRange( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetRange( SEXP obj, SEXP min, SEXP max){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(min,1);
     double  *  _min =  SexpTodouble(min);
    SET_LENGTH(max,1);
     double  *  _max =  SexpTodouble(max);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetRange( * _min,  * _max);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetRange_v1( SEXP obj, SEXP rng){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _rng =  SexpTodouble(rng);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetRange(_rng);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rng,LENGTH(rng)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rng",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_MapValue( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->MapValue( * _v);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetColor( SEXP obj, SEXP v, SEXP rgb){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    SET_LENGTH(rgb,3);
     double  *  _rgb =  SexpTodouble(rgb);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->GetColor( * _v, _rgb);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_rgb,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rgb",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetColor_v1( SEXP obj, SEXP v){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v,1);
     double  *  _v =  SexpTodouble(v);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetColor( * _v);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetLuminance( SEXP obj, SEXP x){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    double _res =_obj->GetLuminance( * _x);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetAlpha( SEXP obj, SEXP alpha){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(alpha,1);
     double  *  _alpha =  SexpTodouble(alpha);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetAlpha( * _alpha);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetAlpha( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    double _res =_obj->GetAlpha();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_MapScalars( SEXP obj, SEXP scalars, SEXP colorMode, SEXP comp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    SET_LENGTH(colorMode,1);
     int  *  _colorMode =  SexpToint(colorMode);
    SET_LENGTH(comp,1);
     int  *  _comp =  SexpToint(comp);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->MapScalars(_scalars,  * _colorMode,  * _comp);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetVectorMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetVectorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetVectorMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    int _res =_obj->GetVectorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetVectorModeToMagnitude( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetVectorModeToMagnitude();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetVectorModeToComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetVectorModeToComponent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_SetVectorComponent( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->SetVectorComponent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_GetVectorComponent( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    int _res =_obj->GetVectorComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_MapScalarsThroughTable( SEXP obj, SEXP scalars, SEXP output, SEXP outputFormat){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(outputFormat,1);
     int  *  _outputFormat =  SexpToint(outputFormat);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->MapScalarsThroughTable(_scalars, _output,  * _outputFormat);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scalars",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_MapScalarsThroughTable_v1( SEXP obj, SEXP scalars, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->MapScalarsThroughTable(_scalars, _output);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".scalars",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_MapScalarsThroughTable2( SEXP obj, SEXP input, SEXP output, SEXP inputDataType, SEXP numberOfValues, SEXP inputIncrement, SEXP outputFormat){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _input =  SexpTovoid(input);
     unsigned char  *  _output =  SexpTounsigned_char(output);
    SET_LENGTH(inputDataType,1);
     int  *  _inputDataType =  SexpToint(inputDataType);
    SET_LENGTH(numberOfValues,1);
     int  *  _numberOfValues =  SexpToint(numberOfValues);
    SET_LENGTH(inputIncrement,1);
     int  *  _inputIncrement =  SexpToint(inputIncrement);
    SET_LENGTH(outputFormat,1);
     int  *  _outputFormat =  SexpToint(outputFormat);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    _obj->MapScalarsThroughTable2(_input, _output,  * _inputDataType,  * _numberOfValues,  * _inputIncrement,  * _outputFormat);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_input,LENGTH(input)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    SET_VECTOR_ELT(ans,2,unsigned_charToSexp(_output,LENGTH(output)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkScalarsToColors_ConvertUnsignedCharToRGBA( SEXP obj, SEXP colors, SEXP numComp, SEXP numTuples){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnsignedCharArray  *  _colors = (vtkUnsignedCharArray * )  
SexpToVtk(colors);
    SET_LENGTH(numComp,1);
     int  *  _numComp =  SexpToint(numComp);
    SET_LENGTH(numTuples,1);
     int  *  _numTuples =  SexpToint(numTuples);
    vtkScalarsToColors * _obj = (vtkScalarsToColors * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->ConvertUnsignedCharToRGBA(_colors,  * _numComp,  * _numTuples);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_colors,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".colors",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
