#include <vtkSelectPolyData.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSelectPolyData_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    vtkSelectPolyData *  _res =( vtkSelectPolyData * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSelectPolyData");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    vtkSelectPolyData *  _res =( vtkSelectPolyData * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSelectPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetGenerateSelectionScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetGenerateSelectionScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetGenerateSelectionScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateSelectionScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GenerateSelectionScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->GenerateSelectionScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GenerateSelectionScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->GenerateSelectionScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetInsideOut( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetInsideOut( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetInsideOut( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetInsideOut();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_InsideOutOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->InsideOutOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_InsideOutOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->InsideOutOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetLoop( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  __arg = (vtkPoints * )  SexpToVtk(_arg);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetLoop(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetLoop( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetLoop();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetSelectionMode( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetSelectionMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetSelectionModeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetSelectionModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetSelectionModeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetSelectionModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetSelectionMode( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetSelectionMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetSelectionModeToSmallestRegion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetSelectionModeToSmallestRegion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetSelectionModeToLargestRegion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetSelectionModeToLargestRegion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetSelectionModeToClosestPointRegion( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetSelectionModeToClosestPointRegion();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetSelectionModeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSelectionModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_SetGenerateUnselectedOutput( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->SetGenerateUnselectedOutput( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetGenerateUnselectedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateUnselectedOutput();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GenerateUnselectedOutputOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->GenerateUnselectedOutputOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GenerateUnselectedOutputOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    _obj->GenerateUnselectedOutputOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetUnselectedOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetUnselectedOutput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetSelectionEdges( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetSelectionEdges();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSelectPolyData * _obj = (vtkSelectPolyData * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSelectPolyData_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSelectPolyData * res= ( vtkSelectPolyData * ) vtkSelectPolyData::New();
    R_res=toRPointer(res,"vtkSelectPolyData");
    return(R_res);
  }
#endif
}
