#include <vtkSimpleScalarTree.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkSimpleScalarTree_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    vtkSimpleScalarTree *  _res =( vtkSimpleScalarTree * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSimpleScalarTree");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    vtkSimpleScalarTree *  _res =( vtkSimpleScalarTree * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSimpleScalarTree");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_SetBranchingFactor( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    _obj->SetBranchingFactor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetBranchingFactorMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetBranchingFactorMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetBranchingFactorMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetBranchingFactorMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetBranchingFactor( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetBranchingFactor();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetLevel();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_SetMaxLevel( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    _obj->SetMaxLevel( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetMaxLevelMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetMaxLevelMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetMaxLevelMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetMaxLevelMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetMaxLevel( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    int _res =_obj->GetMaxLevel();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_BuildTree( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    _obj->BuildTree();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_InitTraversal( SEXP obj, SEXP scalarValue){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scalarValue,1);
     double  *  _scalarValue =  SexpTodouble(scalarValue);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    _obj->InitTraversal( * _scalarValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_GetNextCell( SEXP obj, SEXP cellId, SEXP cellPts, SEXP cellScalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(cellId,1);
     int  *  _cellId =  SexpToint(cellId);
     vtkIdList  *  _cellPts = (vtkIdList * )  SexpToVtk(cellPts);
     vtkDataArray  *  _cellScalars = (vtkDataArray * )  SexpToVtk(cellScalars);
    vtkSimpleScalarTree * _obj = (vtkSimpleScalarTree * ) SexpToVtk(obj);
    vtkCell *  _res =( vtkCell * )_obj->GetNextCell( * _cellId, _cellPts, _cellScalars);
    res=VtkToSexp(_res,"vtkCell");
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_cellId,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cellId",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_cellPts,"vtkIdList"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".cellPts",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_cellScalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".cellScalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSimpleScalarTree_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSimpleScalarTree * res= ( vtkSimpleScalarTree * ) vtkSimpleScalarTree
::New();
    R_res=toRPointer(res,"vtkSimpleScalarTree");
    return(R_res);
  }
#endif
}
