#include <vtkSplineWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_WIDGETS
  SEXP R_vtkSplineWidget_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkSplineWidget *  _res =( vtkSplineWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkSplineWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkSplineWidget *  _res =( vtkSplineWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkSplineWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetEnabled( SEXP obj, SEXP enabling){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_PlaceWidget( SEXP obj, SEXP bds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_PlaceWidget_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectToPlane( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectToPlane( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetProjectToPlane( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectToPlane();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_ProjectToPlaneOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->ProjectToPlaneOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_ProjectToPlaneOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->ProjectToPlaneOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetPlaneSource( SEXP obj, SEXP plane){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlaneSource  *  _plane = (vtkPlaneSource * )  SexpToVtk(plane);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetPlaneSource(_plane);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_plane,"vtkPlaneSource"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".plane",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionNormal( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormal( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetProjectionNormalMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormalMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetProjectionNormalMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormalMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetProjectionNormal( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionNormalToXAxes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToXAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionNormalToYAxes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToYAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionNormalToZAxes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToZAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionNormalToOblique( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToOblique();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetProjectionPosition( SEXP obj, SEXP position){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,1);
     double  *  _position =  SexpTodouble(position);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetProjectionPosition( * _position);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetProjectionPosition( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    double _res =_obj->GetProjectionPosition();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetPolyData( SEXP obj, SEXP pd){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetHandleProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetHandleProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetSelectedHandleProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetSelectedHandleProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetSelectedHandleProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetLineProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetLineProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetLineProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetLineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetSelectedLineProperty( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetSelectedLineProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetSelectedLineProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedLineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetNumberOfHandles( SEXP obj, SEXP npts){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(npts,1);
     int  *  _npts =  SexpToint(npts);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetNumberOfHandles( * _npts);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetNumberOfHandles( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfHandles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetResolution( SEXP obj, SEXP resolution){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(resolution,1);
     int  *  _resolution =  SexpToint(resolution);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetResolution( * _resolution);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetParametricSpline( SEXP obj, SEXP spline){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkParametricSpline  *  _spline = (vtkParametricSpline * )  
SexpToVtk(spline);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetParametricSpline(_spline);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_spline,"vtkParametricSpline"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".spline",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetParametricSpline( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    vtkParametricSpline *  _res =( vtkParametricSpline * )_obj->GetParametricSpline();
    res=VtkToSexp(_res,"vtkParametricSpline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetHandlePosition( SEXP obj, SEXP handle, SEXP x, SEXP y, SEXP z){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetHandlePosition( * _handle,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetHandlePosition_v1( SEXP obj, SEXP handle, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetHandlePosition( * _handle, _xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetHandlePosition( SEXP obj, SEXP handle, SEXP xyz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->GetHandlePosition( * _handle, _xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetHandlePosition_v1( SEXP obj, SEXP handle){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHandlePosition( * _handle);
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_SetClosed( SEXP obj, SEXP closed){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(closed,1);
     int  *  _closed =  SexpToint(closed);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->SetClosed( * _closed);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetClosed( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->GetClosed();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_ClosedOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->ClosedOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_ClosedOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->ClosedOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_IsClosed( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    int _res =_obj->IsClosed();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_GetSummedLength( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    double _res =_obj->GetSummedLength();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_InitializeHandles( SEXP obj, SEXP points){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _points = (vtkPoints * )  SexpToVtk(points);
    vtkSplineWidget * _obj = (vtkSplineWidget * ) SexpToVtk(obj);
    _obj->InitializeHandles(_points);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_points,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".points",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkSplineWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkSplineWidget * res= ( vtkSplineWidget * ) vtkSplineWidget::New();
    R_res=toRPointer(res,"vtkSplineWidget");
    return(R_res);
  }
#endif
}
