#include <vtkStringArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkStringArray_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    vtkStringArray *  _res =( vtkStringArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkStringArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    vtkStringArray *  _res =( vtkStringArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkStringArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetDataType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->GetDataType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_Initialize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetDataTypeSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->GetDataTypeSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_Squeeze( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->Squeeze();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_Resize( SEXP obj, SEXP sz){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(sz,1);
     int  *  _sz =  SexpToint(sz);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->Resize( * _sz);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetValues( SEXP obj, SEXP indices, SEXP aa){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkIdList  *  _indices = (vtkIdList * )  SexpToVtk(indices);
     vtkAbstractArray  *  _aa = (vtkAbstractArray * )  SexpToVtk(aa);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->GetValues(_indices, _aa);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_indices,"vtkIdList"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".indices",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_aa,"vtkAbstractArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".aa",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetValues_v1( SEXP obj, SEXP startIndex, SEXP endIndex, SEXP aa){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(startIndex,1);
     int  *  _startIndex =  SexpToint(startIndex);
    SET_LENGTH(endIndex,1);
     int  *  _endIndex =  SexpToint(endIndex);
     vtkAbstractArray  *  _aa = (vtkAbstractArray * )  SexpToVtk(aa);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->GetValues( * _startIndex,  * _endIndex, _aa);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_aa,"vtkAbstractArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".aa",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_CopyValue( SEXP obj, SEXP toIndex, SEXP fromIndex, SEXP source){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(toIndex,1);
     int  *  _toIndex =  SexpToint(toIndex);
    SET_LENGTH(fromIndex,1);
     int  *  _fromIndex =  SexpToint(fromIndex);
     vtkAbstractArray  *  _source = (vtkAbstractArray * )  SexpToVtk(source);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->CopyValue( * _toIndex,  * _fromIndex, _source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkAbstractArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SetValue( SEXP obj, SEXP id, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(value,1);
     vtkStdString  *  _value = (vtkStdString * )  SexpToVtk(value);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->SetValue( * _id,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SetValue_v1( SEXP obj, SEXP id, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     char  *  _value =  SexpTochar(value);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->SetValue( * _id, _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SetNumberOfValues( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->SetNumberOfValues( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetNumberOfValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfValues();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetNumberOfElementComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfElementComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetElementComponentSize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->GetElementComponentSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_InsertValue( SEXP obj, SEXP id, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(f,1);
     vtkStdString  *  _f = (vtkStdString * )  SexpToVtk(f);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->InsertValue( * _id,  * _f);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_InsertValue_v1( SEXP obj, SEXP id, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     char  *  _value =  SexpTochar(value);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->InsertValue( * _id, _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_InsertNextValue( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     vtkStdString  *  _f = (vtkStdString * )  SexpToVtk(f);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextValue( * _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_InsertNextValue_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _value =  SexpTochar(value);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    int _res =_obj->InsertNextValue(_value);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_WritePointer( SEXP obj, SEXP id, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    vtkStdString *  _res =( vtkStdString * )_obj->WritePointer( * _id,  * _number);
    res=VtkToSexp(_res,"vtkStdString");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetPointer( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    vtkStdString *  _res =( vtkStdString * )_obj->GetPointer( * _id);
    res=VtkToSexp(_res,"vtkStdString");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetVoidPointer( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    void *  _res =_obj->GetVoidPointer( * _id);
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_DeepCopy( SEXP obj, SEXP aa){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractArray  *  _aa = (vtkAbstractArray * )  SexpToVtk(aa);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->DeepCopy(_aa);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_aa,"vtkAbstractArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".aa",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SetArray( SEXP obj, SEXP array, SEXP size, SEXP save){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkStdString  *  _array = (vtkStdString * )  SexpToVtk(array);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    SET_LENGTH(save,1);
     int  *  _save =  SexpToint(save);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->SetArray(_array,  * _size,  * _save);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_array,"vtkStdString"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_SetVoidArray( SEXP obj, SEXP array, SEXP size, SEXP save){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _array =  SexpTovoid(array);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    SET_LENGTH(save,1);
     int  *  _save =  SexpToint(save);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->SetVoidArray(_array,  * _size,  * _save);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_array,LENGTH(array)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_GetActualMemorySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetActualMemorySize();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_ConvertFromContiguous( SEXP obj, SEXP Data, SEXP Offsets){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataArray  *  _Data = (vtkDataArray * )  SexpToVtk(Data);
     vtkIdTypeArray  *  _Offsets = (vtkIdTypeArray * )  SexpToVtk(Offsets);
    vtkStringArray * _obj = (vtkStringArray * ) SexpToVtk(obj);
    _obj->ConvertFromContiguous(_Data, _Offsets);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_Data,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Data",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_Offsets,"vtkIdTypeArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".Offsets",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkStringArray_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkStringArray * res= ( vtkStringArray * ) vtkStringArray::New();
    R_res=toRPointer(res,"vtkStringArray");
    return(R_res);
  }
#endif
}
