#include <vtkThreadedImageAlgorithm.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkThreadedImageAlgorithm_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    vtkThreadedImageAlgorithm *  _res =( vtkThreadedImageAlgorithm * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkThreadedImageAlgorithm");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    vtkThreadedImageAlgorithm *  _res =( vtkThreadedImageAlgorithm * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkThreadedImageAlgorithm");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_SetNumberOfThreads( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_GetNumberOfThreadsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_GetNumberOfThreadsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreadsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_GetNumberOfThreads( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThreadedImageAlgorithm_SplitExtent( SEXP obj, SEXP splitExt, SEXP startExt, SEXP num, SEXP total){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(splitExt,6);
     int  *  _splitExt =  SexpToint(splitExt);
    SET_LENGTH(startExt,6);
     int  *  _startExt =  SexpToint(startExt);
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    SET_LENGTH(total,1);
     int  *  _total =  SexpToint(total);
    vtkThreadedImageAlgorithm * _obj = (vtkThreadedImageAlgorithm
 * ) SexpToVtk(obj);
    int _res =_obj->SplitExtent(_splitExt, _startExt,  * _num,  * _total);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_splitExt,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".splitExt",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_startExt,6));
    SET_VECTOR_ELT(res_names,2,charToSexp(".startExt",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
