#include <vtkThresholdPoints.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkThresholdPoints_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    vtkThresholdPoints *  _res =( vtkThresholdPoints * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkThresholdPoints");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    vtkThresholdPoints *  _res =( vtkThresholdPoints * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkThresholdPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_ThresholdByLower( SEXP obj, SEXP lower){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    _obj->ThresholdByLower( * _lower);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_ThresholdByUpper( SEXP obj, SEXP upper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    _obj->ThresholdByUpper( * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_ThresholdBetween( SEXP obj, SEXP lower, SEXP upper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    _obj->ThresholdBetween( * _lower,  * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_GetUpperThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    double _res =_obj->GetUpperThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_GetLowerThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdPoints * _obj = (vtkThresholdPoints * ) SexpToVtk(obj);
    double _res =_obj->GetLowerThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdPoints_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkThresholdPoints * res= ( vtkThresholdPoints * ) vtkThresholdPoints
::New();
    R_res=toRPointer(res,"vtkThresholdPoints");
    return(R_res);
  }
#endif
}
