#include <vtkThresholdTextureCoords.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkThresholdTextureCoords_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    vtkThresholdTextureCoords *  _res =( vtkThresholdTextureCoords * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkThresholdTextureCoords");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    vtkThresholdTextureCoords *  _res =( vtkThresholdTextureCoords * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkThresholdTextureCoords");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_ThresholdByLower( SEXP obj, SEXP lower){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->ThresholdByLower( * _lower);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_ThresholdByUpper( SEXP obj, SEXP upper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->ThresholdByUpper( * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_ThresholdBetween( SEXP obj, SEXP lower, SEXP upper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(lower,1);
     double  *  _lower =  SexpTodouble(lower);
    SET_LENGTH(upper,1);
     double  *  _upper =  SexpTodouble(upper);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->ThresholdBetween( * _lower,  * _upper);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetUpperThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    double _res =_obj->GetUpperThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetLowerThreshold( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    double _res =_obj->GetLowerThreshold();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SetTextureDimension( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->SetTextureDimension( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetTextureDimensionMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    int _res =_obj->GetTextureDimensionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetTextureDimensionMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    int _res =_obj->GetTextureDimensionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetTextureDimension( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    int _res =_obj->GetTextureDimension();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SetInTextureCoord( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->SetInTextureCoord( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SetInTextureCoord_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->SetInTextureCoord(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetInTextureCoord( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetInTextureCoord();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetInTextureCoord_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->GetInTextureCoord(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SetOutTextureCoord( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->SetOutTextureCoord( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_SetOutTextureCoord_v1( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->SetOutTextureCoord(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetOutTextureCoord( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOutTextureCoord();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_GetOutTextureCoord_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkThresholdTextureCoords * _obj = (vtkThresholdTextureCoords
 * ) SexpToVtk(obj);
    _obj->GetOutTextureCoord(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThresholdTextureCoords_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkThresholdTextureCoords * res= ( vtkThresholdTextureCoords * ) 
vtkThresholdTextureCoords::New();
    R_res=toRPointer(res,"vtkThresholdTextureCoords");
    return(R_res);
  }
#endif
}
