#include <vtkUnsignedLongLongArray.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkUnsignedLongLongArray_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    vtkUnsignedLongLongArray *  _res =( vtkUnsignedLongLongArray * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnsignedLongLongArray");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    vtkUnsignedLongLongArray *  _res =( vtkUnsignedLongLongArray * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnsignedLongLongArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_GetDataType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    int _res =_obj->GetDataType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_GetTupleValue( SEXP obj, SEXP i, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     long long unsigned int  *  _tuple =  SexpTolong_long_unsigned_int(tuple);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->GetTupleValue( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_long_unsigned_intToSexp(_tuple,LENGTH(tuple)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tuple",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_SetTupleValue( SEXP obj, SEXP i, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     long long unsigned int  *  _tuple =  SexpTolong_long_unsigned_int(tuple);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->SetTupleValue( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_InsertTupleValue( SEXP obj, SEXP i, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
     long long unsigned int  *  _tuple =  SexpTolong_long_unsigned_int(tuple);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->InsertTupleValue( * _i, _tuple);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_InsertNextTupleValue( SEXP obj, SEXP tuple){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     long long unsigned int  *  _tuple =  SexpTolong_long_unsigned_int(tuple);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    int _res =_obj->InsertNextTupleValue(_tuple);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_GetValue( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    long long unsigned int _res =_obj->GetValue( * _id);
    res=long_long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_SetValue( SEXP obj, SEXP id, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(value,1);
     long long unsigned int  *  _value =  SexpTolong_long_unsigned_int(value);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->SetValue( * _id,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_SetNumberOfValues( SEXP obj, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->SetNumberOfValues( * _number);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_InsertValue( SEXP obj, SEXP id, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(f,1);
     long long unsigned int  *  _f =  SexpTolong_long_unsigned_int(f);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->InsertValue( * _id,  * _f);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_InsertNextValue( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(f,1);
     long long unsigned int  *  _f =  SexpTolong_long_unsigned_int(f);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    int _res =_obj->InsertNextValue( * _f);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_WritePointer( SEXP obj, SEXP id, SEXP number){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(number,1);
     int  *  _number =  SexpToint(number);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    long long unsigned int *  _res =( long long unsigned int * )_obj->WritePointer( * _id,  * _number);
    res=long_long_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_GetPointer( SEXP obj, SEXP id){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    long long unsigned int *  _res =( long long unsigned int * )_obj->GetPointer( * _id);
    res=long_long_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_SetArray( SEXP obj, SEXP array, SEXP size, SEXP save){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     long long unsigned int  *  _array =  SexpTolong_long_unsigned_int(array);
    SET_LENGTH(size,1);
     int  *  _size =  SexpToint(size);
    SET_LENGTH(save,1);
     int  *  _save =  SexpToint(save);
    vtkUnsignedLongLongArray * _obj = (vtkUnsignedLongLongArray
 * ) SexpToVtk(obj);
    _obj->SetArray(_array,  * _size,  * _save);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,long_long_unsigned_intToSexp(_array,LENGTH(array)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".array",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnsignedLongLongArray_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUnsignedLongLongArray * res= ( vtkUnsignedLongLongArray * ) 
vtkUnsignedLongLongArray::New();
    R_res=toRPointer(res,"vtkUnsignedLongLongArray");
    return(R_res);
  }
#endif
}
