#include <vtkUnstructuredGridLinearRayIntegrator.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    vtkUnstructuredGridLinearRayIntegrator *  _res =( vtkUnstructuredGridLinearRayIntegrator * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridLinearRayIntegrator");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    vtkUnstructuredGridLinearRayIntegrator *  _res =( vtkUnstructuredGridLinearRayIntegrator * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridLinearRayIntegrator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_Initialize( SEXP obj, SEXP volume, SEXP scalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _volume = (vtkVolume * )  SexpToVtk(volume);
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    _obj->Initialize(_volume, _scalars);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_volume,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".volume",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_Integrate( SEXP obj, SEXP intersectionLengths, SEXP nearIntersections, SEXP farIntersections, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDoubleArray  *  _intersectionLengths = (vtkDoubleArray * )  
SexpToVtk(intersectionLengths);
     vtkDataArray  *  _nearIntersections = (vtkDataArray * )  
SexpToVtk(nearIntersections);
     vtkDataArray  *  _farIntersections = (vtkDataArray * )  
SexpToVtk(farIntersections);
    SET_LENGTH(color,4);
     float  *  _color =  SexpTofloat(color);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    _obj->Integrate(_intersectionLengths, _nearIntersections, _farIntersections, _color);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_intersectionLengths,"vtkDoubleArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".intersectionLengths",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_nearIntersections,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".nearIntersections",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_farIntersections,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".farIntersections",0));
    SET_VECTOR_ELT(ans,4,floatToSexp(_color,4));
    SET_VECTOR_ELT(res_names,4,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_IntegrateRay( SEXP obj, SEXP length, SEXP intensity_front, SEXP attenuation_front, SEXP intensity_back, SEXP attenuation_back, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(length,1);
     double  *  _length =  SexpTodouble(length);
    SET_LENGTH(intensity_front,1);
     double  *  _intensity_front =  SexpTodouble(intensity_front);
    SET_LENGTH(attenuation_front,1);
     double  *  _attenuation_front =  SexpTodouble(attenuation_front);
    SET_LENGTH(intensity_back,1);
     double  *  _intensity_back =  SexpTodouble(intensity_back);
    SET_LENGTH(attenuation_back,1);
     double  *  _attenuation_back =  SexpTodouble(attenuation_back);
    SET_LENGTH(color,4);
     float  *  _color =  SexpTofloat(color);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    _obj->IntegrateRay( * _length,  * _intensity_front,  * _attenuation_front,  * _intensity_back,  * _attenuation_back, _color);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_color,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_IntegrateRay_v1( SEXP obj, SEXP length, SEXP color_front, SEXP attenuation_front, SEXP color_back, SEXP attenuation_back, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(length,1);
     double  *  _length =  SexpTodouble(length);
    SET_LENGTH(color_front,3);
     double  *  _color_front =  SexpTodouble(color_front);
    SET_LENGTH(attenuation_front,1);
     double  *  _attenuation_front =  SexpTodouble(attenuation_front);
    SET_LENGTH(color_back,3);
     double  *  _color_back =  SexpTodouble(color_back);
    SET_LENGTH(attenuation_back,1);
     double  *  _attenuation_back =  SexpTodouble(attenuation_back);
    SET_LENGTH(color,4);
     float  *  _color =  SexpTofloat(color);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    _obj->IntegrateRay( * _length, _color_front,  * _attenuation_front, _color_back,  * _attenuation_back, _color);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_color,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_Psi( SEXP obj, SEXP length, SEXP attenuation_front, SEXP attenuation_back){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(length,1);
     float  *  _length =  SexpTofloat(length);
    SET_LENGTH(attenuation_front,1);
     float  *  _attenuation_front =  SexpTofloat(attenuation_front);
    SET_LENGTH(attenuation_back,1);
     float  *  _attenuation_back =  SexpTofloat(attenuation_back);
    vtkUnstructuredGridLinearRayIntegrator * _obj = (
vtkUnstructuredGridLinearRayIntegrator * ) SexpToVtk(obj);
    float _res =_obj->Psi( * _length,  * _attenuation_front,  * _attenuation_back);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridLinearRayIntegrator_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUnstructuredGridLinearRayIntegrator * res= ( 
vtkUnstructuredGridLinearRayIntegrator * ) 
vtkUnstructuredGridLinearRayIntegrator::New();
    R_res=toRPointer(res,"vtkUnstructuredGridLinearRayIntegrator");
    return(R_res);
  }
#endif
}
