#include <vtkUnstructuredGridPreIntegration.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkUnstructuredGridPreIntegration_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    vtkUnstructuredGridPreIntegration *  _res =( vtkUnstructuredGridPreIntegration * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridPreIntegration");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    vtkUnstructuredGridPreIntegration *  _res =( vtkUnstructuredGridPreIntegration * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridPreIntegration");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_Initialize( SEXP obj, SEXP volume, SEXP scalars){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _volume = (vtkVolume * )  SexpToVtk(volume);
     vtkDataArray  *  _scalars = (vtkDataArray * )  SexpToVtk(scalars);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->Initialize(_volume, _scalars);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_volume,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".volume",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_scalars,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".scalars",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_Integrate( SEXP obj, SEXP intersectionLengths, SEXP nearIntersections, SEXP farIntersections, SEXP color){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDoubleArray  *  _intersectionLengths = (vtkDoubleArray * )  
SexpToVtk(intersectionLengths);
     vtkDataArray  *  _nearIntersections = (vtkDataArray * )  
SexpToVtk(nearIntersections);
     vtkDataArray  *  _farIntersections = (vtkDataArray * )  
SexpToVtk(farIntersections);
    SET_LENGTH(color,4);
     float  *  _color =  SexpTofloat(color);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->Integrate(_intersectionLengths, _nearIntersections, _farIntersections, _color);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_intersectionLengths,"vtkDoubleArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".intersectionLengths",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_nearIntersections,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".nearIntersections",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_farIntersections,"vtkDataArray"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".farIntersections",0));
    SET_VECTOR_ELT(ans,4,floatToSexp(_color,4));
    SET_VECTOR_ELT(res_names,4,charToSexp(".color",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayIntegrator *  _res =( vtkUnstructuredGridVolumeRayIntegrator * )_obj->GetIntegrator();
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayIntegrator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_SetIntegrator( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnstructuredGridVolumeRayIntegrator  *  __arg = 
(vtkUnstructuredGridVolumeRayIntegrator * )  SexpToVtk(_arg);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->SetIntegrator(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkUnstructuredGridVolumeRayIntegrator"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_SetIntegrationTableScalarResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->SetIntegrationTableScalarResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationTableScalarResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_SetIntegrationTableLengthResolution( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->SetIntegrationTableLengthResolution( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrationTableLengthResolution( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    int _res =_obj->GetIntegrationTableLengthResolution();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarShift( SEXP obj, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    double _res =_obj->GetIntegrationTableScalarShift( * _component);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarScale( SEXP obj, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    double _res =_obj->GetIntegrationTableScalarScale( * _component);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIntegrationTableLengthScale( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    double _res =_obj->GetIntegrationTableLengthScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIncrementalPreIntegration( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    int _res =_obj->GetIncrementalPreIntegration();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_SetIncrementalPreIntegration( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->SetIncrementalPreIntegration( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->IncrementalPreIntegrationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    _obj->IncrementalPreIntegrationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetPreIntegrationTable( SEXP obj, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetPreIntegrationTable( * _component);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetTableEntry( SEXP obj, SEXP scalar_front, SEXP scalar_back, SEXP length, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scalar_front,1);
     double  *  _scalar_front =  SexpTodouble(scalar_front);
    SET_LENGTH(scalar_back,1);
     double  *  _scalar_back =  SexpTodouble(scalar_back);
    SET_LENGTH(length,1);
     double  *  _length =  SexpTodouble(length);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetTableEntry( * _scalar_front,  * _scalar_back,  * _length,  * _component);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_GetIndexedTableEntry( SEXP obj, SEXP scalar_front_index, SEXP scalar_back_index, SEXP length_index, SEXP component){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(scalar_front_index,1);
     int  *  _scalar_front_index =  SexpToint(scalar_front_index);
    SET_LENGTH(scalar_back_index,1);
     int  *  _scalar_back_index =  SexpToint(scalar_back_index);
    SET_LENGTH(length_index,1);
     int  *  _length_index =  SexpToint(length_index);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkUnstructuredGridPreIntegration * _obj = (
vtkUnstructuredGridPreIntegration * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetIndexedTableEntry( * _scalar_front_index,  * _scalar_back_index,  * _length_index,  * _component);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridPreIntegration_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUnstructuredGridPreIntegration * res= ( vtkUnstructuredGridPreIntegration
 * ) vtkUnstructuredGridPreIntegration::New();
    R_res=toRPointer(res,"vtkUnstructuredGridPreIntegration");
    return(R_res);
  }
#endif
}
