#include <vtkUnstructuredGridVolumeRayCastFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayCastFunction *  _res =( vtkUnstructuredGridVolumeRayCastFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayCastFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayCastFunction *  _res =( vtkUnstructuredGridVolumeRayCastFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayCastFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_Initialize( SEXP obj, SEXP ren, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    _obj->Initialize(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_Finalize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    _obj->Finalize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastFunction_NewIterator( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastFunction * _obj = (
vtkUnstructuredGridVolumeRayCastFunction * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayCastIterator *  _res =( vtkUnstructuredGridVolumeRayCastIterator * )_obj->NewIterator();
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayCastIterator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
