#include <vtkVolume.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkVolume_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    vtkVolume *  _res =( vtkVolume * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolume");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    vtkVolume *  _res =( vtkVolume * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolume");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_SetMapper( SEXP obj, SEXP mapper){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractVolumeMapper  *  _mapper = (vtkAbstractVolumeMapper * )  
SexpToVtk(mapper);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->SetMapper(_mapper);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_mapper,"vtkAbstractVolumeMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMapper( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    vtkAbstractVolumeMapper *  _res =( vtkAbstractVolumeMapper * )_obj->GetMapper();
    res=VtkToSexp(_res,"vtkAbstractVolumeMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_SetProperty( SEXP obj, SEXP property){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolumeProperty  *  _property = (vtkVolumeProperty * )  
SexpToVtk(property);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->SetProperty(_property);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_property,"vtkVolumeProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".property",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetProperty( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    vtkVolumeProperty *  _res =( vtkVolumeProperty * )_obj->GetProperty();
    res=VtkToSexp(_res,"vtkVolumeProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetVolumes( SEXP obj, SEXP vc){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPropCollection  *  _vc = (vtkPropCollection * )  SexpToVtk(vc);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->GetVolumes(_vc);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vc,"vtkPropCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vc",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_Update( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetBounds( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetBounds_v1( SEXP obj, SEXP bounds){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMinXBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMinXBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMaxXBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMaxXBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMinYBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMinYBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMaxYBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMaxYBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMinZBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMinZBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMaxZBound( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    double _res =_obj->GetMaxZBound();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetRedrawMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetRedrawMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_ShallowCopy( SEXP obj, SEXP prop){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_RenderTranslucentGeometry( SEXP obj, SEXP vp){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_ReleaseGraphicsResources( SEXP obj, SEXP win){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetCorrectedScalarOpacityArray( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetCorrectedScalarOpacityArray( * _index);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetCorrectedScalarOpacityArray_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetCorrectedScalarOpacityArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetScalarOpacityArray( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetScalarOpacityArray( * _index);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetScalarOpacityArray_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetScalarOpacityArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGradientOpacityArray( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGradientOpacityArray( * _index);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGradientOpacityArray_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGradientOpacityArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGrayArray( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGrayArray( * _index);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGrayArray_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGrayArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetRGBArray( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRGBArray( * _index);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetRGBArray_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRGBArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGradientOpacityConstant( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float _res =_obj->GetGradientOpacityConstant( * _index);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetGradientOpacityConstant_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float _res =_obj->GetGradientOpacityConstant();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_GetArraySize( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolume * _obj = (vtkVolume * ) SexpToVtk(obj);
    float _res =_obj->GetArraySize();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolume_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolume * res= ( vtkVolume * ) vtkVolume::New();
    R_res=toRPointer(res,"vtkVolume");
    return(R_res);
  }
#endif
}
