#include <vtkVolumeProperty.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkVolumeProperty_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkVolumeProperty *  _res =( vtkVolumeProperty * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeProperty");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkVolumeProperty *  _res =( vtkVolumeProperty * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetIndependentComponents( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetIndependentComponents( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetIndependentComponentsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetIndependentComponentsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetIndependentComponentsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetIndependentComponentsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetIndependentComponents( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetIndependentComponents();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_IndependentComponentsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->IndependentComponentsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_IndependentComponentsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->IndependentComponentsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetComponentWeight( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetComponentWeight( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetComponentWeight( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetComponentWeight( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetInterpolationType( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetInterpolationType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetInterpolationTypeMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetInterpolationTypeMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetInterpolationType( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetInterpolationTypeToNearest( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToNearest();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetInterpolationTypeToLinear( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetInterpolationTypeToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetInterpolationTypeAsString( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInterpolationTypeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetColor( SEXP obj, SEXP index, SEXP function){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkPiecewiseFunction  *  _function = (vtkPiecewiseFunction * )  
SexpToVtk(function);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetColor( * _index, _function);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_function,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".function",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetColor_v1( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPiecewiseFunction  *  _f = (vtkPiecewiseFunction * )  SexpToVtk(f);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetColor(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetColor_v2( SEXP obj, SEXP index, SEXP function){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkColorTransferFunction  *  _function = (vtkColorTransferFunction * )  
SexpToVtk(function);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetColor( * _index, _function);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_function,"vtkColorTransferFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".function",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetColor_v3( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkColorTransferFunction  *  _f = (vtkColorTransferFunction * )  
SexpToVtk(f);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetColor(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkColorTransferFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetColorChannels( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetColorChannels( * _index);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetColorChannels_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetColorChannels();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetGrayTransferFunction( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetGrayTransferFunction( * _index);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetGrayTransferFunction_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetGrayTransferFunction();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetRGBTransferFunction( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkColorTransferFunction *  _res =( vtkColorTransferFunction * )_obj->GetRGBTransferFunction( * _index);
    res=VtkToSexp(_res,"vtkColorTransferFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetRGBTransferFunction_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkColorTransferFunction *  _res =( vtkColorTransferFunction * )_obj->GetRGBTransferFunction();
    res=VtkToSexp(_res,"vtkColorTransferFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetScalarOpacity( SEXP obj, SEXP index, SEXP function){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkPiecewiseFunction  *  _function = (vtkPiecewiseFunction * )  
SexpToVtk(function);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetScalarOpacity( * _index, _function);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_function,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".function",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetScalarOpacity_v1( SEXP obj, SEXP f){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPiecewiseFunction  *  _f = (vtkPiecewiseFunction * )  SexpToVtk(f);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetScalarOpacity(_f);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_f,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".f",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetScalarOpacity( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetScalarOpacity( * _index);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetScalarOpacity_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetScalarOpacity();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetScalarOpacityUnitDistance( SEXP obj, SEXP index, SEXP distance){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(distance,1);
     double  *  _distance =  SexpTodouble(distance);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetScalarOpacityUnitDistance( * _index,  * _distance);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetScalarOpacityUnitDistance_v1( SEXP obj, SEXP distance){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(distance,1);
     double  *  _distance =  SexpTodouble(distance);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetScalarOpacityUnitDistance( * _distance);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetScalarOpacityUnitDistance( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetScalarOpacityUnitDistance( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetScalarOpacityUnitDistance_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetScalarOpacityUnitDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetGradientOpacity( SEXP obj, SEXP index, SEXP function){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
     vtkPiecewiseFunction  *  _function = (vtkPiecewiseFunction * )  
SexpToVtk(function);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetGradientOpacity( * _index, _function);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_function,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".function",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetGradientOpacity_v1( SEXP obj, SEXP function){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPiecewiseFunction  *  _function = (vtkPiecewiseFunction * )  
SexpToVtk(function);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetGradientOpacity(_function);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_function,"vtkPiecewiseFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".function",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetGradientOpacity( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetGradientOpacity( * _index);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetGradientOpacity_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetGradientOpacity();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetDisableGradientOpacity( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetDisableGradientOpacity( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetDisableGradientOpacity_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetDisableGradientOpacity( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_DisableGradientOpacityOn( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->DisableGradientOpacityOn( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_DisableGradientOpacityOn_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->DisableGradientOpacityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_DisableGradientOpacityOff( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->DisableGradientOpacityOff( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_DisableGradientOpacityOff_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->DisableGradientOpacityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetDisableGradientOpacity( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetDisableGradientOpacity( * _index);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetDisableGradientOpacity_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetDisableGradientOpacity();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetStoredGradientOpacity( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetStoredGradientOpacity( * _index);
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetStoredGradientOpacity_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    vtkPiecewiseFunction *  _res =( vtkPiecewiseFunction * )_obj->GetStoredGradientOpacity();
    res=VtkToSexp(_res,"vtkPiecewiseFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetShade( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetShade( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetShade_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     int  *  _value =  SexpToint(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetShade( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetShade( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetShade( * _index);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetShade_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    int _res =_obj->GetShade();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_ShadeOn( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->ShadeOn( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_ShadeOn_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->ShadeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_ShadeOff( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->ShadeOff( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_ShadeOff_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->ShadeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetAmbient( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetAmbient( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetAmbient_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetAmbient( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetAmbient( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetAmbient( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetAmbient_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetAmbient();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetDiffuse( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetDiffuse( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetDiffuse_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetDiffuse( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetDiffuse( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetDiffuse( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetDiffuse_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetDiffuse();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetSpecular( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetSpecular( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetSpecular_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetSpecular( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetSpecular( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetSpecular( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetSpecular_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetSpecular();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetSpecularPower( SEXP obj, SEXP index, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetSpecularPower( * _index,  * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_SetSpecularPower_v1( SEXP obj, SEXP value){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(value,1);
     double  *  _value =  SexpTodouble(value);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->SetSpecularPower( * _value);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetSpecularPower( SEXP obj, SEXP index){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetSpecularPower( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_GetSpecularPower_v1( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    double _res =_obj->GetSpecularPower();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_UpdateMTimes( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeProperty * _obj = (vtkVolumeProperty * ) SexpToVtk(obj);
    _obj->UpdateMTimes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeProperty_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolumeProperty * res= ( vtkVolumeProperty * ) vtkVolumeProperty::New();
    R_res=toRPointer(res,"vtkVolumeProperty");
    return(R_res);
  }
#endif
}
