#include <vtkVolumeRayCastFunction.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkVolumeRayCastFunction_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    vtkVolumeRayCastFunction *  _res =( vtkVolumeRayCastFunction * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeRayCastFunction");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    vtkVolumeRayCastFunction *  _res =( vtkVolumeRayCastFunction * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeRayCastFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_FunctionInitialize( SEXP obj, SEXP ren, SEXP vol, SEXP staticInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
     vtkVolumeRayCastStaticInfo  *  _staticInfo = 
(vtkVolumeRayCastStaticInfo * )  SexpToVtk(staticInfo);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    _obj->FunctionInitialize(_ren, _vol, _staticInfo);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_staticInfo,"vtkVolumeRayCastStaticInfo"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".staticInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_CastRay( SEXP obj, SEXP dynamicInfo, SEXP staticInfo){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolumeRayCastDynamicInfo  *  _dynamicInfo = 
(vtkVolumeRayCastDynamicInfo * )  SexpToVtk(dynamicInfo);
     vtkVolumeRayCastStaticInfo  *  _staticInfo = 
(vtkVolumeRayCastStaticInfo * )  SexpToVtk(staticInfo);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    _obj->CastRay(_dynamicInfo, _staticInfo);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_dynamicInfo,"vtkVolumeRayCastDynamicInfo"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dynamicInfo",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_staticInfo,"vtkVolumeRayCastStaticInfo"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".staticInfo",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastFunction_GetZeroOpacityThreshold( SEXP obj, SEXP vol){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkVolumeRayCastFunction * _obj = (vtkVolumeRayCastFunction
 * ) SexpToVtk(obj);
    float _res =_obj->GetZeroOpacityThreshold(_vol);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
#endif
}
