#include <vtkVolumeTextureMapper3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkVolumeTextureMapper3D_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    vtkVolumeTextureMapper3D *  _res =( vtkVolumeTextureMapper3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeTextureMapper3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    vtkVolumeTextureMapper3D *  _res =( vtkVolumeTextureMapper3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeTextureMapper3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_SetSampleDistance( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->SetSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    float _res =_obj->GetSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetVolumeDimensions( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetVolumeDimensions();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetVolumeDimensions_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->GetVolumeDimensions(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetVolumeSpacing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetVolumeSpacing();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetVolumeSpacing_v1( SEXP obj, SEXP data){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->GetVolumeSpacing(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetNumberOfPolygons( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPolygons();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetActualSampleDistance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    float _res =_obj->GetActualSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_SetPreferredRenderMethod( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->SetPreferredRenderMethod( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->GetPreferredRenderMethodMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    int _res =_obj->GetPreferredRenderMethodMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_SetPreferredMethodToFragmentProgram( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->SetPreferredMethodToFragmentProgram();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_SetPreferredMethodToNVidia( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * _obj = (vtkVolumeTextureMapper3D
 * ) SexpToVtk(obj);
    _obj->SetPreferredMethodToNVidia();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper3D * res= ( vtkVolumeTextureMapper3D * ) 
vtkVolumeTextureMapper3D::New();
    R_res=toRPointer(res,"vtkVolumeTextureMapper3D");
    return(R_res);
  }
#endif
}
