#include <vtkWeightedTransformFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_HYBRID
  SEXP R_vtkWeightedTransformFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    vtkWeightedTransformFilter *  _res =( vtkWeightedTransformFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkWeightedTransformFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    vtkWeightedTransformFilter *  _res =( vtkWeightedTransformFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkWeightedTransformFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetMTime( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetWeightArray( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetWeightArray(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetWeightArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetWeightArray();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetTransformIndexArray( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetTransformIndexArray(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetTransformIndexArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetTransformIndexArray();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetCellDataWeightArray( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetCellDataWeightArray(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetCellDataWeightArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellDataWeightArray();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetCellDataTransformIndexArray( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetCellDataTransformIndexArray(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetCellDataTransformIndexArray( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetCellDataTransformIndexArray();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetTransform( SEXP obj, SEXP trans, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractTransform  *  _trans = (vtkAbstractTransform * )  
SexpToVtk(trans);
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetTransform(_trans,  * _num);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_trans,"vtkAbstractTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".trans",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetTransform( SEXP obj, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->GetTransform( * _num);
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetNumberOfTransforms( SEXP obj, SEXP num){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfTransforms( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetNumberOfTransforms( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfTransforms();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_AddInputValuesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->AddInputValuesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_AddInputValuesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->AddInputValuesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_SetAddInputValues( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    _obj->SetAddInputValues( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_GetAddInputValues( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * _obj = (vtkWeightedTransformFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetAddInputValues();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWeightedTransformFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkWeightedTransformFilter * res= ( vtkWeightedTransformFilter * ) 
vtkWeightedTransformFilter::New();
    R_res=toRPointer(res,"vtkWeightedTransformFilter");
    return(R_res);
  }
#endif
}
