#include <vtkWindowedSincPolyDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkWindowedSincPolyDataFilter_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    vtkWindowedSincPolyDataFilter *  _res =( vtkWindowedSincPolyDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkWindowedSincPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    vtkWindowedSincPolyDataFilter *  _res =( vtkWindowedSincPolyDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkWindowedSincPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetNumberOfIterations( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfIterations( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetNumberOfIterationsMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterationsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetNumberOfIterationsMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterationsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetNumberOfIterations( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetPassBand( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetPassBand( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetPassBandMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetPassBandMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetPassBandMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetPassBandMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetPassBand( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetPassBand();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetNormalizeCoordinates( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetNormalizeCoordinates( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetNormalizeCoordinates( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNormalizeCoordinates();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_NormalizeCoordinatesOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->NormalizeCoordinatesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_NormalizeCoordinatesOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->NormalizeCoordinatesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetFeatureEdgeSmoothing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetFeatureEdgeSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetFeatureEdgeSmoothing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetFeatureEdgeSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->FeatureEdgeSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->FeatureEdgeSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetFeatureAngle( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetFeatureAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetFeatureAngleMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetFeatureAngleMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetFeatureAngle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetFeatureAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetEdgeAngle( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetEdgeAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetEdgeAngleMinValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngleMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetEdgeAngleMaxValue( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngleMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetEdgeAngle( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetEdgeAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetBoundarySmoothing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetBoundarySmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetBoundarySmoothing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetBoundarySmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_BoundarySmoothingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->BoundarySmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_BoundarySmoothingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->BoundarySmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetNonManifoldSmoothing( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetNonManifoldSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetNonManifoldSmoothing( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNonManifoldSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_NonManifoldSmoothingOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->NonManifoldSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_NonManifoldSmoothingOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->NonManifoldSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetGenerateErrorScalars( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetGenerateErrorScalars( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetGenerateErrorScalars( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateErrorScalars();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GenerateErrorScalarsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorScalarsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GenerateErrorScalarsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorScalarsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_SetGenerateErrorVectors( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetGenerateErrorVectors( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GetGenerateErrorVectors( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetGenerateErrorVectors();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GenerateErrorVectorsOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorVectorsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_GenerateErrorVectorsOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * _obj = (vtkWindowedSincPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->GenerateErrorVectorsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWindowedSincPolyDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkWindowedSincPolyDataFilter * res= ( vtkWindowedSincPolyDataFilter * ) 
vtkWindowedSincPolyDataFilter::New();
    R_res=toRPointer(res,"vtkWindowedSincPolyDataFilter");
    return(R_res);
  }
#endif
}
