#include <vtkXMLParser.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLParser_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    vtkXMLParser *  _res =( vtkXMLParser * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLParser");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    vtkXMLParser *  _res =( vtkXMLParser * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLParser");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_TellG( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    long int _res =_obj->TellG();
    res=long_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_SeekG( SEXP obj, SEXP position){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,1);
     long int  *  _position =  SexpTolong_int(position);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    _obj->SeekG( * _position);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_Parse( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->Parse();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_Parse_v1( SEXP obj, SEXP inputString){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inputString =  SexpTochar(inputString);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->Parse(_inputString);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_Parse_v2( SEXP obj, SEXP inputString, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inputString =  SexpTochar(inputString);
    SET_LENGTH(length,1);
     unsigned int  *  _length =  SexpTounsigned_int(length);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->Parse(_inputString,  * _length);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_InitializeParser( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->InitializeParser();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_ParseChunk( SEXP obj, SEXP inputString, SEXP length){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _inputString =  SexpTochar(inputString);
    SET_LENGTH(length,1);
     unsigned int  *  _length =  SexpTounsigned_int(length);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->ParseChunk(_inputString,  * _length);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_CleanupParser( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    int _res =_obj->CleanupParser();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_SetFileName( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    _obj->SetFileName(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_GetFileName( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLParser * _obj = (vtkXMLParser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetFileName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLParser_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLParser * res= ( vtkXMLParser * ) vtkXMLParser::New();
    R_res=toRPointer(res,"vtkXMLParser");
    return(R_res);
  }
#endif
}
