#include <vtkXMLRectilinearGridReader.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_BASE
  SEXP R_vtkXMLRectilinearGridReader_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    vtkXMLRectilinearGridReader *  _res =( vtkXMLRectilinearGridReader * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXMLRectilinearGridReader");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    vtkXMLRectilinearGridReader *  _res =( vtkXMLRectilinearGridReader * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXMLRectilinearGridReader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_SetOutput( SEXP obj, SEXP output){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRectilinearGrid  *  _output = (vtkRectilinearGrid * )  
SexpToVtk(output);
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    _obj->SetOutput(_output);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_output,"vtkRectilinearGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".output",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_GetOutput( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetOutput();
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_GetOutput_v1( SEXP obj, SEXP idx){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkXMLRectilinearGridReader * _obj = (vtkXMLRectilinearGridReader
 * ) SexpToVtk(obj);
    vtkRectilinearGrid *  _res =( vtkRectilinearGrid * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkRectilinearGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXMLRectilinearGridReader_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXMLRectilinearGridReader * res= ( vtkXMLRectilinearGridReader * ) 
vtkXMLRectilinearGridReader::New();
    R_res=toRPointer(res,"vtkXMLRectilinearGridReader");
    return(R_res);
  }
#endif
}
