#include <vtkXRenderWindowInteractor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
#ifdef R_VTK_RENDERING
  SEXP R_vtkXRenderWindowInteractor_IsTypeOf( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_IsA( SEXP obj, SEXP type){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_SafeDownCast( SEXP obj, SEXP o){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    vtkXRenderWindowInteractor *  _res =( vtkXRenderWindowInteractor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkXRenderWindowInteractor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_NewInstance( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    vtkXRenderWindowInteractor *  _res =( vtkXRenderWindowInteractor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkXRenderWindowInteractor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_TerminateApp( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->TerminateApp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_SetBreakLoopFlag( SEXP obj, SEXP _arg){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->SetBreakLoopFlag( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_GetBreakLoopFlag( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    int _res =_obj->GetBreakLoopFlag();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_BreakLoopFlagOn( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->BreakLoopFlagOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_BreakLoopFlagOff( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->BreakLoopFlagOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_DestroyTimer( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    int _res =_obj->DestroyTimer();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_Enable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->Enable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_Disable( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->Disable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_Start( SEXP obj){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->Start();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_GetMousePosition( SEXP obj, SEXP x, SEXP y){
    SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _x =  SexpToint(x);
     int  *  _y =  SexpToint(y);
    vtkXRenderWindowInteractor * _obj = (vtkXRenderWindowInteractor
 * ) SexpToVtk(obj);
    _obj->GetMousePosition(_x, _y);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_x,LENGTH(x)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,intToSexp(_y,LENGTH(y)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".y",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkXRenderWindowInteractor_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkXRenderWindowInteractor * res= ( vtkXRenderWindowInteractor * ) 
vtkXRenderWindowInteractor::New();
    R_res=toRPointer(res,"vtkXRenderWindowInteractor");
    return(R_res);
  }
#endif
}
